
/****************************************************************************************************//**
 * @file     Z32F1281.h
 *
 * @brief    CMSIS Cortex-M3 Peripheral Access Layer Header File for
 *           Z32F1281 from Zilog, Inc.
 *
 * @version  V1.0
 * @date     21. April 2016
 *
 * @note     Generated with SVDConv V2.87e 
 *           from CMSIS SVD File 'Z32F1281.svd' Version 1.0,
 *
 * @par      THIS SOFTWARE IS PROVIDED "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 *           OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 *           MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 *           ARM SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
 *           CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER. 
 *
 *******************************************************************************************************/



/** @addtogroup Zilog, Inc
  * @{
  */

/** @addtogroup Z32F1281
  * @{
  */

#ifndef Z32F1281_H
#define Z32F1281_H

#ifdef __cplusplus
extern "C" {
#endif


/* -------------------------  Interrupt Number Definition  ------------------------ */

typedef enum {
/* -------------------  Cortex-M3 Processor Exceptions Numbers  ------------------- */
  Reset_IRQn                    = -15,              /*!<   1  Reset Vector, invoked on Power up and warm reset                 */
  NonMaskableInt_IRQn           = -14,              /*!<   2  Non maskable Interrupt, cannot be stopped or preempted           */
  HardFault_IRQn                = -13,              /*!<   3  Hard Fault, all classes of Fault                                 */
  MemoryManagement_IRQn         = -12,              /*!<   4  Memory Management, MPU mismatch, including Access Violation
                                                         and No Match                                                          */
  BusFault_IRQn                 = -11,              /*!<   5  Bus Fault, Pre-Fetch-, Memory Access Fault, other address/memory
                                                         related Fault                                                         */
  UsageFault_IRQn               = -10,              /*!<   6  Usage Fault, i.e. Undef Instruction, Illegal State Transition    */
  SVCall_IRQn                   =  -5,              /*!<  11  System Service Call via SVC instruction                          */
  DebugMonitor_IRQn             =  -4,              /*!<  12  Debug Monitor                                                    */
  PendSV_IRQn                   =  -2,              /*!<  14  Pendable request for system service                              */
  SysTick_IRQn                  =  -1,              /*!<  15  System Tick Timer                                                */
/* ---------------------  Z32F1281 Specific Interrupt Numbers  -------------------- */
  LVDDETECT_IRQn                =   0,              /*!<   0  LVDDETECT                                                        */
  SCLKFAIL_IRQn                 =   1,              /*!<   1  SCLKFAIL                                                         */
  XOSCFAIL_IRQn                 =   2,              /*!<   2  XOSCFAIL                                                         */
  WDT_IRQn                      =   3,              /*!<   3  WDT                                                              */
  TIMER0_IRQn                   =   5,              /*!<   5  TIMER0                                                           */
  TIMER1_IRQn                   =   6,              /*!<   6  TIMER1                                                           */
  TIMER2_IRQn                   =   7,              /*!<   7  TIMER2                                                           */
  TIMER3_IRQn                   =   8,              /*!<   8  TIMER3                                                           */
  TIMER8_IRQn                   =  13,              /*!<  13  TIMER8                                                           */
  TIMER9_IRQn                   =  14,              /*!<  14  TIMER9                                                           */
  GPIOAE_IRQn                   =  16,              /*!<  16  GPIOAE                                                           */
  GPIOAO_IRQn                   =  17,              /*!<  17  GPIOAO                                                           */
  GPIOBE_IRQn                   =  18,              /*!<  18  GPIOBE                                                           */
  GPIOBO_IRQn                   =  19,              /*!<  19  GPIOBO                                                           */
  GPIOCE_IRQn                   =  20,              /*!<  20  GPIOCE                                                           */
  GPIOCO_IRQn                   =  21,              /*!<  21  GPIOCO                                                           */
  GPIODE_IRQn                   =  22,              /*!<  22  GPIODE                                                           */
  GPIODO_IRQn                   =  23,              /*!<  23  GPIODO                                                           */
  MPWM0_IRQn                    =  24,              /*!<  24  MPWM0                                                            */
  MPWM0PROT_IRQn                =  25,              /*!<  25  MPWM0PROT                                                        */
  MPWM0OVV_IRQn                 =  26,              /*!<  26  MPWM0OVV                                                         */
  MPWM1_IRQn                    =  27,              /*!<  27  MPWM1                                                            */
  MPWM1PROT_IRQn                =  28,              /*!<  28  MPWM1PROT                                                        */
  MPWM1OVV_IRQn                 =  29,              /*!<  29  MPWM1OVV                                                         */
  SPI0_IRQn                     =  32,              /*!<  32  SPI0                                                             */
  SPI1_IRQn                     =  33,              /*!<  33  SPI1                                                             */
  I2C0_IRQn                     =  36,              /*!<  36  I2C0                                                             */
  I2C1_IRQn                     =  37,              /*!<  37  I2C1                                                             */
  UART0_IRQn                    =  38,              /*!<  38  UART0                                                            */
  UART1_IRQn                    =  39,              /*!<  39  UART1                                                            */
  UART2_IRQn                    =  40,              /*!<  40  UART2                                                            */
  UART3_IRQn                    =  41,              /*!<  41  UART3                                                            */
  ADC0_IRQn                     =  43,              /*!<  43  ADC0                                                             */
  ADC1_IRQn                     =  44,              /*!<  44  ADC1                                                             */
  ADC2_IRQn                     =  45,              /*!<  45  ADC2                                                             */
  COMP0_IRQn                    =  46,              /*!<  46  COMP0                                                            */
  COMP1_IRQn                    =  47,              /*!<  47  COMP1                                                            */
  COMP2_IRQn                    =  48,              /*!<  48  COMP2                                                            */
  COMP3_IRQn                    =  49               /*!<  49  COMP3                                                            */
} IRQn_Type;


/** @addtogroup Configuration_of_CMSIS
  * @{
  */


/* ================================================================================ */
/* ================      Processor and Core Peripheral Section     ================ */
/* ================================================================================ */

/* ----------------Configuration of the Cortex-M3 Processor and Core Peripherals---------------- */
#define __CM3_REV                 0x0100            /*!< Cortex-M3 Core Revision                                               */
#define __MPU_PRESENT                  0            /*!< MPU present or not                                                    */
#define __NVIC_PRIO_BITS               3            /*!< Number of Bits used for Priority Levels                               */
#define __Vendor_SysTickConfig         0            /*!< Set to 1 if different SysTick Config is used                          */
/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm3.h"                               /*!< Cortex-M3 processor and core peripherals                              */
#include "system_Z32F1281.h"                        /*!< Z32F1281 System                                                       */


/* ================================================================================ */
/* ================       Device Specific Peripheral Section       ================ */
/* ================================================================================ */


/** @addtogroup Device_Peripheral_Registers
  * @{
  */


/* -------------------  Start of section using anonymous unions  ------------------ */
#if defined(__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined(__ICCARM__)
  #pragma language=extended
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
/* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning 586
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================                       SCU                      ================ */
/* ================================================================================ */


/**
  * @brief SYSTEM CONTROL UNIT (SCU)
  */

typedef struct {                                    /*!< SCU Structure                                                         */
  __I  uint32_t  CIDR;                              /*!< Chip ID Register                                                      */
  __IO uint32_t  SMR;                               /*!< System Mode Register                                                  */
  __IO uint32_t  SRCR;                              /*!< System Reset Control Register                                         */
  __I  uint32_t  RESERVED;
  __IO uint32_t  WUER;                              /*!< Wakeup Source Enable Register                                         */
  __I  uint32_t  WUSR;                              /*!< Wakeup Source Status Register                                         */
  __IO uint32_t  RSER;                              /*!< Reset Source Enable Register                                          */
  __IO uint32_t  RSSR;                              /*!< Reset Source Status Register                                          */
  __IO uint32_t  PRER1;                             /*!< Peripheral Reset Enable Register 1                                    */
  __IO uint32_t  PRER2;                             /*!< Peripheral Reset Enable Register 2                                    */
  __IO uint32_t  PER1;                              /*!< Peripheral Enable Register 1                                          */
  __IO uint32_t  PER2;                              /*!< Peripheral Enable Register 2                                          */
  __IO uint32_t  PCER1;                             /*!< Peripheral Clock Enable Register 1                                    */
  __IO uint32_t  PCER2;                             /*!< Peripheral Clock Enable Register 2                                    */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  CSCR;                              /*!< Clock Source Control Register                                         */
  __IO uint32_t  SCCR;                              /*!< System Clock Control Register                                         */
  __IO uint32_t  CMR;                               /*!< Clock Monitoring Register                                             */
  __IO uint32_t  NMIR;                              /*!< NMI Control Register                                                  */
  __IO uint32_t  COR;                               /*!< Clock Output Register                                                 */
  __I  uint32_t  RESERVED2[3];
  __IO uint32_t  PLLCON;                            /*!< PLL Control Register                                                  */
  __IO uint32_t  VDCCON;                            /*!< VDC Control Register                                                  */
  __IO uint32_t  LVDCON;                            /*!< LVD Control Register                                                  */
  __IO uint32_t  IOSCTRIM;                          /*!< Internal OSC Trim Register                                            */
  __IO uint32_t  OPA0TRIM;                          /*!< Internal OPAMP 0 Trim Register                                        */
  __IO uint32_t  OPA1TRIM;                          /*!< Internal OPAMP 1 Trim Register                                        */
  __IO uint32_t  OPA2TRIM;                          /*!< Internal OPAMP 2 Trim Register                                        */
  __IO uint32_t  OPA3TRIM;                          /*!< Internal OPAMP 3 Trim Register                                        */
  __IO uint32_t  EOSCR;                             /*!< External Oscillator Control Register                                  */
  __IO uint32_t  EMODR;                             /*!< External Mode Status Register                                         */
  __I  uint32_t  RESERVED3[2];
  __IO uint32_t  MCCR1;                             /*!< Miscellaneous Clock Control Register 1                                */
  __IO uint32_t  MCCR2;                             /*!< Miscellaneous Clock Control Register 2                                */
  __IO uint32_t  MCCR3;                             /*!< Miscellaneous Clock Control Register 3                                */
  __IO uint32_t  DBCLK1;                            /*!< Debounce Clock Control Register 1                                     */
  __IO uint32_t  DBCLK2;                            /*!< Debounce Clock Control Register 2                                     */
  __IO uint32_t  MCCR4;                             /*!< Miscellaneous Clock Control Register 4                                */
} SCU_Type;


/* ================================================================================ */
/* ================                       FM                       ================ */
/* ================================================================================ */


/**
  * @brief FLASH MEMORY CONTROLLER (FM)
  */

typedef struct {                                    /*!< FM Structure                                                          */
  __I  uint32_t  RESERVED;
  __IO uint32_t  MR;                                /*!< Flash Memory Mode Register                                            */
  __IO uint32_t  CR;                                /*!< Flash Memory Control Register                                         */
  __IO uint32_t  AR;                                /*!< Flash Memory Address Register                                         */
  __IO uint32_t  DR;                                /*!< Flash Memory Data Register                                            */
  __IO uint32_t  TMR;                               /*!< Flash Memory Timer Register                                           */
  __O  uint32_t  DRTY;                              /*!< Flash Memory Dirty bit Register                                       */
  __IO uint32_t  TICK;                              /*!< Flash Memory Tick Timer register                                      */
  __IO uint32_t  CRC;                               /*!< Flash Memory CRC value register                                       */
  __I  uint32_t  RESERVED1[20];
  __IO uint32_t  BOOTCR;                            /*!< Boot ROM Remap Clear Register                                         */
} FM_Type;


/* ================================================================================ */
/* ================                       WDT                      ================ */
/* ================================================================================ */


/**
  * @brief WATCH-DOG TIMER (WDT)
  */

typedef struct {                                    /*!< WDT Structure                                                         */
  __IO uint32_t  LR;                                /*!< Watchdog Timer Load Register                                          */
  __IO uint32_t  CNT;                               /*!< Watchdog Timer Current Counter Register                               */
  __IO uint32_t  CON;                               /*!< Watchdog Timer Control Register                                       */
} WDT_Type;


/* ================================================================================ */
/* ================                       DC0                      ================ */
/* ================================================================================ */


/**
  * @brief DIRECT MEMORY ACCESS CONTROLLER (DC0)
  */

typedef struct {                                    /*!< DC0 Structure                                                         */
  __IO uint32_t  CR;                                /*!< DMA Controller Configuration Register                                 */
  __IO uint32_t  SR;                                /*!< DMA Controller Status register                                        */
  __IO uint32_t  PAR;                               /*!< DMA Controller Peripheral Address register                            */
  __IO uint32_t  MAR;                               /*!< DMA Controller Memory Address register                                */
} DC0_Type;


/* ================================================================================ */
/* ================                       PCA                      ================ */
/* ================================================================================ */


/**
  * @brief PORT CONTROL UNIT (PCA)
  */

typedef struct {                                    /*!< PCA Structure                                                         */
  __IO uint32_t  MR;                                /*!< PORT n Pin MUX Register                                               */
  __IO uint32_t  CR;                                /*!< PORT n Pin Control Register                                           */
  __IO uint32_t  PCR;                               /*!< PORT n Pull-up Resistor Control Register                              */
  __IO uint32_t  DER;                               /*!< PORT n Debounce Enable Register                                       */
  __IO uint32_t  IER;                               /*!< PORT n Interrupt Enable Register                                      */
  __IO uint32_t  ISR;                               /*!< PORT n Interrupt Status Register                                      */
  __IO uint32_t  ICR;                               /*!< PORT n Interrupt Control Register                                     */
} PCA_Type;


/* ================================================================================ */
/* ================                     PORTEN                     ================ */
/* ================================================================================ */


/**
  * @brief Port Access Eable (PORTEN)
  */

typedef struct {                                    /*!< PORTEN Structure                                                      */
  __IO uint32_t  EN;                                /*!< Port Access Eable 0x15->0x51                                          */
} PORTEN_Type;


/* ================================================================================ */
/* ================                       PA                       ================ */
/* ================================================================================ */


/**
  * @brief GENERAL PURPOSE I/O (PA)
  */

typedef struct {                                    /*!< PA Structure                                                          */
  __IO uint32_t  ODR;                               /*!< PORT n Output Data Register                                           */
  __IO uint32_t  IDR;                               /*!< PORT n Input Data Register                                            */
  __IO uint32_t  BSR;                               /*!< PORT n Bit Set Register                                               */
  __O  uint32_t  BCR;                               /*!< PORT n Bit Clear Register                                             */
} PA_Type;


/* ================================================================================ */
/* ================                       T0                       ================ */
/* ================================================================================ */


/**
  * @brief 16-BIT TIMER (T0)
  */

typedef struct {                                    /*!< T0 Structure                                                          */
  __IO uint32_t  CR1;                               /*!< Timer n Control Register 1                                            */
  __IO uint32_t  CR2;                               /*!< Timer n Control Register 2                                            */
  __IO uint32_t  PRS;                               /*!< Timer n Prescaler Register                                            */
  __IO uint32_t  GRA;                               /*!< Timer n General Register A                                            */
  __IO uint32_t  GRB;                               /*!< Timer n General Register B                                            */
  __IO uint32_t  CNT;                               /*!< Timer n Count Register                                                */
  __IO uint32_t  SR;                                /*!< Timer n Status Register                                               */
  __IO uint32_t  IER;                               /*!< Timer n Interrupt Enable Register                                     */
} T0_Type;


/* ================================================================================ */
/* ================                      TGECR                     ================ */
/* ================================================================================ */


/**
  * @brief Timer Group Encoder Control Register (TGECR)
  */

typedef struct {                                    /*!< TGECR Structure                                                       */
  __IO uint32_t  CR;                                /*!< Timer Group Encoder Control Register                                  */
} TGECR_Type;


/* ================================================================================ */
/* ================                       MP0                      ================ */
/* ================================================================================ */


/**
  * @brief MOTOR PULSE-WIDTH-MODULATOR (MP0)
  */

typedef struct {                                    /*!< MP0 Structure                                                         */
  __IO uint32_t  MR;                                /*!< MPWM Mode Register                                                    */
  __IO uint32_t  PMR;                               /*!< MPWM Port Mode Register                                               */
  __IO uint32_t  OCR;                               /*!< MPWM Output Control Register                                          */
  __IO uint32_t  PRD;                               /*!< MPWM Period Register                                                  */
  __IO uint32_t  DUH;                               /*!< MPWM Duty UH Register                                                 */
  __IO uint32_t  DVH;                               /*!< MPWM Duty VH Register                                                 */
  __IO uint32_t  DWH;                               /*!< MPWM Duty WH Register                                                 */
  __IO uint32_t  DUL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DVL;                               /*!< MPWM Duty UL Register                                                 */
  __IO uint32_t  DWL;                               /*!< MPWM Duty WL Register                                                 */
  __IO uint32_t  CR1;                               /*!< MPWM Control Register 1                                               */
  __IO uint32_t  CR2;                               /*!< MPWM Control Register 2                                               */
  __IO uint32_t  SR;                                /*!< MPWM Status Register                                                  */
  __IO uint32_t  IER;                               /*!< MPWM Interrupt Enable Register                                        */
  __IO uint32_t  CNT;                               /*!< MPWM Counter Register                                                 */
  __IO uint32_t  DTR;                               /*!< MPWM Dead Time Register                                               */
  __IO uint32_t  PCR;                               /*!< MPWM Protection control Register                                      */
  __IO uint32_t  PSR;                               /*!< MPWM Protection Status Register                                       */
  __IO uint32_t  OVCR;                              /*!< MPWM Over Voltage control Register                                    */
  __IO uint32_t  OVSR;                              /*!< MPWM Over Voltage Status Register                                     */
  __I  uint32_t  RESERVED;
  __IO uint32_t  ATCR;                              /*!< MPWM ADC Trigger Control Register                                     */
  __IO uint32_t  ATR1;                              /*!< MPWMn ADC Trigger Counter 1 Register                                  */
  __IO uint32_t  ATR2;                              /*!< MPWMn ADC Trigger Counter 2 Register                                  */
  __IO uint32_t  ATR3;                              /*!< MPWMn ADC Trigger Counter 3 Register                                  */
  __IO uint32_t  ATR4;                              /*!< MPWMn ADC Trigger Counter 4 Register                                  */
  __IO uint32_t  ATR5;                              /*!< MPWMn ADC Trigger Counter 5 Register                                  */
  __IO uint32_t  ATR6;                              /*!< MPWMn ADC Trigger Counter 6 Register                                  */
} MP0_Type;


/* ================================================================================ */
/* ================                       U0                       ================ */
/* ================================================================================ */


/**
  * @brief UNIVERSAL ASYNCHRONOUS RECEIVER/TRANSMITTER (U0)
  */

typedef struct {                                    /*!< U0 Structure                                                          */
  
  union {
    __O  uint32_t  THR;                             /*!< Transmit Data Hold Register                                           */
    __I  uint32_t  RBR;                             /*!< Receive Buffer Register                                               */
  };
  __IO uint32_t  IER;                               /*!< UART Interrupt Enable Register                                        */
  __IO uint32_t  IIR;                               /*!< UART Interrupt ID Register                                            */
  __IO uint32_t  LCR;                               /*!< UART Line Control Register                                            */
  __IO uint32_t  DCR;                               /*!< UART Data Control Register                                            */
  __IO uint32_t  LSR;                               /*!< UART Line Status Register                                             */
  __I  uint32_t  RESERVED[2];
  __IO uint32_t  BDR;                               /*!< Baud rate Divisor Latch Register                                      */
  __IO uint32_t  BFR;                               /*!< Baud rate Fraction Counter Register                                   */
  __I  uint32_t  RESERVED1[2];
  __IO uint32_t  IDTR;                              /*!< Inter-frame Delay Time Register                                       */
} U0_Type;


/* ================================================================================ */
/* ================                       SP0                      ================ */
/* ================================================================================ */


/**
  * @brief SERIAL PERIPHERAL INTERFACE (SP0)
  */

typedef struct {                                    /*!< SP0 Structure                                                         */
  
  union {
    __O  uint32_t  TDR;                             /*!< SPI n Transmit Data Register                                          */
    __I  uint32_t  RDR;                             /*!< SPI n Receive Data Register                                           */
  };
  __IO uint32_t  CR;                                /*!< SPI n Control Register                                                */
  __IO uint32_t  SR;                                /*!< SPI n Status Register                                                 */
  __IO uint32_t  BR;                                /*!< SPI n Baud Rate Register                                              */
  __IO uint32_t  EN;                                /*!< SPI n Enable register                                                 */
  __IO uint32_t  LR;                                /*!< SPI n delay Length Register                                           */
} SP0_Type;


/* ================================================================================ */
/* ================                       IC0                      ================ */
/* ================================================================================ */


/**
  * @brief I2C Interface (IC0)
  */

typedef struct {                                    /*!< IC0 Structure                                                         */
  __IO uint32_t  DR;                                /*!< I2C Data Register                                                     */
  __I  uint32_t  RESERVED;
  __IO uint32_t  SR;                                /*!< Status register                                                       */
  __IO uint32_t  SAR;                               /*!< I2C Slave Address Register                                            */
  __I  uint32_t  RESERVED1;
  __IO uint32_t  CR;                                /*!< I2C Control Register                                                  */
  __IO uint32_t  SCLL;                              /*!< I2C SCL LOW duration Register                                         */
  __IO uint32_t  SCLH;                              /*!< I2C SCL HIGH duration Register                                        */
  __IO uint32_t  SDH;                               /*!< SDA Hold Register                                                     */
} IC0_Type;


/* ================================================================================ */
/* ================                       AD0                      ================ */
/* ================================================================================ */


/**
  * @brief 12-BIT A/D CONVERTER (AD0)
  */

typedef struct {                                    /*!< AD0 Structure                                                         */
  __IO uint32_t  MR;                                /*!< ADCn Mode Register                                                    */
  __IO uint32_t  CSR;                               /*!< ADCn Channel Select Register                                          */
  __IO uint32_t  CR1;                               /*!< ADCn Control Register 1                                               */
  __IO uint32_t  TRG0;                              /*!< ADC Trigger 0 Channel Register                                        */
  __IO uint32_t  TRG1;                              /*!< ADC Trigger 1 Channel Register                                        */
  __IO uint32_t  TRG2;                              /*!< ADC Trigger 2 Channel Register                                        */
  __IO uint32_t  BCSR;                              /*!< ADC Burst Mode Channel select                                         */
  __I  uint32_t  RESERVED;
  __IO uint32_t  CR2;                               /*!< ADCn Control Register 2                                               */
  __IO uint32_t  SR;                                /*!< ADCn Status Register                                                  */
  __IO uint32_t  IER;                               /*!< Interrupt Enable Register                                             */
  __IO uint32_t  DDR;                               /*!< ADC 0/1/2 DMA Data Register                                           */
  __I  uint32_t  RESERVED1[16];
  __IO uint32_t  CCR;                               /*!< ADC Channel Compare Control Register                                  */
} AD0_Type;


/* ================================================================================ */
/* ================                       AFE                      ================ */
/* ================================================================================ */


/**
  * @brief ANALOG FRONT END (AFE)
  */

typedef struct {                                    /*!< AFE Structure                                                         */
  __IO uint32_t  OPA0CR;                            /*!< OPAMP 0 Control Registers                                             */
  __IO uint32_t  OPA1CR;                            /*!< OPAMP 1 Control Registers                                             */
  __IO uint32_t  OPA2CR;                            /*!< OPAMP 2 Control Registers                                             */
  __IO uint32_t  OPA3CR;                            /*!< OPAMP 3 Control Registers                                             */
  __I  uint32_t  RESERVED[4];
  __IO uint32_t  CMP0CR;                            /*!< Comparator 0 Control Register                                         */
  __IO uint32_t  CMP1CR;                            /*!< Comparator 1 Control Register                                         */
  __IO uint32_t  CMP2CR;                            /*!< Comparator 2 Control Register                                         */
  __IO uint32_t  CMP3CR;                            /*!< Comparator 3 Control Register                                         */
  __IO uint32_t  CMPDBR;                            /*!< Comparator de-bounce Register                                         */
  __IO uint32_t  CMPICR;                            /*!< Comparator Interrupt Control Register                                 */
  __IO uint32_t  CMPIER;                            /*!< Comparator Interrupt Enable Register                                  */
  __IO uint32_t  CMPSR;                             /*!< Comparator Status Register                                            */
} AFE_Type;


/* --------------------  End of section using anonymous unions  ------------------- */
#if defined(__CC_ARM)
  #pragma pop
#elif defined(__ICCARM__)
  /* leave anonymous unions enabled */
#elif defined(__GNUC__)
  /* anonymous unions are enabled by default */
#elif defined(__TMS470__)
  /* anonymous unions are enabled by default */
#elif defined(__TASKING__)
  #pragma warning restore
#else
  #warning Not supported compiler type
#endif



/* ================================================================================ */
/* ================          struct 'SCU' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SCU_SMR  ---------------------------------- */
#define SCU_SMR_PREVMODE_Pos                  (4UL)                     /*!< SCU SMR: PREVMODE (Bit 4)                                   */
#define SCU_SMR_PREVMODE_Msk                  (0x30UL)                  /*!< SCU SMR: PREVMODE (Bitfield-Mask: 0x03)                     */

/* ----------------------------------  SCU_SRCR  ---------------------------------- */
#define SCU_SRCR_SWRST_Pos                    (0UL)                     /*!< SCU SRCR: SWRST (Bit 0)                                     */
#define SCU_SRCR_SWRST_Msk                    (0x1UL)                   /*!< SCU SRCR: SWRST (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_WUER  ---------------------------------- */
#define SCU_WUER_LVDWUE_Pos                   (0UL)                     /*!< SCU WUER: LVDWUE (Bit 0)                                    */
#define SCU_WUER_LVDWUE_Msk                   (0x1UL)                   /*!< SCU WUER: LVDWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_WDTWUE_Pos                   (1UL)                     /*!< SCU WUER: WDTWUE (Bit 1)                                    */
#define SCU_WUER_WDTWUE_Msk                   (0x2UL)                   /*!< SCU WUER: WDTWUE (Bitfield-Mask: 0x01)                      */
#define SCU_WUER_GPIOAWUE_Pos                 (8UL)                     /*!< SCU WUER: GPIOAWUE (Bit 8)                                  */
#define SCU_WUER_GPIOAWUE_Msk                 (0x100UL)                 /*!< SCU WUER: GPIOAWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOBWUE_Pos                 (9UL)                     /*!< SCU WUER: GPIOBWUE (Bit 9)                                  */
#define SCU_WUER_GPIOBWUE_Msk                 (0x200UL)                 /*!< SCU WUER: GPIOBWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIOCWUE_Pos                 (10UL)                    /*!< SCU WUER: GPIOCWUE (Bit 10)                                 */
#define SCU_WUER_GPIOCWUE_Msk                 (0x400UL)                 /*!< SCU WUER: GPIOCWUE (Bitfield-Mask: 0x01)                    */
#define SCU_WUER_GPIODWUE_Pos                 (11UL)                    /*!< SCU WUER: GPIODWUE (Bit 11)                                 */
#define SCU_WUER_GPIODWUE_Msk                 (0x800UL)                 /*!< SCU WUER: GPIODWUE (Bitfield-Mask: 0x01)                    */

/* ----------------------------------  SCU_WUSR  ---------------------------------- */
#define SCU_WUSR_LVDWU_Pos                    (0UL)                     /*!< SCU WUSR: LVDWU (Bit 0)                                     */
#define SCU_WUSR_LVDWU_Msk                    (0x1UL)                   /*!< SCU WUSR: LVDWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_WDTWU_Pos                    (1UL)                     /*!< SCU WUSR: WDTWU (Bit 1)                                     */
#define SCU_WUSR_WDTWU_Msk                    (0x2UL)                   /*!< SCU WUSR: WDTWU (Bitfield-Mask: 0x01)                       */
#define SCU_WUSR_GPIOAWU_Pos                  (8UL)                     /*!< SCU WUSR: GPIOAWU (Bit 8)                                   */
#define SCU_WUSR_GPIOAWU_Msk                  (0x100UL)                 /*!< SCU WUSR: GPIOAWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOBWU_Pos                  (9UL)                     /*!< SCU WUSR: GPIOBWU (Bit 9)                                   */
#define SCU_WUSR_GPIOBWU_Msk                  (0x200UL)                 /*!< SCU WUSR: GPIOBWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIOCWU_Pos                  (10UL)                    /*!< SCU WUSR: GPIOCWU (Bit 10)                                  */
#define SCU_WUSR_GPIOCWU_Msk                  (0x400UL)                 /*!< SCU WUSR: GPIOCWU (Bitfield-Mask: 0x01)                     */
#define SCU_WUSR_GPIODWU_Pos                  (11UL)                    /*!< SCU WUSR: GPIODWU (Bit 11)                                  */
#define SCU_WUSR_GPIODWU_Msk                  (0x800UL)                 /*!< SCU WUSR: GPIODWU (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_RSER  ---------------------------------- */
#define SCU_RSER_LVDRST_Pos                   (0UL)                     /*!< SCU RSER: LVDRST (Bit 0)                                    */
#define SCU_RSER_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSER: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_XFRST_Pos                    (1UL)                     /*!< SCU RSER: XFRST (Bit 1)                                     */
#define SCU_RSER_XFRST_Msk                    (0x2UL)                   /*!< SCU RSER: XFRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSER_MCKFRST_Pos                  (2UL)                     /*!< SCU RSER: MCKFRST (Bit 2)                                   */
#define SCU_RSER_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSER: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSER_WDTRST_Pos                   (3UL)                     /*!< SCU RSER: WDTRST (Bit 3)                                    */
#define SCU_RSER_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSER: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_SWRST_Pos                    (4UL)                     /*!< SCU RSER: SWRST (Bit 4)                                     */
#define SCU_RSER_SWRST_Msk                    (0x10UL)                  /*!< SCU RSER: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSER_CPURST_Pos                   (5UL)                     /*!< SCU RSER: CPURST (Bit 5)                                    */
#define SCU_RSER_CPURST_Msk                   (0x20UL)                  /*!< SCU RSER: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSER_PINRST_Pos                   (6UL)                     /*!< SCU RSER: PINRST (Bit 6)                                    */
#define SCU_RSER_PINRST_Msk                   (0x40UL)                  /*!< SCU RSER: PINRST (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_RSSR  ---------------------------------- */
#define SCU_RSSR_LVDRST_Pos                   (0UL)                     /*!< SCU RSSR: LVDRST (Bit 0)                                    */
#define SCU_RSSR_LVDRST_Msk                   (0x1UL)                   /*!< SCU RSSR: LVDRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_XFRST_Pos                    (1UL)                     /*!< SCU RSSR: XFRST (Bit 1)                                     */
#define SCU_RSSR_XFRST_Msk                    (0x2UL)                   /*!< SCU RSSR: XFRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_MCKFRST_Pos                  (2UL)                     /*!< SCU RSSR: MCKFRST (Bit 2)                                   */
#define SCU_RSSR_MCKFRST_Msk                  (0x4UL)                   /*!< SCU RSSR: MCKFRST (Bitfield-Mask: 0x01)                     */
#define SCU_RSSR_WDTRST_Pos                   (3UL)                     /*!< SCU RSSR: WDTRST (Bit 3)                                    */
#define SCU_RSSR_WDTRST_Msk                   (0x8UL)                   /*!< SCU RSSR: WDTRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_SWRST_Pos                    (4UL)                     /*!< SCU RSSR: SWRST (Bit 4)                                     */
#define SCU_RSSR_SWRST_Msk                    (0x10UL)                  /*!< SCU RSSR: SWRST (Bitfield-Mask: 0x01)                       */
#define SCU_RSSR_CPURST_Pos                   (5UL)                     /*!< SCU RSSR: CPURST (Bit 5)                                    */
#define SCU_RSSR_CPURST_Msk                   (0x20UL)                  /*!< SCU RSSR: CPURST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PINRST_Pos                   (6UL)                     /*!< SCU RSSR: PINRST (Bit 6)                                    */
#define SCU_RSSR_PINRST_Msk                   (0x40UL)                  /*!< SCU RSSR: PINRST (Bitfield-Mask: 0x01)                      */
#define SCU_RSSR_PORST_Pos                    (7UL)                     /*!< SCU RSSR: PORST (Bit 7)                                     */
#define SCU_RSSR_PORST_Msk                    (0x80UL)                  /*!< SCU RSSR: PORST (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  SCU_PRER1  --------------------------------- */
#define SCU_PRER1_SCU_Pos                     (0UL)                     /*!< SCU PRER1: SCU (Bit 0)                                      */
#define SCU_PRER1_SCU_Msk                     (0x1UL)                   /*!< SCU PRER1: SCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_FMC_Pos                     (1UL)                     /*!< SCU PRER1: FMC (Bit 1)                                      */
#define SCU_PRER1_FMC_Msk                     (0x2UL)                   /*!< SCU PRER1: FMC (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_WDT_Pos                     (2UL)                     /*!< SCU PRER1: WDT (Bit 2)                                      */
#define SCU_PRER1_WDT_Msk                     (0x4UL)                   /*!< SCU PRER1: WDT (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_PCU_Pos                     (3UL)                     /*!< SCU PRER1: PCU (Bit 3)                                      */
#define SCU_PRER1_PCU_Msk                     (0x8UL)                   /*!< SCU PRER1: PCU (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_DMA_Pos                     (4UL)                     /*!< SCU PRER1: DMA (Bit 4)                                      */
#define SCU_PRER1_DMA_Msk                     (0x10UL)                  /*!< SCU PRER1: DMA (Bitfield-Mask: 0x01)                        */
#define SCU_PRER1_GPIOA_Pos                   (8UL)                     /*!< SCU PRER1: GPIOA (Bit 8)                                    */
#define SCU_PRER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PRER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOB_Pos                   (9UL)                     /*!< SCU PRER1: GPIOB (Bit 9)                                    */
#define SCU_PRER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PRER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOC_Pos                   (10UL)                    /*!< SCU PRER1: GPIOC (Bit 10)                                   */
#define SCU_PRER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PRER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_GPIOD_Pos                   (11UL)                    /*!< SCU PRER1: GPIOD (Bit 11)                                   */
#define SCU_PRER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PRER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PRER1_TIMER0_Pos                  (16UL)                    /*!< SCU PRER1: TIMER0 (Bit 16)                                  */
#define SCU_PRER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PRER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER1_Pos                  (17UL)                    /*!< SCU PRER1: TIMER1 (Bit 17)                                  */
#define SCU_PRER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PRER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER2_Pos                  (18UL)                    /*!< SCU PRER1: TIMER2 (Bit 18)                                  */
#define SCU_PRER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PRER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER3_Pos                  (19UL)                    /*!< SCU PRER1: TIMER3 (Bit 19)                                  */
#define SCU_PRER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PRER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER8_Pos                  (24UL)                    /*!< SCU PRER1: TIMER8 (Bit 24)                                  */
#define SCU_PRER1_TIMER8_Msk                  (0x1000000UL)             /*!< SCU PRER1: TIMER8 (Bitfield-Mask: 0x01)                     */
#define SCU_PRER1_TIMER9_Pos                  (25UL)                    /*!< SCU PRER1: TIMER9 (Bit 25)                                  */
#define SCU_PRER1_TIMER9_Msk                  (0x2000000UL)             /*!< SCU PRER1: TIMER9 (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_PRER2  --------------------------------- */
#define SCU_PRER2_SPI0_Pos                    (0UL)                     /*!< SCU PRER2: SPI0 (Bit 0)                                     */
#define SCU_PRER2_SPI0_Msk                    (0x1UL)                   /*!< SCU PRER2: SPI0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_SPI1_Pos                    (1UL)                     /*!< SCU PRER2: SPI1 (Bit 1)                                     */
#define SCU_PRER2_SPI1_Msk                    (0x2UL)                   /*!< SCU PRER2: SPI1 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_I2C0_Pos                    (4UL)                     /*!< SCU PRER2: I2C0 (Bit 4)                                     */
#define SCU_PRER2_I2C0_Msk                    (0x10UL)                  /*!< SCU PRER2: I2C0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_I2C1_Pos                    (5UL)                     /*!< SCU PRER2: I2C1 (Bit 5)                                     */
#define SCU_PRER2_I2C1_Msk                    (0x20UL)                  /*!< SCU PRER2: I2C1 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_UART0_Pos                   (8UL)                     /*!< SCU PRER2: UART0 (Bit 8)                                    */
#define SCU_PRER2_UART0_Msk                   (0x100UL)                 /*!< SCU PRER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART1_Pos                   (9UL)                     /*!< SCU PRER2: UART1 (Bit 9)                                    */
#define SCU_PRER2_UART1_Msk                   (0x200UL)                 /*!< SCU PRER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART2_Pos                   (10UL)                    /*!< SCU PRER2: UART2 (Bit 10)                                   */
#define SCU_PRER2_UART2_Msk                   (0x400UL)                 /*!< SCU PRER2: UART2 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_UART3_Pos                   (11UL)                    /*!< SCU PRER2: UART3 (Bit 11)                                   */
#define SCU_PRER2_UART3_Msk                   (0x800UL)                 /*!< SCU PRER2: UART3 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_MPWM0_Pos                   (16UL)                    /*!< SCU PRER2: MPWM0 (Bit 16)                                   */
#define SCU_PRER2_MPWM0_Msk                   (0x10000UL)               /*!< SCU PRER2: MPWM0 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_MPWM1_Pos                   (17UL)                    /*!< SCU PRER2: MPWM1 (Bit 17)                                   */
#define SCU_PRER2_MPWM1_Msk                   (0x20000UL)               /*!< SCU PRER2: MPWM1 (Bitfield-Mask: 0x01)                      */
#define SCU_PRER2_ADC0_Pos                    (20UL)                    /*!< SCU PRER2: ADC0 (Bit 20)                                    */
#define SCU_PRER2_ADC0_Msk                    (0x100000UL)              /*!< SCU PRER2: ADC0 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_ADC1_Pos                    (21UL)                    /*!< SCU PRER2: ADC1 (Bit 21)                                    */
#define SCU_PRER2_ADC1_Msk                    (0x200000UL)              /*!< SCU PRER2: ADC1 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_ADC2_Pos                    (22UL)                    /*!< SCU PRER2: ADC2 (Bit 22)                                    */
#define SCU_PRER2_ADC2_Msk                    (0x400000UL)              /*!< SCU PRER2: ADC2 (Bitfield-Mask: 0x01)                       */
#define SCU_PRER2_AFE_Pos                     (23UL)                    /*!< SCU PRER2: AFE (Bit 23)                                     */
#define SCU_PRER2_AFE_Msk                     (0x800000UL)              /*!< SCU PRER2: AFE (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_PER1  ---------------------------------- */
#define SCU_PER1_DMA_Pos                      (4UL)                     /*!< SCU PER1: DMA (Bit 4)                                       */
#define SCU_PER1_DMA_Msk                      (0x10UL)                  /*!< SCU PER1: DMA (Bitfield-Mask: 0x01)                         */
#define SCU_PER1_GPIOA_Pos                    (8UL)                     /*!< SCU PER1: GPIOA (Bit 8)                                     */
#define SCU_PER1_GPIOA_Msk                    (0x100UL)                 /*!< SCU PER1: GPIOA (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOB_Pos                    (9UL)                     /*!< SCU PER1: GPIOB (Bit 9)                                     */
#define SCU_PER1_GPIOB_Msk                    (0x200UL)                 /*!< SCU PER1: GPIOB (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOC_Pos                    (10UL)                    /*!< SCU PER1: GPIOC (Bit 10)                                    */
#define SCU_PER1_GPIOC_Msk                    (0x400UL)                 /*!< SCU PER1: GPIOC (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_GPIOD_Pos                    (11UL)                    /*!< SCU PER1: GPIOD (Bit 11)                                    */
#define SCU_PER1_GPIOD_Msk                    (0x800UL)                 /*!< SCU PER1: GPIOD (Bitfield-Mask: 0x01)                       */
#define SCU_PER1_TIMER0_Pos                   (16UL)                    /*!< SCU PER1: TIMER0 (Bit 16)                                   */
#define SCU_PER1_TIMER0_Msk                   (0x10000UL)               /*!< SCU PER1: TIMER0 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER1_Pos                   (17UL)                    /*!< SCU PER1: TIMER1 (Bit 17)                                   */
#define SCU_PER1_TIMER1_Msk                   (0x20000UL)               /*!< SCU PER1: TIMER1 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER2_Pos                   (18UL)                    /*!< SCU PER1: TIMER2 (Bit 18)                                   */
#define SCU_PER1_TIMER2_Msk                   (0x40000UL)               /*!< SCU PER1: TIMER2 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER3_Pos                   (19UL)                    /*!< SCU PER1: TIMER3 (Bit 19)                                   */
#define SCU_PER1_TIMER3_Msk                   (0x80000UL)               /*!< SCU PER1: TIMER3 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER8_Pos                   (24UL)                    /*!< SCU PER1: TIMER8 (Bit 24)                                   */
#define SCU_PER1_TIMER8_Msk                   (0x1000000UL)             /*!< SCU PER1: TIMER8 (Bitfield-Mask: 0x01)                      */
#define SCU_PER1_TIMER9_Pos                   (25UL)                    /*!< SCU PER1: TIMER9 (Bit 25)                                   */
#define SCU_PER1_TIMER9_Msk                   (0x2000000UL)             /*!< SCU PER1: TIMER9 (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_PER2  ---------------------------------- */
#define SCU_PER2_SPI0_Pos                     (0UL)                     /*!< SCU PER2: SPI0 (Bit 0)                                      */
#define SCU_PER2_SPI0_Msk                     (0x1UL)                   /*!< SCU PER2: SPI0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_SPI1_Pos                     (1UL)                     /*!< SCU PER2: SPI1 (Bit 1)                                      */
#define SCU_PER2_SPI1_Msk                     (0x2UL)                   /*!< SCU PER2: SPI1 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_I2C0_Pos                     (4UL)                     /*!< SCU PER2: I2C0 (Bit 4)                                      */
#define SCU_PER2_I2C0_Msk                     (0x10UL)                  /*!< SCU PER2: I2C0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_I2C1_Pos                     (5UL)                     /*!< SCU PER2: I2C1 (Bit 5)                                      */
#define SCU_PER2_I2C1_Msk                     (0x20UL)                  /*!< SCU PER2: I2C1 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_UART0_Pos                    (8UL)                     /*!< SCU PER2: UART0 (Bit 8)                                     */
#define SCU_PER2_UART0_Msk                    (0x100UL)                 /*!< SCU PER2: UART0 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART1_Pos                    (9UL)                     /*!< SCU PER2: UART1 (Bit 9)                                     */
#define SCU_PER2_UART1_Msk                    (0x200UL)                 /*!< SCU PER2: UART1 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART2_Pos                    (10UL)                    /*!< SCU PER2: UART2 (Bit 10)                                    */
#define SCU_PER2_UART2_Msk                    (0x400UL)                 /*!< SCU PER2: UART2 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_UART3_Pos                    (11UL)                    /*!< SCU PER2: UART3 (Bit 11)                                    */
#define SCU_PER2_UART3_Msk                    (0x800UL)                 /*!< SCU PER2: UART3 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_MPWM0_Pos                    (16UL)                    /*!< SCU PER2: MPWM0 (Bit 16)                                    */
#define SCU_PER2_MPWM0_Msk                    (0x10000UL)               /*!< SCU PER2: MPWM0 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_MPWM1_Pos                    (17UL)                    /*!< SCU PER2: MPWM1 (Bit 17)                                    */
#define SCU_PER2_MPWM1_Msk                    (0x20000UL)               /*!< SCU PER2: MPWM1 (Bitfield-Mask: 0x01)                       */
#define SCU_PER2_ADC0_Pos                     (20UL)                    /*!< SCU PER2: ADC0 (Bit 20)                                     */
#define SCU_PER2_ADC0_Msk                     (0x100000UL)              /*!< SCU PER2: ADC0 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_ADC1_Pos                     (21UL)                    /*!< SCU PER2: ADC1 (Bit 21)                                     */
#define SCU_PER2_ADC1_Msk                     (0x200000UL)              /*!< SCU PER2: ADC1 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_ADC2_Pos                     (22UL)                    /*!< SCU PER2: ADC2 (Bit 22)                                     */
#define SCU_PER2_ADC2_Msk                     (0x400000UL)              /*!< SCU PER2: ADC2 (Bitfield-Mask: 0x01)                        */
#define SCU_PER2_AFE_Pos                      (23UL)                    /*!< SCU PER2: AFE (Bit 23)                                      */
#define SCU_PER2_AFE_Msk                      (0x800000UL)              /*!< SCU PER2: AFE (Bitfield-Mask: 0x01)                         */

/* ----------------------------------  SCU_PCER1  --------------------------------- */
#define SCU_PCER1_DMA_Pos                     (4UL)                     /*!< SCU PCER1: DMA (Bit 4)                                      */
#define SCU_PCER1_DMA_Msk                     (0x10UL)                  /*!< SCU PCER1: DMA (Bitfield-Mask: 0x01)                        */
#define SCU_PCER1_GPIOA_Pos                   (8UL)                     /*!< SCU PCER1: GPIOA (Bit 8)                                    */
#define SCU_PCER1_GPIOA_Msk                   (0x100UL)                 /*!< SCU PCER1: GPIOA (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOB_Pos                   (9UL)                     /*!< SCU PCER1: GPIOB (Bit 9)                                    */
#define SCU_PCER1_GPIOB_Msk                   (0x200UL)                 /*!< SCU PCER1: GPIOB (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOC_Pos                   (10UL)                    /*!< SCU PCER1: GPIOC (Bit 10)                                   */
#define SCU_PCER1_GPIOC_Msk                   (0x400UL)                 /*!< SCU PCER1: GPIOC (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_GPIOD_Pos                   (11UL)                    /*!< SCU PCER1: GPIOD (Bit 11)                                   */
#define SCU_PCER1_GPIOD_Msk                   (0x800UL)                 /*!< SCU PCER1: GPIOD (Bitfield-Mask: 0x01)                      */
#define SCU_PCER1_TIMER0_Pos                  (16UL)                    /*!< SCU PCER1: TIMER0 (Bit 16)                                  */
#define SCU_PCER1_TIMER0_Msk                  (0x10000UL)               /*!< SCU PCER1: TIMER0 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER1_Pos                  (17UL)                    /*!< SCU PCER1: TIMER1 (Bit 17)                                  */
#define SCU_PCER1_TIMER1_Msk                  (0x20000UL)               /*!< SCU PCER1: TIMER1 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER2_Pos                  (18UL)                    /*!< SCU PCER1: TIMER2 (Bit 18)                                  */
#define SCU_PCER1_TIMER2_Msk                  (0x40000UL)               /*!< SCU PCER1: TIMER2 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER3_Pos                  (19UL)                    /*!< SCU PCER1: TIMER3 (Bit 19)                                  */
#define SCU_PCER1_TIMER3_Msk                  (0x80000UL)               /*!< SCU PCER1: TIMER3 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER8_Pos                  (24UL)                    /*!< SCU PCER1: TIMER8 (Bit 24)                                  */
#define SCU_PCER1_TIMER8_Msk                  (0x1000000UL)             /*!< SCU PCER1: TIMER8 (Bitfield-Mask: 0x01)                     */
#define SCU_PCER1_TIMER9_Pos                  (25UL)                    /*!< SCU PCER1: TIMER9 (Bit 25)                                  */
#define SCU_PCER1_TIMER9_Msk                  (0x2000000UL)             /*!< SCU PCER1: TIMER9 (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_PCER2  --------------------------------- */
#define SCU_PCER2_SPI0_Pos                    (0UL)                     /*!< SCU PCER2: SPI0 (Bit 0)                                     */
#define SCU_PCER2_SPI0_Msk                    (0x1UL)                   /*!< SCU PCER2: SPI0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_SPI1_Pos                    (1UL)                     /*!< SCU PCER2: SPI1 (Bit 1)                                     */
#define SCU_PCER2_SPI1_Msk                    (0x2UL)                   /*!< SCU PCER2: SPI1 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_I2C0_Pos                    (4UL)                     /*!< SCU PCER2: I2C0 (Bit 4)                                     */
#define SCU_PCER2_I2C0_Msk                    (0x10UL)                  /*!< SCU PCER2: I2C0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_I2C1_Pos                    (5UL)                     /*!< SCU PCER2: I2C1 (Bit 5)                                     */
#define SCU_PCER2_I2C1_Msk                    (0x20UL)                  /*!< SCU PCER2: I2C1 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_UART0_Pos                   (8UL)                     /*!< SCU PCER2: UART0 (Bit 8)                                    */
#define SCU_PCER2_UART0_Msk                   (0x100UL)                 /*!< SCU PCER2: UART0 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART1_Pos                   (9UL)                     /*!< SCU PCER2: UART1 (Bit 9)                                    */
#define SCU_PCER2_UART1_Msk                   (0x200UL)                 /*!< SCU PCER2: UART1 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART2_Pos                   (10UL)                    /*!< SCU PCER2: UART2 (Bit 10)                                   */
#define SCU_PCER2_UART2_Msk                   (0x400UL)                 /*!< SCU PCER2: UART2 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_UART3_Pos                   (11UL)                    /*!< SCU PCER2: UART3 (Bit 11)                                   */
#define SCU_PCER2_UART3_Msk                   (0x800UL)                 /*!< SCU PCER2: UART3 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_MPWM0_Pos                   (16UL)                    /*!< SCU PCER2: MPWM0 (Bit 16)                                   */
#define SCU_PCER2_MPWM0_Msk                   (0x10000UL)               /*!< SCU PCER2: MPWM0 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_MPWM1_Pos                   (17UL)                    /*!< SCU PCER2: MPWM1 (Bit 17)                                   */
#define SCU_PCER2_MPWM1_Msk                   (0x20000UL)               /*!< SCU PCER2: MPWM1 (Bitfield-Mask: 0x01)                      */
#define SCU_PCER2_ADC0_Pos                    (20UL)                    /*!< SCU PCER2: ADC0 (Bit 20)                                    */
#define SCU_PCER2_ADC0_Msk                    (0x100000UL)              /*!< SCU PCER2: ADC0 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_ADC1_Pos                    (21UL)                    /*!< SCU PCER2: ADC1 (Bit 21)                                    */
#define SCU_PCER2_ADC1_Msk                    (0x200000UL)              /*!< SCU PCER2: ADC1 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_ADC2_Pos                    (22UL)                    /*!< SCU PCER2: ADC2 (Bit 22)                                    */
#define SCU_PCER2_ADC2_Msk                    (0x400000UL)              /*!< SCU PCER2: ADC2 (Bitfield-Mask: 0x01)                       */
#define SCU_PCER2_AFE_Pos                     (23UL)                    /*!< SCU PCER2: AFE (Bit 23)                                     */
#define SCU_PCER2_AFE_Msk                     (0x800000UL)              /*!< SCU PCER2: AFE (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  SCU_CSCR  ---------------------------------- */
#define SCU_CSCR_EOSCON_Pos                   (0UL)                     /*!< SCU CSCR: EOSCON (Bit 0)                                    */
#define SCU_CSCR_EOSCON_Msk                   (0x3UL)                   /*!< SCU CSCR: EOSCON (Bitfield-Mask: 0x03)                      */
#define SCU_CSCR_IOSCCON_Pos                  (2UL)                     /*!< SCU CSCR: IOSCCON (Bit 2)                                   */
#define SCU_CSCR_IOSCCON_Msk                  (0xcUL)                   /*!< SCU CSCR: IOSCCON (Bitfield-Mask: 0x03)                     */
#define SCU_CSCR_RINGOSCCON_Pos               (4UL)                     /*!< SCU CSCR: RINGOSCCON (Bit 4)                                */
#define SCU_CSCR_RINGOSCCON_Msk               (0x30UL)                  /*!< SCU CSCR: RINGOSCCON (Bitfield-Mask: 0x03)                  */

/* ----------------------------------  SCU_SCCR  ---------------------------------- */
#define SCU_SCCR_MCLKSEL_Pos                  (0UL)                     /*!< SCU SCCR: MCLKSEL (Bit 0)                                   */
#define SCU_SCCR_MCLKSEL_Msk                  (0x3UL)                   /*!< SCU SCCR: MCLKSEL (Bitfield-Mask: 0x03)                     */
#define SCU_SCCR_FINSEL_Pos                   (2UL)                     /*!< SCU SCCR: FINSEL (Bit 2)                                    */
#define SCU_SCCR_FINSEL_Msk                   (0x4UL)                   /*!< SCU SCCR: FINSEL (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  SCU_CMR  ---------------------------------- */
#define SCU_CMR_EOSCSTS_Pos                   (0UL)                     /*!< SCU CMR: EOSCSTS (Bit 0)                                    */
#define SCU_CMR_EOSCSTS_Msk                   (0x1UL)                   /*!< SCU CMR: EOSCSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_EOSCFAIL_Pos                  (1UL)                     /*!< SCU CMR: EOSCFAIL (Bit 1)                                   */
#define SCU_CMR_EOSCFAIL_Msk                  (0x2UL)                   /*!< SCU CMR: EOSCFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_EOSCIE_Pos                    (2UL)                     /*!< SCU CMR: EOSCIE (Bit 2)                                     */
#define SCU_CMR_EOSCIE_Msk                    (0x4UL)                   /*!< SCU CMR: EOSCIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_EOSCMNT_Pos                   (3UL)                     /*!< SCU CMR: EOSCMNT (Bit 3)                                    */
#define SCU_CMR_EOSCMNT_Msk                   (0x8UL)                   /*!< SCU CMR: EOSCMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKSTS_Pos                   (4UL)                     /*!< SCU CMR: MCLKSTS (Bit 4)                                    */
#define SCU_CMR_MCLKSTS_Msk                   (0x10UL)                  /*!< SCU CMR: MCLKSTS (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKFAIL_Pos                  (5UL)                     /*!< SCU CMR: MCLKFAIL (Bit 5)                                   */
#define SCU_CMR_MCLKFAIL_Msk                  (0x20UL)                  /*!< SCU CMR: MCLKFAIL (Bitfield-Mask: 0x01)                     */
#define SCU_CMR_MCLKIE_Pos                    (6UL)                     /*!< SCU CMR: MCLKIE (Bit 6)                                     */
#define SCU_CMR_MCLKIE_Msk                    (0x40UL)                  /*!< SCU CMR: MCLKIE (Bitfield-Mask: 0x01)                       */
#define SCU_CMR_MCLKMNT_Pos                   (7UL)                     /*!< SCU CMR: MCLKMNT (Bit 7)                                    */
#define SCU_CMR_MCLKMNT_Msk                   (0x80UL)                  /*!< SCU CMR: MCLKMNT (Bitfield-Mask: 0x01)                      */
#define SCU_CMR_MCLKREC_Pos                   (15UL)                    /*!< SCU CMR: MCLKREC (Bit 15)                                   */
#define SCU_CMR_MCLKREC_Msk                   (0x8000UL)                /*!< SCU CMR: MCLKREC (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  SCU_NMIR  ---------------------------------- */
#define SCU_NMIR_NMIEN_Pos                    (0UL)                     /*!< SCU NMIR: NMIEN (Bit 0)                                     */
#define SCU_NMIR_NMIEN_Msk                    (0x1UL)                   /*!< SCU NMIR: NMIEN (Bitfield-Mask: 0x01)                       */
#define SCU_NMIR_NMIDBEN_Pos                  (1UL)                     /*!< SCU NMIR: NMIDBEN (Bit 1)                                   */
#define SCU_NMIR_NMIDBEN_Msk                  (0x2UL)                   /*!< SCU NMIR: NMIDBEN (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_NMIFLAG_Pos                  (2UL)                     /*!< SCU NMIR: NMIFLAG (Bit 2)                                   */
#define SCU_NMIR_NMIFLAG_Msk                  (0x4UL)                   /*!< SCU NMIR: NMIFLAG (Bitfield-Mask: 0x01)                     */
#define SCU_NMIR_NMISTAT_Pos                  (3UL)                     /*!< SCU NMIR: NMISTAT (Bit 3)                                   */
#define SCU_NMIR_NMISTAT_Msk                  (0x8UL)                   /*!< SCU NMIR: NMISTAT (Bitfield-Mask: 0x01)                     */

/* -----------------------------------  SCU_COR  ---------------------------------- */
#define SCU_COR_CLKODIV_Pos                   (0UL)                     /*!< SCU COR: CLKODIV (Bit 0)                                    */
#define SCU_COR_CLKODIV_Msk                   (0xfUL)                   /*!< SCU COR: CLKODIV (Bitfield-Mask: 0x0f)                      */
#define SCU_COR_CLKOEN_Pos                    (4UL)                     /*!< SCU COR: CLKOEN (Bit 4)                                     */
#define SCU_COR_CLKOEN_Msk                    (0x10UL)                  /*!< SCU COR: CLKOEN (Bitfield-Mask: 0x01)                       */

/* ---------------------------------  SCU_PLLCON  --------------------------------- */
#define SCU_PLLCON_POSTDIV_Pos                (0UL)                     /*!< SCU PLLCON: POSTDIV (Bit 0)                                 */
#define SCU_PLLCON_POSTDIV_Msk                (0xfUL)                   /*!< SCU PLLCON: POSTDIV (Bitfield-Mask: 0x0f)                   */
#define SCU_PLLCON_FBCTRL_Pos                 (4UL)                     /*!< SCU PLLCON: FBCTRL (Bit 4)                                  */
#define SCU_PLLCON_FBCTRL_Msk                 (0xf0UL)                  /*!< SCU PLLCON: FBCTRL (Bitfield-Mask: 0x0f)                    */
#define SCU_PLLCON_PREDIV_Pos                 (8UL)                     /*!< SCU PLLCON: PREDIV (Bit 8)                                  */
#define SCU_PLLCON_PREDIV_Msk                 (0x100UL)                 /*!< SCU PLLCON: PREDIV (Bitfield-Mask: 0x01)                    */
#define SCU_PLLCON_LOCKSTS_Pos                (12UL)                    /*!< SCU PLLCON: LOCKSTS (Bit 12)                                */
#define SCU_PLLCON_LOCKSTS_Msk                (0x1000UL)                /*!< SCU PLLCON: LOCKSTS (Bitfield-Mask: 0x01)                   */
#define SCU_PLLCON_BYPASS_Pos                 (13UL)                    /*!< SCU PLLCON: BYPASS (Bit 13)                                 */
#define SCU_PLLCON_BYPASS_Msk                 (0x2000UL)                /*!< SCU PLLCON: BYPASS (Bitfield-Mask: 0x01)                    */
#define SCU_PLLCON_PLLEN_Pos                  (14UL)                    /*!< SCU PLLCON: PLLEN (Bit 14)                                  */
#define SCU_PLLCON_PLLEN_Msk                  (0x4000UL)                /*!< SCU PLLCON: PLLEN (Bitfield-Mask: 0x01)                     */
#define SCU_PLLCON_PLLRSTB_Pos                (15UL)                    /*!< SCU PLLCON: PLLRSTB (Bit 15)                                */
#define SCU_PLLCON_PLLRSTB_Msk                (0x8000UL)                /*!< SCU PLLCON: PLLRSTB (Bitfield-Mask: 0x01)                   */

/* ---------------------------------  SCU_VDCCON  --------------------------------- */
#define SCU_VDCCON_VDCWDLY_Pos                (0UL)                     /*!< SCU VDCCON: VDCWDLY (Bit 0)                                 */
#define SCU_VDCCON_VDCWDLY_Msk                (0xffUL)                  /*!< SCU VDCCON: VDCWDLY (Bitfield-Mask: 0xff)                   */
#define SCU_VDCCON_VDCDE_Pos                  (8UL)                     /*!< SCU VDCCON: VDCDE (Bit 8)                                   */
#define SCU_VDCCON_VDCDE_Msk                  (0x100UL)                 /*!< SCU VDCCON: VDCDE (Bitfield-Mask: 0x01)                     */
#define SCU_VDCCON_VDCTRIM_Pos                (16UL)                    /*!< SCU VDCCON: VDCTRIM (Bit 16)                                */
#define SCU_VDCCON_VDCTRIM_Msk                (0xf0000UL)               /*!< SCU VDCCON: VDCTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_VDCCON_VDCTE_Pos                  (23UL)                    /*!< SCU VDCCON: VDCTE (Bit 23)                                  */
#define SCU_VDCCON_VDCTE_Msk                  (0x800000UL)              /*!< SCU VDCCON: VDCTE (Bitfield-Mask: 0x01)                     */
#define SCU_VDCCON_BMRTRIM_Pos                (24UL)                    /*!< SCU VDCCON: BMRTRIM (Bit 24)                                */
#define SCU_VDCCON_BMRTRIM_Msk                (0x7000000UL)             /*!< SCU VDCCON: BMRTRIM (Bitfield-Mask: 0x07)                   */
#define SCU_VDCCON_BMRTE_Pos                  (31UL)                    /*!< SCU VDCCON: BMRTE (Bit 31)                                  */
#define SCU_VDCCON_BMRTE_Msk                  (0x80000000UL)            /*!< SCU VDCCON: BMRTE (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  SCU_LVDCON  --------------------------------- */
#define SCU_LVDCON_LVDEN_Pos                  (0UL)                     /*!< SCU LVDCON: LVDEN (Bit 0)                                   */
#define SCU_LVDCON_LVDEN_Msk                  (0x1UL)                   /*!< SCU LVDCON: LVDEN (Bitfield-Mask: 0x01)                     */
#define SCU_LVDCON_LVDLVL_Pos                 (1UL)                     /*!< SCU LVDCON: LVDLVL (Bit 1)                                  */
#define SCU_LVDCON_LVDLVL_Msk                 (0x2UL)                   /*!< SCU LVDCON: LVDLVL (Bitfield-Mask: 0x01)                    */
#define SCU_LVDCON_LVDSEL_Pos                 (8UL)                     /*!< SCU LVDCON: LVDSEL (Bit 8)                                  */
#define SCU_LVDCON_LVDSEL_Msk                 (0x300UL)                 /*!< SCU LVDCON: LVDSEL (Bitfield-Mask: 0x03)                    */
#define SCU_LVDCON_SELEN_Pos                  (15UL)                    /*!< SCU LVDCON: SELEN (Bit 15)                                  */
#define SCU_LVDCON_SELEN_Msk                  (0x8000UL)                /*!< SCU LVDCON: SELEN (Bitfield-Mask: 0x01)                     */
#define SCU_LVDCON_LVDTRIM_Pos                (16UL)                    /*!< SCU LVDCON: LVDTRIM (Bit 16)                                */
#define SCU_LVDCON_LVDTRIM_Msk                (0x30000UL)               /*!< SCU LVDCON: LVDTRIM (Bitfield-Mask: 0x03)                   */
#define SCU_LVDCON_LVDTE_Pos                  (23UL)                    /*!< SCU LVDCON: LVDTE (Bit 23)                                  */
#define SCU_LVDCON_LVDTE_Msk                  (0x800000UL)              /*!< SCU LVDCON: LVDTE (Bitfield-Mask: 0x01)                     */

/* --------------------------------  SCU_IOSCTRIM  -------------------------------- */
#define SCU_IOSCTRIM_UDCL_Pos                 (0UL)                     /*!< SCU IOSCTRIM: UDCL (Bit 0)                                  */
#define SCU_IOSCTRIM_UDCL_Msk                 (0x7UL)                   /*!< SCU IOSCTRIM: UDCL (Bitfield-Mask: 0x07)                    */
#define SCU_IOSCTRIM_UDCH_Pos                 (3UL)                     /*!< SCU IOSCTRIM: UDCH (Bit 3)                                  */
#define SCU_IOSCTRIM_UDCH_Msk                 (0x18UL)                  /*!< SCU IOSCTRIM: UDCH (Bitfield-Mask: 0x03)                    */
#define SCU_IOSCTRIM_UDCEN_Pos                (7UL)                     /*!< SCU IOSCTRIM: UDCEN (Bit 7)                                 */
#define SCU_IOSCTRIM_UDCEN_Msk                (0x80UL)                  /*!< SCU IOSCTRIM: UDCEN (Bitfield-Mask: 0x01)                   */
#define SCU_IOSCTRIM_LTM_Pos                  (8UL)                     /*!< SCU IOSCTRIM: LTM (Bit 8)                                   */
#define SCU_IOSCTRIM_LTM_Msk                  (0x300UL)                 /*!< SCU IOSCTRIM: LTM (Bitfield-Mask: 0x03)                     */
#define SCU_IOSCTRIM_LT_Pos                   (10UL)                    /*!< SCU IOSCTRIM: LT (Bit 10)                                   */
#define SCU_IOSCTRIM_LT_Msk                   (0x3c00UL)                /*!< SCU IOSCTRIM: LT (Bitfield-Mask: 0x0f)                      */
#define SCU_IOSCTRIM_LTEN_Pos                 (15UL)                    /*!< SCU IOSCTRIM: LTEN (Bit 15)                                 */
#define SCU_IOSCTRIM_LTEN_Msk                 (0x8000UL)                /*!< SCU IOSCTRIM: LTEN (Bitfield-Mask: 0x01)                    */
#define SCU_IOSCTRIM_TSL_Pos                  (16UL)                    /*!< SCU IOSCTRIM: TSL (Bit 16)                                  */
#define SCU_IOSCTRIM_TSL_Msk                  (0x70000UL)               /*!< SCU IOSCTRIM: TSL (Bitfield-Mask: 0x07)                     */
#define SCU_IOSCTRIM_TSLEN_Pos                (23UL)                    /*!< SCU IOSCTRIM: TSLEN (Bit 23)                                */
#define SCU_IOSCTRIM_TSLEN_Msk                (0x800000UL)              /*!< SCU IOSCTRIM: TSLEN (Bitfield-Mask: 0x01)                   */

/* --------------------------------  SCU_OPA0TRIM  -------------------------------- */
#define SCU_OPA0TRIM_ATRIM_Pos                (0UL)                     /*!< SCU OPA0TRIM: ATRIM (Bit 0)                                 */
#define SCU_OPA0TRIM_ATRIM_Msk                (0xfUL)                   /*!< SCU OPA0TRIM: ATRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA0TRIM_ATRIMEN_Pos              (7UL)                     /*!< SCU OPA0TRIM: ATRIMEN (Bit 7)                               */
#define SCU_OPA0TRIM_ATRIMEN_Msk              (0x80UL)                  /*!< SCU OPA0TRIM: ATRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA0TRIM_GTRIM_Pos                (8UL)                     /*!< SCU OPA0TRIM: GTRIM (Bit 8)                                 */
#define SCU_OPA0TRIM_GTRIM_Msk                (0xf00UL)                 /*!< SCU OPA0TRIM: GTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA0TRIM_GTRIMEN_Pos              (15UL)                    /*!< SCU OPA0TRIM: GTRIMEN (Bit 15)                              */
#define SCU_OPA0TRIM_GTRIMEN_Msk              (0x8000UL)                /*!< SCU OPA0TRIM: GTRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA0TRIM_ABM_Pos                  (16UL)                    /*!< SCU OPA0TRIM: ABM (Bit 16)                                  */
#define SCU_OPA0TRIM_ABM_Msk                  (0x30000UL)               /*!< SCU OPA0TRIM: ABM (Bitfield-Mask: 0x03)                     */
#define SCU_OPA0TRIM_ABMEN_Pos                (23UL)                    /*!< SCU OPA0TRIM: ABMEN (Bit 23)                                */
#define SCU_OPA0TRIM_ABMEN_Msk                (0x800000UL)              /*!< SCU OPA0TRIM: ABMEN (Bitfield-Mask: 0x01)                   */

/* --------------------------------  SCU_OPA1TRIM  -------------------------------- */
#define SCU_OPA1TRIM_ATRIM_Pos                (0UL)                     /*!< SCU OPA1TRIM: ATRIM (Bit 0)                                 */
#define SCU_OPA1TRIM_ATRIM_Msk                (0xfUL)                   /*!< SCU OPA1TRIM: ATRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA1TRIM_ATRIMEN_Pos              (7UL)                     /*!< SCU OPA1TRIM: ATRIMEN (Bit 7)                               */
#define SCU_OPA1TRIM_ATRIMEN_Msk              (0x80UL)                  /*!< SCU OPA1TRIM: ATRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA1TRIM_GTRIM_Pos                (8UL)                     /*!< SCU OPA1TRIM: GTRIM (Bit 8)                                 */
#define SCU_OPA1TRIM_GTRIM_Msk                (0xf00UL)                 /*!< SCU OPA1TRIM: GTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA1TRIM_GTRIMEN_Pos              (15UL)                    /*!< SCU OPA1TRIM: GTRIMEN (Bit 15)                              */
#define SCU_OPA1TRIM_GTRIMEN_Msk              (0x8000UL)                /*!< SCU OPA1TRIM: GTRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA1TRIM_ABM_Pos                  (16UL)                    /*!< SCU OPA1TRIM: ABM (Bit 16)                                  */
#define SCU_OPA1TRIM_ABM_Msk                  (0x30000UL)               /*!< SCU OPA1TRIM: ABM (Bitfield-Mask: 0x03)                     */
#define SCU_OPA1TRIM_ABMEN_Pos                (23UL)                    /*!< SCU OPA1TRIM: ABMEN (Bit 23)                                */
#define SCU_OPA1TRIM_ABMEN_Msk                (0x800000UL)              /*!< SCU OPA1TRIM: ABMEN (Bitfield-Mask: 0x01)                   */

/* --------------------------------  SCU_OPA2TRIM  -------------------------------- */
#define SCU_OPA2TRIM_ATRIM_Pos                (0UL)                     /*!< SCU OPA2TRIM: ATRIM (Bit 0)                                 */
#define SCU_OPA2TRIM_ATRIM_Msk                (0xfUL)                   /*!< SCU OPA2TRIM: ATRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA2TRIM_ATRIMEN_Pos              (7UL)                     /*!< SCU OPA2TRIM: ATRIMEN (Bit 7)                               */
#define SCU_OPA2TRIM_ATRIMEN_Msk              (0x80UL)                  /*!< SCU OPA2TRIM: ATRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA2TRIM_GTRIM_Pos                (8UL)                     /*!< SCU OPA2TRIM: GTRIM (Bit 8)                                 */
#define SCU_OPA2TRIM_GTRIM_Msk                (0xf00UL)                 /*!< SCU OPA2TRIM: GTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA2TRIM_GTRIMEN_Pos              (15UL)                    /*!< SCU OPA2TRIM: GTRIMEN (Bit 15)                              */
#define SCU_OPA2TRIM_GTRIMEN_Msk              (0x8000UL)                /*!< SCU OPA2TRIM: GTRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA2TRIM_ABM_Pos                  (16UL)                    /*!< SCU OPA2TRIM: ABM (Bit 16)                                  */
#define SCU_OPA2TRIM_ABM_Msk                  (0x30000UL)               /*!< SCU OPA2TRIM: ABM (Bitfield-Mask: 0x03)                     */
#define SCU_OPA2TRIM_ABMEN_Pos                (23UL)                    /*!< SCU OPA2TRIM: ABMEN (Bit 23)                                */
#define SCU_OPA2TRIM_ABMEN_Msk                (0x800000UL)              /*!< SCU OPA2TRIM: ABMEN (Bitfield-Mask: 0x01)                   */

/* --------------------------------  SCU_OPA3TRIM  -------------------------------- */
#define SCU_OPA3TRIM_ATRIM_Pos                (0UL)                     /*!< SCU OPA3TRIM: ATRIM (Bit 0)                                 */
#define SCU_OPA3TRIM_ATRIM_Msk                (0xfUL)                   /*!< SCU OPA3TRIM: ATRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA3TRIM_ATRIMEN_Pos              (7UL)                     /*!< SCU OPA3TRIM: ATRIMEN (Bit 7)                               */
#define SCU_OPA3TRIM_ATRIMEN_Msk              (0x80UL)                  /*!< SCU OPA3TRIM: ATRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA3TRIM_GTRIM_Pos                (8UL)                     /*!< SCU OPA3TRIM: GTRIM (Bit 8)                                 */
#define SCU_OPA3TRIM_GTRIM_Msk                (0xf00UL)                 /*!< SCU OPA3TRIM: GTRIM (Bitfield-Mask: 0x0f)                   */
#define SCU_OPA3TRIM_GTRIMEN_Pos              (15UL)                    /*!< SCU OPA3TRIM: GTRIMEN (Bit 15)                              */
#define SCU_OPA3TRIM_GTRIMEN_Msk              (0x8000UL)                /*!< SCU OPA3TRIM: GTRIMEN (Bitfield-Mask: 0x01)                 */
#define SCU_OPA3TRIM_ABM_Pos                  (16UL)                    /*!< SCU OPA3TRIM: ABM (Bit 16)                                  */
#define SCU_OPA3TRIM_ABM_Msk                  (0x30000UL)               /*!< SCU OPA3TRIM: ABM (Bitfield-Mask: 0x03)                     */
#define SCU_OPA3TRIM_ABMEN_Pos                (23UL)                    /*!< SCU OPA3TRIM: ABMEN (Bit 23)                                */
#define SCU_OPA3TRIM_ABMEN_Msk                (0x800000UL)              /*!< SCU OPA3TRIM: ABMEN (Bitfield-Mask: 0x01)                   */

/* ----------------------------------  SCU_EOSCR  --------------------------------- */
#define SCU_EOSCR_AMPSEL_Pos                  (0UL)                     /*!< SCU EOSCR: AMPSEL (Bit 0)                                   */
#define SCU_EOSCR_AMPSEL_Msk                  (0x1UL)                   /*!< SCU EOSCR: AMPSEL (Bitfield-Mask: 0x01)                     */
#define SCU_EOSCR_AMPEN_Pos                   (7UL)                     /*!< SCU EOSCR: AMPEN (Bit 7)                                    */
#define SCU_EOSCR_AMPEN_Msk                   (0x80UL)                  /*!< SCU EOSCR: AMPEN (Bitfield-Mask: 0x01)                      */
#define SCU_EOSCR_ISEL_Pos                    (8UL)                     /*!< SCU EOSCR: ISEL (Bit 8)                                     */
#define SCU_EOSCR_ISEL_Msk                    (0x300UL)                 /*!< SCU EOSCR: ISEL (Bitfield-Mask: 0x03)                       */
#define SCU_EOSCR_ISELEN_Pos                  (15UL)                    /*!< SCU EOSCR: ISELEN (Bit 15)                                  */
#define SCU_EOSCR_ISELEN_Msk                  (0x8000UL)                /*!< SCU EOSCR: ISELEN (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_EMODR  --------------------------------- */
#define SCU_EMODR_BOOT_Pos                    (0UL)                     /*!< SCU EMODR: BOOT (Bit 0)                                     */
#define SCU_EMODR_BOOT_Msk                    (0x1UL)                   /*!< SCU EMODR: BOOT (Bitfield-Mask: 0x01)                       */
#define SCU_EMODR_TEST_Pos                    (1UL)                     /*!< SCU EMODR: TEST (Bit 1)                                     */
#define SCU_EMODR_TEST_Msk                    (0x2UL)                   /*!< SCU EMODR: TEST (Bitfield-Mask: 0x01)                       */
#define SCU_EMODR_SCANMD_Pos                  (2UL)                     /*!< SCU EMODR: SCANMD (Bit 2)                                   */
#define SCU_EMODR_SCANMD_Msk                  (0x4UL)                   /*!< SCU EMODR: SCANMD (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_MCCR1  --------------------------------- */
#define SCU_MCCR1_STDIV_Pos                   (0UL)                     /*!< SCU MCCR1: STDIV (Bit 0)                                    */
#define SCU_MCCR1_STDIV_Msk                   (0xffUL)                  /*!< SCU MCCR1: STDIV (Bitfield-Mask: 0xff)                      */
#define SCU_MCCR1_STCSEL_Pos                  (8UL)                     /*!< SCU MCCR1: STCSEL (Bit 8)                                   */
#define SCU_MCCR1_STCSEL_Msk                  (0x700UL)                 /*!< SCU MCCR1: STCSEL (Bitfield-Mask: 0x07)                     */
#define SCU_MCCR1_TRACEDIV_Pos                (16UL)                    /*!< SCU MCCR1: TRACEDIV (Bit 16)                                */
#define SCU_MCCR1_TRACEDIV_Msk                (0xff0000UL)              /*!< SCU MCCR1: TRACEDIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR1_TRCSEL_Pos                  (24UL)                    /*!< SCU MCCR1: TRCSEL (Bit 24)                                  */
#define SCU_MCCR1_TRCSEL_Msk                  (0x7000000UL)             /*!< SCU MCCR1: TRCSEL (Bitfield-Mask: 0x07)                     */
#define SCU_MCCR1_TRCPOL_Pos                  (31UL)                    /*!< SCU MCCR1: TRCPOL (Bit 31)                                  */
#define SCU_MCCR1_TRCPOL_Msk                  (0x80000000UL)            /*!< SCU MCCR1: TRCPOL (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  SCU_MCCR2  --------------------------------- */
#define SCU_MCCR2_PWM0DIV_Pos                 (0UL)                     /*!< SCU MCCR2: PWM0DIV (Bit 0)                                  */
#define SCU_MCCR2_PWM0DIV_Msk                 (0xffUL)                  /*!< SCU MCCR2: PWM0DIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR2_PWM0CSEL_Pos                (8UL)                     /*!< SCU MCCR2: PWM0CSEL (Bit 8)                                 */
#define SCU_MCCR2_PWM0CSEL_Msk                (0x700UL)                 /*!< SCU MCCR2: PWM0CSEL (Bitfield-Mask: 0x07)                   */
#define SCU_MCCR2_PWM1DIV_Pos                 (16UL)                    /*!< SCU MCCR2: PWM1DIV (Bit 16)                                 */
#define SCU_MCCR2_PWM1DIV_Msk                 (0xff0000UL)              /*!< SCU MCCR2: PWM1DIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR2_PWM1CSEL_Pos                (24UL)                    /*!< SCU MCCR2: PWM1CSEL (Bit 24)                                */
#define SCU_MCCR2_PWM1CSEL_Msk                (0x7000000UL)             /*!< SCU MCCR2: PWM1CSEL (Bitfield-Mask: 0x07)                   */

/* ----------------------------------  SCU_MCCR3  --------------------------------- */
#define SCU_MCCR3_WDTDIV_Pos                  (0UL)                     /*!< SCU MCCR3: WDTDIV (Bit 0)                                   */
#define SCU_MCCR3_WDTDIV_Msk                  (0xffUL)                  /*!< SCU MCCR3: WDTDIV (Bitfield-Mask: 0xff)                     */
#define SCU_MCCR3_WDTCSEL_Pos                 (8UL)                     /*!< SCU MCCR3: WDTCSEL (Bit 8)                                  */
#define SCU_MCCR3_WDTCSEL_Msk                 (0x700UL)                 /*!< SCU MCCR3: WDTCSEL (Bitfield-Mask: 0x07)                    */
#define SCU_MCCR3_TEXT0DIV_Pos                (16UL)                    /*!< SCU MCCR3: TEXT0DIV (Bit 16)                                */
#define SCU_MCCR3_TEXT0DIV_Msk                (0xff0000UL)              /*!< SCU MCCR3: TEXT0DIV (Bitfield-Mask: 0xff)                   */
#define SCU_MCCR3_TEXT0CSEL_Pos               (24UL)                    /*!< SCU MCCR3: TEXT0CSEL (Bit 24)                               */
#define SCU_MCCR3_TEXT0CSEL_Msk               (0x7000000UL)             /*!< SCU MCCR3: TEXT0CSEL (Bitfield-Mask: 0x07)                  */

/* ---------------------------------  SCU_DBCLK1  --------------------------------- */
#define SCU_DBCLK1_PADDIV_Pos                 (0UL)                     /*!< SCU DBCLK1: PADDIV (Bit 0)                                  */
#define SCU_DBCLK1_PADDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK1: PADDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PADCSEL_Pos                (8UL)                     /*!< SCU DBCLK1: PADCSEL (Bit 8)                                 */
#define SCU_DBCLK1_PADCSEL_Msk                (0x700UL)                 /*!< SCU DBCLK1: PADCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_DBCLK1_PBDDIV_Pos                 (16UL)                    /*!< SCU DBCLK1: PBDDIV (Bit 16)                                 */
#define SCU_DBCLK1_PBDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK1: PBDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK1_PBDSEL_Pos                 (24UL)                    /*!< SCU DBCLK1: PBDSEL (Bit 24)                                 */
#define SCU_DBCLK1_PBDSEL_Msk                 (0x7000000UL)             /*!< SCU DBCLK1: PBDSEL (Bitfield-Mask: 0x07)                    */

/* ---------------------------------  SCU_DBCLK2  --------------------------------- */
#define SCU_DBCLK2_PCDDIV_Pos                 (0UL)                     /*!< SCU DBCLK2: PCDDIV (Bit 0)                                  */
#define SCU_DBCLK2_PCDDIV_Msk                 (0xffUL)                  /*!< SCU DBCLK2: PCDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PCDSEK_Pos                 (8UL)                     /*!< SCU DBCLK2: PCDSEK (Bit 8)                                  */
#define SCU_DBCLK2_PCDSEK_Msk                 (0x700UL)                 /*!< SCU DBCLK2: PCDSEK (Bitfield-Mask: 0x07)                    */
#define SCU_DBCLK2_PDDDIV_Pos                 (16UL)                    /*!< SCU DBCLK2: PDDDIV (Bit 16)                                 */
#define SCU_DBCLK2_PDDDIV_Msk                 (0xff0000UL)              /*!< SCU DBCLK2: PDDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_DBCLK2_PDDCSEL_Pos                (24UL)                    /*!< SCU DBCLK2: PDDCSEL (Bit 24)                                */
#define SCU_DBCLK2_PDDCSEL_Msk                (0x7000000UL)             /*!< SCU DBCLK2: PDDCSEL (Bitfield-Mask: 0x07)                   */

/* ----------------------------------  SCU_MCCR4  --------------------------------- */
#define SCU_MCCR4_ETCDDIV_Pos                 (0UL)                     /*!< SCU MCCR4: ETCDDIV (Bit 0)                                  */
#define SCU_MCCR4_ETCDDIV_Msk                 (0xffUL)                  /*!< SCU MCCR4: ETCDDIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR4_ETCDCSEL_Pos                (8UL)                     /*!< SCU MCCR4: ETCDCSEL (Bit 8)                                 */
#define SCU_MCCR4_ETCDCSEL_Msk                (0x700UL)                 /*!< SCU MCCR4: ETCDCSEL (Bitfield-Mask: 0x07)                   */
#define SCU_MCCR4_ADCCDIV_Pos                 (16UL)                    /*!< SCU MCCR4: ADCCDIV (Bit 16)                                 */
#define SCU_MCCR4_ADCCDIV_Msk                 (0xff0000UL)              /*!< SCU MCCR4: ADCCDIV (Bitfield-Mask: 0xff)                    */
#define SCU_MCCR4_ADCCSEL_Pos                 (24UL)                    /*!< SCU MCCR4: ADCCSEL (Bit 24)                                 */
#define SCU_MCCR4_ADCCSEL_Msk                 (0x7000000UL)             /*!< SCU MCCR4: ADCCSEL (Bitfield-Mask: 0x07)                    */


/* ================================================================================ */
/* ================           struct 'FM' Position & Mask          ================ */
/* ================================================================================ */


/* ------------------------------------  FM_MR  ----------------------------------- */
#define FM_MR_ACODE_Pos                       (0UL)                     /*!< FM MR: ACODE (Bit 0)                                        */
#define FM_MR_ACODE_Msk                       (0xffUL)                  /*!< FM MR: ACODE (Bitfield-Mask: 0xff)                          */
#define FM_MR_FMOD_Pos                        (8UL)                     /*!< FM MR: FMOD (Bit 8)                                         */
#define FM_MR_FMOD_Msk                        (0x100UL)                 /*!< FM MR: FMOD (Bitfield-Mask: 0x01)                           */
#define FM_MR_FEMOD_Pos                       (9UL)                     /*!< FM MR: FEMOD (Bit 9)                                        */
#define FM_MR_FEMOD_Msk                       (0x200UL)                 /*!< FM MR: FEMOD (Bitfield-Mask: 0x01)                          */
#define FM_MR_TRM_Pos                         (16UL)                    /*!< FM MR: TRM (Bit 16)                                         */
#define FM_MR_TRM_Msk                         (0x10000UL)               /*!< FM MR: TRM (Bitfield-Mask: 0x01)                            */
#define FM_MR_TRMEN_Pos                       (17UL)                    /*!< FM MR: TRMEN (Bit 17)                                       */
#define FM_MR_TRMEN_Msk                       (0x20000UL)               /*!< FM MR: TRMEN (Bitfield-Mask: 0x01)                          */
#define FM_MR_AMBAEN_Pos                      (22UL)                    /*!< FM MR: AMBAEN (Bit 22)                                      */
#define FM_MR_AMBAEN_Msk                      (0x400000UL)              /*!< FM MR: AMBAEN (Bitfield-Mask: 0x01)                         */
#define FM_MR_VERIFY_Pos                      (23UL)                    /*!< FM MR: VERIFY (Bit 23)                                      */
#define FM_MR_VERIFY_Msk                      (0x800000UL)              /*!< FM MR: VERIFY (Bitfield-Mask: 0x01)                         */
#define FM_MR_IDLE_Pos                        (24UL)                    /*!< FM MR: IDLE (Bit 24)                                        */
#define FM_MR_IDLE_Msk                        (0x1000000UL)             /*!< FM MR: IDLE (Bitfield-Mask: 0x01)                           */
#define FM_MR_BOOT_Pos                        (31UL)                    /*!< FM MR: BOOT (Bit 31)                                        */
#define FM_MR_BOOT_Msk                        (0x80000000UL)            /*!< FM MR: BOOT (Bitfield-Mask: 0x01)                           */

/* ------------------------------------  FM_CR  ----------------------------------- */
#define FM_CR_PBR_Pos                         (0UL)                     /*!< FM CR: PBR (Bit 0)                                          */
#define FM_CR_PBR_Msk                         (0x1UL)                   /*!< FM CR: PBR (Bitfield-Mask: 0x01)                            */
#define FM_CR_ERS_Pos                         (1UL)                     /*!< FM CR: ERS (Bit 1)                                          */
#define FM_CR_ERS_Msk                         (0x2UL)                   /*!< FM CR: ERS (Bitfield-Mask: 0x01)                            */
#define FM_CR_PGM_Pos                         (2UL)                     /*!< FM CR: PGM (Bit 2)                                          */
#define FM_CR_PGM_Msk                         (0x4UL)                   /*!< FM CR: PGM (Bitfield-Mask: 0x01)                            */
#define FM_CR_PBLD_Pos                        (3UL)                     /*!< FM CR: PBLD (Bit 3)                                         */
#define FM_CR_PBLD_Msk                        (0x8UL)                   /*!< FM CR: PBLD (Bitfield-Mask: 0x01)                           */
#define FM_CR_WE_Pos                          (4UL)                     /*!< FM CR: WE (Bit 4)                                           */
#define FM_CR_WE_Msk                          (0x10UL)                  /*!< FM CR: WE (Bitfield-Mask: 0x01)                             */
#define FM_CR_PMODE_Pos                       (5UL)                     /*!< FM CR: PMODE (Bit 5)                                        */
#define FM_CR_PMODE_Msk                       (0x20UL)                  /*!< FM CR: PMODE (Bitfield-Mask: 0x01)                          */
#define FM_CR_AE_Pos                          (8UL)                     /*!< FM CR: AE (Bit 8)                                           */
#define FM_CR_AE_Msk                          (0x100UL)                 /*!< FM CR: AE (Bitfield-Mask: 0x01)                             */
#define FM_CR_OTPAE_Pos                       (10UL)                    /*!< FM CR: OTPAE (Bit 10)                                       */
#define FM_CR_OTPAE_Msk                       (0x400UL)                 /*!< FM CR: OTPAE (Bitfield-Mask: 0x01)                          */
#define FM_CR_OTPBE_Pos                       (11UL)                    /*!< FM CR: OTPBE (Bit 11)                                       */
#define FM_CR_OTPBE_Msk                       (0x800UL)                 /*!< FM CR: OTPBE (Bitfield-Mask: 0x01)                          */
#define FM_CR_PVER_Pos                        (13UL)                    /*!< FM CR: PVER (Bit 13)                                        */
#define FM_CR_PVER_Msk                        (0x2000UL)                /*!< FM CR: PVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_EVER_Pos                        (14UL)                    /*!< FM CR: EVER (Bit 14)                                        */
#define FM_CR_EVER_Msk                        (0x4000UL)                /*!< FM CR: EVER (Bitfield-Mask: 0x01)                           */
#define FM_CR_VPPOUT_Pos                      (15UL)                    /*!< FM CR: VPPOUT (Bit 15)                                      */
#define FM_CR_VPPOUT_Msk                      (0x8000UL)                /*!< FM CR: VPPOUT (Bitfield-Mask: 0x01)                         */
#define FM_CR_TEST_Pos                        (16UL)                    /*!< FM CR: TEST (Bit 16)                                        */
#define FM_CR_TEST_Msk                        (0x30000UL)               /*!< FM CR: TEST (Bitfield-Mask: 0x03)                           */
#define FM_CR_TIMER_Pos                       (20UL)                    /*!< FM CR: TIMER (Bit 20)                                       */
#define FM_CR_TIMER_Msk                       (0x100000UL)              /*!< FM CR: TIMER (Bitfield-Mask: 0x01)                          */
#define FM_CR_CRCEN_Pos                       (22UL)                    /*!< FM CR: CRCEN (Bit 22)                                       */
#define FM_CR_CRCEN_Msk                       (0x400000UL)              /*!< FM CR: CRCEN (Bitfield-Mask: 0x01)                          */
#define FM_CR_CRCINIT_Pos                     (23UL)                    /*!< FM CR: CRCINIT (Bit 23)                                     */
#define FM_CR_CRCINIT_Msk                     (0x800000UL)              /*!< FM CR: CRCINIT (Bitfield-Mask: 0x01)                        */
#define FM_CR_CLK3_Pos                        (24UL)                    /*!< FM CR: CLK3 (Bit 24)                                        */
#define FM_CR_CLK3_Msk                        (0x1000000UL)             /*!< FM CR: CLK3 (Bitfield-Mask: 0x01)                           */
#define FM_CR_CLK4_Pos                        (25UL)                    /*!< FM CR: CLK4 (Bit 25)                                        */
#define FM_CR_CLK4_Msk                        (0x2000000UL)             /*!< FM CR: CLK4 (Bitfield-Mask: 0x01)                           */
#define FM_CR_PCLK2_Pos                       (27UL)                    /*!< FM CR: PCLK2 (Bit 27)                                       */
#define FM_CR_PCLK2_Msk                       (0x8000000UL)             /*!< FM CR: PCLK2 (Bitfield-Mask: 0x01)                          */
#define FM_CR_TRIM_Pos                        (28UL)                    /*!< FM CR: TRIM (Bit 28)                                        */
#define FM_CR_TRIM_Msk                        (0x70000000UL)            /*!< FM CR: TRIM (Bitfield-Mask: 0x07)                           */
#define FM_CR_HRESPD_Pos                      (31UL)                    /*!< FM CR: HRESPD (Bit 31)                                      */
#define FM_CR_HRESPD_Msk                      (0x80000000UL)            /*!< FM CR: HRESPD (Bitfield-Mask: 0x01)                         */

/* ------------------------------------  FM_AR  ----------------------------------- */
#define FM_AR_FADDR_Pos                       (0UL)                     /*!< FM AR: FADDR (Bit 0)                                        */
#define FM_AR_FADDR_Msk                       (0x7fffUL)                /*!< FM AR: FADDR (Bitfield-Mask: 0x7fff)                        */

/* ------------------------------------  FM_DR  ----------------------------------- */
#define FM_DR_FDATA_Pos                       (0UL)                     /*!< FM DR: FDATA (Bit 0)                                        */
#define FM_DR_FDATA_Msk                       (0xffffffffUL)            /*!< FM DR: FDATA (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  FM_TMR  ----------------------------------- */
#define FM_TMR_TMR_Pos                        (0UL)                     /*!< FM TMR: TMR (Bit 0)                                         */
#define FM_TMR_TMR_Msk                        (0x1ffUL)                 /*!< FM TMR: TMR (Bitfield-Mask: 0x1ff)                          */

/* -----------------------------------  FM_DRTY  ---------------------------------- */
#define FM_DRTY_FDRTY_Pos                     (0UL)                     /*!< FM DRTY: FDRTY (Bit 0)                                      */
#define FM_DRTY_FDRTY_Msk                     (0xffffffffUL)            /*!< FM DRTY: FDRTY (Bitfield-Mask: 0xffffffff)                  */

/* -----------------------------------  FM_TICK  ---------------------------------- */
#define FM_TICK_FTICK_Pos                     (0UL)                     /*!< FM TICK: FTICK (Bit 0)                                      */
#define FM_TICK_FTICK_Msk                     (0x3ffffUL)               /*!< FM TICK: FTICK (Bitfield-Mask: 0x3ffff)                     */

/* -----------------------------------  FM_CRC  ----------------------------------- */
#define FM_CRC_CRC_Pos                        (0UL)                     /*!< FM CRC: CRC (Bit 0)                                         */
#define FM_CRC_CRC_Msk                        (0xffffUL)                /*!< FM CRC: CRC (Bitfield-Mask: 0xffff)                         */

/* ----------------------------------  FM_BOOTCR  --------------------------------- */
#define FM_BOOTCR_BOOTROM_Pos                 (0UL)                     /*!< FM BOOTCR: BOOTROM (Bit 0)                                  */
#define FM_BOOTCR_BOOTROM_Msk                 (0x1UL)                   /*!< FM BOOTCR: BOOTROM (Bitfield-Mask: 0x01)                    */


/* ================================================================================ */
/* ================          struct 'WDT' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  WDT_CON  ---------------------------------- */
#define WDT_CON_WPRS_Pos                      (0UL)                     /*!< WDT CON: WPRS (Bit 0)                                       */
#define WDT_CON_WPRS_Msk                      (0x7UL)                   /*!< WDT CON: WPRS (Bitfield-Mask: 0x07)                         */
#define WDT_CON_CKSEL_Pos                     (3UL)                     /*!< WDT CON: CKSEL (Bit 3)                                      */
#define WDT_CON_CKSEL_Msk                     (0x8UL)                   /*!< WDT CON: CKSEL (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTEN_Pos                     (4UL)                     /*!< WDT CON: WDTEN (Bit 4)                                      */
#define WDT_CON_WDTEN_Msk                     (0x10UL)                  /*!< WDT CON: WDTEN (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTRE_Pos                     (6UL)                     /*!< WDT CON: WDTRE (Bit 6)                                      */
#define WDT_CON_WDTRE_Msk                     (0x40UL)                  /*!< WDT CON: WDTRE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WDTIE_Pos                     (7UL)                     /*!< WDT CON: WDTIE (Bit 7)                                      */
#define WDT_CON_WDTIE_Msk                     (0x80UL)                  /*!< WDT CON: WDTIE (Bitfield-Mask: 0x01)                        */
#define WDT_CON_WUF_Pos                       (8UL)                     /*!< WDT CON: WUF (Bit 8)                                        */
#define WDT_CON_WUF_Msk                       (0x100UL)                 /*!< WDT CON: WUF (Bitfield-Mask: 0x01)                          */
#define WDT_CON_WDBG_Pos                      (15UL)                    /*!< WDT CON: WDBG (Bit 15)                                      */
#define WDT_CON_WDBG_Msk                      (0x8000UL)                /*!< WDT CON: WDBG (Bitfield-Mask: 0x01)                         */


/* ================================================================================ */
/* ================          struct 'DC0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC0_CR  ----------------------------------- */
#define DC0_CR_SIZE_Pos                       (2UL)                     /*!< DC0 CR: SIZE (Bit 2)                                        */
#define DC0_CR_SIZE_Msk                       (0xcUL)                   /*!< DC0 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC0_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC0 CR: TRANSCNT (Bit 16)                                   */
#define DC0_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC0 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC0_SR  ----------------------------------- */
#define DC0_SR_DMAEN_Pos                      (0UL)                     /*!< DC0 SR: DMAEN (Bit 0)                                       */
#define DC0_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC0 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC0_SR_EOT_Pos                        (7UL)                     /*!< DC0 SR: EOT (Bit 7)                                         */
#define DC0_SR_EOT_Msk                        (0x80UL)                  /*!< DC0 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC0_PAR  ---------------------------------- */
#define DC0_PAR_PAR_Pos                       (0UL)                     /*!< DC0 PAR: PAR (Bit 0)                                        */
#define DC0_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC0 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC0_MAR  ---------------------------------- */
#define DC0_MAR_MAR_Pos                       (0UL)                     /*!< DC0 MAR: MAR (Bit 0)                                        */
#define DC0_MAR_MAR_Msk                       (0xffffUL)                /*!< DC0 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC1_CR  ----------------------------------- */
#define DC1_CR_SIZE_Pos                       (2UL)                     /*!< DC1 CR: SIZE (Bit 2)                                        */
#define DC1_CR_SIZE_Msk                       (0xcUL)                   /*!< DC1 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC1_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC1 CR: TRANSCNT (Bit 16)                                   */
#define DC1_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC1 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC1_SR  ----------------------------------- */
#define DC1_SR_DMAEN_Pos                      (0UL)                     /*!< DC1 SR: DMAEN (Bit 0)                                       */
#define DC1_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC1 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC1_SR_EOT_Pos                        (7UL)                     /*!< DC1 SR: EOT (Bit 7)                                         */
#define DC1_SR_EOT_Msk                        (0x80UL)                  /*!< DC1 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC1_PAR  ---------------------------------- */
#define DC1_PAR_PAR_Pos                       (0UL)                     /*!< DC1 PAR: PAR (Bit 0)                                        */
#define DC1_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC1 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC1_MAR  ---------------------------------- */
#define DC1_MAR_MAR_Pos                       (0UL)                     /*!< DC1 MAR: MAR (Bit 0)                                        */
#define DC1_MAR_MAR_Msk                       (0xffffUL)                /*!< DC1 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC2_CR  ----------------------------------- */
#define DC2_CR_SIZE_Pos                       (2UL)                     /*!< DC2 CR: SIZE (Bit 2)                                        */
#define DC2_CR_SIZE_Msk                       (0xcUL)                   /*!< DC2 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC2_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC2 CR: TRANSCNT (Bit 16)                                   */
#define DC2_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC2 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC2_SR  ----------------------------------- */
#define DC2_SR_DMAEN_Pos                      (0UL)                     /*!< DC2 SR: DMAEN (Bit 0)                                       */
#define DC2_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC2 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC2_SR_EOT_Pos                        (7UL)                     /*!< DC2 SR: EOT (Bit 7)                                         */
#define DC2_SR_EOT_Msk                        (0x80UL)                  /*!< DC2 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC2_PAR  ---------------------------------- */
#define DC2_PAR_PAR_Pos                       (0UL)                     /*!< DC2 PAR: PAR (Bit 0)                                        */
#define DC2_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC2 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC2_MAR  ---------------------------------- */
#define DC2_MAR_MAR_Pos                       (0UL)                     /*!< DC2 MAR: MAR (Bit 0)                                        */
#define DC2_MAR_MAR_Msk                       (0xffffUL)                /*!< DC2 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC3_CR  ----------------------------------- */
#define DC3_CR_SIZE_Pos                       (2UL)                     /*!< DC3 CR: SIZE (Bit 2)                                        */
#define DC3_CR_SIZE_Msk                       (0xcUL)                   /*!< DC3 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC3_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC3 CR: TRANSCNT (Bit 16)                                   */
#define DC3_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC3 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC3_SR  ----------------------------------- */
#define DC3_SR_DMAEN_Pos                      (0UL)                     /*!< DC3 SR: DMAEN (Bit 0)                                       */
#define DC3_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC3 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC3_SR_EOT_Pos                        (7UL)                     /*!< DC3 SR: EOT (Bit 7)                                         */
#define DC3_SR_EOT_Msk                        (0x80UL)                  /*!< DC3 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC3_PAR  ---------------------------------- */
#define DC3_PAR_PAR_Pos                       (0UL)                     /*!< DC3 PAR: PAR (Bit 0)                                        */
#define DC3_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC3 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC3_MAR  ---------------------------------- */
#define DC3_MAR_MAR_Pos                       (0UL)                     /*!< DC3 MAR: MAR (Bit 0)                                        */
#define DC3_MAR_MAR_Msk                       (0xffffUL)                /*!< DC3 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC4' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC4_CR  ----------------------------------- */
#define DC4_CR_SIZE_Pos                       (2UL)                     /*!< DC4 CR: SIZE (Bit 2)                                        */
#define DC4_CR_SIZE_Msk                       (0xcUL)                   /*!< DC4 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC4_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC4 CR: TRANSCNT (Bit 16)                                   */
#define DC4_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC4 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC4_SR  ----------------------------------- */
#define DC4_SR_DMAEN_Pos                      (0UL)                     /*!< DC4 SR: DMAEN (Bit 0)                                       */
#define DC4_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC4 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC4_SR_EOT_Pos                        (7UL)                     /*!< DC4 SR: EOT (Bit 7)                                         */
#define DC4_SR_EOT_Msk                        (0x80UL)                  /*!< DC4 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC4_PAR  ---------------------------------- */
#define DC4_PAR_PAR_Pos                       (0UL)                     /*!< DC4 PAR: PAR (Bit 0)                                        */
#define DC4_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC4 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC4_MAR  ---------------------------------- */
#define DC4_MAR_MAR_Pos                       (0UL)                     /*!< DC4 MAR: MAR (Bit 0)                                        */
#define DC4_MAR_MAR_Msk                       (0xffffUL)                /*!< DC4 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC5' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC5_CR  ----------------------------------- */
#define DC5_CR_SIZE_Pos                       (2UL)                     /*!< DC5 CR: SIZE (Bit 2)                                        */
#define DC5_CR_SIZE_Msk                       (0xcUL)                   /*!< DC5 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC5_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC5 CR: TRANSCNT (Bit 16)                                   */
#define DC5_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC5 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC5_SR  ----------------------------------- */
#define DC5_SR_DMAEN_Pos                      (0UL)                     /*!< DC5 SR: DMAEN (Bit 0)                                       */
#define DC5_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC5 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC5_SR_EOT_Pos                        (7UL)                     /*!< DC5 SR: EOT (Bit 7)                                         */
#define DC5_SR_EOT_Msk                        (0x80UL)                  /*!< DC5 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC5_PAR  ---------------------------------- */
#define DC5_PAR_PAR_Pos                       (0UL)                     /*!< DC5 PAR: PAR (Bit 0)                                        */
#define DC5_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC5 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC5_MAR  ---------------------------------- */
#define DC5_MAR_MAR_Pos                       (0UL)                     /*!< DC5 MAR: MAR (Bit 0)                                        */
#define DC5_MAR_MAR_Msk                       (0xffffUL)                /*!< DC5 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC6' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC6_CR  ----------------------------------- */
#define DC6_CR_SIZE_Pos                       (2UL)                     /*!< DC6 CR: SIZE (Bit 2)                                        */
#define DC6_CR_SIZE_Msk                       (0xcUL)                   /*!< DC6 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC6_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC6 CR: TRANSCNT (Bit 16)                                   */
#define DC6_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC6 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC6_SR  ----------------------------------- */
#define DC6_SR_DMAEN_Pos                      (0UL)                     /*!< DC6 SR: DMAEN (Bit 0)                                       */
#define DC6_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC6 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC6_SR_EOT_Pos                        (7UL)                     /*!< DC6 SR: EOT (Bit 7)                                         */
#define DC6_SR_EOT_Msk                        (0x80UL)                  /*!< DC6 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC6_PAR  ---------------------------------- */
#define DC6_PAR_PAR_Pos                       (0UL)                     /*!< DC6 PAR: PAR (Bit 0)                                        */
#define DC6_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC6 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC6_MAR  ---------------------------------- */
#define DC6_MAR_MAR_Pos                       (0UL)                     /*!< DC6 MAR: MAR (Bit 0)                                        */
#define DC6_MAR_MAR_Msk                       (0xffffUL)                /*!< DC6 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC7' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC7_CR  ----------------------------------- */
#define DC7_CR_SIZE_Pos                       (2UL)                     /*!< DC7 CR: SIZE (Bit 2)                                        */
#define DC7_CR_SIZE_Msk                       (0xcUL)                   /*!< DC7 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC7_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC7 CR: TRANSCNT (Bit 16)                                   */
#define DC7_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC7 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC7_SR  ----------------------------------- */
#define DC7_SR_DMAEN_Pos                      (0UL)                     /*!< DC7 SR: DMAEN (Bit 0)                                       */
#define DC7_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC7 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC7_SR_EOT_Pos                        (7UL)                     /*!< DC7 SR: EOT (Bit 7)                                         */
#define DC7_SR_EOT_Msk                        (0x80UL)                  /*!< DC7 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC7_PAR  ---------------------------------- */
#define DC7_PAR_PAR_Pos                       (0UL)                     /*!< DC7 PAR: PAR (Bit 0)                                        */
#define DC7_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC7 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC7_MAR  ---------------------------------- */
#define DC7_MAR_MAR_Pos                       (0UL)                     /*!< DC7 MAR: MAR (Bit 0)                                        */
#define DC7_MAR_MAR_Msk                       (0xffffUL)                /*!< DC7 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC8' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC8_CR  ----------------------------------- */
#define DC8_CR_SIZE_Pos                       (2UL)                     /*!< DC8 CR: SIZE (Bit 2)                                        */
#define DC8_CR_SIZE_Msk                       (0xcUL)                   /*!< DC8 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC8_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC8 CR: TRANSCNT (Bit 16)                                   */
#define DC8_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC8 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC8_SR  ----------------------------------- */
#define DC8_SR_DMAEN_Pos                      (0UL)                     /*!< DC8 SR: DMAEN (Bit 0)                                       */
#define DC8_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC8 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC8_SR_EOT_Pos                        (7UL)                     /*!< DC8 SR: EOT (Bit 7)                                         */
#define DC8_SR_EOT_Msk                        (0x80UL)                  /*!< DC8 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC8_PAR  ---------------------------------- */
#define DC8_PAR_PAR_Pos                       (0UL)                     /*!< DC8 PAR: PAR (Bit 0)                                        */
#define DC8_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC8 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC8_MAR  ---------------------------------- */
#define DC8_MAR_MAR_Pos                       (0UL)                     /*!< DC8 MAR: MAR (Bit 0)                                        */
#define DC8_MAR_MAR_Msk                       (0xffffUL)                /*!< DC8 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC9' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  DC9_CR  ----------------------------------- */
#define DC9_CR_SIZE_Pos                       (2UL)                     /*!< DC9 CR: SIZE (Bit 2)                                        */
#define DC9_CR_SIZE_Msk                       (0xcUL)                   /*!< DC9 CR: SIZE (Bitfield-Mask: 0x03)                          */
#define DC9_CR_TRANSCNT_Pos                   (16UL)                    /*!< DC9 CR: TRANSCNT (Bit 16)                                   */
#define DC9_CR_TRANSCNT_Msk                   (0xfff0000UL)             /*!< DC9 CR: TRANSCNT (Bitfield-Mask: 0xfff)                     */

/* -----------------------------------  DC9_SR  ----------------------------------- */
#define DC9_SR_DMAEN_Pos                      (0UL)                     /*!< DC9 SR: DMAEN (Bit 0)                                       */
#define DC9_SR_DMAEN_Msk                      (0x1UL)                   /*!< DC9 SR: DMAEN (Bitfield-Mask: 0x01)                         */
#define DC9_SR_EOT_Pos                        (7UL)                     /*!< DC9 SR: EOT (Bit 7)                                         */
#define DC9_SR_EOT_Msk                        (0x80UL)                  /*!< DC9 SR: EOT (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  DC9_PAR  ---------------------------------- */
#define DC9_PAR_PAR_Pos                       (0UL)                     /*!< DC9 PAR: PAR (Bit 0)                                        */
#define DC9_PAR_PAR_Msk                       (0xffffffffUL)            /*!< DC9 PAR: PAR (Bitfield-Mask: 0xffffffff)                    */

/* -----------------------------------  DC9_MAR  ---------------------------------- */
#define DC9_MAR_MAR_Pos                       (0UL)                     /*!< DC9 MAR: MAR (Bit 0)                                        */
#define DC9_MAR_MAR_Msk                       (0xffffUL)                /*!< DC9 MAR: MAR (Bitfield-Mask: 0xffff)                        */


/* ================================================================================ */
/* ================          struct 'DC10' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  DC10_CR  ---------------------------------- */
#define DC10_CR_SIZE_Pos                      (2UL)                     /*!< DC10 CR: SIZE (Bit 2)                                       */
#define DC10_CR_SIZE_Msk                      (0xcUL)                   /*!< DC10 CR: SIZE (Bitfield-Mask: 0x03)                         */
#define DC10_CR_TRANSCNT_Pos                  (16UL)                    /*!< DC10 CR: TRANSCNT (Bit 16)                                  */
#define DC10_CR_TRANSCNT_Msk                  (0xfff0000UL)             /*!< DC10 CR: TRANSCNT (Bitfield-Mask: 0xfff)                    */

/* -----------------------------------  DC10_SR  ---------------------------------- */
#define DC10_SR_DMAEN_Pos                     (0UL)                     /*!< DC10 SR: DMAEN (Bit 0)                                      */
#define DC10_SR_DMAEN_Msk                     (0x1UL)                   /*!< DC10 SR: DMAEN (Bitfield-Mask: 0x01)                        */
#define DC10_SR_EOT_Pos                       (7UL)                     /*!< DC10 SR: EOT (Bit 7)                                        */
#define DC10_SR_EOT_Msk                       (0x80UL)                  /*!< DC10 SR: EOT (Bitfield-Mask: 0x01)                          */

/* ----------------------------------  DC10_PAR  ---------------------------------- */
#define DC10_PAR_PAR_Pos                      (0UL)                     /*!< DC10 PAR: PAR (Bit 0)                                       */
#define DC10_PAR_PAR_Msk                      (0xffffffffUL)            /*!< DC10 PAR: PAR (Bitfield-Mask: 0xffffffff)                   */

/* ----------------------------------  DC10_MAR  ---------------------------------- */
#define DC10_MAR_MAR_Pos                      (0UL)                     /*!< DC10 MAR: MAR (Bit 0)                                       */
#define DC10_MAR_MAR_Msk                      (0xffffUL)                /*!< DC10 MAR: MAR (Bitfield-Mask: 0xffff)                       */


/* ================================================================================ */
/* ================          struct 'DC11' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  DC11_CR  ---------------------------------- */
#define DC11_CR_SIZE_Pos                      (2UL)                     /*!< DC11 CR: SIZE (Bit 2)                                       */
#define DC11_CR_SIZE_Msk                      (0xcUL)                   /*!< DC11 CR: SIZE (Bitfield-Mask: 0x03)                         */
#define DC11_CR_TRANSCNT_Pos                  (16UL)                    /*!< DC11 CR: TRANSCNT (Bit 16)                                  */
#define DC11_CR_TRANSCNT_Msk                  (0xfff0000UL)             /*!< DC11 CR: TRANSCNT (Bitfield-Mask: 0xfff)                    */

/* -----------------------------------  DC11_SR  ---------------------------------- */
#define DC11_SR_DMAEN_Pos                     (0UL)                     /*!< DC11 SR: DMAEN (Bit 0)                                      */
#define DC11_SR_DMAEN_Msk                     (0x1UL)                   /*!< DC11 SR: DMAEN (Bitfield-Mask: 0x01)                        */
#define DC11_SR_EOT_Pos                       (7UL)                     /*!< DC11 SR: EOT (Bit 7)                                        */
#define DC11_SR_EOT_Msk                       (0x80UL)                  /*!< DC11 SR: EOT (Bitfield-Mask: 0x01)                          */

/* ----------------------------------  DC11_PAR  ---------------------------------- */
#define DC11_PAR_PAR_Pos                      (0UL)                     /*!< DC11 PAR: PAR (Bit 0)                                       */
#define DC11_PAR_PAR_Msk                      (0xffffffffUL)            /*!< DC11 PAR: PAR (Bitfield-Mask: 0xffffffff)                   */

/* ----------------------------------  DC11_MAR  ---------------------------------- */
#define DC11_MAR_MAR_Pos                      (0UL)                     /*!< DC11 MAR: MAR (Bit 0)                                       */
#define DC11_MAR_MAR_Msk                      (0xffffUL)                /*!< DC11 MAR: MAR (Bitfield-Mask: 0xffff)                       */


/* ================================================================================ */
/* ================          struct 'DC12' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  DC12_CR  ---------------------------------- */
#define DC12_CR_SIZE_Pos                      (2UL)                     /*!< DC12 CR: SIZE (Bit 2)                                       */
#define DC12_CR_SIZE_Msk                      (0xcUL)                   /*!< DC12 CR: SIZE (Bitfield-Mask: 0x03)                         */
#define DC12_CR_TRANSCNT_Pos                  (16UL)                    /*!< DC12 CR: TRANSCNT (Bit 16)                                  */
#define DC12_CR_TRANSCNT_Msk                  (0xfff0000UL)             /*!< DC12 CR: TRANSCNT (Bitfield-Mask: 0xfff)                    */

/* -----------------------------------  DC12_SR  ---------------------------------- */
#define DC12_SR_DMAEN_Pos                     (0UL)                     /*!< DC12 SR: DMAEN (Bit 0)                                      */
#define DC12_SR_DMAEN_Msk                     (0x1UL)                   /*!< DC12 SR: DMAEN (Bitfield-Mask: 0x01)                        */
#define DC12_SR_EOT_Pos                       (7UL)                     /*!< DC12 SR: EOT (Bit 7)                                        */
#define DC12_SR_EOT_Msk                       (0x80UL)                  /*!< DC12 SR: EOT (Bitfield-Mask: 0x01)                          */

/* ----------------------------------  DC12_PAR  ---------------------------------- */
#define DC12_PAR_PAR_Pos                      (0UL)                     /*!< DC12 PAR: PAR (Bit 0)                                       */
#define DC12_PAR_PAR_Msk                      (0xffffffffUL)            /*!< DC12 PAR: PAR (Bitfield-Mask: 0xffffffff)                   */

/* ----------------------------------  DC12_MAR  ---------------------------------- */
#define DC12_MAR_MAR_Pos                      (0UL)                     /*!< DC12 MAR: MAR (Bit 0)                                       */
#define DC12_MAR_MAR_Msk                      (0xffffUL)                /*!< DC12 MAR: MAR (Bitfield-Mask: 0xffff)                       */


/* ================================================================================ */
/* ================          struct 'DC13' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  DC13_CR  ---------------------------------- */
#define DC13_CR_SIZE_Pos                      (2UL)                     /*!< DC13 CR: SIZE (Bit 2)                                       */
#define DC13_CR_SIZE_Msk                      (0xcUL)                   /*!< DC13 CR: SIZE (Bitfield-Mask: 0x03)                         */
#define DC13_CR_TRANSCNT_Pos                  (16UL)                    /*!< DC13 CR: TRANSCNT (Bit 16)                                  */
#define DC13_CR_TRANSCNT_Msk                  (0xfff0000UL)             /*!< DC13 CR: TRANSCNT (Bitfield-Mask: 0xfff)                    */

/* -----------------------------------  DC13_SR  ---------------------------------- */
#define DC13_SR_DMAEN_Pos                     (0UL)                     /*!< DC13 SR: DMAEN (Bit 0)                                      */
#define DC13_SR_DMAEN_Msk                     (0x1UL)                   /*!< DC13 SR: DMAEN (Bitfield-Mask: 0x01)                        */
#define DC13_SR_EOT_Pos                       (7UL)                     /*!< DC13 SR: EOT (Bit 7)                                        */
#define DC13_SR_EOT_Msk                       (0x80UL)                  /*!< DC13 SR: EOT (Bitfield-Mask: 0x01)                          */

/* ----------------------------------  DC13_PAR  ---------------------------------- */
#define DC13_PAR_PAR_Pos                      (0UL)                     /*!< DC13 PAR: PAR (Bit 0)                                       */
#define DC13_PAR_PAR_Msk                      (0xffffffffUL)            /*!< DC13 PAR: PAR (Bitfield-Mask: 0xffffffff)                   */

/* ----------------------------------  DC13_MAR  ---------------------------------- */
#define DC13_MAR_MAR_Pos                      (0UL)                     /*!< DC13 MAR: MAR (Bit 0)                                       */
#define DC13_MAR_MAR_Msk                      (0xffffUL)                /*!< DC13 MAR: MAR (Bitfield-Mask: 0xffff)                       */


/* ================================================================================ */
/* ================          struct 'DC14' Position & Mask         ================ */
/* ================================================================================ */


/* -----------------------------------  DC14_CR  ---------------------------------- */
#define DC14_CR_SIZE_Pos                      (2UL)                     /*!< DC14 CR: SIZE (Bit 2)                                       */
#define DC14_CR_SIZE_Msk                      (0xcUL)                   /*!< DC14 CR: SIZE (Bitfield-Mask: 0x03)                         */
#define DC14_CR_TRANSCNT_Pos                  (16UL)                    /*!< DC14 CR: TRANSCNT (Bit 16)                                  */
#define DC14_CR_TRANSCNT_Msk                  (0xfff0000UL)             /*!< DC14 CR: TRANSCNT (Bitfield-Mask: 0xfff)                    */

/* -----------------------------------  DC14_SR  ---------------------------------- */
#define DC14_SR_DMAEN_Pos                     (0UL)                     /*!< DC14 SR: DMAEN (Bit 0)                                      */
#define DC14_SR_DMAEN_Msk                     (0x1UL)                   /*!< DC14 SR: DMAEN (Bitfield-Mask: 0x01)                        */
#define DC14_SR_EOT_Pos                       (7UL)                     /*!< DC14 SR: EOT (Bit 7)                                        */
#define DC14_SR_EOT_Msk                       (0x80UL)                  /*!< DC14 SR: EOT (Bitfield-Mask: 0x01)                          */

/* ----------------------------------  DC14_PAR  ---------------------------------- */
#define DC14_PAR_PAR_Pos                      (0UL)                     /*!< DC14 PAR: PAR (Bit 0)                                       */
#define DC14_PAR_PAR_Msk                      (0xffffffffUL)            /*!< DC14 PAR: PAR (Bitfield-Mask: 0xffffffff)                   */

/* ----------------------------------  DC14_MAR  ---------------------------------- */
#define DC14_MAR_MAR_Pos                      (0UL)                     /*!< DC14 MAR: MAR (Bit 0)                                       */
#define DC14_MAR_MAR_Msk                      (0xffffUL)                /*!< DC14 MAR: MAR (Bitfield-Mask: 0xffff)                       */


/* ================================================================================ */
/* ================          struct 'PCA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCA_MR  ----------------------------------- */
#define PCA_MR_P0_Pos                         (0UL)                     /*!< PCA MR: P0 (Bit 0)                                          */
#define PCA_MR_P0_Msk                         (0x3UL)                   /*!< PCA MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P1_Pos                         (2UL)                     /*!< PCA MR: P1 (Bit 2)                                          */
#define PCA_MR_P1_Msk                         (0xcUL)                   /*!< PCA MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P2_Pos                         (4UL)                     /*!< PCA MR: P2 (Bit 4)                                          */
#define PCA_MR_P2_Msk                         (0x30UL)                  /*!< PCA MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P3_Pos                         (6UL)                     /*!< PCA MR: P3 (Bit 6)                                          */
#define PCA_MR_P3_Msk                         (0xc0UL)                  /*!< PCA MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P4_Pos                         (8UL)                     /*!< PCA MR: P4 (Bit 8)                                          */
#define PCA_MR_P4_Msk                         (0x300UL)                 /*!< PCA MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P5_Pos                         (10UL)                    /*!< PCA MR: P5 (Bit 10)                                         */
#define PCA_MR_P5_Msk                         (0xc00UL)                 /*!< PCA MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P6_Pos                         (12UL)                    /*!< PCA MR: P6 (Bit 12)                                         */
#define PCA_MR_P6_Msk                         (0x3000UL)                /*!< PCA MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P7_Pos                         (14UL)                    /*!< PCA MR: P7 (Bit 14)                                         */
#define PCA_MR_P7_Msk                         (0xc000UL)                /*!< PCA MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P8_Pos                         (16UL)                    /*!< PCA MR: P8 (Bit 16)                                         */
#define PCA_MR_P8_Msk                         (0x30000UL)               /*!< PCA MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P9_Pos                         (18UL)                    /*!< PCA MR: P9 (Bit 18)                                         */
#define PCA_MR_P9_Msk                         (0xc0000UL)               /*!< PCA MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_MR_P10_Pos                        (20UL)                    /*!< PCA MR: P10 (Bit 20)                                        */
#define PCA_MR_P10_Msk                        (0x300000UL)              /*!< PCA MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P11_Pos                        (22UL)                    /*!< PCA MR: P11 (Bit 22)                                        */
#define PCA_MR_P11_Msk                        (0xc00000UL)              /*!< PCA MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P12_Pos                        (24UL)                    /*!< PCA MR: P12 (Bit 24)                                        */
#define PCA_MR_P12_Msk                        (0x3000000UL)             /*!< PCA MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P13_Pos                        (26UL)                    /*!< PCA MR: P13 (Bit 26)                                        */
#define PCA_MR_P13_Msk                        (0xc000000UL)             /*!< PCA MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P14_Pos                        (28UL)                    /*!< PCA MR: P14 (Bit 28)                                        */
#define PCA_MR_P14_Msk                        (0x30000000UL)            /*!< PCA MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_MR_P15_Pos                        (30UL)                    /*!< PCA MR: P15 (Bit 30)                                        */
#define PCA_MR_P15_Msk                        (0xc0000000UL)            /*!< PCA MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_CR  ----------------------------------- */
#define PCA_CR_P0_Pos                         (0UL)                     /*!< PCA CR: P0 (Bit 0)                                          */
#define PCA_CR_P0_Msk                         (0x3UL)                   /*!< PCA CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P1_Pos                         (2UL)                     /*!< PCA CR: P1 (Bit 2)                                          */
#define PCA_CR_P1_Msk                         (0xcUL)                   /*!< PCA CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P2_Pos                         (4UL)                     /*!< PCA CR: P2 (Bit 4)                                          */
#define PCA_CR_P2_Msk                         (0x30UL)                  /*!< PCA CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P3_Pos                         (6UL)                     /*!< PCA CR: P3 (Bit 6)                                          */
#define PCA_CR_P3_Msk                         (0xc0UL)                  /*!< PCA CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P4_Pos                         (8UL)                     /*!< PCA CR: P4 (Bit 8)                                          */
#define PCA_CR_P4_Msk                         (0x300UL)                 /*!< PCA CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P5_Pos                         (10UL)                    /*!< PCA CR: P5 (Bit 10)                                         */
#define PCA_CR_P5_Msk                         (0xc00UL)                 /*!< PCA CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P6_Pos                         (12UL)                    /*!< PCA CR: P6 (Bit 12)                                         */
#define PCA_CR_P6_Msk                         (0x3000UL)                /*!< PCA CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P7_Pos                         (14UL)                    /*!< PCA CR: P7 (Bit 14)                                         */
#define PCA_CR_P7_Msk                         (0xc000UL)                /*!< PCA CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P8_Pos                         (16UL)                    /*!< PCA CR: P8 (Bit 16)                                         */
#define PCA_CR_P8_Msk                         (0x30000UL)               /*!< PCA CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P9_Pos                         (18UL)                    /*!< PCA CR: P9 (Bit 18)                                         */
#define PCA_CR_P9_Msk                         (0xc0000UL)               /*!< PCA CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCA_CR_P10_Pos                        (20UL)                    /*!< PCA CR: P10 (Bit 20)                                        */
#define PCA_CR_P10_Msk                        (0x300000UL)              /*!< PCA CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P11_Pos                        (22UL)                    /*!< PCA CR: P11 (Bit 22)                                        */
#define PCA_CR_P11_Msk                        (0xc00000UL)              /*!< PCA CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P12_Pos                        (24UL)                    /*!< PCA CR: P12 (Bit 24)                                        */
#define PCA_CR_P12_Msk                        (0x3000000UL)             /*!< PCA CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P13_Pos                        (26UL)                    /*!< PCA CR: P13 (Bit 26)                                        */
#define PCA_CR_P13_Msk                        (0xc000000UL)             /*!< PCA CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P14_Pos                        (28UL)                    /*!< PCA CR: P14 (Bit 28)                                        */
#define PCA_CR_P14_Msk                        (0x30000000UL)            /*!< PCA CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCA_CR_P15_Pos                        (30UL)                    /*!< PCA CR: P15 (Bit 30)                                        */
#define PCA_CR_P15_Msk                        (0xc0000000UL)            /*!< PCA CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCA_PCR  ---------------------------------- */
#define PCA_PCR_P0_Pos                        (0UL)                     /*!< PCA PCR: P0 (Bit 0)                                         */
#define PCA_PCR_P0_Msk                        (0x1UL)                   /*!< PCA PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P1_Pos                        (1UL)                     /*!< PCA PCR: P1 (Bit 1)                                         */
#define PCA_PCR_P1_Msk                        (0x2UL)                   /*!< PCA PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P2_Pos                        (2UL)                     /*!< PCA PCR: P2 (Bit 2)                                         */
#define PCA_PCR_P2_Msk                        (0x4UL)                   /*!< PCA PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P3_Pos                        (3UL)                     /*!< PCA PCR: P3 (Bit 3)                                         */
#define PCA_PCR_P3_Msk                        (0x8UL)                   /*!< PCA PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P4_Pos                        (4UL)                     /*!< PCA PCR: P4 (Bit 4)                                         */
#define PCA_PCR_P4_Msk                        (0x10UL)                  /*!< PCA PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P5_Pos                        (5UL)                     /*!< PCA PCR: P5 (Bit 5)                                         */
#define PCA_PCR_P5_Msk                        (0x20UL)                  /*!< PCA PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P6_Pos                        (6UL)                     /*!< PCA PCR: P6 (Bit 6)                                         */
#define PCA_PCR_P6_Msk                        (0x40UL)                  /*!< PCA PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P7_Pos                        (7UL)                     /*!< PCA PCR: P7 (Bit 7)                                         */
#define PCA_PCR_P7_Msk                        (0x80UL)                  /*!< PCA PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P8_Pos                        (8UL)                     /*!< PCA PCR: P8 (Bit 8)                                         */
#define PCA_PCR_P8_Msk                        (0x100UL)                 /*!< PCA PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P9_Pos                        (9UL)                     /*!< PCA PCR: P9 (Bit 9)                                         */
#define PCA_PCR_P9_Msk                        (0x200UL)                 /*!< PCA PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_PCR_P10_Pos                       (10UL)                    /*!< PCA PCR: P10 (Bit 10)                                       */
#define PCA_PCR_P10_Msk                       (0x400UL)                 /*!< PCA PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P11_Pos                       (11UL)                    /*!< PCA PCR: P11 (Bit 11)                                       */
#define PCA_PCR_P11_Msk                       (0x800UL)                 /*!< PCA PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P12_Pos                       (12UL)                    /*!< PCA PCR: P12 (Bit 12)                                       */
#define PCA_PCR_P12_Msk                       (0x1000UL)                /*!< PCA PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P13_Pos                       (13UL)                    /*!< PCA PCR: P13 (Bit 13)                                       */
#define PCA_PCR_P13_Msk                       (0x2000UL)                /*!< PCA PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P14_Pos                       (14UL)                    /*!< PCA PCR: P14 (Bit 14)                                       */
#define PCA_PCR_P14_Msk                       (0x4000UL)                /*!< PCA PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_PCR_P15_Pos                       (15UL)                    /*!< PCA PCR: P15 (Bit 15)                                       */
#define PCA_PCR_P15_Msk                       (0x8000UL)                /*!< PCA PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_DER  ---------------------------------- */
#define PCA_DER_P0_Pos                        (0UL)                     /*!< PCA DER: P0 (Bit 0)                                         */
#define PCA_DER_P0_Msk                        (0x1UL)                   /*!< PCA DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P1_Pos                        (1UL)                     /*!< PCA DER: P1 (Bit 1)                                         */
#define PCA_DER_P1_Msk                        (0x2UL)                   /*!< PCA DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P2_Pos                        (2UL)                     /*!< PCA DER: P2 (Bit 2)                                         */
#define PCA_DER_P2_Msk                        (0x4UL)                   /*!< PCA DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P3_Pos                        (3UL)                     /*!< PCA DER: P3 (Bit 3)                                         */
#define PCA_DER_P3_Msk                        (0x8UL)                   /*!< PCA DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P4_Pos                        (4UL)                     /*!< PCA DER: P4 (Bit 4)                                         */
#define PCA_DER_P4_Msk                        (0x10UL)                  /*!< PCA DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P5_Pos                        (5UL)                     /*!< PCA DER: P5 (Bit 5)                                         */
#define PCA_DER_P5_Msk                        (0x20UL)                  /*!< PCA DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P6_Pos                        (6UL)                     /*!< PCA DER: P6 (Bit 6)                                         */
#define PCA_DER_P6_Msk                        (0x40UL)                  /*!< PCA DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P7_Pos                        (7UL)                     /*!< PCA DER: P7 (Bit 7)                                         */
#define PCA_DER_P7_Msk                        (0x80UL)                  /*!< PCA DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P8_Pos                        (8UL)                     /*!< PCA DER: P8 (Bit 8)                                         */
#define PCA_DER_P8_Msk                        (0x100UL)                 /*!< PCA DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P9_Pos                        (9UL)                     /*!< PCA DER: P9 (Bit 9)                                         */
#define PCA_DER_P9_Msk                        (0x200UL)                 /*!< PCA DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCA_DER_P10_Pos                       (10UL)                    /*!< PCA DER: P10 (Bit 10)                                       */
#define PCA_DER_P10_Msk                       (0x400UL)                 /*!< PCA DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P11_Pos                       (11UL)                    /*!< PCA DER: P11 (Bit 11)                                       */
#define PCA_DER_P11_Msk                       (0x800UL)                 /*!< PCA DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P12_Pos                       (12UL)                    /*!< PCA DER: P12 (Bit 12)                                       */
#define PCA_DER_P12_Msk                       (0x1000UL)                /*!< PCA DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P13_Pos                       (13UL)                    /*!< PCA DER: P13 (Bit 13)                                       */
#define PCA_DER_P13_Msk                       (0x2000UL)                /*!< PCA DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P14_Pos                       (14UL)                    /*!< PCA DER: P14 (Bit 14)                                       */
#define PCA_DER_P14_Msk                       (0x4000UL)                /*!< PCA DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCA_DER_P15_Pos                       (15UL)                    /*!< PCA DER: P15 (Bit 15)                                       */
#define PCA_DER_P15_Msk                       (0x8000UL)                /*!< PCA DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCA_IER  ---------------------------------- */
#define PCA_IER_P0_Pos                        (0UL)                     /*!< PCA IER: P0 (Bit 0)                                         */
#define PCA_IER_P0_Msk                        (0x3UL)                   /*!< PCA IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P1_Pos                        (2UL)                     /*!< PCA IER: P1 (Bit 2)                                         */
#define PCA_IER_P1_Msk                        (0xcUL)                   /*!< PCA IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P2_Pos                        (4UL)                     /*!< PCA IER: P2 (Bit 4)                                         */
#define PCA_IER_P2_Msk                        (0x30UL)                  /*!< PCA IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P3_Pos                        (6UL)                     /*!< PCA IER: P3 (Bit 6)                                         */
#define PCA_IER_P3_Msk                        (0xc0UL)                  /*!< PCA IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P4_Pos                        (8UL)                     /*!< PCA IER: P4 (Bit 8)                                         */
#define PCA_IER_P4_Msk                        (0x300UL)                 /*!< PCA IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P5_Pos                        (10UL)                    /*!< PCA IER: P5 (Bit 10)                                        */
#define PCA_IER_P5_Msk                        (0xc00UL)                 /*!< PCA IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P6_Pos                        (12UL)                    /*!< PCA IER: P6 (Bit 12)                                        */
#define PCA_IER_P6_Msk                        (0x3000UL)                /*!< PCA IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P7_Pos                        (14UL)                    /*!< PCA IER: P7 (Bit 14)                                        */
#define PCA_IER_P7_Msk                        (0xc000UL)                /*!< PCA IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P8_Pos                        (16UL)                    /*!< PCA IER: P8 (Bit 16)                                        */
#define PCA_IER_P8_Msk                        (0x30000UL)               /*!< PCA IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P9_Pos                        (18UL)                    /*!< PCA IER: P9 (Bit 18)                                        */
#define PCA_IER_P9_Msk                        (0xc0000UL)               /*!< PCA IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_IER_P10_Pos                       (20UL)                    /*!< PCA IER: P10 (Bit 20)                                       */
#define PCA_IER_P10_Msk                       (0x300000UL)              /*!< PCA IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P11_Pos                       (22UL)                    /*!< PCA IER: P11 (Bit 22)                                       */
#define PCA_IER_P11_Msk                       (0xc00000UL)              /*!< PCA IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P12_Pos                       (24UL)                    /*!< PCA IER: P12 (Bit 24)                                       */
#define PCA_IER_P12_Msk                       (0x3000000UL)             /*!< PCA IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P13_Pos                       (26UL)                    /*!< PCA IER: P13 (Bit 26)                                       */
#define PCA_IER_P13_Msk                       (0xc000000UL)             /*!< PCA IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P14_Pos                       (28UL)                    /*!< PCA IER: P14 (Bit 28)                                       */
#define PCA_IER_P14_Msk                       (0x30000000UL)            /*!< PCA IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_IER_P15_Pos                       (30UL)                    /*!< PCA IER: P15 (Bit 30)                                       */
#define PCA_IER_P15_Msk                       (0xc0000000UL)            /*!< PCA IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ISR  ---------------------------------- */
#define PCA_ISR_P0_Pos                        (0UL)                     /*!< PCA ISR: P0 (Bit 0)                                         */
#define PCA_ISR_P0_Msk                        (0x3UL)                   /*!< PCA ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P1_Pos                        (2UL)                     /*!< PCA ISR: P1 (Bit 2)                                         */
#define PCA_ISR_P1_Msk                        (0xcUL)                   /*!< PCA ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P2_Pos                        (4UL)                     /*!< PCA ISR: P2 (Bit 4)                                         */
#define PCA_ISR_P2_Msk                        (0x30UL)                  /*!< PCA ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P3_Pos                        (6UL)                     /*!< PCA ISR: P3 (Bit 6)                                         */
#define PCA_ISR_P3_Msk                        (0xc0UL)                  /*!< PCA ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P4_Pos                        (8UL)                     /*!< PCA ISR: P4 (Bit 8)                                         */
#define PCA_ISR_P4_Msk                        (0x300UL)                 /*!< PCA ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P5_Pos                        (10UL)                    /*!< PCA ISR: P5 (Bit 10)                                        */
#define PCA_ISR_P5_Msk                        (0xc00UL)                 /*!< PCA ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P6_Pos                        (12UL)                    /*!< PCA ISR: P6 (Bit 12)                                        */
#define PCA_ISR_P6_Msk                        (0x3000UL)                /*!< PCA ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P7_Pos                        (14UL)                    /*!< PCA ISR: P7 (Bit 14)                                        */
#define PCA_ISR_P7_Msk                        (0xc000UL)                /*!< PCA ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P8_Pos                        (16UL)                    /*!< PCA ISR: P8 (Bit 16)                                        */
#define PCA_ISR_P8_Msk                        (0x30000UL)               /*!< PCA ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P9_Pos                        (18UL)                    /*!< PCA ISR: P9 (Bit 18)                                        */
#define PCA_ISR_P9_Msk                        (0xc0000UL)               /*!< PCA ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ISR_P10_Pos                       (20UL)                    /*!< PCA ISR: P10 (Bit 20)                                       */
#define PCA_ISR_P10_Msk                       (0x300000UL)              /*!< PCA ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P11_Pos                       (22UL)                    /*!< PCA ISR: P11 (Bit 22)                                       */
#define PCA_ISR_P11_Msk                       (0xc00000UL)              /*!< PCA ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P12_Pos                       (24UL)                    /*!< PCA ISR: P12 (Bit 24)                                       */
#define PCA_ISR_P12_Msk                       (0x3000000UL)             /*!< PCA ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P13_Pos                       (26UL)                    /*!< PCA ISR: P13 (Bit 26)                                       */
#define PCA_ISR_P13_Msk                       (0xc000000UL)             /*!< PCA ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P14_Pos                       (28UL)                    /*!< PCA ISR: P14 (Bit 28)                                       */
#define PCA_ISR_P14_Msk                       (0x30000000UL)            /*!< PCA ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ISR_P15_Pos                       (30UL)                    /*!< PCA ISR: P15 (Bit 30)                                       */
#define PCA_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCA ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCA_ICR  ---------------------------------- */
#define PCA_ICR_P0_Pos                        (0UL)                     /*!< PCA ICR: P0 (Bit 0)                                         */
#define PCA_ICR_P0_Msk                        (0x3UL)                   /*!< PCA ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P1_Pos                        (2UL)                     /*!< PCA ICR: P1 (Bit 2)                                         */
#define PCA_ICR_P1_Msk                        (0xcUL)                   /*!< PCA ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P2_Pos                        (4UL)                     /*!< PCA ICR: P2 (Bit 4)                                         */
#define PCA_ICR_P2_Msk                        (0x30UL)                  /*!< PCA ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P3_Pos                        (6UL)                     /*!< PCA ICR: P3 (Bit 6)                                         */
#define PCA_ICR_P3_Msk                        (0xc0UL)                  /*!< PCA ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P4_Pos                        (8UL)                     /*!< PCA ICR: P4 (Bit 8)                                         */
#define PCA_ICR_P4_Msk                        (0x300UL)                 /*!< PCA ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P5_Pos                        (10UL)                    /*!< PCA ICR: P5 (Bit 10)                                        */
#define PCA_ICR_P5_Msk                        (0xc00UL)                 /*!< PCA ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P6_Pos                        (12UL)                    /*!< PCA ICR: P6 (Bit 12)                                        */
#define PCA_ICR_P6_Msk                        (0x3000UL)                /*!< PCA ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P7_Pos                        (14UL)                    /*!< PCA ICR: P7 (Bit 14)                                        */
#define PCA_ICR_P7_Msk                        (0xc000UL)                /*!< PCA ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P8_Pos                        (16UL)                    /*!< PCA ICR: P8 (Bit 16)                                        */
#define PCA_ICR_P8_Msk                        (0x30000UL)               /*!< PCA ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P9_Pos                        (18UL)                    /*!< PCA ICR: P9 (Bit 18)                                        */
#define PCA_ICR_P9_Msk                        (0xc0000UL)               /*!< PCA ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCA_ICR_P10_Pos                       (20UL)                    /*!< PCA ICR: P10 (Bit 20)                                       */
#define PCA_ICR_P10_Msk                       (0x300000UL)              /*!< PCA ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P11_Pos                       (22UL)                    /*!< PCA ICR: P11 (Bit 22)                                       */
#define PCA_ICR_P11_Msk                       (0xc00000UL)              /*!< PCA ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P12_Pos                       (24UL)                    /*!< PCA ICR: P12 (Bit 24)                                       */
#define PCA_ICR_P12_Msk                       (0x3000000UL)             /*!< PCA ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P13_Pos                       (26UL)                    /*!< PCA ICR: P13 (Bit 26)                                       */
#define PCA_ICR_P13_Msk                       (0xc000000UL)             /*!< PCA ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P14_Pos                       (28UL)                    /*!< PCA ICR: P14 (Bit 28)                                       */
#define PCA_ICR_P14_Msk                       (0x30000000UL)            /*!< PCA ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCA_ICR_P15_Pos                       (30UL)                    /*!< PCA ICR: P15 (Bit 30)                                       */
#define PCA_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCA ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCB_MR  ----------------------------------- */
#define PCB_MR_P0_Pos                         (0UL)                     /*!< PCB MR: P0 (Bit 0)                                          */
#define PCB_MR_P0_Msk                         (0x3UL)                   /*!< PCB MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P1_Pos                         (2UL)                     /*!< PCB MR: P1 (Bit 2)                                          */
#define PCB_MR_P1_Msk                         (0xcUL)                   /*!< PCB MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P2_Pos                         (4UL)                     /*!< PCB MR: P2 (Bit 4)                                          */
#define PCB_MR_P2_Msk                         (0x30UL)                  /*!< PCB MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P3_Pos                         (6UL)                     /*!< PCB MR: P3 (Bit 6)                                          */
#define PCB_MR_P3_Msk                         (0xc0UL)                  /*!< PCB MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P4_Pos                         (8UL)                     /*!< PCB MR: P4 (Bit 8)                                          */
#define PCB_MR_P4_Msk                         (0x300UL)                 /*!< PCB MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P5_Pos                         (10UL)                    /*!< PCB MR: P5 (Bit 10)                                         */
#define PCB_MR_P5_Msk                         (0xc00UL)                 /*!< PCB MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P6_Pos                         (12UL)                    /*!< PCB MR: P6 (Bit 12)                                         */
#define PCB_MR_P6_Msk                         (0x3000UL)                /*!< PCB MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P7_Pos                         (14UL)                    /*!< PCB MR: P7 (Bit 14)                                         */
#define PCB_MR_P7_Msk                         (0xc000UL)                /*!< PCB MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P8_Pos                         (16UL)                    /*!< PCB MR: P8 (Bit 16)                                         */
#define PCB_MR_P8_Msk                         (0x30000UL)               /*!< PCB MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P9_Pos                         (18UL)                    /*!< PCB MR: P9 (Bit 18)                                         */
#define PCB_MR_P9_Msk                         (0xc0000UL)               /*!< PCB MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_MR_P10_Pos                        (20UL)                    /*!< PCB MR: P10 (Bit 20)                                        */
#define PCB_MR_P10_Msk                        (0x300000UL)              /*!< PCB MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P11_Pos                        (22UL)                    /*!< PCB MR: P11 (Bit 22)                                        */
#define PCB_MR_P11_Msk                        (0xc00000UL)              /*!< PCB MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P12_Pos                        (24UL)                    /*!< PCB MR: P12 (Bit 24)                                        */
#define PCB_MR_P12_Msk                        (0x3000000UL)             /*!< PCB MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P13_Pos                        (26UL)                    /*!< PCB MR: P13 (Bit 26)                                        */
#define PCB_MR_P13_Msk                        (0xc000000UL)             /*!< PCB MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P14_Pos                        (28UL)                    /*!< PCB MR: P14 (Bit 28)                                        */
#define PCB_MR_P14_Msk                        (0x30000000UL)            /*!< PCB MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_MR_P15_Pos                        (30UL)                    /*!< PCB MR: P15 (Bit 30)                                        */
#define PCB_MR_P15_Msk                        (0xc0000000UL)            /*!< PCB MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_CR  ----------------------------------- */
#define PCB_CR_P0_Pos                         (0UL)                     /*!< PCB CR: P0 (Bit 0)                                          */
#define PCB_CR_P0_Msk                         (0x3UL)                   /*!< PCB CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P1_Pos                         (2UL)                     /*!< PCB CR: P1 (Bit 2)                                          */
#define PCB_CR_P1_Msk                         (0xcUL)                   /*!< PCB CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P2_Pos                         (4UL)                     /*!< PCB CR: P2 (Bit 4)                                          */
#define PCB_CR_P2_Msk                         (0x30UL)                  /*!< PCB CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P3_Pos                         (6UL)                     /*!< PCB CR: P3 (Bit 6)                                          */
#define PCB_CR_P3_Msk                         (0xc0UL)                  /*!< PCB CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P4_Pos                         (8UL)                     /*!< PCB CR: P4 (Bit 8)                                          */
#define PCB_CR_P4_Msk                         (0x300UL)                 /*!< PCB CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P5_Pos                         (10UL)                    /*!< PCB CR: P5 (Bit 10)                                         */
#define PCB_CR_P5_Msk                         (0xc00UL)                 /*!< PCB CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P6_Pos                         (12UL)                    /*!< PCB CR: P6 (Bit 12)                                         */
#define PCB_CR_P6_Msk                         (0x3000UL)                /*!< PCB CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P7_Pos                         (14UL)                    /*!< PCB CR: P7 (Bit 14)                                         */
#define PCB_CR_P7_Msk                         (0xc000UL)                /*!< PCB CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P8_Pos                         (16UL)                    /*!< PCB CR: P8 (Bit 16)                                         */
#define PCB_CR_P8_Msk                         (0x30000UL)               /*!< PCB CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P9_Pos                         (18UL)                    /*!< PCB CR: P9 (Bit 18)                                         */
#define PCB_CR_P9_Msk                         (0xc0000UL)               /*!< PCB CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCB_CR_P10_Pos                        (20UL)                    /*!< PCB CR: P10 (Bit 20)                                        */
#define PCB_CR_P10_Msk                        (0x300000UL)              /*!< PCB CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P11_Pos                        (22UL)                    /*!< PCB CR: P11 (Bit 22)                                        */
#define PCB_CR_P11_Msk                        (0xc00000UL)              /*!< PCB CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P12_Pos                        (24UL)                    /*!< PCB CR: P12 (Bit 24)                                        */
#define PCB_CR_P12_Msk                        (0x3000000UL)             /*!< PCB CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P13_Pos                        (26UL)                    /*!< PCB CR: P13 (Bit 26)                                        */
#define PCB_CR_P13_Msk                        (0xc000000UL)             /*!< PCB CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P14_Pos                        (28UL)                    /*!< PCB CR: P14 (Bit 28)                                        */
#define PCB_CR_P14_Msk                        (0x30000000UL)            /*!< PCB CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCB_CR_P15_Pos                        (30UL)                    /*!< PCB CR: P15 (Bit 30)                                        */
#define PCB_CR_P15_Msk                        (0xc0000000UL)            /*!< PCB CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCB_PCR  ---------------------------------- */
#define PCB_PCR_P0_Pos                        (0UL)                     /*!< PCB PCR: P0 (Bit 0)                                         */
#define PCB_PCR_P0_Msk                        (0x1UL)                   /*!< PCB PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P1_Pos                        (1UL)                     /*!< PCB PCR: P1 (Bit 1)                                         */
#define PCB_PCR_P1_Msk                        (0x2UL)                   /*!< PCB PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P2_Pos                        (2UL)                     /*!< PCB PCR: P2 (Bit 2)                                         */
#define PCB_PCR_P2_Msk                        (0x4UL)                   /*!< PCB PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P3_Pos                        (3UL)                     /*!< PCB PCR: P3 (Bit 3)                                         */
#define PCB_PCR_P3_Msk                        (0x8UL)                   /*!< PCB PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P4_Pos                        (4UL)                     /*!< PCB PCR: P4 (Bit 4)                                         */
#define PCB_PCR_P4_Msk                        (0x10UL)                  /*!< PCB PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P5_Pos                        (5UL)                     /*!< PCB PCR: P5 (Bit 5)                                         */
#define PCB_PCR_P5_Msk                        (0x20UL)                  /*!< PCB PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P6_Pos                        (6UL)                     /*!< PCB PCR: P6 (Bit 6)                                         */
#define PCB_PCR_P6_Msk                        (0x40UL)                  /*!< PCB PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P7_Pos                        (7UL)                     /*!< PCB PCR: P7 (Bit 7)                                         */
#define PCB_PCR_P7_Msk                        (0x80UL)                  /*!< PCB PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P8_Pos                        (8UL)                     /*!< PCB PCR: P8 (Bit 8)                                         */
#define PCB_PCR_P8_Msk                        (0x100UL)                 /*!< PCB PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P9_Pos                        (9UL)                     /*!< PCB PCR: P9 (Bit 9)                                         */
#define PCB_PCR_P9_Msk                        (0x200UL)                 /*!< PCB PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_PCR_P10_Pos                       (10UL)                    /*!< PCB PCR: P10 (Bit 10)                                       */
#define PCB_PCR_P10_Msk                       (0x400UL)                 /*!< PCB PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P11_Pos                       (11UL)                    /*!< PCB PCR: P11 (Bit 11)                                       */
#define PCB_PCR_P11_Msk                       (0x800UL)                 /*!< PCB PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P12_Pos                       (12UL)                    /*!< PCB PCR: P12 (Bit 12)                                       */
#define PCB_PCR_P12_Msk                       (0x1000UL)                /*!< PCB PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P13_Pos                       (13UL)                    /*!< PCB PCR: P13 (Bit 13)                                       */
#define PCB_PCR_P13_Msk                       (0x2000UL)                /*!< PCB PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P14_Pos                       (14UL)                    /*!< PCB PCR: P14 (Bit 14)                                       */
#define PCB_PCR_P14_Msk                       (0x4000UL)                /*!< PCB PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_PCR_P15_Pos                       (15UL)                    /*!< PCB PCR: P15 (Bit 15)                                       */
#define PCB_PCR_P15_Msk                       (0x8000UL)                /*!< PCB PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_DER  ---------------------------------- */
#define PCB_DER_P0_Pos                        (0UL)                     /*!< PCB DER: P0 (Bit 0)                                         */
#define PCB_DER_P0_Msk                        (0x1UL)                   /*!< PCB DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P1_Pos                        (1UL)                     /*!< PCB DER: P1 (Bit 1)                                         */
#define PCB_DER_P1_Msk                        (0x2UL)                   /*!< PCB DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P2_Pos                        (2UL)                     /*!< PCB DER: P2 (Bit 2)                                         */
#define PCB_DER_P2_Msk                        (0x4UL)                   /*!< PCB DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P3_Pos                        (3UL)                     /*!< PCB DER: P3 (Bit 3)                                         */
#define PCB_DER_P3_Msk                        (0x8UL)                   /*!< PCB DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P4_Pos                        (4UL)                     /*!< PCB DER: P4 (Bit 4)                                         */
#define PCB_DER_P4_Msk                        (0x10UL)                  /*!< PCB DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P5_Pos                        (5UL)                     /*!< PCB DER: P5 (Bit 5)                                         */
#define PCB_DER_P5_Msk                        (0x20UL)                  /*!< PCB DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P6_Pos                        (6UL)                     /*!< PCB DER: P6 (Bit 6)                                         */
#define PCB_DER_P6_Msk                        (0x40UL)                  /*!< PCB DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P7_Pos                        (7UL)                     /*!< PCB DER: P7 (Bit 7)                                         */
#define PCB_DER_P7_Msk                        (0x80UL)                  /*!< PCB DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P8_Pos                        (8UL)                     /*!< PCB DER: P8 (Bit 8)                                         */
#define PCB_DER_P8_Msk                        (0x100UL)                 /*!< PCB DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P9_Pos                        (9UL)                     /*!< PCB DER: P9 (Bit 9)                                         */
#define PCB_DER_P9_Msk                        (0x200UL)                 /*!< PCB DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCB_DER_P10_Pos                       (10UL)                    /*!< PCB DER: P10 (Bit 10)                                       */
#define PCB_DER_P10_Msk                       (0x400UL)                 /*!< PCB DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P11_Pos                       (11UL)                    /*!< PCB DER: P11 (Bit 11)                                       */
#define PCB_DER_P11_Msk                       (0x800UL)                 /*!< PCB DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P12_Pos                       (12UL)                    /*!< PCB DER: P12 (Bit 12)                                       */
#define PCB_DER_P12_Msk                       (0x1000UL)                /*!< PCB DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P13_Pos                       (13UL)                    /*!< PCB DER: P13 (Bit 13)                                       */
#define PCB_DER_P13_Msk                       (0x2000UL)                /*!< PCB DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P14_Pos                       (14UL)                    /*!< PCB DER: P14 (Bit 14)                                       */
#define PCB_DER_P14_Msk                       (0x4000UL)                /*!< PCB DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCB_DER_P15_Pos                       (15UL)                    /*!< PCB DER: P15 (Bit 15)                                       */
#define PCB_DER_P15_Msk                       (0x8000UL)                /*!< PCB DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCB_IER  ---------------------------------- */
#define PCB_IER_P0_Pos                        (0UL)                     /*!< PCB IER: P0 (Bit 0)                                         */
#define PCB_IER_P0_Msk                        (0x3UL)                   /*!< PCB IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P1_Pos                        (2UL)                     /*!< PCB IER: P1 (Bit 2)                                         */
#define PCB_IER_P1_Msk                        (0xcUL)                   /*!< PCB IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P2_Pos                        (4UL)                     /*!< PCB IER: P2 (Bit 4)                                         */
#define PCB_IER_P2_Msk                        (0x30UL)                  /*!< PCB IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P3_Pos                        (6UL)                     /*!< PCB IER: P3 (Bit 6)                                         */
#define PCB_IER_P3_Msk                        (0xc0UL)                  /*!< PCB IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P4_Pos                        (8UL)                     /*!< PCB IER: P4 (Bit 8)                                         */
#define PCB_IER_P4_Msk                        (0x300UL)                 /*!< PCB IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P5_Pos                        (10UL)                    /*!< PCB IER: P5 (Bit 10)                                        */
#define PCB_IER_P5_Msk                        (0xc00UL)                 /*!< PCB IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P6_Pos                        (12UL)                    /*!< PCB IER: P6 (Bit 12)                                        */
#define PCB_IER_P6_Msk                        (0x3000UL)                /*!< PCB IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P7_Pos                        (14UL)                    /*!< PCB IER: P7 (Bit 14)                                        */
#define PCB_IER_P7_Msk                        (0xc000UL)                /*!< PCB IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P8_Pos                        (16UL)                    /*!< PCB IER: P8 (Bit 16)                                        */
#define PCB_IER_P8_Msk                        (0x30000UL)               /*!< PCB IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P9_Pos                        (18UL)                    /*!< PCB IER: P9 (Bit 18)                                        */
#define PCB_IER_P9_Msk                        (0xc0000UL)               /*!< PCB IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_IER_P10_Pos                       (20UL)                    /*!< PCB IER: P10 (Bit 20)                                       */
#define PCB_IER_P10_Msk                       (0x300000UL)              /*!< PCB IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P11_Pos                       (22UL)                    /*!< PCB IER: P11 (Bit 22)                                       */
#define PCB_IER_P11_Msk                       (0xc00000UL)              /*!< PCB IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P12_Pos                       (24UL)                    /*!< PCB IER: P12 (Bit 24)                                       */
#define PCB_IER_P12_Msk                       (0x3000000UL)             /*!< PCB IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P13_Pos                       (26UL)                    /*!< PCB IER: P13 (Bit 26)                                       */
#define PCB_IER_P13_Msk                       (0xc000000UL)             /*!< PCB IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P14_Pos                       (28UL)                    /*!< PCB IER: P14 (Bit 28)                                       */
#define PCB_IER_P14_Msk                       (0x30000000UL)            /*!< PCB IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_IER_P15_Pos                       (30UL)                    /*!< PCB IER: P15 (Bit 30)                                       */
#define PCB_IER_P15_Msk                       (0xc0000000UL)            /*!< PCB IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ISR  ---------------------------------- */
#define PCB_ISR_P0_Pos                        (0UL)                     /*!< PCB ISR: P0 (Bit 0)                                         */
#define PCB_ISR_P0_Msk                        (0x3UL)                   /*!< PCB ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P1_Pos                        (2UL)                     /*!< PCB ISR: P1 (Bit 2)                                         */
#define PCB_ISR_P1_Msk                        (0xcUL)                   /*!< PCB ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P2_Pos                        (4UL)                     /*!< PCB ISR: P2 (Bit 4)                                         */
#define PCB_ISR_P2_Msk                        (0x30UL)                  /*!< PCB ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P3_Pos                        (6UL)                     /*!< PCB ISR: P3 (Bit 6)                                         */
#define PCB_ISR_P3_Msk                        (0xc0UL)                  /*!< PCB ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P4_Pos                        (8UL)                     /*!< PCB ISR: P4 (Bit 8)                                         */
#define PCB_ISR_P4_Msk                        (0x300UL)                 /*!< PCB ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P5_Pos                        (10UL)                    /*!< PCB ISR: P5 (Bit 10)                                        */
#define PCB_ISR_P5_Msk                        (0xc00UL)                 /*!< PCB ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P6_Pos                        (12UL)                    /*!< PCB ISR: P6 (Bit 12)                                        */
#define PCB_ISR_P6_Msk                        (0x3000UL)                /*!< PCB ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P7_Pos                        (14UL)                    /*!< PCB ISR: P7 (Bit 14)                                        */
#define PCB_ISR_P7_Msk                        (0xc000UL)                /*!< PCB ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P8_Pos                        (16UL)                    /*!< PCB ISR: P8 (Bit 16)                                        */
#define PCB_ISR_P8_Msk                        (0x30000UL)               /*!< PCB ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P9_Pos                        (18UL)                    /*!< PCB ISR: P9 (Bit 18)                                        */
#define PCB_ISR_P9_Msk                        (0xc0000UL)               /*!< PCB ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ISR_P10_Pos                       (20UL)                    /*!< PCB ISR: P10 (Bit 20)                                       */
#define PCB_ISR_P10_Msk                       (0x300000UL)              /*!< PCB ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P11_Pos                       (22UL)                    /*!< PCB ISR: P11 (Bit 22)                                       */
#define PCB_ISR_P11_Msk                       (0xc00000UL)              /*!< PCB ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P12_Pos                       (24UL)                    /*!< PCB ISR: P12 (Bit 24)                                       */
#define PCB_ISR_P12_Msk                       (0x3000000UL)             /*!< PCB ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P13_Pos                       (26UL)                    /*!< PCB ISR: P13 (Bit 26)                                       */
#define PCB_ISR_P13_Msk                       (0xc000000UL)             /*!< PCB ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P14_Pos                       (28UL)                    /*!< PCB ISR: P14 (Bit 28)                                       */
#define PCB_ISR_P14_Msk                       (0x30000000UL)            /*!< PCB ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ISR_P15_Pos                       (30UL)                    /*!< PCB ISR: P15 (Bit 30)                                       */
#define PCB_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCB ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCB_ICR  ---------------------------------- */
#define PCB_ICR_P0_Pos                        (0UL)                     /*!< PCB ICR: P0 (Bit 0)                                         */
#define PCB_ICR_P0_Msk                        (0x3UL)                   /*!< PCB ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P1_Pos                        (2UL)                     /*!< PCB ICR: P1 (Bit 2)                                         */
#define PCB_ICR_P1_Msk                        (0xcUL)                   /*!< PCB ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P2_Pos                        (4UL)                     /*!< PCB ICR: P2 (Bit 4)                                         */
#define PCB_ICR_P2_Msk                        (0x30UL)                  /*!< PCB ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P3_Pos                        (6UL)                     /*!< PCB ICR: P3 (Bit 6)                                         */
#define PCB_ICR_P3_Msk                        (0xc0UL)                  /*!< PCB ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P4_Pos                        (8UL)                     /*!< PCB ICR: P4 (Bit 8)                                         */
#define PCB_ICR_P4_Msk                        (0x300UL)                 /*!< PCB ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P5_Pos                        (10UL)                    /*!< PCB ICR: P5 (Bit 10)                                        */
#define PCB_ICR_P5_Msk                        (0xc00UL)                 /*!< PCB ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P6_Pos                        (12UL)                    /*!< PCB ICR: P6 (Bit 12)                                        */
#define PCB_ICR_P6_Msk                        (0x3000UL)                /*!< PCB ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P7_Pos                        (14UL)                    /*!< PCB ICR: P7 (Bit 14)                                        */
#define PCB_ICR_P7_Msk                        (0xc000UL)                /*!< PCB ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P8_Pos                        (16UL)                    /*!< PCB ICR: P8 (Bit 16)                                        */
#define PCB_ICR_P8_Msk                        (0x30000UL)               /*!< PCB ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P9_Pos                        (18UL)                    /*!< PCB ICR: P9 (Bit 18)                                        */
#define PCB_ICR_P9_Msk                        (0xc0000UL)               /*!< PCB ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCB_ICR_P10_Pos                       (20UL)                    /*!< PCB ICR: P10 (Bit 20)                                       */
#define PCB_ICR_P10_Msk                       (0x300000UL)              /*!< PCB ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P11_Pos                       (22UL)                    /*!< PCB ICR: P11 (Bit 22)                                       */
#define PCB_ICR_P11_Msk                       (0xc00000UL)              /*!< PCB ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P12_Pos                       (24UL)                    /*!< PCB ICR: P12 (Bit 24)                                       */
#define PCB_ICR_P12_Msk                       (0x3000000UL)             /*!< PCB ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P13_Pos                       (26UL)                    /*!< PCB ICR: P13 (Bit 26)                                       */
#define PCB_ICR_P13_Msk                       (0xc000000UL)             /*!< PCB ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P14_Pos                       (28UL)                    /*!< PCB ICR: P14 (Bit 28)                                       */
#define PCB_ICR_P14_Msk                       (0x30000000UL)            /*!< PCB ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCB_ICR_P15_Pos                       (30UL)                    /*!< PCB ICR: P15 (Bit 30)                                       */
#define PCB_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCB ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCC_MR  ----------------------------------- */
#define PCC_MR_P0_Pos                         (0UL)                     /*!< PCC MR: P0 (Bit 0)                                          */
#define PCC_MR_P0_Msk                         (0x3UL)                   /*!< PCC MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P1_Pos                         (2UL)                     /*!< PCC MR: P1 (Bit 2)                                          */
#define PCC_MR_P1_Msk                         (0xcUL)                   /*!< PCC MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P2_Pos                         (4UL)                     /*!< PCC MR: P2 (Bit 4)                                          */
#define PCC_MR_P2_Msk                         (0x30UL)                  /*!< PCC MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P3_Pos                         (6UL)                     /*!< PCC MR: P3 (Bit 6)                                          */
#define PCC_MR_P3_Msk                         (0xc0UL)                  /*!< PCC MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P4_Pos                         (8UL)                     /*!< PCC MR: P4 (Bit 8)                                          */
#define PCC_MR_P4_Msk                         (0x300UL)                 /*!< PCC MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P5_Pos                         (10UL)                    /*!< PCC MR: P5 (Bit 10)                                         */
#define PCC_MR_P5_Msk                         (0xc00UL)                 /*!< PCC MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P6_Pos                         (12UL)                    /*!< PCC MR: P6 (Bit 12)                                         */
#define PCC_MR_P6_Msk                         (0x3000UL)                /*!< PCC MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P7_Pos                         (14UL)                    /*!< PCC MR: P7 (Bit 14)                                         */
#define PCC_MR_P7_Msk                         (0xc000UL)                /*!< PCC MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P8_Pos                         (16UL)                    /*!< PCC MR: P8 (Bit 16)                                         */
#define PCC_MR_P8_Msk                         (0x30000UL)               /*!< PCC MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P9_Pos                         (18UL)                    /*!< PCC MR: P9 (Bit 18)                                         */
#define PCC_MR_P9_Msk                         (0xc0000UL)               /*!< PCC MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_MR_P10_Pos                        (20UL)                    /*!< PCC MR: P10 (Bit 20)                                        */
#define PCC_MR_P10_Msk                        (0x300000UL)              /*!< PCC MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P11_Pos                        (22UL)                    /*!< PCC MR: P11 (Bit 22)                                        */
#define PCC_MR_P11_Msk                        (0xc00000UL)              /*!< PCC MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P12_Pos                        (24UL)                    /*!< PCC MR: P12 (Bit 24)                                        */
#define PCC_MR_P12_Msk                        (0x3000000UL)             /*!< PCC MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P13_Pos                        (26UL)                    /*!< PCC MR: P13 (Bit 26)                                        */
#define PCC_MR_P13_Msk                        (0xc000000UL)             /*!< PCC MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P14_Pos                        (28UL)                    /*!< PCC MR: P14 (Bit 28)                                        */
#define PCC_MR_P14_Msk                        (0x30000000UL)            /*!< PCC MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_MR_P15_Pos                        (30UL)                    /*!< PCC MR: P15 (Bit 30)                                        */
#define PCC_MR_P15_Msk                        (0xc0000000UL)            /*!< PCC MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_CR  ----------------------------------- */
#define PCC_CR_P0_Pos                         (0UL)                     /*!< PCC CR: P0 (Bit 0)                                          */
#define PCC_CR_P0_Msk                         (0x3UL)                   /*!< PCC CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P1_Pos                         (2UL)                     /*!< PCC CR: P1 (Bit 2)                                          */
#define PCC_CR_P1_Msk                         (0xcUL)                   /*!< PCC CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P2_Pos                         (4UL)                     /*!< PCC CR: P2 (Bit 4)                                          */
#define PCC_CR_P2_Msk                         (0x30UL)                  /*!< PCC CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P3_Pos                         (6UL)                     /*!< PCC CR: P3 (Bit 6)                                          */
#define PCC_CR_P3_Msk                         (0xc0UL)                  /*!< PCC CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P4_Pos                         (8UL)                     /*!< PCC CR: P4 (Bit 8)                                          */
#define PCC_CR_P4_Msk                         (0x300UL)                 /*!< PCC CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P5_Pos                         (10UL)                    /*!< PCC CR: P5 (Bit 10)                                         */
#define PCC_CR_P5_Msk                         (0xc00UL)                 /*!< PCC CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P6_Pos                         (12UL)                    /*!< PCC CR: P6 (Bit 12)                                         */
#define PCC_CR_P6_Msk                         (0x3000UL)                /*!< PCC CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P7_Pos                         (14UL)                    /*!< PCC CR: P7 (Bit 14)                                         */
#define PCC_CR_P7_Msk                         (0xc000UL)                /*!< PCC CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P8_Pos                         (16UL)                    /*!< PCC CR: P8 (Bit 16)                                         */
#define PCC_CR_P8_Msk                         (0x30000UL)               /*!< PCC CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P9_Pos                         (18UL)                    /*!< PCC CR: P9 (Bit 18)                                         */
#define PCC_CR_P9_Msk                         (0xc0000UL)               /*!< PCC CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCC_CR_P10_Pos                        (20UL)                    /*!< PCC CR: P10 (Bit 20)                                        */
#define PCC_CR_P10_Msk                        (0x300000UL)              /*!< PCC CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P11_Pos                        (22UL)                    /*!< PCC CR: P11 (Bit 22)                                        */
#define PCC_CR_P11_Msk                        (0xc00000UL)              /*!< PCC CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P12_Pos                        (24UL)                    /*!< PCC CR: P12 (Bit 24)                                        */
#define PCC_CR_P12_Msk                        (0x3000000UL)             /*!< PCC CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P13_Pos                        (26UL)                    /*!< PCC CR: P13 (Bit 26)                                        */
#define PCC_CR_P13_Msk                        (0xc000000UL)             /*!< PCC CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P14_Pos                        (28UL)                    /*!< PCC CR: P14 (Bit 28)                                        */
#define PCC_CR_P14_Msk                        (0x30000000UL)            /*!< PCC CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCC_CR_P15_Pos                        (30UL)                    /*!< PCC CR: P15 (Bit 30)                                        */
#define PCC_CR_P15_Msk                        (0xc0000000UL)            /*!< PCC CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCC_PCR  ---------------------------------- */
#define PCC_PCR_P0_Pos                        (0UL)                     /*!< PCC PCR: P0 (Bit 0)                                         */
#define PCC_PCR_P0_Msk                        (0x1UL)                   /*!< PCC PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P1_Pos                        (1UL)                     /*!< PCC PCR: P1 (Bit 1)                                         */
#define PCC_PCR_P1_Msk                        (0x2UL)                   /*!< PCC PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P2_Pos                        (2UL)                     /*!< PCC PCR: P2 (Bit 2)                                         */
#define PCC_PCR_P2_Msk                        (0x4UL)                   /*!< PCC PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P3_Pos                        (3UL)                     /*!< PCC PCR: P3 (Bit 3)                                         */
#define PCC_PCR_P3_Msk                        (0x8UL)                   /*!< PCC PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P4_Pos                        (4UL)                     /*!< PCC PCR: P4 (Bit 4)                                         */
#define PCC_PCR_P4_Msk                        (0x10UL)                  /*!< PCC PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P5_Pos                        (5UL)                     /*!< PCC PCR: P5 (Bit 5)                                         */
#define PCC_PCR_P5_Msk                        (0x20UL)                  /*!< PCC PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P6_Pos                        (6UL)                     /*!< PCC PCR: P6 (Bit 6)                                         */
#define PCC_PCR_P6_Msk                        (0x40UL)                  /*!< PCC PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P7_Pos                        (7UL)                     /*!< PCC PCR: P7 (Bit 7)                                         */
#define PCC_PCR_P7_Msk                        (0x80UL)                  /*!< PCC PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P8_Pos                        (8UL)                     /*!< PCC PCR: P8 (Bit 8)                                         */
#define PCC_PCR_P8_Msk                        (0x100UL)                 /*!< PCC PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P9_Pos                        (9UL)                     /*!< PCC PCR: P9 (Bit 9)                                         */
#define PCC_PCR_P9_Msk                        (0x200UL)                 /*!< PCC PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_PCR_P10_Pos                       (10UL)                    /*!< PCC PCR: P10 (Bit 10)                                       */
#define PCC_PCR_P10_Msk                       (0x400UL)                 /*!< PCC PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P11_Pos                       (11UL)                    /*!< PCC PCR: P11 (Bit 11)                                       */
#define PCC_PCR_P11_Msk                       (0x800UL)                 /*!< PCC PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P12_Pos                       (12UL)                    /*!< PCC PCR: P12 (Bit 12)                                       */
#define PCC_PCR_P12_Msk                       (0x1000UL)                /*!< PCC PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P13_Pos                       (13UL)                    /*!< PCC PCR: P13 (Bit 13)                                       */
#define PCC_PCR_P13_Msk                       (0x2000UL)                /*!< PCC PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P14_Pos                       (14UL)                    /*!< PCC PCR: P14 (Bit 14)                                       */
#define PCC_PCR_P14_Msk                       (0x4000UL)                /*!< PCC PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_PCR_P15_Pos                       (15UL)                    /*!< PCC PCR: P15 (Bit 15)                                       */
#define PCC_PCR_P15_Msk                       (0x8000UL)                /*!< PCC PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_DER  ---------------------------------- */
#define PCC_DER_P0_Pos                        (0UL)                     /*!< PCC DER: P0 (Bit 0)                                         */
#define PCC_DER_P0_Msk                        (0x1UL)                   /*!< PCC DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P1_Pos                        (1UL)                     /*!< PCC DER: P1 (Bit 1)                                         */
#define PCC_DER_P1_Msk                        (0x2UL)                   /*!< PCC DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P2_Pos                        (2UL)                     /*!< PCC DER: P2 (Bit 2)                                         */
#define PCC_DER_P2_Msk                        (0x4UL)                   /*!< PCC DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P3_Pos                        (3UL)                     /*!< PCC DER: P3 (Bit 3)                                         */
#define PCC_DER_P3_Msk                        (0x8UL)                   /*!< PCC DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P4_Pos                        (4UL)                     /*!< PCC DER: P4 (Bit 4)                                         */
#define PCC_DER_P4_Msk                        (0x10UL)                  /*!< PCC DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P5_Pos                        (5UL)                     /*!< PCC DER: P5 (Bit 5)                                         */
#define PCC_DER_P5_Msk                        (0x20UL)                  /*!< PCC DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P6_Pos                        (6UL)                     /*!< PCC DER: P6 (Bit 6)                                         */
#define PCC_DER_P6_Msk                        (0x40UL)                  /*!< PCC DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P7_Pos                        (7UL)                     /*!< PCC DER: P7 (Bit 7)                                         */
#define PCC_DER_P7_Msk                        (0x80UL)                  /*!< PCC DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P8_Pos                        (8UL)                     /*!< PCC DER: P8 (Bit 8)                                         */
#define PCC_DER_P8_Msk                        (0x100UL)                 /*!< PCC DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P9_Pos                        (9UL)                     /*!< PCC DER: P9 (Bit 9)                                         */
#define PCC_DER_P9_Msk                        (0x200UL)                 /*!< PCC DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCC_DER_P10_Pos                       (10UL)                    /*!< PCC DER: P10 (Bit 10)                                       */
#define PCC_DER_P10_Msk                       (0x400UL)                 /*!< PCC DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P11_Pos                       (11UL)                    /*!< PCC DER: P11 (Bit 11)                                       */
#define PCC_DER_P11_Msk                       (0x800UL)                 /*!< PCC DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P12_Pos                       (12UL)                    /*!< PCC DER: P12 (Bit 12)                                       */
#define PCC_DER_P12_Msk                       (0x1000UL)                /*!< PCC DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P13_Pos                       (13UL)                    /*!< PCC DER: P13 (Bit 13)                                       */
#define PCC_DER_P13_Msk                       (0x2000UL)                /*!< PCC DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P14_Pos                       (14UL)                    /*!< PCC DER: P14 (Bit 14)                                       */
#define PCC_DER_P14_Msk                       (0x4000UL)                /*!< PCC DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCC_DER_P15_Pos                       (15UL)                    /*!< PCC DER: P15 (Bit 15)                                       */
#define PCC_DER_P15_Msk                       (0x8000UL)                /*!< PCC DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCC_IER  ---------------------------------- */
#define PCC_IER_P0_Pos                        (0UL)                     /*!< PCC IER: P0 (Bit 0)                                         */
#define PCC_IER_P0_Msk                        (0x3UL)                   /*!< PCC IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P1_Pos                        (2UL)                     /*!< PCC IER: P1 (Bit 2)                                         */
#define PCC_IER_P1_Msk                        (0xcUL)                   /*!< PCC IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P2_Pos                        (4UL)                     /*!< PCC IER: P2 (Bit 4)                                         */
#define PCC_IER_P2_Msk                        (0x30UL)                  /*!< PCC IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P3_Pos                        (6UL)                     /*!< PCC IER: P3 (Bit 6)                                         */
#define PCC_IER_P3_Msk                        (0xc0UL)                  /*!< PCC IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P4_Pos                        (8UL)                     /*!< PCC IER: P4 (Bit 8)                                         */
#define PCC_IER_P4_Msk                        (0x300UL)                 /*!< PCC IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P5_Pos                        (10UL)                    /*!< PCC IER: P5 (Bit 10)                                        */
#define PCC_IER_P5_Msk                        (0xc00UL)                 /*!< PCC IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P6_Pos                        (12UL)                    /*!< PCC IER: P6 (Bit 12)                                        */
#define PCC_IER_P6_Msk                        (0x3000UL)                /*!< PCC IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P7_Pos                        (14UL)                    /*!< PCC IER: P7 (Bit 14)                                        */
#define PCC_IER_P7_Msk                        (0xc000UL)                /*!< PCC IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P8_Pos                        (16UL)                    /*!< PCC IER: P8 (Bit 16)                                        */
#define PCC_IER_P8_Msk                        (0x30000UL)               /*!< PCC IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P9_Pos                        (18UL)                    /*!< PCC IER: P9 (Bit 18)                                        */
#define PCC_IER_P9_Msk                        (0xc0000UL)               /*!< PCC IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_IER_P10_Pos                       (20UL)                    /*!< PCC IER: P10 (Bit 20)                                       */
#define PCC_IER_P10_Msk                       (0x300000UL)              /*!< PCC IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P11_Pos                       (22UL)                    /*!< PCC IER: P11 (Bit 22)                                       */
#define PCC_IER_P11_Msk                       (0xc00000UL)              /*!< PCC IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P12_Pos                       (24UL)                    /*!< PCC IER: P12 (Bit 24)                                       */
#define PCC_IER_P12_Msk                       (0x3000000UL)             /*!< PCC IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P13_Pos                       (26UL)                    /*!< PCC IER: P13 (Bit 26)                                       */
#define PCC_IER_P13_Msk                       (0xc000000UL)             /*!< PCC IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P14_Pos                       (28UL)                    /*!< PCC IER: P14 (Bit 28)                                       */
#define PCC_IER_P14_Msk                       (0x30000000UL)            /*!< PCC IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_IER_P15_Pos                       (30UL)                    /*!< PCC IER: P15 (Bit 30)                                       */
#define PCC_IER_P15_Msk                       (0xc0000000UL)            /*!< PCC IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ISR  ---------------------------------- */
#define PCC_ISR_P0_Pos                        (0UL)                     /*!< PCC ISR: P0 (Bit 0)                                         */
#define PCC_ISR_P0_Msk                        (0x3UL)                   /*!< PCC ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P1_Pos                        (2UL)                     /*!< PCC ISR: P1 (Bit 2)                                         */
#define PCC_ISR_P1_Msk                        (0xcUL)                   /*!< PCC ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P2_Pos                        (4UL)                     /*!< PCC ISR: P2 (Bit 4)                                         */
#define PCC_ISR_P2_Msk                        (0x30UL)                  /*!< PCC ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P3_Pos                        (6UL)                     /*!< PCC ISR: P3 (Bit 6)                                         */
#define PCC_ISR_P3_Msk                        (0xc0UL)                  /*!< PCC ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P4_Pos                        (8UL)                     /*!< PCC ISR: P4 (Bit 8)                                         */
#define PCC_ISR_P4_Msk                        (0x300UL)                 /*!< PCC ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P5_Pos                        (10UL)                    /*!< PCC ISR: P5 (Bit 10)                                        */
#define PCC_ISR_P5_Msk                        (0xc00UL)                 /*!< PCC ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P6_Pos                        (12UL)                    /*!< PCC ISR: P6 (Bit 12)                                        */
#define PCC_ISR_P6_Msk                        (0x3000UL)                /*!< PCC ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P7_Pos                        (14UL)                    /*!< PCC ISR: P7 (Bit 14)                                        */
#define PCC_ISR_P7_Msk                        (0xc000UL)                /*!< PCC ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P8_Pos                        (16UL)                    /*!< PCC ISR: P8 (Bit 16)                                        */
#define PCC_ISR_P8_Msk                        (0x30000UL)               /*!< PCC ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P9_Pos                        (18UL)                    /*!< PCC ISR: P9 (Bit 18)                                        */
#define PCC_ISR_P9_Msk                        (0xc0000UL)               /*!< PCC ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ISR_P10_Pos                       (20UL)                    /*!< PCC ISR: P10 (Bit 20)                                       */
#define PCC_ISR_P10_Msk                       (0x300000UL)              /*!< PCC ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P11_Pos                       (22UL)                    /*!< PCC ISR: P11 (Bit 22)                                       */
#define PCC_ISR_P11_Msk                       (0xc00000UL)              /*!< PCC ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P12_Pos                       (24UL)                    /*!< PCC ISR: P12 (Bit 24)                                       */
#define PCC_ISR_P12_Msk                       (0x3000000UL)             /*!< PCC ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P13_Pos                       (26UL)                    /*!< PCC ISR: P13 (Bit 26)                                       */
#define PCC_ISR_P13_Msk                       (0xc000000UL)             /*!< PCC ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P14_Pos                       (28UL)                    /*!< PCC ISR: P14 (Bit 28)                                       */
#define PCC_ISR_P14_Msk                       (0x30000000UL)            /*!< PCC ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ISR_P15_Pos                       (30UL)                    /*!< PCC ISR: P15 (Bit 30)                                       */
#define PCC_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCC ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCC_ICR  ---------------------------------- */
#define PCC_ICR_P0_Pos                        (0UL)                     /*!< PCC ICR: P0 (Bit 0)                                         */
#define PCC_ICR_P0_Msk                        (0x3UL)                   /*!< PCC ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P1_Pos                        (2UL)                     /*!< PCC ICR: P1 (Bit 2)                                         */
#define PCC_ICR_P1_Msk                        (0xcUL)                   /*!< PCC ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P2_Pos                        (4UL)                     /*!< PCC ICR: P2 (Bit 4)                                         */
#define PCC_ICR_P2_Msk                        (0x30UL)                  /*!< PCC ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P3_Pos                        (6UL)                     /*!< PCC ICR: P3 (Bit 6)                                         */
#define PCC_ICR_P3_Msk                        (0xc0UL)                  /*!< PCC ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P4_Pos                        (8UL)                     /*!< PCC ICR: P4 (Bit 8)                                         */
#define PCC_ICR_P4_Msk                        (0x300UL)                 /*!< PCC ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P5_Pos                        (10UL)                    /*!< PCC ICR: P5 (Bit 10)                                        */
#define PCC_ICR_P5_Msk                        (0xc00UL)                 /*!< PCC ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P6_Pos                        (12UL)                    /*!< PCC ICR: P6 (Bit 12)                                        */
#define PCC_ICR_P6_Msk                        (0x3000UL)                /*!< PCC ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P7_Pos                        (14UL)                    /*!< PCC ICR: P7 (Bit 14)                                        */
#define PCC_ICR_P7_Msk                        (0xc000UL)                /*!< PCC ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P8_Pos                        (16UL)                    /*!< PCC ICR: P8 (Bit 16)                                        */
#define PCC_ICR_P8_Msk                        (0x30000UL)               /*!< PCC ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P9_Pos                        (18UL)                    /*!< PCC ICR: P9 (Bit 18)                                        */
#define PCC_ICR_P9_Msk                        (0xc0000UL)               /*!< PCC ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCC_ICR_P10_Pos                       (20UL)                    /*!< PCC ICR: P10 (Bit 20)                                       */
#define PCC_ICR_P10_Msk                       (0x300000UL)              /*!< PCC ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P11_Pos                       (22UL)                    /*!< PCC ICR: P11 (Bit 22)                                       */
#define PCC_ICR_P11_Msk                       (0xc00000UL)              /*!< PCC ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P12_Pos                       (24UL)                    /*!< PCC ICR: P12 (Bit 24)                                       */
#define PCC_ICR_P12_Msk                       (0x3000000UL)             /*!< PCC ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P13_Pos                       (26UL)                    /*!< PCC ICR: P13 (Bit 26)                                       */
#define PCC_ICR_P13_Msk                       (0xc000000UL)             /*!< PCC ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P14_Pos                       (28UL)                    /*!< PCC ICR: P14 (Bit 28)                                       */
#define PCC_ICR_P14_Msk                       (0x30000000UL)            /*!< PCC ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCC_ICR_P15_Pos                       (30UL)                    /*!< PCC ICR: P15 (Bit 30)                                       */
#define PCC_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCC ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================          struct 'PCD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PCD_MR  ----------------------------------- */
#define PCD_MR_P0_Pos                         (0UL)                     /*!< PCD MR: P0 (Bit 0)                                          */
#define PCD_MR_P0_Msk                         (0x3UL)                   /*!< PCD MR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P1_Pos                         (2UL)                     /*!< PCD MR: P1 (Bit 2)                                          */
#define PCD_MR_P1_Msk                         (0xcUL)                   /*!< PCD MR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P2_Pos                         (4UL)                     /*!< PCD MR: P2 (Bit 4)                                          */
#define PCD_MR_P2_Msk                         (0x30UL)                  /*!< PCD MR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P3_Pos                         (6UL)                     /*!< PCD MR: P3 (Bit 6)                                          */
#define PCD_MR_P3_Msk                         (0xc0UL)                  /*!< PCD MR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P4_Pos                         (8UL)                     /*!< PCD MR: P4 (Bit 8)                                          */
#define PCD_MR_P4_Msk                         (0x300UL)                 /*!< PCD MR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P5_Pos                         (10UL)                    /*!< PCD MR: P5 (Bit 10)                                         */
#define PCD_MR_P5_Msk                         (0xc00UL)                 /*!< PCD MR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P6_Pos                         (12UL)                    /*!< PCD MR: P6 (Bit 12)                                         */
#define PCD_MR_P6_Msk                         (0x3000UL)                /*!< PCD MR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P7_Pos                         (14UL)                    /*!< PCD MR: P7 (Bit 14)                                         */
#define PCD_MR_P7_Msk                         (0xc000UL)                /*!< PCD MR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P8_Pos                         (16UL)                    /*!< PCD MR: P8 (Bit 16)                                         */
#define PCD_MR_P8_Msk                         (0x30000UL)               /*!< PCD MR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P9_Pos                         (18UL)                    /*!< PCD MR: P9 (Bit 18)                                         */
#define PCD_MR_P9_Msk                         (0xc0000UL)               /*!< PCD MR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_MR_P10_Pos                        (20UL)                    /*!< PCD MR: P10 (Bit 20)                                        */
#define PCD_MR_P10_Msk                        (0x300000UL)              /*!< PCD MR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P11_Pos                        (22UL)                    /*!< PCD MR: P11 (Bit 22)                                        */
#define PCD_MR_P11_Msk                        (0xc00000UL)              /*!< PCD MR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P12_Pos                        (24UL)                    /*!< PCD MR: P12 (Bit 24)                                        */
#define PCD_MR_P12_Msk                        (0x3000000UL)             /*!< PCD MR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P13_Pos                        (26UL)                    /*!< PCD MR: P13 (Bit 26)                                        */
#define PCD_MR_P13_Msk                        (0xc000000UL)             /*!< PCD MR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P14_Pos                        (28UL)                    /*!< PCD MR: P14 (Bit 28)                                        */
#define PCD_MR_P14_Msk                        (0x30000000UL)            /*!< PCD MR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_MR_P15_Pos                        (30UL)                    /*!< PCD MR: P15 (Bit 30)                                        */
#define PCD_MR_P15_Msk                        (0xc0000000UL)            /*!< PCD MR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_CR  ----------------------------------- */
#define PCD_CR_P0_Pos                         (0UL)                     /*!< PCD CR: P0 (Bit 0)                                          */
#define PCD_CR_P0_Msk                         (0x3UL)                   /*!< PCD CR: P0 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P1_Pos                         (2UL)                     /*!< PCD CR: P1 (Bit 2)                                          */
#define PCD_CR_P1_Msk                         (0xcUL)                   /*!< PCD CR: P1 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P2_Pos                         (4UL)                     /*!< PCD CR: P2 (Bit 4)                                          */
#define PCD_CR_P2_Msk                         (0x30UL)                  /*!< PCD CR: P2 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P3_Pos                         (6UL)                     /*!< PCD CR: P3 (Bit 6)                                          */
#define PCD_CR_P3_Msk                         (0xc0UL)                  /*!< PCD CR: P3 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P4_Pos                         (8UL)                     /*!< PCD CR: P4 (Bit 8)                                          */
#define PCD_CR_P4_Msk                         (0x300UL)                 /*!< PCD CR: P4 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P5_Pos                         (10UL)                    /*!< PCD CR: P5 (Bit 10)                                         */
#define PCD_CR_P5_Msk                         (0xc00UL)                 /*!< PCD CR: P5 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P6_Pos                         (12UL)                    /*!< PCD CR: P6 (Bit 12)                                         */
#define PCD_CR_P6_Msk                         (0x3000UL)                /*!< PCD CR: P6 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P7_Pos                         (14UL)                    /*!< PCD CR: P7 (Bit 14)                                         */
#define PCD_CR_P7_Msk                         (0xc000UL)                /*!< PCD CR: P7 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P8_Pos                         (16UL)                    /*!< PCD CR: P8 (Bit 16)                                         */
#define PCD_CR_P8_Msk                         (0x30000UL)               /*!< PCD CR: P8 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P9_Pos                         (18UL)                    /*!< PCD CR: P9 (Bit 18)                                         */
#define PCD_CR_P9_Msk                         (0xc0000UL)               /*!< PCD CR: P9 (Bitfield-Mask: 0x03)                            */
#define PCD_CR_P10_Pos                        (20UL)                    /*!< PCD CR: P10 (Bit 20)                                        */
#define PCD_CR_P10_Msk                        (0x300000UL)              /*!< PCD CR: P10 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P11_Pos                        (22UL)                    /*!< PCD CR: P11 (Bit 22)                                        */
#define PCD_CR_P11_Msk                        (0xc00000UL)              /*!< PCD CR: P11 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P12_Pos                        (24UL)                    /*!< PCD CR: P12 (Bit 24)                                        */
#define PCD_CR_P12_Msk                        (0x3000000UL)             /*!< PCD CR: P12 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P13_Pos                        (26UL)                    /*!< PCD CR: P13 (Bit 26)                                        */
#define PCD_CR_P13_Msk                        (0xc000000UL)             /*!< PCD CR: P13 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P14_Pos                        (28UL)                    /*!< PCD CR: P14 (Bit 28)                                        */
#define PCD_CR_P14_Msk                        (0x30000000UL)            /*!< PCD CR: P14 (Bitfield-Mask: 0x03)                           */
#define PCD_CR_P15_Pos                        (30UL)                    /*!< PCD CR: P15 (Bit 30)                                        */
#define PCD_CR_P15_Msk                        (0xc0000000UL)            /*!< PCD CR: P15 (Bitfield-Mask: 0x03)                           */

/* -----------------------------------  PCD_PCR  ---------------------------------- */
#define PCD_PCR_P0_Pos                        (0UL)                     /*!< PCD PCR: P0 (Bit 0)                                         */
#define PCD_PCR_P0_Msk                        (0x1UL)                   /*!< PCD PCR: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P1_Pos                        (1UL)                     /*!< PCD PCR: P1 (Bit 1)                                         */
#define PCD_PCR_P1_Msk                        (0x2UL)                   /*!< PCD PCR: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P2_Pos                        (2UL)                     /*!< PCD PCR: P2 (Bit 2)                                         */
#define PCD_PCR_P2_Msk                        (0x4UL)                   /*!< PCD PCR: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P3_Pos                        (3UL)                     /*!< PCD PCR: P3 (Bit 3)                                         */
#define PCD_PCR_P3_Msk                        (0x8UL)                   /*!< PCD PCR: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P4_Pos                        (4UL)                     /*!< PCD PCR: P4 (Bit 4)                                         */
#define PCD_PCR_P4_Msk                        (0x10UL)                  /*!< PCD PCR: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P5_Pos                        (5UL)                     /*!< PCD PCR: P5 (Bit 5)                                         */
#define PCD_PCR_P5_Msk                        (0x20UL)                  /*!< PCD PCR: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P6_Pos                        (6UL)                     /*!< PCD PCR: P6 (Bit 6)                                         */
#define PCD_PCR_P6_Msk                        (0x40UL)                  /*!< PCD PCR: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P7_Pos                        (7UL)                     /*!< PCD PCR: P7 (Bit 7)                                         */
#define PCD_PCR_P7_Msk                        (0x80UL)                  /*!< PCD PCR: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P8_Pos                        (8UL)                     /*!< PCD PCR: P8 (Bit 8)                                         */
#define PCD_PCR_P8_Msk                        (0x100UL)                 /*!< PCD PCR: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P9_Pos                        (9UL)                     /*!< PCD PCR: P9 (Bit 9)                                         */
#define PCD_PCR_P9_Msk                        (0x200UL)                 /*!< PCD PCR: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_PCR_P10_Pos                       (10UL)                    /*!< PCD PCR: P10 (Bit 10)                                       */
#define PCD_PCR_P10_Msk                       (0x400UL)                 /*!< PCD PCR: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P11_Pos                       (11UL)                    /*!< PCD PCR: P11 (Bit 11)                                       */
#define PCD_PCR_P11_Msk                       (0x800UL)                 /*!< PCD PCR: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P12_Pos                       (12UL)                    /*!< PCD PCR: P12 (Bit 12)                                       */
#define PCD_PCR_P12_Msk                       (0x1000UL)                /*!< PCD PCR: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P13_Pos                       (13UL)                    /*!< PCD PCR: P13 (Bit 13)                                       */
#define PCD_PCR_P13_Msk                       (0x2000UL)                /*!< PCD PCR: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P14_Pos                       (14UL)                    /*!< PCD PCR: P14 (Bit 14)                                       */
#define PCD_PCR_P14_Msk                       (0x4000UL)                /*!< PCD PCR: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_PCR_P15_Pos                       (15UL)                    /*!< PCD PCR: P15 (Bit 15)                                       */
#define PCD_PCR_P15_Msk                       (0x8000UL)                /*!< PCD PCR: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_DER  ---------------------------------- */
#define PCD_DER_P0_Pos                        (0UL)                     /*!< PCD DER: P0 (Bit 0)                                         */
#define PCD_DER_P0_Msk                        (0x1UL)                   /*!< PCD DER: P0 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P1_Pos                        (1UL)                     /*!< PCD DER: P1 (Bit 1)                                         */
#define PCD_DER_P1_Msk                        (0x2UL)                   /*!< PCD DER: P1 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P2_Pos                        (2UL)                     /*!< PCD DER: P2 (Bit 2)                                         */
#define PCD_DER_P2_Msk                        (0x4UL)                   /*!< PCD DER: P2 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P3_Pos                        (3UL)                     /*!< PCD DER: P3 (Bit 3)                                         */
#define PCD_DER_P3_Msk                        (0x8UL)                   /*!< PCD DER: P3 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P4_Pos                        (4UL)                     /*!< PCD DER: P4 (Bit 4)                                         */
#define PCD_DER_P4_Msk                        (0x10UL)                  /*!< PCD DER: P4 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P5_Pos                        (5UL)                     /*!< PCD DER: P5 (Bit 5)                                         */
#define PCD_DER_P5_Msk                        (0x20UL)                  /*!< PCD DER: P5 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P6_Pos                        (6UL)                     /*!< PCD DER: P6 (Bit 6)                                         */
#define PCD_DER_P6_Msk                        (0x40UL)                  /*!< PCD DER: P6 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P7_Pos                        (7UL)                     /*!< PCD DER: P7 (Bit 7)                                         */
#define PCD_DER_P7_Msk                        (0x80UL)                  /*!< PCD DER: P7 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P8_Pos                        (8UL)                     /*!< PCD DER: P8 (Bit 8)                                         */
#define PCD_DER_P8_Msk                        (0x100UL)                 /*!< PCD DER: P8 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P9_Pos                        (9UL)                     /*!< PCD DER: P9 (Bit 9)                                         */
#define PCD_DER_P9_Msk                        (0x200UL)                 /*!< PCD DER: P9 (Bitfield-Mask: 0x01)                           */
#define PCD_DER_P10_Pos                       (10UL)                    /*!< PCD DER: P10 (Bit 10)                                       */
#define PCD_DER_P10_Msk                       (0x400UL)                 /*!< PCD DER: P10 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P11_Pos                       (11UL)                    /*!< PCD DER: P11 (Bit 11)                                       */
#define PCD_DER_P11_Msk                       (0x800UL)                 /*!< PCD DER: P11 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P12_Pos                       (12UL)                    /*!< PCD DER: P12 (Bit 12)                                       */
#define PCD_DER_P12_Msk                       (0x1000UL)                /*!< PCD DER: P12 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P13_Pos                       (13UL)                    /*!< PCD DER: P13 (Bit 13)                                       */
#define PCD_DER_P13_Msk                       (0x2000UL)                /*!< PCD DER: P13 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P14_Pos                       (14UL)                    /*!< PCD DER: P14 (Bit 14)                                       */
#define PCD_DER_P14_Msk                       (0x4000UL)                /*!< PCD DER: P14 (Bitfield-Mask: 0x01)                          */
#define PCD_DER_P15_Pos                       (15UL)                    /*!< PCD DER: P15 (Bit 15)                                       */
#define PCD_DER_P15_Msk                       (0x8000UL)                /*!< PCD DER: P15 (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  PCD_IER  ---------------------------------- */
#define PCD_IER_P0_Pos                        (0UL)                     /*!< PCD IER: P0 (Bit 0)                                         */
#define PCD_IER_P0_Msk                        (0x3UL)                   /*!< PCD IER: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P1_Pos                        (2UL)                     /*!< PCD IER: P1 (Bit 2)                                         */
#define PCD_IER_P1_Msk                        (0xcUL)                   /*!< PCD IER: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P2_Pos                        (4UL)                     /*!< PCD IER: P2 (Bit 4)                                         */
#define PCD_IER_P2_Msk                        (0x30UL)                  /*!< PCD IER: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P3_Pos                        (6UL)                     /*!< PCD IER: P3 (Bit 6)                                         */
#define PCD_IER_P3_Msk                        (0xc0UL)                  /*!< PCD IER: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P4_Pos                        (8UL)                     /*!< PCD IER: P4 (Bit 8)                                         */
#define PCD_IER_P4_Msk                        (0x300UL)                 /*!< PCD IER: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P5_Pos                        (10UL)                    /*!< PCD IER: P5 (Bit 10)                                        */
#define PCD_IER_P5_Msk                        (0xc00UL)                 /*!< PCD IER: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P6_Pos                        (12UL)                    /*!< PCD IER: P6 (Bit 12)                                        */
#define PCD_IER_P6_Msk                        (0x3000UL)                /*!< PCD IER: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P7_Pos                        (14UL)                    /*!< PCD IER: P7 (Bit 14)                                        */
#define PCD_IER_P7_Msk                        (0xc000UL)                /*!< PCD IER: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P8_Pos                        (16UL)                    /*!< PCD IER: P8 (Bit 16)                                        */
#define PCD_IER_P8_Msk                        (0x30000UL)               /*!< PCD IER: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P9_Pos                        (18UL)                    /*!< PCD IER: P9 (Bit 18)                                        */
#define PCD_IER_P9_Msk                        (0xc0000UL)               /*!< PCD IER: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_IER_P10_Pos                       (20UL)                    /*!< PCD IER: P10 (Bit 20)                                       */
#define PCD_IER_P10_Msk                       (0x300000UL)              /*!< PCD IER: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P11_Pos                       (22UL)                    /*!< PCD IER: P11 (Bit 22)                                       */
#define PCD_IER_P11_Msk                       (0xc00000UL)              /*!< PCD IER: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P12_Pos                       (24UL)                    /*!< PCD IER: P12 (Bit 24)                                       */
#define PCD_IER_P12_Msk                       (0x3000000UL)             /*!< PCD IER: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P13_Pos                       (26UL)                    /*!< PCD IER: P13 (Bit 26)                                       */
#define PCD_IER_P13_Msk                       (0xc000000UL)             /*!< PCD IER: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P14_Pos                       (28UL)                    /*!< PCD IER: P14 (Bit 28)                                       */
#define PCD_IER_P14_Msk                       (0x30000000UL)            /*!< PCD IER: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_IER_P15_Pos                       (30UL)                    /*!< PCD IER: P15 (Bit 30)                                       */
#define PCD_IER_P15_Msk                       (0xc0000000UL)            /*!< PCD IER: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ISR  ---------------------------------- */
#define PCD_ISR_P0_Pos                        (0UL)                     /*!< PCD ISR: P0 (Bit 0)                                         */
#define PCD_ISR_P0_Msk                        (0x3UL)                   /*!< PCD ISR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P1_Pos                        (2UL)                     /*!< PCD ISR: P1 (Bit 2)                                         */
#define PCD_ISR_P1_Msk                        (0xcUL)                   /*!< PCD ISR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P2_Pos                        (4UL)                     /*!< PCD ISR: P2 (Bit 4)                                         */
#define PCD_ISR_P2_Msk                        (0x30UL)                  /*!< PCD ISR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P3_Pos                        (6UL)                     /*!< PCD ISR: P3 (Bit 6)                                         */
#define PCD_ISR_P3_Msk                        (0xc0UL)                  /*!< PCD ISR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P4_Pos                        (8UL)                     /*!< PCD ISR: P4 (Bit 8)                                         */
#define PCD_ISR_P4_Msk                        (0x300UL)                 /*!< PCD ISR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P5_Pos                        (10UL)                    /*!< PCD ISR: P5 (Bit 10)                                        */
#define PCD_ISR_P5_Msk                        (0xc00UL)                 /*!< PCD ISR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P6_Pos                        (12UL)                    /*!< PCD ISR: P6 (Bit 12)                                        */
#define PCD_ISR_P6_Msk                        (0x3000UL)                /*!< PCD ISR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P7_Pos                        (14UL)                    /*!< PCD ISR: P7 (Bit 14)                                        */
#define PCD_ISR_P7_Msk                        (0xc000UL)                /*!< PCD ISR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P8_Pos                        (16UL)                    /*!< PCD ISR: P8 (Bit 16)                                        */
#define PCD_ISR_P8_Msk                        (0x30000UL)               /*!< PCD ISR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P9_Pos                        (18UL)                    /*!< PCD ISR: P9 (Bit 18)                                        */
#define PCD_ISR_P9_Msk                        (0xc0000UL)               /*!< PCD ISR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ISR_P10_Pos                       (20UL)                    /*!< PCD ISR: P10 (Bit 20)                                       */
#define PCD_ISR_P10_Msk                       (0x300000UL)              /*!< PCD ISR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P11_Pos                       (22UL)                    /*!< PCD ISR: P11 (Bit 22)                                       */
#define PCD_ISR_P11_Msk                       (0xc00000UL)              /*!< PCD ISR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P12_Pos                       (24UL)                    /*!< PCD ISR: P12 (Bit 24)                                       */
#define PCD_ISR_P12_Msk                       (0x3000000UL)             /*!< PCD ISR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P13_Pos                       (26UL)                    /*!< PCD ISR: P13 (Bit 26)                                       */
#define PCD_ISR_P13_Msk                       (0xc000000UL)             /*!< PCD ISR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P14_Pos                       (28UL)                    /*!< PCD ISR: P14 (Bit 28)                                       */
#define PCD_ISR_P14_Msk                       (0x30000000UL)            /*!< PCD ISR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ISR_P15_Pos                       (30UL)                    /*!< PCD ISR: P15 (Bit 30)                                       */
#define PCD_ISR_P15_Msk                       (0xc0000000UL)            /*!< PCD ISR: P15 (Bitfield-Mask: 0x03)                          */

/* -----------------------------------  PCD_ICR  ---------------------------------- */
#define PCD_ICR_P0_Pos                        (0UL)                     /*!< PCD ICR: P0 (Bit 0)                                         */
#define PCD_ICR_P0_Msk                        (0x3UL)                   /*!< PCD ICR: P0 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P1_Pos                        (2UL)                     /*!< PCD ICR: P1 (Bit 2)                                         */
#define PCD_ICR_P1_Msk                        (0xcUL)                   /*!< PCD ICR: P1 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P2_Pos                        (4UL)                     /*!< PCD ICR: P2 (Bit 4)                                         */
#define PCD_ICR_P2_Msk                        (0x30UL)                  /*!< PCD ICR: P2 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P3_Pos                        (6UL)                     /*!< PCD ICR: P3 (Bit 6)                                         */
#define PCD_ICR_P3_Msk                        (0xc0UL)                  /*!< PCD ICR: P3 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P4_Pos                        (8UL)                     /*!< PCD ICR: P4 (Bit 8)                                         */
#define PCD_ICR_P4_Msk                        (0x300UL)                 /*!< PCD ICR: P4 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P5_Pos                        (10UL)                    /*!< PCD ICR: P5 (Bit 10)                                        */
#define PCD_ICR_P5_Msk                        (0xc00UL)                 /*!< PCD ICR: P5 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P6_Pos                        (12UL)                    /*!< PCD ICR: P6 (Bit 12)                                        */
#define PCD_ICR_P6_Msk                        (0x3000UL)                /*!< PCD ICR: P6 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P7_Pos                        (14UL)                    /*!< PCD ICR: P7 (Bit 14)                                        */
#define PCD_ICR_P7_Msk                        (0xc000UL)                /*!< PCD ICR: P7 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P8_Pos                        (16UL)                    /*!< PCD ICR: P8 (Bit 16)                                        */
#define PCD_ICR_P8_Msk                        (0x30000UL)               /*!< PCD ICR: P8 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P9_Pos                        (18UL)                    /*!< PCD ICR: P9 (Bit 18)                                        */
#define PCD_ICR_P9_Msk                        (0xc0000UL)               /*!< PCD ICR: P9 (Bitfield-Mask: 0x03)                           */
#define PCD_ICR_P10_Pos                       (20UL)                    /*!< PCD ICR: P10 (Bit 20)                                       */
#define PCD_ICR_P10_Msk                       (0x300000UL)              /*!< PCD ICR: P10 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P11_Pos                       (22UL)                    /*!< PCD ICR: P11 (Bit 22)                                       */
#define PCD_ICR_P11_Msk                       (0xc00000UL)              /*!< PCD ICR: P11 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P12_Pos                       (24UL)                    /*!< PCD ICR: P12 (Bit 24)                                       */
#define PCD_ICR_P12_Msk                       (0x3000000UL)             /*!< PCD ICR: P12 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P13_Pos                       (26UL)                    /*!< PCD ICR: P13 (Bit 26)                                       */
#define PCD_ICR_P13_Msk                       (0xc000000UL)             /*!< PCD ICR: P13 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P14_Pos                       (28UL)                    /*!< PCD ICR: P14 (Bit 28)                                       */
#define PCD_ICR_P14_Msk                       (0x30000000UL)            /*!< PCD ICR: P14 (Bitfield-Mask: 0x03)                          */
#define PCD_ICR_P15_Pos                       (30UL)                    /*!< PCD ICR: P15 (Bit 30)                                       */
#define PCD_ICR_P15_Msk                       (0xc0000000UL)            /*!< PCD ICR: P15 (Bitfield-Mask: 0x03)                          */


/* ================================================================================ */
/* ================           struct 'PA' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PA_ODR  ----------------------------------- */
#define PA_ODR_P0_Pos                         (0UL)                     /*!< PA ODR: P0 (Bit 0)                                          */
#define PA_ODR_P0_Msk                         (0x1UL)                   /*!< PA ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P1_Pos                         (1UL)                     /*!< PA ODR: P1 (Bit 1)                                          */
#define PA_ODR_P1_Msk                         (0x2UL)                   /*!< PA ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P2_Pos                         (2UL)                     /*!< PA ODR: P2 (Bit 2)                                          */
#define PA_ODR_P2_Msk                         (0x4UL)                   /*!< PA ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P3_Pos                         (3UL)                     /*!< PA ODR: P3 (Bit 3)                                          */
#define PA_ODR_P3_Msk                         (0x8UL)                   /*!< PA ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P4_Pos                         (4UL)                     /*!< PA ODR: P4 (Bit 4)                                          */
#define PA_ODR_P4_Msk                         (0x10UL)                  /*!< PA ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P5_Pos                         (5UL)                     /*!< PA ODR: P5 (Bit 5)                                          */
#define PA_ODR_P5_Msk                         (0x20UL)                  /*!< PA ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P6_Pos                         (6UL)                     /*!< PA ODR: P6 (Bit 6)                                          */
#define PA_ODR_P6_Msk                         (0x40UL)                  /*!< PA ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P7_Pos                         (7UL)                     /*!< PA ODR: P7 (Bit 7)                                          */
#define PA_ODR_P7_Msk                         (0x80UL)                  /*!< PA ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P8_Pos                         (8UL)                     /*!< PA ODR: P8 (Bit 8)                                          */
#define PA_ODR_P8_Msk                         (0x100UL)                 /*!< PA ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P9_Pos                         (9UL)                     /*!< PA ODR: P9 (Bit 9)                                          */
#define PA_ODR_P9_Msk                         (0x200UL)                 /*!< PA ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_ODR_P10_Pos                        (10UL)                    /*!< PA ODR: P10 (Bit 10)                                        */
#define PA_ODR_P10_Msk                        (0x400UL)                 /*!< PA ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P11_Pos                        (11UL)                    /*!< PA ODR: P11 (Bit 11)                                        */
#define PA_ODR_P11_Msk                        (0x800UL)                 /*!< PA ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P12_Pos                        (12UL)                    /*!< PA ODR: P12 (Bit 12)                                        */
#define PA_ODR_P12_Msk                        (0x1000UL)                /*!< PA ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P13_Pos                        (13UL)                    /*!< PA ODR: P13 (Bit 13)                                        */
#define PA_ODR_P13_Msk                        (0x2000UL)                /*!< PA ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P14_Pos                        (14UL)                    /*!< PA ODR: P14 (Bit 14)                                        */
#define PA_ODR_P14_Msk                        (0x4000UL)                /*!< PA ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_ODR_P15_Pos                        (15UL)                    /*!< PA ODR: P15 (Bit 15)                                        */
#define PA_ODR_P15_Msk                        (0x8000UL)                /*!< PA ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_IDR  ----------------------------------- */
#define PA_IDR_P0_Pos                         (0UL)                     /*!< PA IDR: P0 (Bit 0)                                          */
#define PA_IDR_P0_Msk                         (0x1UL)                   /*!< PA IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P1_Pos                         (1UL)                     /*!< PA IDR: P1 (Bit 1)                                          */
#define PA_IDR_P1_Msk                         (0x2UL)                   /*!< PA IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P2_Pos                         (2UL)                     /*!< PA IDR: P2 (Bit 2)                                          */
#define PA_IDR_P2_Msk                         (0x4UL)                   /*!< PA IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P3_Pos                         (3UL)                     /*!< PA IDR: P3 (Bit 3)                                          */
#define PA_IDR_P3_Msk                         (0x8UL)                   /*!< PA IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P4_Pos                         (4UL)                     /*!< PA IDR: P4 (Bit 4)                                          */
#define PA_IDR_P4_Msk                         (0x10UL)                  /*!< PA IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P5_Pos                         (5UL)                     /*!< PA IDR: P5 (Bit 5)                                          */
#define PA_IDR_P5_Msk                         (0x20UL)                  /*!< PA IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P6_Pos                         (6UL)                     /*!< PA IDR: P6 (Bit 6)                                          */
#define PA_IDR_P6_Msk                         (0x40UL)                  /*!< PA IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P7_Pos                         (7UL)                     /*!< PA IDR: P7 (Bit 7)                                          */
#define PA_IDR_P7_Msk                         (0x80UL)                  /*!< PA IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P8_Pos                         (8UL)                     /*!< PA IDR: P8 (Bit 8)                                          */
#define PA_IDR_P8_Msk                         (0x100UL)                 /*!< PA IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P9_Pos                         (9UL)                     /*!< PA IDR: P9 (Bit 9)                                          */
#define PA_IDR_P9_Msk                         (0x200UL)                 /*!< PA IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_IDR_P10_Pos                        (10UL)                    /*!< PA IDR: P10 (Bit 10)                                        */
#define PA_IDR_P10_Msk                        (0x400UL)                 /*!< PA IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P11_Pos                        (11UL)                    /*!< PA IDR: P11 (Bit 11)                                        */
#define PA_IDR_P11_Msk                        (0x800UL)                 /*!< PA IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P12_Pos                        (12UL)                    /*!< PA IDR: P12 (Bit 12)                                        */
#define PA_IDR_P12_Msk                        (0x1000UL)                /*!< PA IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P13_Pos                        (13UL)                    /*!< PA IDR: P13 (Bit 13)                                        */
#define PA_IDR_P13_Msk                        (0x2000UL)                /*!< PA IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P14_Pos                        (14UL)                    /*!< PA IDR: P14 (Bit 14)                                        */
#define PA_IDR_P14_Msk                        (0x4000UL)                /*!< PA IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_IDR_P15_Pos                        (15UL)                    /*!< PA IDR: P15 (Bit 15)                                        */
#define PA_IDR_P15_Msk                        (0x8000UL)                /*!< PA IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BSR  ----------------------------------- */
#define PA_BSR_P0_Pos                         (0UL)                     /*!< PA BSR: P0 (Bit 0)                                          */
#define PA_BSR_P0_Msk                         (0x1UL)                   /*!< PA BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P1_Pos                         (1UL)                     /*!< PA BSR: P1 (Bit 1)                                          */
#define PA_BSR_P1_Msk                         (0x2UL)                   /*!< PA BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P2_Pos                         (2UL)                     /*!< PA BSR: P2 (Bit 2)                                          */
#define PA_BSR_P2_Msk                         (0x4UL)                   /*!< PA BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P3_Pos                         (3UL)                     /*!< PA BSR: P3 (Bit 3)                                          */
#define PA_BSR_P3_Msk                         (0x8UL)                   /*!< PA BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P4_Pos                         (4UL)                     /*!< PA BSR: P4 (Bit 4)                                          */
#define PA_BSR_P4_Msk                         (0x10UL)                  /*!< PA BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P5_Pos                         (5UL)                     /*!< PA BSR: P5 (Bit 5)                                          */
#define PA_BSR_P5_Msk                         (0x20UL)                  /*!< PA BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P6_Pos                         (6UL)                     /*!< PA BSR: P6 (Bit 6)                                          */
#define PA_BSR_P6_Msk                         (0x40UL)                  /*!< PA BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P7_Pos                         (7UL)                     /*!< PA BSR: P7 (Bit 7)                                          */
#define PA_BSR_P7_Msk                         (0x80UL)                  /*!< PA BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P8_Pos                         (8UL)                     /*!< PA BSR: P8 (Bit 8)                                          */
#define PA_BSR_P8_Msk                         (0x100UL)                 /*!< PA BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P9_Pos                         (9UL)                     /*!< PA BSR: P9 (Bit 9)                                          */
#define PA_BSR_P9_Msk                         (0x200UL)                 /*!< PA BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BSR_P10_Pos                        (10UL)                    /*!< PA BSR: P10 (Bit 10)                                        */
#define PA_BSR_P10_Msk                        (0x400UL)                 /*!< PA BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P11_Pos                        (11UL)                    /*!< PA BSR: P11 (Bit 11)                                        */
#define PA_BSR_P11_Msk                        (0x800UL)                 /*!< PA BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P12_Pos                        (12UL)                    /*!< PA BSR: P12 (Bit 12)                                        */
#define PA_BSR_P12_Msk                        (0x1000UL)                /*!< PA BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P13_Pos                        (13UL)                    /*!< PA BSR: P13 (Bit 13)                                        */
#define PA_BSR_P13_Msk                        (0x2000UL)                /*!< PA BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P14_Pos                        (14UL)                    /*!< PA BSR: P14 (Bit 14)                                        */
#define PA_BSR_P14_Msk                        (0x4000UL)                /*!< PA BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BSR_P15_Pos                        (15UL)                    /*!< PA BSR: P15 (Bit 15)                                        */
#define PA_BSR_P15_Msk                        (0x8000UL)                /*!< PA BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PA_BCR  ----------------------------------- */
#define PA_BCR_P0_Pos                         (0UL)                     /*!< PA BCR: P0 (Bit 0)                                          */
#define PA_BCR_P0_Msk                         (0x1UL)                   /*!< PA BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P1_Pos                         (1UL)                     /*!< PA BCR: P1 (Bit 1)                                          */
#define PA_BCR_P1_Msk                         (0x2UL)                   /*!< PA BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P2_Pos                         (2UL)                     /*!< PA BCR: P2 (Bit 2)                                          */
#define PA_BCR_P2_Msk                         (0x4UL)                   /*!< PA BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P3_Pos                         (3UL)                     /*!< PA BCR: P3 (Bit 3)                                          */
#define PA_BCR_P3_Msk                         (0x8UL)                   /*!< PA BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P4_Pos                         (4UL)                     /*!< PA BCR: P4 (Bit 4)                                          */
#define PA_BCR_P4_Msk                         (0x10UL)                  /*!< PA BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P5_Pos                         (5UL)                     /*!< PA BCR: P5 (Bit 5)                                          */
#define PA_BCR_P5_Msk                         (0x20UL)                  /*!< PA BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P6_Pos                         (6UL)                     /*!< PA BCR: P6 (Bit 6)                                          */
#define PA_BCR_P6_Msk                         (0x40UL)                  /*!< PA BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P7_Pos                         (7UL)                     /*!< PA BCR: P7 (Bit 7)                                          */
#define PA_BCR_P7_Msk                         (0x80UL)                  /*!< PA BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P8_Pos                         (8UL)                     /*!< PA BCR: P8 (Bit 8)                                          */
#define PA_BCR_P8_Msk                         (0x100UL)                 /*!< PA BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P9_Pos                         (9UL)                     /*!< PA BCR: P9 (Bit 9)                                          */
#define PA_BCR_P9_Msk                         (0x200UL)                 /*!< PA BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PA_BCR_P10_Pos                        (10UL)                    /*!< PA BCR: P10 (Bit 10)                                        */
#define PA_BCR_P10_Msk                        (0x400UL)                 /*!< PA BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P11_Pos                        (11UL)                    /*!< PA BCR: P11 (Bit 11)                                        */
#define PA_BCR_P11_Msk                        (0x800UL)                 /*!< PA BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P12_Pos                        (12UL)                    /*!< PA BCR: P12 (Bit 12)                                        */
#define PA_BCR_P12_Msk                        (0x1000UL)                /*!< PA BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P13_Pos                        (13UL)                    /*!< PA BCR: P13 (Bit 13)                                        */
#define PA_BCR_P13_Msk                        (0x2000UL)                /*!< PA BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P14_Pos                        (14UL)                    /*!< PA BCR: P14 (Bit 14)                                        */
#define PA_BCR_P14_Msk                        (0x4000UL)                /*!< PA BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PA_BCR_P15_Pos                        (15UL)                    /*!< PA BCR: P15 (Bit 15)                                        */
#define PA_BCR_P15_Msk                        (0x8000UL)                /*!< PA BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PB' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PB_ODR  ----------------------------------- */
#define PB_ODR_P0_Pos                         (0UL)                     /*!< PB ODR: P0 (Bit 0)                                          */
#define PB_ODR_P0_Msk                         (0x1UL)                   /*!< PB ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P1_Pos                         (1UL)                     /*!< PB ODR: P1 (Bit 1)                                          */
#define PB_ODR_P1_Msk                         (0x2UL)                   /*!< PB ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P2_Pos                         (2UL)                     /*!< PB ODR: P2 (Bit 2)                                          */
#define PB_ODR_P2_Msk                         (0x4UL)                   /*!< PB ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P3_Pos                         (3UL)                     /*!< PB ODR: P3 (Bit 3)                                          */
#define PB_ODR_P3_Msk                         (0x8UL)                   /*!< PB ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P4_Pos                         (4UL)                     /*!< PB ODR: P4 (Bit 4)                                          */
#define PB_ODR_P4_Msk                         (0x10UL)                  /*!< PB ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P5_Pos                         (5UL)                     /*!< PB ODR: P5 (Bit 5)                                          */
#define PB_ODR_P5_Msk                         (0x20UL)                  /*!< PB ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P6_Pos                         (6UL)                     /*!< PB ODR: P6 (Bit 6)                                          */
#define PB_ODR_P6_Msk                         (0x40UL)                  /*!< PB ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P7_Pos                         (7UL)                     /*!< PB ODR: P7 (Bit 7)                                          */
#define PB_ODR_P7_Msk                         (0x80UL)                  /*!< PB ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P8_Pos                         (8UL)                     /*!< PB ODR: P8 (Bit 8)                                          */
#define PB_ODR_P8_Msk                         (0x100UL)                 /*!< PB ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P9_Pos                         (9UL)                     /*!< PB ODR: P9 (Bit 9)                                          */
#define PB_ODR_P9_Msk                         (0x200UL)                 /*!< PB ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_ODR_P10_Pos                        (10UL)                    /*!< PB ODR: P10 (Bit 10)                                        */
#define PB_ODR_P10_Msk                        (0x400UL)                 /*!< PB ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P11_Pos                        (11UL)                    /*!< PB ODR: P11 (Bit 11)                                        */
#define PB_ODR_P11_Msk                        (0x800UL)                 /*!< PB ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P12_Pos                        (12UL)                    /*!< PB ODR: P12 (Bit 12)                                        */
#define PB_ODR_P12_Msk                        (0x1000UL)                /*!< PB ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P13_Pos                        (13UL)                    /*!< PB ODR: P13 (Bit 13)                                        */
#define PB_ODR_P13_Msk                        (0x2000UL)                /*!< PB ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P14_Pos                        (14UL)                    /*!< PB ODR: P14 (Bit 14)                                        */
#define PB_ODR_P14_Msk                        (0x4000UL)                /*!< PB ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_ODR_P15_Pos                        (15UL)                    /*!< PB ODR: P15 (Bit 15)                                        */
#define PB_ODR_P15_Msk                        (0x8000UL)                /*!< PB ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_IDR  ----------------------------------- */
#define PB_IDR_P0_Pos                         (0UL)                     /*!< PB IDR: P0 (Bit 0)                                          */
#define PB_IDR_P0_Msk                         (0x1UL)                   /*!< PB IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P1_Pos                         (1UL)                     /*!< PB IDR: P1 (Bit 1)                                          */
#define PB_IDR_P1_Msk                         (0x2UL)                   /*!< PB IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P2_Pos                         (2UL)                     /*!< PB IDR: P2 (Bit 2)                                          */
#define PB_IDR_P2_Msk                         (0x4UL)                   /*!< PB IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P3_Pos                         (3UL)                     /*!< PB IDR: P3 (Bit 3)                                          */
#define PB_IDR_P3_Msk                         (0x8UL)                   /*!< PB IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P4_Pos                         (4UL)                     /*!< PB IDR: P4 (Bit 4)                                          */
#define PB_IDR_P4_Msk                         (0x10UL)                  /*!< PB IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P5_Pos                         (5UL)                     /*!< PB IDR: P5 (Bit 5)                                          */
#define PB_IDR_P5_Msk                         (0x20UL)                  /*!< PB IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P6_Pos                         (6UL)                     /*!< PB IDR: P6 (Bit 6)                                          */
#define PB_IDR_P6_Msk                         (0x40UL)                  /*!< PB IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P7_Pos                         (7UL)                     /*!< PB IDR: P7 (Bit 7)                                          */
#define PB_IDR_P7_Msk                         (0x80UL)                  /*!< PB IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P8_Pos                         (8UL)                     /*!< PB IDR: P8 (Bit 8)                                          */
#define PB_IDR_P8_Msk                         (0x100UL)                 /*!< PB IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P9_Pos                         (9UL)                     /*!< PB IDR: P9 (Bit 9)                                          */
#define PB_IDR_P9_Msk                         (0x200UL)                 /*!< PB IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_IDR_P10_Pos                        (10UL)                    /*!< PB IDR: P10 (Bit 10)                                        */
#define PB_IDR_P10_Msk                        (0x400UL)                 /*!< PB IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P11_Pos                        (11UL)                    /*!< PB IDR: P11 (Bit 11)                                        */
#define PB_IDR_P11_Msk                        (0x800UL)                 /*!< PB IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P12_Pos                        (12UL)                    /*!< PB IDR: P12 (Bit 12)                                        */
#define PB_IDR_P12_Msk                        (0x1000UL)                /*!< PB IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P13_Pos                        (13UL)                    /*!< PB IDR: P13 (Bit 13)                                        */
#define PB_IDR_P13_Msk                        (0x2000UL)                /*!< PB IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P14_Pos                        (14UL)                    /*!< PB IDR: P14 (Bit 14)                                        */
#define PB_IDR_P14_Msk                        (0x4000UL)                /*!< PB IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_IDR_P15_Pos                        (15UL)                    /*!< PB IDR: P15 (Bit 15)                                        */
#define PB_IDR_P15_Msk                        (0x8000UL)                /*!< PB IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BSR  ----------------------------------- */
#define PB_BSR_P0_Pos                         (0UL)                     /*!< PB BSR: P0 (Bit 0)                                          */
#define PB_BSR_P0_Msk                         (0x1UL)                   /*!< PB BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P1_Pos                         (1UL)                     /*!< PB BSR: P1 (Bit 1)                                          */
#define PB_BSR_P1_Msk                         (0x2UL)                   /*!< PB BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P2_Pos                         (2UL)                     /*!< PB BSR: P2 (Bit 2)                                          */
#define PB_BSR_P2_Msk                         (0x4UL)                   /*!< PB BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P3_Pos                         (3UL)                     /*!< PB BSR: P3 (Bit 3)                                          */
#define PB_BSR_P3_Msk                         (0x8UL)                   /*!< PB BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P4_Pos                         (4UL)                     /*!< PB BSR: P4 (Bit 4)                                          */
#define PB_BSR_P4_Msk                         (0x10UL)                  /*!< PB BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P5_Pos                         (5UL)                     /*!< PB BSR: P5 (Bit 5)                                          */
#define PB_BSR_P5_Msk                         (0x20UL)                  /*!< PB BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P6_Pos                         (6UL)                     /*!< PB BSR: P6 (Bit 6)                                          */
#define PB_BSR_P6_Msk                         (0x40UL)                  /*!< PB BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P7_Pos                         (7UL)                     /*!< PB BSR: P7 (Bit 7)                                          */
#define PB_BSR_P7_Msk                         (0x80UL)                  /*!< PB BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P8_Pos                         (8UL)                     /*!< PB BSR: P8 (Bit 8)                                          */
#define PB_BSR_P8_Msk                         (0x100UL)                 /*!< PB BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P9_Pos                         (9UL)                     /*!< PB BSR: P9 (Bit 9)                                          */
#define PB_BSR_P9_Msk                         (0x200UL)                 /*!< PB BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BSR_P10_Pos                        (10UL)                    /*!< PB BSR: P10 (Bit 10)                                        */
#define PB_BSR_P10_Msk                        (0x400UL)                 /*!< PB BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P11_Pos                        (11UL)                    /*!< PB BSR: P11 (Bit 11)                                        */
#define PB_BSR_P11_Msk                        (0x800UL)                 /*!< PB BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P12_Pos                        (12UL)                    /*!< PB BSR: P12 (Bit 12)                                        */
#define PB_BSR_P12_Msk                        (0x1000UL)                /*!< PB BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P13_Pos                        (13UL)                    /*!< PB BSR: P13 (Bit 13)                                        */
#define PB_BSR_P13_Msk                        (0x2000UL)                /*!< PB BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P14_Pos                        (14UL)                    /*!< PB BSR: P14 (Bit 14)                                        */
#define PB_BSR_P14_Msk                        (0x4000UL)                /*!< PB BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BSR_P15_Pos                        (15UL)                    /*!< PB BSR: P15 (Bit 15)                                        */
#define PB_BSR_P15_Msk                        (0x8000UL)                /*!< PB BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PB_BCR  ----------------------------------- */
#define PB_BCR_P0_Pos                         (0UL)                     /*!< PB BCR: P0 (Bit 0)                                          */
#define PB_BCR_P0_Msk                         (0x1UL)                   /*!< PB BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P1_Pos                         (1UL)                     /*!< PB BCR: P1 (Bit 1)                                          */
#define PB_BCR_P1_Msk                         (0x2UL)                   /*!< PB BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P2_Pos                         (2UL)                     /*!< PB BCR: P2 (Bit 2)                                          */
#define PB_BCR_P2_Msk                         (0x4UL)                   /*!< PB BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P3_Pos                         (3UL)                     /*!< PB BCR: P3 (Bit 3)                                          */
#define PB_BCR_P3_Msk                         (0x8UL)                   /*!< PB BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P4_Pos                         (4UL)                     /*!< PB BCR: P4 (Bit 4)                                          */
#define PB_BCR_P4_Msk                         (0x10UL)                  /*!< PB BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P5_Pos                         (5UL)                     /*!< PB BCR: P5 (Bit 5)                                          */
#define PB_BCR_P5_Msk                         (0x20UL)                  /*!< PB BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P6_Pos                         (6UL)                     /*!< PB BCR: P6 (Bit 6)                                          */
#define PB_BCR_P6_Msk                         (0x40UL)                  /*!< PB BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P7_Pos                         (7UL)                     /*!< PB BCR: P7 (Bit 7)                                          */
#define PB_BCR_P7_Msk                         (0x80UL)                  /*!< PB BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P8_Pos                         (8UL)                     /*!< PB BCR: P8 (Bit 8)                                          */
#define PB_BCR_P8_Msk                         (0x100UL)                 /*!< PB BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P9_Pos                         (9UL)                     /*!< PB BCR: P9 (Bit 9)                                          */
#define PB_BCR_P9_Msk                         (0x200UL)                 /*!< PB BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PB_BCR_P10_Pos                        (10UL)                    /*!< PB BCR: P10 (Bit 10)                                        */
#define PB_BCR_P10_Msk                        (0x400UL)                 /*!< PB BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P11_Pos                        (11UL)                    /*!< PB BCR: P11 (Bit 11)                                        */
#define PB_BCR_P11_Msk                        (0x800UL)                 /*!< PB BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P12_Pos                        (12UL)                    /*!< PB BCR: P12 (Bit 12)                                        */
#define PB_BCR_P12_Msk                        (0x1000UL)                /*!< PB BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P13_Pos                        (13UL)                    /*!< PB BCR: P13 (Bit 13)                                        */
#define PB_BCR_P13_Msk                        (0x2000UL)                /*!< PB BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P14_Pos                        (14UL)                    /*!< PB BCR: P14 (Bit 14)                                        */
#define PB_BCR_P14_Msk                        (0x4000UL)                /*!< PB BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PB_BCR_P15_Pos                        (15UL)                    /*!< PB BCR: P15 (Bit 15)                                        */
#define PB_BCR_P15_Msk                        (0x8000UL)                /*!< PB BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PC' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PC_ODR  ----------------------------------- */
#define PC_ODR_P0_Pos                         (0UL)                     /*!< PC ODR: P0 (Bit 0)                                          */
#define PC_ODR_P0_Msk                         (0x1UL)                   /*!< PC ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P1_Pos                         (1UL)                     /*!< PC ODR: P1 (Bit 1)                                          */
#define PC_ODR_P1_Msk                         (0x2UL)                   /*!< PC ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P2_Pos                         (2UL)                     /*!< PC ODR: P2 (Bit 2)                                          */
#define PC_ODR_P2_Msk                         (0x4UL)                   /*!< PC ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P3_Pos                         (3UL)                     /*!< PC ODR: P3 (Bit 3)                                          */
#define PC_ODR_P3_Msk                         (0x8UL)                   /*!< PC ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P4_Pos                         (4UL)                     /*!< PC ODR: P4 (Bit 4)                                          */
#define PC_ODR_P4_Msk                         (0x10UL)                  /*!< PC ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P5_Pos                         (5UL)                     /*!< PC ODR: P5 (Bit 5)                                          */
#define PC_ODR_P5_Msk                         (0x20UL)                  /*!< PC ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P6_Pos                         (6UL)                     /*!< PC ODR: P6 (Bit 6)                                          */
#define PC_ODR_P6_Msk                         (0x40UL)                  /*!< PC ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P7_Pos                         (7UL)                     /*!< PC ODR: P7 (Bit 7)                                          */
#define PC_ODR_P7_Msk                         (0x80UL)                  /*!< PC ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P8_Pos                         (8UL)                     /*!< PC ODR: P8 (Bit 8)                                          */
#define PC_ODR_P8_Msk                         (0x100UL)                 /*!< PC ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P9_Pos                         (9UL)                     /*!< PC ODR: P9 (Bit 9)                                          */
#define PC_ODR_P9_Msk                         (0x200UL)                 /*!< PC ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_ODR_P10_Pos                        (10UL)                    /*!< PC ODR: P10 (Bit 10)                                        */
#define PC_ODR_P10_Msk                        (0x400UL)                 /*!< PC ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P11_Pos                        (11UL)                    /*!< PC ODR: P11 (Bit 11)                                        */
#define PC_ODR_P11_Msk                        (0x800UL)                 /*!< PC ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P12_Pos                        (12UL)                    /*!< PC ODR: P12 (Bit 12)                                        */
#define PC_ODR_P12_Msk                        (0x1000UL)                /*!< PC ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P13_Pos                        (13UL)                    /*!< PC ODR: P13 (Bit 13)                                        */
#define PC_ODR_P13_Msk                        (0x2000UL)                /*!< PC ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P14_Pos                        (14UL)                    /*!< PC ODR: P14 (Bit 14)                                        */
#define PC_ODR_P14_Msk                        (0x4000UL)                /*!< PC ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_ODR_P15_Pos                        (15UL)                    /*!< PC ODR: P15 (Bit 15)                                        */
#define PC_ODR_P15_Msk                        (0x8000UL)                /*!< PC ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_IDR  ----------------------------------- */
#define PC_IDR_P0_Pos                         (0UL)                     /*!< PC IDR: P0 (Bit 0)                                          */
#define PC_IDR_P0_Msk                         (0x1UL)                   /*!< PC IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P1_Pos                         (1UL)                     /*!< PC IDR: P1 (Bit 1)                                          */
#define PC_IDR_P1_Msk                         (0x2UL)                   /*!< PC IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P2_Pos                         (2UL)                     /*!< PC IDR: P2 (Bit 2)                                          */
#define PC_IDR_P2_Msk                         (0x4UL)                   /*!< PC IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P3_Pos                         (3UL)                     /*!< PC IDR: P3 (Bit 3)                                          */
#define PC_IDR_P3_Msk                         (0x8UL)                   /*!< PC IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P4_Pos                         (4UL)                     /*!< PC IDR: P4 (Bit 4)                                          */
#define PC_IDR_P4_Msk                         (0x10UL)                  /*!< PC IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P5_Pos                         (5UL)                     /*!< PC IDR: P5 (Bit 5)                                          */
#define PC_IDR_P5_Msk                         (0x20UL)                  /*!< PC IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P6_Pos                         (6UL)                     /*!< PC IDR: P6 (Bit 6)                                          */
#define PC_IDR_P6_Msk                         (0x40UL)                  /*!< PC IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P7_Pos                         (7UL)                     /*!< PC IDR: P7 (Bit 7)                                          */
#define PC_IDR_P7_Msk                         (0x80UL)                  /*!< PC IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P8_Pos                         (8UL)                     /*!< PC IDR: P8 (Bit 8)                                          */
#define PC_IDR_P8_Msk                         (0x100UL)                 /*!< PC IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P9_Pos                         (9UL)                     /*!< PC IDR: P9 (Bit 9)                                          */
#define PC_IDR_P9_Msk                         (0x200UL)                 /*!< PC IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_IDR_P10_Pos                        (10UL)                    /*!< PC IDR: P10 (Bit 10)                                        */
#define PC_IDR_P10_Msk                        (0x400UL)                 /*!< PC IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P11_Pos                        (11UL)                    /*!< PC IDR: P11 (Bit 11)                                        */
#define PC_IDR_P11_Msk                        (0x800UL)                 /*!< PC IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P12_Pos                        (12UL)                    /*!< PC IDR: P12 (Bit 12)                                        */
#define PC_IDR_P12_Msk                        (0x1000UL)                /*!< PC IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P13_Pos                        (13UL)                    /*!< PC IDR: P13 (Bit 13)                                        */
#define PC_IDR_P13_Msk                        (0x2000UL)                /*!< PC IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P14_Pos                        (14UL)                    /*!< PC IDR: P14 (Bit 14)                                        */
#define PC_IDR_P14_Msk                        (0x4000UL)                /*!< PC IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_IDR_P15_Pos                        (15UL)                    /*!< PC IDR: P15 (Bit 15)                                        */
#define PC_IDR_P15_Msk                        (0x8000UL)                /*!< PC IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BSR  ----------------------------------- */
#define PC_BSR_P0_Pos                         (0UL)                     /*!< PC BSR: P0 (Bit 0)                                          */
#define PC_BSR_P0_Msk                         (0x1UL)                   /*!< PC BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P1_Pos                         (1UL)                     /*!< PC BSR: P1 (Bit 1)                                          */
#define PC_BSR_P1_Msk                         (0x2UL)                   /*!< PC BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P2_Pos                         (2UL)                     /*!< PC BSR: P2 (Bit 2)                                          */
#define PC_BSR_P2_Msk                         (0x4UL)                   /*!< PC BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P3_Pos                         (3UL)                     /*!< PC BSR: P3 (Bit 3)                                          */
#define PC_BSR_P3_Msk                         (0x8UL)                   /*!< PC BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P4_Pos                         (4UL)                     /*!< PC BSR: P4 (Bit 4)                                          */
#define PC_BSR_P4_Msk                         (0x10UL)                  /*!< PC BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P5_Pos                         (5UL)                     /*!< PC BSR: P5 (Bit 5)                                          */
#define PC_BSR_P5_Msk                         (0x20UL)                  /*!< PC BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P6_Pos                         (6UL)                     /*!< PC BSR: P6 (Bit 6)                                          */
#define PC_BSR_P6_Msk                         (0x40UL)                  /*!< PC BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P7_Pos                         (7UL)                     /*!< PC BSR: P7 (Bit 7)                                          */
#define PC_BSR_P7_Msk                         (0x80UL)                  /*!< PC BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P8_Pos                         (8UL)                     /*!< PC BSR: P8 (Bit 8)                                          */
#define PC_BSR_P8_Msk                         (0x100UL)                 /*!< PC BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P9_Pos                         (9UL)                     /*!< PC BSR: P9 (Bit 9)                                          */
#define PC_BSR_P9_Msk                         (0x200UL)                 /*!< PC BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BSR_P10_Pos                        (10UL)                    /*!< PC BSR: P10 (Bit 10)                                        */
#define PC_BSR_P10_Msk                        (0x400UL)                 /*!< PC BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P11_Pos                        (11UL)                    /*!< PC BSR: P11 (Bit 11)                                        */
#define PC_BSR_P11_Msk                        (0x800UL)                 /*!< PC BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P12_Pos                        (12UL)                    /*!< PC BSR: P12 (Bit 12)                                        */
#define PC_BSR_P12_Msk                        (0x1000UL)                /*!< PC BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P13_Pos                        (13UL)                    /*!< PC BSR: P13 (Bit 13)                                        */
#define PC_BSR_P13_Msk                        (0x2000UL)                /*!< PC BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P14_Pos                        (14UL)                    /*!< PC BSR: P14 (Bit 14)                                        */
#define PC_BSR_P14_Msk                        (0x4000UL)                /*!< PC BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BSR_P15_Pos                        (15UL)                    /*!< PC BSR: P15 (Bit 15)                                        */
#define PC_BSR_P15_Msk                        (0x8000UL)                /*!< PC BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PC_BCR  ----------------------------------- */
#define PC_BCR_P0_Pos                         (0UL)                     /*!< PC BCR: P0 (Bit 0)                                          */
#define PC_BCR_P0_Msk                         (0x1UL)                   /*!< PC BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P1_Pos                         (1UL)                     /*!< PC BCR: P1 (Bit 1)                                          */
#define PC_BCR_P1_Msk                         (0x2UL)                   /*!< PC BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P2_Pos                         (2UL)                     /*!< PC BCR: P2 (Bit 2)                                          */
#define PC_BCR_P2_Msk                         (0x4UL)                   /*!< PC BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P3_Pos                         (3UL)                     /*!< PC BCR: P3 (Bit 3)                                          */
#define PC_BCR_P3_Msk                         (0x8UL)                   /*!< PC BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P4_Pos                         (4UL)                     /*!< PC BCR: P4 (Bit 4)                                          */
#define PC_BCR_P4_Msk                         (0x10UL)                  /*!< PC BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P5_Pos                         (5UL)                     /*!< PC BCR: P5 (Bit 5)                                          */
#define PC_BCR_P5_Msk                         (0x20UL)                  /*!< PC BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P6_Pos                         (6UL)                     /*!< PC BCR: P6 (Bit 6)                                          */
#define PC_BCR_P6_Msk                         (0x40UL)                  /*!< PC BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P7_Pos                         (7UL)                     /*!< PC BCR: P7 (Bit 7)                                          */
#define PC_BCR_P7_Msk                         (0x80UL)                  /*!< PC BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P8_Pos                         (8UL)                     /*!< PC BCR: P8 (Bit 8)                                          */
#define PC_BCR_P8_Msk                         (0x100UL)                 /*!< PC BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P9_Pos                         (9UL)                     /*!< PC BCR: P9 (Bit 9)                                          */
#define PC_BCR_P9_Msk                         (0x200UL)                 /*!< PC BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PC_BCR_P10_Pos                        (10UL)                    /*!< PC BCR: P10 (Bit 10)                                        */
#define PC_BCR_P10_Msk                        (0x400UL)                 /*!< PC BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P11_Pos                        (11UL)                    /*!< PC BCR: P11 (Bit 11)                                        */
#define PC_BCR_P11_Msk                        (0x800UL)                 /*!< PC BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P12_Pos                        (12UL)                    /*!< PC BCR: P12 (Bit 12)                                        */
#define PC_BCR_P12_Msk                        (0x1000UL)                /*!< PC BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P13_Pos                        (13UL)                    /*!< PC BCR: P13 (Bit 13)                                        */
#define PC_BCR_P13_Msk                        (0x2000UL)                /*!< PC BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P14_Pos                        (14UL)                    /*!< PC BCR: P14 (Bit 14)                                        */
#define PC_BCR_P14_Msk                        (0x4000UL)                /*!< PC BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PC_BCR_P15_Pos                        (15UL)                    /*!< PC BCR: P15 (Bit 15)                                        */
#define PC_BCR_P15_Msk                        (0x8000UL)                /*!< PC BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'PD' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  PD_ODR  ----------------------------------- */
#define PD_ODR_P0_Pos                         (0UL)                     /*!< PD ODR: P0 (Bit 0)                                          */
#define PD_ODR_P0_Msk                         (0x1UL)                   /*!< PD ODR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P1_Pos                         (1UL)                     /*!< PD ODR: P1 (Bit 1)                                          */
#define PD_ODR_P1_Msk                         (0x2UL)                   /*!< PD ODR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P2_Pos                         (2UL)                     /*!< PD ODR: P2 (Bit 2)                                          */
#define PD_ODR_P2_Msk                         (0x4UL)                   /*!< PD ODR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P3_Pos                         (3UL)                     /*!< PD ODR: P3 (Bit 3)                                          */
#define PD_ODR_P3_Msk                         (0x8UL)                   /*!< PD ODR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P4_Pos                         (4UL)                     /*!< PD ODR: P4 (Bit 4)                                          */
#define PD_ODR_P4_Msk                         (0x10UL)                  /*!< PD ODR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P5_Pos                         (5UL)                     /*!< PD ODR: P5 (Bit 5)                                          */
#define PD_ODR_P5_Msk                         (0x20UL)                  /*!< PD ODR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P6_Pos                         (6UL)                     /*!< PD ODR: P6 (Bit 6)                                          */
#define PD_ODR_P6_Msk                         (0x40UL)                  /*!< PD ODR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P7_Pos                         (7UL)                     /*!< PD ODR: P7 (Bit 7)                                          */
#define PD_ODR_P7_Msk                         (0x80UL)                  /*!< PD ODR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P8_Pos                         (8UL)                     /*!< PD ODR: P8 (Bit 8)                                          */
#define PD_ODR_P8_Msk                         (0x100UL)                 /*!< PD ODR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P9_Pos                         (9UL)                     /*!< PD ODR: P9 (Bit 9)                                          */
#define PD_ODR_P9_Msk                         (0x200UL)                 /*!< PD ODR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_ODR_P10_Pos                        (10UL)                    /*!< PD ODR: P10 (Bit 10)                                        */
#define PD_ODR_P10_Msk                        (0x400UL)                 /*!< PD ODR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P11_Pos                        (11UL)                    /*!< PD ODR: P11 (Bit 11)                                        */
#define PD_ODR_P11_Msk                        (0x800UL)                 /*!< PD ODR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P12_Pos                        (12UL)                    /*!< PD ODR: P12 (Bit 12)                                        */
#define PD_ODR_P12_Msk                        (0x1000UL)                /*!< PD ODR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P13_Pos                        (13UL)                    /*!< PD ODR: P13 (Bit 13)                                        */
#define PD_ODR_P13_Msk                        (0x2000UL)                /*!< PD ODR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P14_Pos                        (14UL)                    /*!< PD ODR: P14 (Bit 14)                                        */
#define PD_ODR_P14_Msk                        (0x4000UL)                /*!< PD ODR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_ODR_P15_Pos                        (15UL)                    /*!< PD ODR: P15 (Bit 15)                                        */
#define PD_ODR_P15_Msk                        (0x8000UL)                /*!< PD ODR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_IDR  ----------------------------------- */
#define PD_IDR_P0_Pos                         (0UL)                     /*!< PD IDR: P0 (Bit 0)                                          */
#define PD_IDR_P0_Msk                         (0x1UL)                   /*!< PD IDR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P1_Pos                         (1UL)                     /*!< PD IDR: P1 (Bit 1)                                          */
#define PD_IDR_P1_Msk                         (0x2UL)                   /*!< PD IDR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P2_Pos                         (2UL)                     /*!< PD IDR: P2 (Bit 2)                                          */
#define PD_IDR_P2_Msk                         (0x4UL)                   /*!< PD IDR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P3_Pos                         (3UL)                     /*!< PD IDR: P3 (Bit 3)                                          */
#define PD_IDR_P3_Msk                         (0x8UL)                   /*!< PD IDR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P4_Pos                         (4UL)                     /*!< PD IDR: P4 (Bit 4)                                          */
#define PD_IDR_P4_Msk                         (0x10UL)                  /*!< PD IDR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P5_Pos                         (5UL)                     /*!< PD IDR: P5 (Bit 5)                                          */
#define PD_IDR_P5_Msk                         (0x20UL)                  /*!< PD IDR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P6_Pos                         (6UL)                     /*!< PD IDR: P6 (Bit 6)                                          */
#define PD_IDR_P6_Msk                         (0x40UL)                  /*!< PD IDR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P7_Pos                         (7UL)                     /*!< PD IDR: P7 (Bit 7)                                          */
#define PD_IDR_P7_Msk                         (0x80UL)                  /*!< PD IDR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P8_Pos                         (8UL)                     /*!< PD IDR: P8 (Bit 8)                                          */
#define PD_IDR_P8_Msk                         (0x100UL)                 /*!< PD IDR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P9_Pos                         (9UL)                     /*!< PD IDR: P9 (Bit 9)                                          */
#define PD_IDR_P9_Msk                         (0x200UL)                 /*!< PD IDR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_IDR_P10_Pos                        (10UL)                    /*!< PD IDR: P10 (Bit 10)                                        */
#define PD_IDR_P10_Msk                        (0x400UL)                 /*!< PD IDR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P11_Pos                        (11UL)                    /*!< PD IDR: P11 (Bit 11)                                        */
#define PD_IDR_P11_Msk                        (0x800UL)                 /*!< PD IDR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P12_Pos                        (12UL)                    /*!< PD IDR: P12 (Bit 12)                                        */
#define PD_IDR_P12_Msk                        (0x1000UL)                /*!< PD IDR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P13_Pos                        (13UL)                    /*!< PD IDR: P13 (Bit 13)                                        */
#define PD_IDR_P13_Msk                        (0x2000UL)                /*!< PD IDR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P14_Pos                        (14UL)                    /*!< PD IDR: P14 (Bit 14)                                        */
#define PD_IDR_P14_Msk                        (0x4000UL)                /*!< PD IDR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_IDR_P15_Pos                        (15UL)                    /*!< PD IDR: P15 (Bit 15)                                        */
#define PD_IDR_P15_Msk                        (0x8000UL)                /*!< PD IDR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BSR  ----------------------------------- */
#define PD_BSR_P0_Pos                         (0UL)                     /*!< PD BSR: P0 (Bit 0)                                          */
#define PD_BSR_P0_Msk                         (0x1UL)                   /*!< PD BSR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P1_Pos                         (1UL)                     /*!< PD BSR: P1 (Bit 1)                                          */
#define PD_BSR_P1_Msk                         (0x2UL)                   /*!< PD BSR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P2_Pos                         (2UL)                     /*!< PD BSR: P2 (Bit 2)                                          */
#define PD_BSR_P2_Msk                         (0x4UL)                   /*!< PD BSR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P3_Pos                         (3UL)                     /*!< PD BSR: P3 (Bit 3)                                          */
#define PD_BSR_P3_Msk                         (0x8UL)                   /*!< PD BSR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P4_Pos                         (4UL)                     /*!< PD BSR: P4 (Bit 4)                                          */
#define PD_BSR_P4_Msk                         (0x10UL)                  /*!< PD BSR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P5_Pos                         (5UL)                     /*!< PD BSR: P5 (Bit 5)                                          */
#define PD_BSR_P5_Msk                         (0x20UL)                  /*!< PD BSR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P6_Pos                         (6UL)                     /*!< PD BSR: P6 (Bit 6)                                          */
#define PD_BSR_P6_Msk                         (0x40UL)                  /*!< PD BSR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P7_Pos                         (7UL)                     /*!< PD BSR: P7 (Bit 7)                                          */
#define PD_BSR_P7_Msk                         (0x80UL)                  /*!< PD BSR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P8_Pos                         (8UL)                     /*!< PD BSR: P8 (Bit 8)                                          */
#define PD_BSR_P8_Msk                         (0x100UL)                 /*!< PD BSR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P9_Pos                         (9UL)                     /*!< PD BSR: P9 (Bit 9)                                          */
#define PD_BSR_P9_Msk                         (0x200UL)                 /*!< PD BSR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BSR_P10_Pos                        (10UL)                    /*!< PD BSR: P10 (Bit 10)                                        */
#define PD_BSR_P10_Msk                        (0x400UL)                 /*!< PD BSR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P11_Pos                        (11UL)                    /*!< PD BSR: P11 (Bit 11)                                        */
#define PD_BSR_P11_Msk                        (0x800UL)                 /*!< PD BSR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P12_Pos                        (12UL)                    /*!< PD BSR: P12 (Bit 12)                                        */
#define PD_BSR_P12_Msk                        (0x1000UL)                /*!< PD BSR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P13_Pos                        (13UL)                    /*!< PD BSR: P13 (Bit 13)                                        */
#define PD_BSR_P13_Msk                        (0x2000UL)                /*!< PD BSR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P14_Pos                        (14UL)                    /*!< PD BSR: P14 (Bit 14)                                        */
#define PD_BSR_P14_Msk                        (0x4000UL)                /*!< PD BSR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BSR_P15_Pos                        (15UL)                    /*!< PD BSR: P15 (Bit 15)                                        */
#define PD_BSR_P15_Msk                        (0x8000UL)                /*!< PD BSR: P15 (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  PD_BCR  ----------------------------------- */
#define PD_BCR_P0_Pos                         (0UL)                     /*!< PD BCR: P0 (Bit 0)                                          */
#define PD_BCR_P0_Msk                         (0x1UL)                   /*!< PD BCR: P0 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P1_Pos                         (1UL)                     /*!< PD BCR: P1 (Bit 1)                                          */
#define PD_BCR_P1_Msk                         (0x2UL)                   /*!< PD BCR: P1 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P2_Pos                         (2UL)                     /*!< PD BCR: P2 (Bit 2)                                          */
#define PD_BCR_P2_Msk                         (0x4UL)                   /*!< PD BCR: P2 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P3_Pos                         (3UL)                     /*!< PD BCR: P3 (Bit 3)                                          */
#define PD_BCR_P3_Msk                         (0x8UL)                   /*!< PD BCR: P3 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P4_Pos                         (4UL)                     /*!< PD BCR: P4 (Bit 4)                                          */
#define PD_BCR_P4_Msk                         (0x10UL)                  /*!< PD BCR: P4 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P5_Pos                         (5UL)                     /*!< PD BCR: P5 (Bit 5)                                          */
#define PD_BCR_P5_Msk                         (0x20UL)                  /*!< PD BCR: P5 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P6_Pos                         (6UL)                     /*!< PD BCR: P6 (Bit 6)                                          */
#define PD_BCR_P6_Msk                         (0x40UL)                  /*!< PD BCR: P6 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P7_Pos                         (7UL)                     /*!< PD BCR: P7 (Bit 7)                                          */
#define PD_BCR_P7_Msk                         (0x80UL)                  /*!< PD BCR: P7 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P8_Pos                         (8UL)                     /*!< PD BCR: P8 (Bit 8)                                          */
#define PD_BCR_P8_Msk                         (0x100UL)                 /*!< PD BCR: P8 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P9_Pos                         (9UL)                     /*!< PD BCR: P9 (Bit 9)                                          */
#define PD_BCR_P9_Msk                         (0x200UL)                 /*!< PD BCR: P9 (Bitfield-Mask: 0x01)                            */
#define PD_BCR_P10_Pos                        (10UL)                    /*!< PD BCR: P10 (Bit 10)                                        */
#define PD_BCR_P10_Msk                        (0x400UL)                 /*!< PD BCR: P10 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P11_Pos                        (11UL)                    /*!< PD BCR: P11 (Bit 11)                                        */
#define PD_BCR_P11_Msk                        (0x800UL)                 /*!< PD BCR: P11 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P12_Pos                        (12UL)                    /*!< PD BCR: P12 (Bit 12)                                        */
#define PD_BCR_P12_Msk                        (0x1000UL)                /*!< PD BCR: P12 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P13_Pos                        (13UL)                    /*!< PD BCR: P13 (Bit 13)                                        */
#define PD_BCR_P13_Msk                        (0x2000UL)                /*!< PD BCR: P13 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P14_Pos                        (14UL)                    /*!< PD BCR: P14 (Bit 14)                                        */
#define PD_BCR_P14_Msk                        (0x4000UL)                /*!< PD BCR: P14 (Bitfield-Mask: 0x01)                           */
#define PD_BCR_P15_Pos                        (15UL)                    /*!< PD BCR: P15 (Bit 15)                                        */
#define PD_BCR_P15_Msk                        (0x8000UL)                /*!< PD BCR: P15 (Bitfield-Mask: 0x01)                           */


/* ================================================================================ */
/* ================           struct 'T0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T0_CR1  ----------------------------------- */
#define T0_CR1_MODE_Pos                       (0UL)                     /*!< T0 CR1: MODE (Bit 0)                                        */
#define T0_CR1_MODE_Msk                       (0x3UL)                   /*!< T0 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T0_CR1_CLRMOD_Pos                     (2UL)                     /*!< T0 CR1: CLRMOD (Bit 2)                                      */
#define T0_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T0 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T0_CR1_CKSEL_Pos                      (4UL)                     /*!< T0 CR1: CKSEL (Bit 4)                                       */
#define T0_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T0 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T0_CR1_STARTLVL_Pos                   (7UL)                     /*!< T0 CR1: STARTLVL (Bit 7)                                    */
#define T0_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T0 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T0_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T0 CR1: ADCTRGEN (Bit 8)                                    */
#define T0_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T0 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T0_CR2  ----------------------------------- */
#define T0_CR2_TEN_Pos                        (0UL)                     /*!< T0 CR2: TEN (Bit 0)                                         */
#define T0_CR2_TEN_Msk                        (0x1UL)                   /*!< T0 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T0_CR2_TCLR_Pos                       (1UL)                     /*!< T0 CR2: TCLR (Bit 1)                                        */
#define T0_CR2_TCLR_Msk                       (0x2UL)                   /*!< T0 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T0_PRS  ----------------------------------- */
#define T0_PRS_PRS_Pos                        (0UL)                     /*!< T0 PRS: PRS (Bit 0)                                         */
#define T0_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T0 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T0_GRA  ----------------------------------- */
#define T0_GRA_GRA_Pos                        (0UL)                     /*!< T0 GRA: GRA (Bit 0)                                         */
#define T0_GRA_GRA_Msk                        (0xffffUL)                /*!< T0 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_GRB  ----------------------------------- */
#define T0_GRB_GRB_Pos                        (0UL)                     /*!< T0 GRB: GRB (Bit 0)                                         */
#define T0_GRB_GRB_Msk                        (0xffffUL)                /*!< T0 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T0_CNT  ----------------------------------- */
#define T0_CNT_CNT_Pos                        (0UL)                     /*!< T0 CNT: CNT (Bit 0)                                         */
#define T0_CNT_CNT_Msk                        (0xffffUL)                /*!< T0 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T0_SR  ----------------------------------- */
#define T0_SR_OVF_Pos                         (0UL)                     /*!< T0 SR: OVF (Bit 0)                                          */
#define T0_SR_OVF_Msk                         (0x1UL)                   /*!< T0 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFB_Pos                         (1UL)                     /*!< T0 SR: MFB (Bit 1)                                          */
#define T0_SR_MFB_Msk                         (0x2UL)                   /*!< T0 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T0_SR_MFA_Pos                         (2UL)                     /*!< T0 SR: MFA (Bit 2)                                          */
#define T0_SR_MFA_Msk                         (0x4UL)                   /*!< T0 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T0_SR_QRF_Pos                         (8UL)                     /*!< T0 SR: QRF (Bit 8)                                          */
#define T0_SR_QRF_Msk                         (0x100UL)                 /*!< T0 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T0_SR_QDIRCH_Pos                      (9UL)                     /*!< T0 SR: QDIRCH (Bit 9)                                       */
#define T0_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T0 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T0_SR_QDIR_Pos                        (10UL)                    /*!< T0 SR: QDIR (Bit 10)                                        */
#define T0_SR_QDIR_Msk                        (0x400UL)                 /*!< T0 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T0_IER  ----------------------------------- */
#define T0_IER_OVIE_Pos                       (0UL)                     /*!< T0 IER: OVIE (Bit 0)                                        */
#define T0_IER_OVIE_Msk                       (0x1UL)                   /*!< T0 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MBIE_Pos                       (1UL)                     /*!< T0 IER: MBIE (Bit 1)                                        */
#define T0_IER_MBIE_Msk                       (0x2UL)                   /*!< T0 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_MAIE_Pos                       (2UL)                     /*!< T0 IER: MAIE (Bit 2)                                        */
#define T0_IER_MAIE_Msk                       (0x4UL)                   /*!< T0 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_QRIE_Pos                       (8UL)                     /*!< T0 IER: QRIE (Bit 8)                                        */
#define T0_IER_QRIE_Msk                       (0x100UL)                 /*!< T0 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T0_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T0 IER: QDIRCHIE (Bit 9)                                    */
#define T0_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T0 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================           struct 'T1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T1_CR1  ----------------------------------- */
#define T1_CR1_MODE_Pos                       (0UL)                     /*!< T1 CR1: MODE (Bit 0)                                        */
#define T1_CR1_MODE_Msk                       (0x3UL)                   /*!< T1 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T1_CR1_CLRMOD_Pos                     (2UL)                     /*!< T1 CR1: CLRMOD (Bit 2)                                      */
#define T1_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T1 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T1_CR1_CKSEL_Pos                      (4UL)                     /*!< T1 CR1: CKSEL (Bit 4)                                       */
#define T1_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T1 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T1_CR1_STARTLVL_Pos                   (7UL)                     /*!< T1 CR1: STARTLVL (Bit 7)                                    */
#define T1_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T1 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T1_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T1 CR1: ADCTRGEN (Bit 8)                                    */
#define T1_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T1 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T1_CR2  ----------------------------------- */
#define T1_CR2_TEN_Pos                        (0UL)                     /*!< T1 CR2: TEN (Bit 0)                                         */
#define T1_CR2_TEN_Msk                        (0x1UL)                   /*!< T1 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T1_CR2_TCLR_Pos                       (1UL)                     /*!< T1 CR2: TCLR (Bit 1)                                        */
#define T1_CR2_TCLR_Msk                       (0x2UL)                   /*!< T1 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T1_PRS  ----------------------------------- */
#define T1_PRS_PRS_Pos                        (0UL)                     /*!< T1 PRS: PRS (Bit 0)                                         */
#define T1_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T1 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T1_GRA  ----------------------------------- */
#define T1_GRA_GRA_Pos                        (0UL)                     /*!< T1 GRA: GRA (Bit 0)                                         */
#define T1_GRA_GRA_Msk                        (0xffffUL)                /*!< T1 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_GRB  ----------------------------------- */
#define T1_GRB_GRB_Pos                        (0UL)                     /*!< T1 GRB: GRB (Bit 0)                                         */
#define T1_GRB_GRB_Msk                        (0xffffUL)                /*!< T1 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T1_CNT  ----------------------------------- */
#define T1_CNT_CNT_Pos                        (0UL)                     /*!< T1 CNT: CNT (Bit 0)                                         */
#define T1_CNT_CNT_Msk                        (0xffffUL)                /*!< T1 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T1_SR  ----------------------------------- */
#define T1_SR_OVF_Pos                         (0UL)                     /*!< T1 SR: OVF (Bit 0)                                          */
#define T1_SR_OVF_Msk                         (0x1UL)                   /*!< T1 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFB_Pos                         (1UL)                     /*!< T1 SR: MFB (Bit 1)                                          */
#define T1_SR_MFB_Msk                         (0x2UL)                   /*!< T1 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T1_SR_MFA_Pos                         (2UL)                     /*!< T1 SR: MFA (Bit 2)                                          */
#define T1_SR_MFA_Msk                         (0x4UL)                   /*!< T1 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T1_SR_QRF_Pos                         (8UL)                     /*!< T1 SR: QRF (Bit 8)                                          */
#define T1_SR_QRF_Msk                         (0x100UL)                 /*!< T1 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T1_SR_QDIRCH_Pos                      (9UL)                     /*!< T1 SR: QDIRCH (Bit 9)                                       */
#define T1_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T1 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T1_SR_QDIR_Pos                        (10UL)                    /*!< T1 SR: QDIR (Bit 10)                                        */
#define T1_SR_QDIR_Msk                        (0x400UL)                 /*!< T1 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T1_IER  ----------------------------------- */
#define T1_IER_OVIE_Pos                       (0UL)                     /*!< T1 IER: OVIE (Bit 0)                                        */
#define T1_IER_OVIE_Msk                       (0x1UL)                   /*!< T1 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MBIE_Pos                       (1UL)                     /*!< T1 IER: MBIE (Bit 1)                                        */
#define T1_IER_MBIE_Msk                       (0x2UL)                   /*!< T1 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_MAIE_Pos                       (2UL)                     /*!< T1 IER: MAIE (Bit 2)                                        */
#define T1_IER_MAIE_Msk                       (0x4UL)                   /*!< T1 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_QRIE_Pos                       (8UL)                     /*!< T1 IER: QRIE (Bit 8)                                        */
#define T1_IER_QRIE_Msk                       (0x100UL)                 /*!< T1 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T1_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T1 IER: QDIRCHIE (Bit 9)                                    */
#define T1_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T1 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================           struct 'T2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T2_CR1  ----------------------------------- */
#define T2_CR1_MODE_Pos                       (0UL)                     /*!< T2 CR1: MODE (Bit 0)                                        */
#define T2_CR1_MODE_Msk                       (0x3UL)                   /*!< T2 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T2_CR1_CLRMOD_Pos                     (2UL)                     /*!< T2 CR1: CLRMOD (Bit 2)                                      */
#define T2_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T2 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T2_CR1_CKSEL_Pos                      (4UL)                     /*!< T2 CR1: CKSEL (Bit 4)                                       */
#define T2_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T2 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T2_CR1_STARTLVL_Pos                   (7UL)                     /*!< T2 CR1: STARTLVL (Bit 7)                                    */
#define T2_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T2 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T2_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T2 CR1: ADCTRGEN (Bit 8)                                    */
#define T2_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T2 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T2_CR2  ----------------------------------- */
#define T2_CR2_TEN_Pos                        (0UL)                     /*!< T2 CR2: TEN (Bit 0)                                         */
#define T2_CR2_TEN_Msk                        (0x1UL)                   /*!< T2 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T2_CR2_TCLR_Pos                       (1UL)                     /*!< T2 CR2: TCLR (Bit 1)                                        */
#define T2_CR2_TCLR_Msk                       (0x2UL)                   /*!< T2 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T2_PRS  ----------------------------------- */
#define T2_PRS_PRS_Pos                        (0UL)                     /*!< T2 PRS: PRS (Bit 0)                                         */
#define T2_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T2 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T2_GRA  ----------------------------------- */
#define T2_GRA_GRA_Pos                        (0UL)                     /*!< T2 GRA: GRA (Bit 0)                                         */
#define T2_GRA_GRA_Msk                        (0xffffUL)                /*!< T2 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_GRB  ----------------------------------- */
#define T2_GRB_GRB_Pos                        (0UL)                     /*!< T2 GRB: GRB (Bit 0)                                         */
#define T2_GRB_GRB_Msk                        (0xffffUL)                /*!< T2 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T2_CNT  ----------------------------------- */
#define T2_CNT_CNT_Pos                        (0UL)                     /*!< T2 CNT: CNT (Bit 0)                                         */
#define T2_CNT_CNT_Msk                        (0xffffUL)                /*!< T2 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T2_SR  ----------------------------------- */
#define T2_SR_OVF_Pos                         (0UL)                     /*!< T2 SR: OVF (Bit 0)                                          */
#define T2_SR_OVF_Msk                         (0x1UL)                   /*!< T2 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFB_Pos                         (1UL)                     /*!< T2 SR: MFB (Bit 1)                                          */
#define T2_SR_MFB_Msk                         (0x2UL)                   /*!< T2 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T2_SR_MFA_Pos                         (2UL)                     /*!< T2 SR: MFA (Bit 2)                                          */
#define T2_SR_MFA_Msk                         (0x4UL)                   /*!< T2 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T2_SR_QRF_Pos                         (8UL)                     /*!< T2 SR: QRF (Bit 8)                                          */
#define T2_SR_QRF_Msk                         (0x100UL)                 /*!< T2 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T2_SR_QDIRCH_Pos                      (9UL)                     /*!< T2 SR: QDIRCH (Bit 9)                                       */
#define T2_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T2 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T2_SR_QDIR_Pos                        (10UL)                    /*!< T2 SR: QDIR (Bit 10)                                        */
#define T2_SR_QDIR_Msk                        (0x400UL)                 /*!< T2 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T2_IER  ----------------------------------- */
#define T2_IER_OVIE_Pos                       (0UL)                     /*!< T2 IER: OVIE (Bit 0)                                        */
#define T2_IER_OVIE_Msk                       (0x1UL)                   /*!< T2 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MBIE_Pos                       (1UL)                     /*!< T2 IER: MBIE (Bit 1)                                        */
#define T2_IER_MBIE_Msk                       (0x2UL)                   /*!< T2 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_MAIE_Pos                       (2UL)                     /*!< T2 IER: MAIE (Bit 2)                                        */
#define T2_IER_MAIE_Msk                       (0x4UL)                   /*!< T2 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_QRIE_Pos                       (8UL)                     /*!< T2 IER: QRIE (Bit 8)                                        */
#define T2_IER_QRIE_Msk                       (0x100UL)                 /*!< T2 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T2_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T2 IER: QDIRCHIE (Bit 9)                                    */
#define T2_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T2 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================           struct 'T3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T3_CR1  ----------------------------------- */
#define T3_CR1_MODE_Pos                       (0UL)                     /*!< T3 CR1: MODE (Bit 0)                                        */
#define T3_CR1_MODE_Msk                       (0x3UL)                   /*!< T3 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T3_CR1_CLRMOD_Pos                     (2UL)                     /*!< T3 CR1: CLRMOD (Bit 2)                                      */
#define T3_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T3 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T3_CR1_CKSEL_Pos                      (4UL)                     /*!< T3 CR1: CKSEL (Bit 4)                                       */
#define T3_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T3 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T3_CR1_STARTLVL_Pos                   (7UL)                     /*!< T3 CR1: STARTLVL (Bit 7)                                    */
#define T3_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T3 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T3_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T3 CR1: ADCTRGEN (Bit 8)                                    */
#define T3_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T3 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T3_CR2  ----------------------------------- */
#define T3_CR2_TEN_Pos                        (0UL)                     /*!< T3 CR2: TEN (Bit 0)                                         */
#define T3_CR2_TEN_Msk                        (0x1UL)                   /*!< T3 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T3_CR2_TCLR_Pos                       (1UL)                     /*!< T3 CR2: TCLR (Bit 1)                                        */
#define T3_CR2_TCLR_Msk                       (0x2UL)                   /*!< T3 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T3_PRS  ----------------------------------- */
#define T3_PRS_PRS_Pos                        (0UL)                     /*!< T3 PRS: PRS (Bit 0)                                         */
#define T3_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T3 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T3_GRA  ----------------------------------- */
#define T3_GRA_GRA_Pos                        (0UL)                     /*!< T3 GRA: GRA (Bit 0)                                         */
#define T3_GRA_GRA_Msk                        (0xffffUL)                /*!< T3 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_GRB  ----------------------------------- */
#define T3_GRB_GRB_Pos                        (0UL)                     /*!< T3 GRB: GRB (Bit 0)                                         */
#define T3_GRB_GRB_Msk                        (0xffffUL)                /*!< T3 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T3_CNT  ----------------------------------- */
#define T3_CNT_CNT_Pos                        (0UL)                     /*!< T3 CNT: CNT (Bit 0)                                         */
#define T3_CNT_CNT_Msk                        (0xffffUL)                /*!< T3 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T3_SR  ----------------------------------- */
#define T3_SR_OVF_Pos                         (0UL)                     /*!< T3 SR: OVF (Bit 0)                                          */
#define T3_SR_OVF_Msk                         (0x1UL)                   /*!< T3 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFB_Pos                         (1UL)                     /*!< T3 SR: MFB (Bit 1)                                          */
#define T3_SR_MFB_Msk                         (0x2UL)                   /*!< T3 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T3_SR_MFA_Pos                         (2UL)                     /*!< T3 SR: MFA (Bit 2)                                          */
#define T3_SR_MFA_Msk                         (0x4UL)                   /*!< T3 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T3_SR_QRF_Pos                         (8UL)                     /*!< T3 SR: QRF (Bit 8)                                          */
#define T3_SR_QRF_Msk                         (0x100UL)                 /*!< T3 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T3_SR_QDIRCH_Pos                      (9UL)                     /*!< T3 SR: QDIRCH (Bit 9)                                       */
#define T3_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T3 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T3_SR_QDIR_Pos                        (10UL)                    /*!< T3 SR: QDIR (Bit 10)                                        */
#define T3_SR_QDIR_Msk                        (0x400UL)                 /*!< T3 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T3_IER  ----------------------------------- */
#define T3_IER_OVIE_Pos                       (0UL)                     /*!< T3 IER: OVIE (Bit 0)                                        */
#define T3_IER_OVIE_Msk                       (0x1UL)                   /*!< T3 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MBIE_Pos                       (1UL)                     /*!< T3 IER: MBIE (Bit 1)                                        */
#define T3_IER_MBIE_Msk                       (0x2UL)                   /*!< T3 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_MAIE_Pos                       (2UL)                     /*!< T3 IER: MAIE (Bit 2)                                        */
#define T3_IER_MAIE_Msk                       (0x4UL)                   /*!< T3 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_QRIE_Pos                       (8UL)                     /*!< T3 IER: QRIE (Bit 8)                                        */
#define T3_IER_QRIE_Msk                       (0x100UL)                 /*!< T3 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T3_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T3 IER: QDIRCHIE (Bit 9)                                    */
#define T3_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T3 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================           struct 'T8' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T8_CR1  ----------------------------------- */
#define T8_CR1_MODE_Pos                       (0UL)                     /*!< T8 CR1: MODE (Bit 0)                                        */
#define T8_CR1_MODE_Msk                       (0x3UL)                   /*!< T8 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T8_CR1_CLRMOD_Pos                     (2UL)                     /*!< T8 CR1: CLRMOD (Bit 2)                                      */
#define T8_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T8 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T8_CR1_CKSEL_Pos                      (4UL)                     /*!< T8 CR1: CKSEL (Bit 4)                                       */
#define T8_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T8 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T8_CR1_STARTLVL_Pos                   (7UL)                     /*!< T8 CR1: STARTLVL (Bit 7)                                    */
#define T8_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T8 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T8_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T8 CR1: ADCTRGEN (Bit 8)                                    */
#define T8_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T8 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T8_CR2  ----------------------------------- */
#define T8_CR2_TEN_Pos                        (0UL)                     /*!< T8 CR2: TEN (Bit 0)                                         */
#define T8_CR2_TEN_Msk                        (0x1UL)                   /*!< T8 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T8_CR2_TCLR_Pos                       (1UL)                     /*!< T8 CR2: TCLR (Bit 1)                                        */
#define T8_CR2_TCLR_Msk                       (0x2UL)                   /*!< T8 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T8_PRS  ----------------------------------- */
#define T8_PRS_PRS_Pos                        (0UL)                     /*!< T8 PRS: PRS (Bit 0)                                         */
#define T8_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T8 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T8_GRA  ----------------------------------- */
#define T8_GRA_GRA_Pos                        (0UL)                     /*!< T8 GRA: GRA (Bit 0)                                         */
#define T8_GRA_GRA_Msk                        (0xffffUL)                /*!< T8 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T8_GRB  ----------------------------------- */
#define T8_GRB_GRB_Pos                        (0UL)                     /*!< T8 GRB: GRB (Bit 0)                                         */
#define T8_GRB_GRB_Msk                        (0xffffUL)                /*!< T8 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T8_CNT  ----------------------------------- */
#define T8_CNT_CNT_Pos                        (0UL)                     /*!< T8 CNT: CNT (Bit 0)                                         */
#define T8_CNT_CNT_Msk                        (0xffffUL)                /*!< T8 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T8_SR  ----------------------------------- */
#define T8_SR_OVF_Pos                         (0UL)                     /*!< T8 SR: OVF (Bit 0)                                          */
#define T8_SR_OVF_Msk                         (0x1UL)                   /*!< T8 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T8_SR_MFB_Pos                         (1UL)                     /*!< T8 SR: MFB (Bit 1)                                          */
#define T8_SR_MFB_Msk                         (0x2UL)                   /*!< T8 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T8_SR_MFA_Pos                         (2UL)                     /*!< T8 SR: MFA (Bit 2)                                          */
#define T8_SR_MFA_Msk                         (0x4UL)                   /*!< T8 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T8_SR_QRF_Pos                         (8UL)                     /*!< T8 SR: QRF (Bit 8)                                          */
#define T8_SR_QRF_Msk                         (0x100UL)                 /*!< T8 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T8_SR_QDIRCH_Pos                      (9UL)                     /*!< T8 SR: QDIRCH (Bit 9)                                       */
#define T8_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T8 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T8_SR_QDIR_Pos                        (10UL)                    /*!< T8 SR: QDIR (Bit 10)                                        */
#define T8_SR_QDIR_Msk                        (0x400UL)                 /*!< T8 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T8_IER  ----------------------------------- */
#define T8_IER_OVIE_Pos                       (0UL)                     /*!< T8 IER: OVIE (Bit 0)                                        */
#define T8_IER_OVIE_Msk                       (0x1UL)                   /*!< T8 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_MBIE_Pos                       (1UL)                     /*!< T8 IER: MBIE (Bit 1)                                        */
#define T8_IER_MBIE_Msk                       (0x2UL)                   /*!< T8 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_MAIE_Pos                       (2UL)                     /*!< T8 IER: MAIE (Bit 2)                                        */
#define T8_IER_MAIE_Msk                       (0x4UL)                   /*!< T8 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_QRIE_Pos                       (8UL)                     /*!< T8 IER: QRIE (Bit 8)                                        */
#define T8_IER_QRIE_Msk                       (0x100UL)                 /*!< T8 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T8_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T8 IER: QDIRCHIE (Bit 9)                                    */
#define T8_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T8 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================           struct 'T9' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  T9_CR1  ----------------------------------- */
#define T9_CR1_MODE_Pos                       (0UL)                     /*!< T9 CR1: MODE (Bit 0)                                        */
#define T9_CR1_MODE_Msk                       (0x3UL)                   /*!< T9 CR1: MODE (Bitfield-Mask: 0x03)                          */
#define T9_CR1_CLRMOD_Pos                     (2UL)                     /*!< T9 CR1: CLRMOD (Bit 2)                                      */
#define T9_CR1_CLRMOD_Msk                     (0xcUL)                   /*!< T9 CR1: CLRMOD (Bitfield-Mask: 0x03)                        */
#define T9_CR1_CKSEL_Pos                      (4UL)                     /*!< T9 CR1: CKSEL (Bit 4)                                       */
#define T9_CR1_CKSEL_Msk                      (0x70UL)                  /*!< T9 CR1: CKSEL (Bitfield-Mask: 0x07)                         */
#define T9_CR1_STARTLVL_Pos                   (7UL)                     /*!< T9 CR1: STARTLVL (Bit 7)                                    */
#define T9_CR1_STARTLVL_Msk                   (0x80UL)                  /*!< T9 CR1: STARTLVL (Bitfield-Mask: 0x01)                      */
#define T9_CR1_ADCTRGEN_Pos                   (8UL)                     /*!< T9 CR1: ADCTRGEN (Bit 8)                                    */
#define T9_CR1_ADCTRGEN_Msk                   (0x100UL)                 /*!< T9 CR1: ADCTRGEN (Bitfield-Mask: 0x01)                      */

/* -----------------------------------  T9_CR2  ----------------------------------- */
#define T9_CR2_TEN_Pos                        (0UL)                     /*!< T9 CR2: TEN (Bit 0)                                         */
#define T9_CR2_TEN_Msk                        (0x1UL)                   /*!< T9 CR2: TEN (Bitfield-Mask: 0x01)                           */
#define T9_CR2_TCLR_Pos                       (1UL)                     /*!< T9 CR2: TCLR (Bit 1)                                        */
#define T9_CR2_TCLR_Msk                       (0x2UL)                   /*!< T9 CR2: TCLR (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  T9_PRS  ----------------------------------- */
#define T9_PRS_PRS_Pos                        (0UL)                     /*!< T9 PRS: PRS (Bit 0)                                         */
#define T9_PRS_PRS_Msk                        (0x3ffUL)                 /*!< T9 PRS: PRS (Bitfield-Mask: 0x3ff)                          */

/* -----------------------------------  T9_GRA  ----------------------------------- */
#define T9_GRA_GRA_Pos                        (0UL)                     /*!< T9 GRA: GRA (Bit 0)                                         */
#define T9_GRA_GRA_Msk                        (0xffffUL)                /*!< T9 GRA: GRA (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T9_GRB  ----------------------------------- */
#define T9_GRB_GRB_Pos                        (0UL)                     /*!< T9 GRB: GRB (Bit 0)                                         */
#define T9_GRB_GRB_Msk                        (0xffffUL)                /*!< T9 GRB: GRB (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  T9_CNT  ----------------------------------- */
#define T9_CNT_CNT_Pos                        (0UL)                     /*!< T9 CNT: CNT (Bit 0)                                         */
#define T9_CNT_CNT_Msk                        (0xffffUL)                /*!< T9 CNT: CNT (Bitfield-Mask: 0xffff)                         */

/* ------------------------------------  T9_SR  ----------------------------------- */
#define T9_SR_OVF_Pos                         (0UL)                     /*!< T9 SR: OVF (Bit 0)                                          */
#define T9_SR_OVF_Msk                         (0x1UL)                   /*!< T9 SR: OVF (Bitfield-Mask: 0x01)                            */
#define T9_SR_MFB_Pos                         (1UL)                     /*!< T9 SR: MFB (Bit 1)                                          */
#define T9_SR_MFB_Msk                         (0x2UL)                   /*!< T9 SR: MFB (Bitfield-Mask: 0x01)                            */
#define T9_SR_MFA_Pos                         (2UL)                     /*!< T9 SR: MFA (Bit 2)                                          */
#define T9_SR_MFA_Msk                         (0x4UL)                   /*!< T9 SR: MFA (Bitfield-Mask: 0x01)                            */
#define T9_SR_QRF_Pos                         (8UL)                     /*!< T9 SR: QRF (Bit 8)                                          */
#define T9_SR_QRF_Msk                         (0x100UL)                 /*!< T9 SR: QRF (Bitfield-Mask: 0x01)                            */
#define T9_SR_QDIRCH_Pos                      (9UL)                     /*!< T9 SR: QDIRCH (Bit 9)                                       */
#define T9_SR_QDIRCH_Msk                      (0x200UL)                 /*!< T9 SR: QDIRCH (Bitfield-Mask: 0x01)                         */
#define T9_SR_QDIR_Pos                        (10UL)                    /*!< T9 SR: QDIR (Bit 10)                                        */
#define T9_SR_QDIR_Msk                        (0x400UL)                 /*!< T9 SR: QDIR (Bitfield-Mask: 0x01)                           */

/* -----------------------------------  T9_IER  ----------------------------------- */
#define T9_IER_OVIE_Pos                       (0UL)                     /*!< T9 IER: OVIE (Bit 0)                                        */
#define T9_IER_OVIE_Msk                       (0x1UL)                   /*!< T9 IER: OVIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_MBIE_Pos                       (1UL)                     /*!< T9 IER: MBIE (Bit 1)                                        */
#define T9_IER_MBIE_Msk                       (0x2UL)                   /*!< T9 IER: MBIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_MAIE_Pos                       (2UL)                     /*!< T9 IER: MAIE (Bit 2)                                        */
#define T9_IER_MAIE_Msk                       (0x4UL)                   /*!< T9 IER: MAIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_QRIE_Pos                       (8UL)                     /*!< T9 IER: QRIE (Bit 8)                                        */
#define T9_IER_QRIE_Msk                       (0x100UL)                 /*!< T9 IER: QRIE (Bitfield-Mask: 0x01)                          */
#define T9_IER_QDIRCHIE_Pos                   (9UL)                     /*!< T9 IER: QDIRCHIE (Bit 9)                                    */
#define T9_IER_QDIRCHIE_Msk                   (0x200UL)                 /*!< T9 IER: QDIRCHIE (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================         struct 'TGECR' Position & Mask         ================ */
/* ================================================================================ */


/* ----------------------------------  TGECR_CR  ---------------------------------- */
#define TGECR_CR_QDMOD_Pos                    (0UL)                     /*!< TGECR CR: QDMOD (Bit 0)                                     */
#define TGECR_CR_QDMOD_Msk                    (0x1UL)                   /*!< TGECR CR: QDMOD (Bitfield-Mask: 0x01)                       */
#define TGECR_CR_QDPHSWAP_Pos                 (2UL)                     /*!< TGECR CR: QDPHSWAP (Bit 2)                                  */
#define TGECR_CR_QDPHSWAP_Msk                 (0x4UL)                   /*!< TGECR CR: QDPHSWAP (Bitfield-Mask: 0x01)                    */
#define TGECR_CR_QDPHZEG_Pos                  (3UL)                     /*!< TGECR CR: QDPHZEG (Bit 3)                                   */
#define TGECR_CR_QDPHZEG_Msk                  (0x8UL)                   /*!< TGECR CR: QDPHZEG (Bitfield-Mask: 0x01)                     */
#define TGECR_CR_QDPHAEG_Pos                  (4UL)                     /*!< TGECR CR: QDPHAEG (Bit 4)                                   */
#define TGECR_CR_QDPHAEG_Msk                  (0x30UL)                  /*!< TGECR CR: QDPHAEG (Bitfield-Mask: 0x03)                     */
#define TGECR_CR_QDPHBEG_Pos                  (6UL)                     /*!< TGECR CR: QDPHBEG (Bit 6)                                   */
#define TGECR_CR_QDPHBEG_Msk                  (0xc0UL)                  /*!< TGECR CR: QDPHBEG (Bitfield-Mask: 0x03)                     */
#define TGECR_CR_ADIRCON_Pos                  (8UL)                     /*!< TGECR CR: ADIRCON (Bit 8)                                   */
#define TGECR_CR_ADIRCON_Msk                  (0x100UL)                 /*!< TGECR CR: ADIRCON (Bitfield-Mask: 0x01)                     */
#define TGECR_CR_BDIRCON_Pos                  (9UL)                     /*!< TGECR CR: BDIRCON (Bit 9)                                   */
#define TGECR_CR_BDIRCON_Msk                  (0x200UL)                 /*!< TGECR CR: BDIRCON (Bitfield-Mask: 0x01)                     */
#define TGECR_CR_PDIRCON_Pos                  (10UL)                    /*!< TGECR CR: PDIRCON (Bit 10)                                  */
#define TGECR_CR_PDIRCON_Msk                  (0x400UL)                 /*!< TGECR CR: PDIRCON (Bitfield-Mask: 0x01)                     */
#define TGECR_CR_RDIRCON_Pos                  (11UL)                    /*!< TGECR CR: RDIRCON (Bit 11)                                  */
#define TGECR_CR_RDIRCON_Msk                  (0x800UL)                 /*!< TGECR CR: RDIRCON (Bitfield-Mask: 0x01)                     */


/* ================================================================================ */
/* ================          struct 'MP0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  MP0_MR  ----------------------------------- */
#define MP0_MR_UPDOWN_Pos                     (0UL)                     /*!< MP0 MR: UPDOWN (Bit 0)                                      */
#define MP0_MR_UPDOWN_Msk                     (0x1UL)                   /*!< MP0 MR: UPDOWN (Bitfield-Mask: 0x01)                        */
#define MP0_MR_PDUP_Pos                       (1UL)                     /*!< MP0 MR: PDUP (Bit 1)                                        */
#define MP0_MR_PDUP_Msk                       (0x2UL)                   /*!< MP0 MR: PDUP (Bitfield-Mask: 0x01)                          */
#define MP0_MR_FORCM_Pos                      (4UL)                     /*!< MP0 MR: FORCM (Bit 4)                                       */
#define MP0_MR_FORCM_Msk                      (0x30UL)                  /*!< MP0 MR: FORCM (Bitfield-Mask: 0x03)                         */
#define MP0_MR_FORCEN_Pos                     (7UL)                     /*!< MP0 MR: FORCEN (Bit 7)                                      */
#define MP0_MR_FORCEN_Msk                     (0x80UL)                  /*!< MP0 MR: FORCEN (Bitfield-Mask: 0x01)                        */
#define MP0_MR_UALL_Pos                       (8UL)                     /*!< MP0 MR: UALL (Bit 8)                                        */
#define MP0_MR_UALL_Msk                       (0x100UL)                 /*!< MP0 MR: UALL (Bitfield-Mask: 0x01)                          */
#define MP0_MR_UPDATE_Pos                     (9UL)                     /*!< MP0 MR: UPDATE (Bit 9)                                      */
#define MP0_MR_UPDATE_Msk                     (0x200UL)                 /*!< MP0 MR: UPDATE (Bitfield-Mask: 0x01)                        */
#define MP0_MR_MCHMOD_Pos                     (12UL)                    /*!< MP0 MR: MCHMOD (Bit 12)                                     */
#define MP0_MR_MCHMOD_Msk                     (0x3000UL)                /*!< MP0 MR: MCHMOD (Bitfield-Mask: 0x03)                        */
#define MP0_MR_MOTOR_Pos                      (15UL)                    /*!< MP0 MR: MOTOR (Bit 15)                                      */
#define MP0_MR_MOTOR_Msk                      (0x8000UL)                /*!< MP0 MR: MOTOR (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP0_PMR  ---------------------------------- */
#define MP0_PMR_POLWL_Pos                     (0UL)                     /*!< MP0 PMR: POLWL (Bit 0)                                      */
#define MP0_PMR_POLWL_Msk                     (0x1UL)                   /*!< MP0 PMR: POLWL (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_POLWH_Pos                     (1UL)                     /*!< MP0 PMR: POLWH (Bit 1)                                      */
#define MP0_PMR_POLWH_Msk                     (0x2UL)                   /*!< MP0 PMR: POLWH (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_POLVL_Pos                     (2UL)                     /*!< MP0 PMR: POLVL (Bit 2)                                      */
#define MP0_PMR_POLVL_Msk                     (0x4UL)                   /*!< MP0 PMR: POLVL (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_POLVH_Pos                     (3UL)                     /*!< MP0 PMR: POLVH (Bit 3)                                      */
#define MP0_PMR_POLVH_Msk                     (0x8UL)                   /*!< MP0 PMR: POLVH (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_POLUL_Pos                     (4UL)                     /*!< MP0 PMR: POLUL (Bit 4)                                      */
#define MP0_PMR_POLUL_Msk                     (0x10UL)                  /*!< MP0 PMR: POLUL (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_POLUH_Pos                     (5UL)                     /*!< MP0 PMR: POLUH (Bit 5)                                      */
#define MP0_PMR_POLUH_Msk                     (0x20UL)                  /*!< MP0 PMR: POLUH (Bitfield-Mask: 0x01)                        */
#define MP0_PMR_PMOD_Pos                      (8UL)                     /*!< MP0 PMR: PMOD (Bit 8)                                       */
#define MP0_PMR_PMOD_Msk                      (0x300UL)                 /*!< MP0 PMR: PMOD (Bitfield-Mask: 0x03)                         */

/* -----------------------------------  MP0_OCR  ---------------------------------- */
#define MP0_OCR_WLEN_Pos                      (0UL)                     /*!< MP0 OCR: WLEN (Bit 0)                                       */
#define MP0_OCR_WLEN_Msk                      (0x1UL)                   /*!< MP0 OCR: WLEN (Bitfield-Mask: 0x01)                         */
#define MP0_OCR_WHVAL_Pos                     (1UL)                     /*!< MP0 OCR: WHVAL (Bit 1)                                      */
#define MP0_OCR_WHVAL_Msk                     (0x2UL)                   /*!< MP0 OCR: WHVAL (Bitfield-Mask: 0x01)                        */
#define MP0_OCR_VLVAL_Pos                     (2UL)                     /*!< MP0 OCR: VLVAL (Bit 2)                                      */
#define MP0_OCR_VLVAL_Msk                     (0x4UL)                   /*!< MP0 OCR: VLVAL (Bitfield-Mask: 0x01)                        */
#define MP0_OCR_VHVAL_Pos                     (3UL)                     /*!< MP0 OCR: VHVAL (Bit 3)                                      */
#define MP0_OCR_VHVAL_Msk                     (0x8UL)                   /*!< MP0 OCR: VHVAL (Bitfield-Mask: 0x01)                        */
#define MP0_OCR_ULVAL_Pos                     (4UL)                     /*!< MP0 OCR: ULVAL (Bit 4)                                      */
#define MP0_OCR_ULVAL_Msk                     (0x10UL)                  /*!< MP0 OCR: ULVAL (Bitfield-Mask: 0x01)                        */
#define MP0_OCR_UHVAL_Pos                     (5UL)                     /*!< MP0 OCR: UHVAL (Bit 5)                                      */
#define MP0_OCR_UHVAL_Msk                     (0x20UL)                  /*!< MP0 OCR: UHVAL (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP0_PRD  ---------------------------------- */
#define MP0_PRD_PERIOD_Pos                    (0UL)                     /*!< MP0 PRD: PERIOD (Bit 0)                                     */
#define MP0_PRD_PERIOD_Msk                    (0xffffUL)                /*!< MP0 PRD: PERIOD (Bitfield-Mask: 0xffff)                     */

/* -----------------------------------  MP0_DUH  ---------------------------------- */
#define MP0_DUH_DUTY_Pos                      (0UL)                     /*!< MP0 DUH: DUTY (Bit 0)                                       */
#define MP0_DUH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DUH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DVH  ---------------------------------- */
#define MP0_DVH_DUTY_Pos                      (0UL)                     /*!< MP0 DVH: DUTY (Bit 0)                                       */
#define MP0_DVH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DVH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DWH  ---------------------------------- */
#define MP0_DWH_DUTY_Pos                      (0UL)                     /*!< MP0 DWH: DUTY (Bit 0)                                       */
#define MP0_DWH_DUTY_Msk                      (0xffffUL)                /*!< MP0 DWH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DUL  ---------------------------------- */
#define MP0_DUL_DUTY_Pos                      (0UL)                     /*!< MP0 DUL: DUTY (Bit 0)                                       */
#define MP0_DUL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DUL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DVL  ---------------------------------- */
#define MP0_DVL_DUTY_Pos                      (0UL)                     /*!< MP0 DVL: DUTY (Bit 0)                                       */
#define MP0_DVL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DVL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_DWL  ---------------------------------- */
#define MP0_DWL_DUTY_Pos                      (0UL)                     /*!< MP0 DWL: DUTY (Bit 0)                                       */
#define MP0_DWL_DUTY_Msk                      (0xffffUL)                /*!< MP0 DWL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP0_CR1  ---------------------------------- */
#define MP0_CR1_HALT_Pos                      (0UL)                     /*!< MP0 CR1: HALT (Bit 0)                                       */
#define MP0_CR1_HALT_Msk                      (0x1UL)                   /*!< MP0 CR1: HALT (Bitfield-Mask: 0x01)                         */
#define MP0_CR1_PWMEN_Pos                     (7UL)                     /*!< MP0 CR1: PWMEN (Bit 7)                                      */
#define MP0_CR1_PWMEN_Msk                     (0x80UL)                  /*!< MP0 CR1: PWMEN (Bitfield-Mask: 0x01)                        */
#define MP0_CR1_IRQN_Pos                      (8UL)                     /*!< MP0 CR1: IRQN (Bit 8)                                       */
#define MP0_CR1_IRQN_Msk                      (0x700UL)                 /*!< MP0 CR1: IRQN (Bitfield-Mask: 0x07)                         */
#define MP0_CR1_IRQMD_Pos                     (12UL)                    /*!< MP0 CR1: IRQMD (Bit 12)                                     */
#define MP0_CR1_IRQMD_Msk                     (0x3000UL)                /*!< MP0 CR1: IRQMD (Bitfield-Mask: 0x03)                        */
#define MP0_CR1_INTVEN_Pos                    (15UL)                    /*!< MP0 CR1: INTVEN (Bit 15)                                    */
#define MP0_CR1_INTVEN_Msk                    (0x8000UL)                /*!< MP0 CR1: INTVEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP0_CR2  ---------------------------------- */
#define MP0_CR2_PSTART_Pos                    (0UL)                     /*!< MP0 CR2: PSTART (Bit 0)                                     */
#define MP0_CR2_PSTART_Msk                    (0x1UL)                   /*!< MP0 CR2: PSTART (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP0_SR  ----------------------------------- */
#define MP0_SR_DWLIRQ_Pos                     (0UL)                     /*!< MP0 SR: DWLIRQ (Bit 0)                                      */
#define MP0_SR_DWLIRQ_Msk                     (0x1UL)                   /*!< MP0 SR: DWLIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_DWHIRQ_Pos                     (1UL)                     /*!< MP0 SR: DWHIRQ (Bit 1)                                      */
#define MP0_SR_DWHIRQ_Msk                     (0x2UL)                   /*!< MP0 SR: DWHIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_DVLIRQ_Pos                     (2UL)                     /*!< MP0 SR: DVLIRQ (Bit 2)                                      */
#define MP0_SR_DVLIRQ_Msk                     (0x4UL)                   /*!< MP0 SR: DVLIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_DVHIRQ_Pos                     (3UL)                     /*!< MP0 SR: DVHIRQ (Bit 3)                                      */
#define MP0_SR_DVHIRQ_Msk                     (0x8UL)                   /*!< MP0 SR: DVHIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_DULIRQ_Pos                     (4UL)                     /*!< MP0 SR: DULIRQ (Bit 4)                                      */
#define MP0_SR_DULIRQ_Msk                     (0x10UL)                  /*!< MP0 SR: DULIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_DUHIRQ_Pos                     (5UL)                     /*!< MP0 SR: DUHIRQ (Bit 5)                                      */
#define MP0_SR_DUHIRQ_Msk                     (0x20UL)                  /*!< MP0 SR: DUHIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_BOTIRQ_Pos                     (6UL)                     /*!< MP0 SR: BOTIRQ (Bit 6)                                      */
#define MP0_SR_BOTIRQ_Msk                     (0x40UL)                  /*!< MP0 SR: BOTIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_PRDIRQ_Pos                     (7UL)                     /*!< MP0 SR: PRDIRQ (Bit 7)                                      */
#define MP0_SR_PRDIRQ_Msk                     (0x80UL)                  /*!< MP0 SR: PRDIRQ (Bitfield-Mask: 0x01)                        */
#define MP0_SR_IRQCNT_Pos                     (12UL)                    /*!< MP0 SR: IRQCNT (Bit 12)                                     */
#define MP0_SR_IRQCNT_Msk                     (0x7000UL)                /*!< MP0 SR: IRQCNT (Bitfield-Mask: 0x07)                        */
#define MP0_SR_DOWN_Pos                       (15UL)                    /*!< MP0 SR: DOWN (Bit 15)                                       */
#define MP0_SR_DOWN_Msk                       (0x8000UL)                /*!< MP0 SR: DOWN (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP0_IER  ---------------------------------- */
#define MP0_IER_DWLIEN_Pos                    (0UL)                     /*!< MP0 IER: DWLIEN (Bit 0)                                     */
#define MP0_IER_DWLIEN_Msk                    (0x1UL)                   /*!< MP0 IER: DWLIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_DWHIEN_Pos                    (1UL)                     /*!< MP0 IER: DWHIEN (Bit 1)                                     */
#define MP0_IER_DWHIEN_Msk                    (0x2UL)                   /*!< MP0 IER: DWHIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_DVLIEN_Pos                    (2UL)                     /*!< MP0 IER: DVLIEN (Bit 2)                                     */
#define MP0_IER_DVLIEN_Msk                    (0x4UL)                   /*!< MP0 IER: DVLIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_DVHIEN_Pos                    (3UL)                     /*!< MP0 IER: DVHIEN (Bit 3)                                     */
#define MP0_IER_DVHIEN_Msk                    (0x8UL)                   /*!< MP0 IER: DVHIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_DULIEN_Pos                    (4UL)                     /*!< MP0 IER: DULIEN (Bit 4)                                     */
#define MP0_IER_DULIEN_Msk                    (0x10UL)                  /*!< MP0 IER: DULIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_DUHIEN_Pos                    (5UL)                     /*!< MP0 IER: DUHIEN (Bit 5)                                     */
#define MP0_IER_DUHIEN_Msk                    (0x20UL)                  /*!< MP0 IER: DUHIEN (Bitfield-Mask: 0x01)                       */
#define MP0_IER_BOTIE_Pos                     (6UL)                     /*!< MP0 IER: BOTIE (Bit 6)                                      */
#define MP0_IER_BOTIE_Msk                     (0x40UL)                  /*!< MP0 IER: BOTIE (Bitfield-Mask: 0x01)                        */
#define MP0_IER_PRDIEN_Pos                    (7UL)                     /*!< MP0 IER: PRDIEN (Bit 7)                                     */
#define MP0_IER_PRDIEN_Msk                    (0x80UL)                  /*!< MP0 IER: PRDIEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP0_CNT  ---------------------------------- */
#define MP0_CNT_CNT_Pos                       (0UL)                     /*!< MP0 CNT: CNT (Bit 0)                                        */
#define MP0_CNT_CNT_Msk                       (0xffffUL)                /*!< MP0 CNT: CNT (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP0_DTR  ---------------------------------- */
#define MP0_DTR_DT_Pos                        (0UL)                     /*!< MP0 DTR: DT (Bit 0)                                         */
#define MP0_DTR_DT_Msk                        (0xffUL)                  /*!< MP0 DTR: DT (Bitfield-Mask: 0xff)                           */
#define MP0_DTR_DTCLK_Pos                     (8UL)                     /*!< MP0 DTR: DTCLK (Bit 8)                                      */
#define MP0_DTR_DTCLK_Msk                     (0x100UL)                 /*!< MP0 DTR: DTCLK (Bitfield-Mask: 0x01)                        */
#define MP0_DTR_DTEN_Pos                      (15UL)                    /*!< MP0 DTR: DTEN (Bit 15)                                      */
#define MP0_DTR_DTEN_Msk                      (0x8000UL)                /*!< MP0 DTR: DTEN (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP0_PCR  ---------------------------------- */
#define MP0_PCR_PTSEL_Pos                     (0UL)                     /*!< MP0 PCR: PTSEL (Bit 0)                                      */
#define MP0_PCR_PTSEL_Msk                     (0x3UL)                   /*!< MP0 PCR: PTSEL (Bitfield-Mask: 0x03)                        */
#define MP0_PCR_PTDBC_Pos                     (4UL)                     /*!< MP0 PCR: PTDBC (Bit 4)                                      */
#define MP0_PCR_PTDBC_Msk                     (0x70UL)                  /*!< MP0 PCR: PTDBC (Bitfield-Mask: 0x07)                        */
#define MP0_PCR_PROTCLR_Pos                   (7UL)                     /*!< MP0 PCR: PROTCLR (Bit 7)                                    */
#define MP0_PCR_PROTCLR_Msk                   (0x80UL)                  /*!< MP0 PCR: PROTCLR (Bitfield-Mask: 0x01)                      */
#define MP0_PCR_WLPROT_Pos                    (8UL)                     /*!< MP0 PCR: WLPROT (Bit 8)                                     */
#define MP0_PCR_WLPROT_Msk                    (0x100UL)                 /*!< MP0 PCR: WLPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_WHPROT_Pos                    (9UL)                     /*!< MP0 PCR: WHPROT (Bit 9)                                     */
#define MP0_PCR_WHPROT_Msk                    (0x200UL)                 /*!< MP0 PCR: WHPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_VLPROT_Pos                    (10UL)                    /*!< MP0 PCR: VLPROT (Bit 10)                                    */
#define MP0_PCR_VLPROT_Msk                    (0x400UL)                 /*!< MP0 PCR: VLPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_VHPROT_Pos                    (11UL)                    /*!< MP0 PCR: VHPROT (Bit 11)                                    */
#define MP0_PCR_VHPROT_Msk                    (0x800UL)                 /*!< MP0 PCR: VHPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_ULPROT_Pos                    (12UL)                    /*!< MP0 PCR: ULPROT (Bit 12)                                    */
#define MP0_PCR_ULPROT_Msk                    (0x1000UL)                /*!< MP0 PCR: ULPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_UHPROT_Pos                    (13UL)                    /*!< MP0 PCR: UHPROT (Bit 13)                                    */
#define MP0_PCR_UHPROT_Msk                    (0x2000UL)                /*!< MP0 PCR: UHPROT (Bitfield-Mask: 0x01)                       */
#define MP0_PCR_PROTDIS_Pos                   (15UL)                    /*!< MP0 PCR: PROTDIS (Bit 15)                                   */
#define MP0_PCR_PROTDIS_Msk                   (0x8000UL)                /*!< MP0 PCR: PROTDIS (Bitfield-Mask: 0x01)                      */
#define MP0_PCR_AD0IN_Pos                     (16UL)                    /*!< MP0 PCR: AD0IN (Bit 16)                                     */
#define MP0_PCR_AD0IN_Msk                     (0x10000UL)               /*!< MP0 PCR: AD0IN (Bitfield-Mask: 0x01)                        */
#define MP0_PCR_AD1IN_Pos                     (17UL)                    /*!< MP0 PCR: AD1IN (Bit 17)                                     */
#define MP0_PCR_AD1IN_Msk                     (0x20000UL)               /*!< MP0 PCR: AD1IN (Bitfield-Mask: 0x01)                        */
#define MP0_PCR_AD2IN_Pos                     (18UL)                    /*!< MP0 PCR: AD2IN (Bit 18)                                     */
#define MP0_PCR_AD2IN_Msk                     (0x40000UL)               /*!< MP0 PCR: AD2IN (Bitfield-Mask: 0x01)                        */
#define MP0_PCR_C0IN_Pos                      (19UL)                    /*!< MP0 PCR: C0IN (Bit 19)                                      */
#define MP0_PCR_C0IN_Msk                      (0x80000UL)               /*!< MP0 PCR: C0IN (Bitfield-Mask: 0x01)                         */
#define MP0_PCR_C1IN_Pos                      (20UL)                    /*!< MP0 PCR: C1IN (Bit 20)                                      */
#define MP0_PCR_C1IN_Msk                      (0x100000UL)              /*!< MP0 PCR: C1IN (Bitfield-Mask: 0x01)                         */
#define MP0_PCR_C2IN_Pos                      (21UL)                    /*!< MP0 PCR: C2IN (Bit 21)                                      */
#define MP0_PCR_C2IN_Msk                      (0x200000UL)              /*!< MP0 PCR: C2IN (Bitfield-Mask: 0x01)                         */
#define MP0_PCR_C3IN_Pos                      (22UL)                    /*!< MP0 PCR: C3IN (Bit 22)                                      */
#define MP0_PCR_C3IN_Msk                      (0x400000UL)              /*!< MP0 PCR: C3IN (Bitfield-Mask: 0x01)                         */
#define MP0_PCR_PRTIN_Pos                     (23UL)                    /*!< MP0 PCR: PRTIN (Bit 23)                                     */
#define MP0_PCR_PRTIN_Msk                     (0x800000UL)              /*!< MP0 PCR: PRTIN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP0_PSR  ---------------------------------- */
#define MP0_PSR_PROTIN_Pos                    (0UL)                     /*!< MP0 PSR: PROTIN (Bit 0)                                     */
#define MP0_PSR_PROTIN_Msk                    (0x1UL)                   /*!< MP0 PSR: PROTIN (Bitfield-Mask: 0x01)                       */
#define MP0_PSR_PROTEN_Pos                    (7UL)                     /*!< MP0 PSR: PROTEN (Bit 7)                                     */
#define MP0_PSR_PROTEN_Msk                    (0x80UL)                  /*!< MP0 PSR: PROTEN (Bitfield-Mask: 0x01)                       */
#define MP0_PSR_PROTPAT_Pos                   (16UL)                    /*!< MP0 PSR: PROTPAT (Bit 16)                                   */
#define MP0_PSR_PROTPAT_Msk                   (0xffff0000UL)            /*!< MP0 PSR: PROTPAT (Bitfield-Mask: 0xffff)                    */

/* ----------------------------------  MP0_OVCR  ---------------------------------- */
#define MP0_OVCR_OVSEL_Pos                    (0UL)                     /*!< MP0 OVCR: OVSEL (Bit 0)                                     */
#define MP0_OVCR_OVSEL_Msk                    (0x3UL)                   /*!< MP0 OVCR: OVSEL (Bitfield-Mask: 0x03)                       */
#define MP0_OVCR_OVDBC_Pos                    (4UL)                     /*!< MP0 OVCR: OVDBC (Bit 4)                                     */
#define MP0_OVCR_OVDBC_Msk                    (0x70UL)                  /*!< MP0 OVCR: OVDBC (Bitfield-Mask: 0x07)                       */
#define MP0_OVCR_OVCLR_Pos                    (7UL)                     /*!< MP0 OVCR: OVCLR (Bit 7)                                     */
#define MP0_OVCR_OVCLR_Msk                    (0x80UL)                  /*!< MP0 OVCR: OVCLR (Bitfield-Mask: 0x01)                       */
#define MP0_OVCR_OVEN_Pos                     (15UL)                    /*!< MP0 OVCR: OVEN (Bit 15)                                     */
#define MP0_OVCR_OVEN_Msk                     (0x8000UL)                /*!< MP0 OVCR: OVEN (Bitfield-Mask: 0x01)                        */
#define MP0_OVCR_AD0IN_Pos                    (16UL)                    /*!< MP0 OVCR: AD0IN (Bit 16)                                    */
#define MP0_OVCR_AD0IN_Msk                    (0x10000UL)               /*!< MP0 OVCR: AD0IN (Bitfield-Mask: 0x01)                       */
#define MP0_OVCR_AD1IN_Pos                    (17UL)                    /*!< MP0 OVCR: AD1IN (Bit 17)                                    */
#define MP0_OVCR_AD1IN_Msk                    (0x20000UL)               /*!< MP0 OVCR: AD1IN (Bitfield-Mask: 0x01)                       */
#define MP0_OVCR_AD2IN_Pos                    (18UL)                    /*!< MP0 OVCR: AD2IN (Bit 18)                                    */
#define MP0_OVCR_AD2IN_Msk                    (0x40000UL)               /*!< MP0 OVCR: AD2IN (Bitfield-Mask: 0x01)                       */
#define MP0_OVCR_C0IN_Pos                     (19UL)                    /*!< MP0 OVCR: C0IN (Bit 19)                                     */
#define MP0_OVCR_C0IN_Msk                     (0x80000UL)               /*!< MP0 OVCR: C0IN (Bitfield-Mask: 0x01)                        */
#define MP0_OVCR_C1IN_Pos                     (20UL)                    /*!< MP0 OVCR: C1IN (Bit 20)                                     */
#define MP0_OVCR_C1IN_Msk                     (0x100000UL)              /*!< MP0 OVCR: C1IN (Bitfield-Mask: 0x01)                        */
#define MP0_OVCR_C2IN_Pos                     (21UL)                    /*!< MP0 OVCR: C2IN (Bit 21)                                     */
#define MP0_OVCR_C2IN_Msk                     (0x200000UL)              /*!< MP0 OVCR: C2IN (Bitfield-Mask: 0x01)                        */
#define MP0_OVCR_C3IN_Pos                     (22UL)                    /*!< MP0 OVCR: C3IN (Bit 22)                                     */
#define MP0_OVCR_C3IN_Msk                     (0x400000UL)              /*!< MP0 OVCR: C3IN (Bitfield-Mask: 0x01)                        */
#define MP0_OVCR_OVIN_Pos                     (23UL)                    /*!< MP0 OVCR: OVIN (Bit 23)                                     */
#define MP0_OVCR_OVIN_Msk                     (0x800000UL)              /*!< MP0 OVCR: OVIN (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  MP0_OVSR  ---------------------------------- */
#define MP0_OVSR_OVPIN_Pos                    (0UL)                     /*!< MP0 OVSR: OVPIN (Bit 0)                                     */
#define MP0_OVSR_OVPIN_Msk                    (0x1UL)                   /*!< MP0 OVSR: OVPIN (Bitfield-Mask: 0x01)                       */
#define MP0_OVSR_OVSTAT_Pos                   (7UL)                     /*!< MP0 OVSR: OVSTAT (Bit 7)                                    */
#define MP0_OVSR_OVSTAT_Msk                   (0x80UL)                  /*!< MP0 OVSR: OVSTAT (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  MP0_ATCR  ---------------------------------- */
#define MP0_ATCR_ATRGM_Pos                    (0UL)                     /*!< MP0 ATCR: ATRGM (Bit 0)                                     */
#define MP0_ATCR_ATRGM_Msk                    (0x3UL)                   /*!< MP0 ATCR: ATRGM (Bitfield-Mask: 0x03)                       */
#define MP0_ATCR_ATRGEN_Pos                   (7UL)                     /*!< MP0 ATCR: ATRGEN (Bit 7)                                    */
#define MP0_ATCR_ATRGEN_Msk                   (0x80UL)                  /*!< MP0 ATCR: ATRGEN (Bitfield-Mask: 0x01)                      */
#define MP0_ATCR_ATRGALL_Pos                  (8UL)                     /*!< MP0 ATCR: ATRGALL (Bit 8)                                   */
#define MP0_ATCR_ATRGALL_Msk                  (0x100UL)                 /*!< MP0 ATCR: ATRGALL (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP0_ATR1  ---------------------------------- */
#define MP0_ATR1_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR1: ATCNT (Bit 0)                                     */
#define MP0_ATR1_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR1: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR1_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR1: ATMOD (Bit 16)                                    */
#define MP0_ATR1_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR1: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR1_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR1: ATUDT (Bit 19)                                    */
#define MP0_ATR1_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR1: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR2  ---------------------------------- */
#define MP0_ATR2_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR2: ATCNT (Bit 0)                                     */
#define MP0_ATR2_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR2: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR2_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR2: ATMOD (Bit 16)                                    */
#define MP0_ATR2_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR2: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR2_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR2: ATUDT (Bit 19)                                    */
#define MP0_ATR2_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR2: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR3  ---------------------------------- */
#define MP0_ATR3_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR3: ATCNT (Bit 0)                                     */
#define MP0_ATR3_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR3: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR3_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR3: ATMOD (Bit 16)                                    */
#define MP0_ATR3_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR3: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR3_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR3: ATUDT (Bit 19)                                    */
#define MP0_ATR3_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR3: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR4  ---------------------------------- */
#define MP0_ATR4_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR4: ATCNT (Bit 0)                                     */
#define MP0_ATR4_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR4: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR4_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR4: ATMOD (Bit 16)                                    */
#define MP0_ATR4_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR4: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR4_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR4: ATUDT (Bit 19)                                    */
#define MP0_ATR4_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR4: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR5  ---------------------------------- */
#define MP0_ATR5_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR5: ATCNT (Bit 0)                                     */
#define MP0_ATR5_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR5: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR5_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR5: ATMOD (Bit 16)                                    */
#define MP0_ATR5_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR5: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR5_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR5: ATUDT (Bit 19)                                    */
#define MP0_ATR5_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR5: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP0_ATR6  ---------------------------------- */
#define MP0_ATR6_ATCNT_Pos                    (0UL)                     /*!< MP0 ATR6: ATCNT (Bit 0)                                     */
#define MP0_ATR6_ATCNT_Msk                    (0xffffUL)                /*!< MP0 ATR6: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP0_ATR6_ATMOD_Pos                    (16UL)                    /*!< MP0 ATR6: ATMOD (Bit 16)                                    */
#define MP0_ATR6_ATMOD_Msk                    (0x30000UL)               /*!< MP0 ATR6: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP0_ATR6_ATUDT_Pos                    (19UL)                    /*!< MP0 ATR6: ATUDT (Bit 19)                                    */
#define MP0_ATR6_ATUDT_Msk                    (0x80000UL)               /*!< MP0 ATR6: ATUDT (Bitfield-Mask: 0x01)                       */


/* ================================================================================ */
/* ================          struct 'MP1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  MP1_MR  ----------------------------------- */
#define MP1_MR_UPDOWN_Pos                     (0UL)                     /*!< MP1 MR: UPDOWN (Bit 0)                                      */
#define MP1_MR_UPDOWN_Msk                     (0x1UL)                   /*!< MP1 MR: UPDOWN (Bitfield-Mask: 0x01)                        */
#define MP1_MR_PDUP_Pos                       (1UL)                     /*!< MP1 MR: PDUP (Bit 1)                                        */
#define MP1_MR_PDUP_Msk                       (0x2UL)                   /*!< MP1 MR: PDUP (Bitfield-Mask: 0x01)                          */
#define MP1_MR_FORCM_Pos                      (4UL)                     /*!< MP1 MR: FORCM (Bit 4)                                       */
#define MP1_MR_FORCM_Msk                      (0x30UL)                  /*!< MP1 MR: FORCM (Bitfield-Mask: 0x03)                         */
#define MP1_MR_FORCEN_Pos                     (7UL)                     /*!< MP1 MR: FORCEN (Bit 7)                                      */
#define MP1_MR_FORCEN_Msk                     (0x80UL)                  /*!< MP1 MR: FORCEN (Bitfield-Mask: 0x01)                        */
#define MP1_MR_UALL_Pos                       (8UL)                     /*!< MP1 MR: UALL (Bit 8)                                        */
#define MP1_MR_UALL_Msk                       (0x100UL)                 /*!< MP1 MR: UALL (Bitfield-Mask: 0x01)                          */
#define MP1_MR_UPDATE_Pos                     (9UL)                     /*!< MP1 MR: UPDATE (Bit 9)                                      */
#define MP1_MR_UPDATE_Msk                     (0x200UL)                 /*!< MP1 MR: UPDATE (Bitfield-Mask: 0x01)                        */
#define MP1_MR_MCHMOD_Pos                     (12UL)                    /*!< MP1 MR: MCHMOD (Bit 12)                                     */
#define MP1_MR_MCHMOD_Msk                     (0x3000UL)                /*!< MP1 MR: MCHMOD (Bitfield-Mask: 0x03)                        */
#define MP1_MR_MOTOR_Pos                      (15UL)                    /*!< MP1 MR: MOTOR (Bit 15)                                      */
#define MP1_MR_MOTOR_Msk                      (0x8000UL)                /*!< MP1 MR: MOTOR (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP1_PMR  ---------------------------------- */
#define MP1_PMR_POLWL_Pos                     (0UL)                     /*!< MP1 PMR: POLWL (Bit 0)                                      */
#define MP1_PMR_POLWL_Msk                     (0x1UL)                   /*!< MP1 PMR: POLWL (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_POLWH_Pos                     (1UL)                     /*!< MP1 PMR: POLWH (Bit 1)                                      */
#define MP1_PMR_POLWH_Msk                     (0x2UL)                   /*!< MP1 PMR: POLWH (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_POLVL_Pos                     (2UL)                     /*!< MP1 PMR: POLVL (Bit 2)                                      */
#define MP1_PMR_POLVL_Msk                     (0x4UL)                   /*!< MP1 PMR: POLVL (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_POLVH_Pos                     (3UL)                     /*!< MP1 PMR: POLVH (Bit 3)                                      */
#define MP1_PMR_POLVH_Msk                     (0x8UL)                   /*!< MP1 PMR: POLVH (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_POLUL_Pos                     (4UL)                     /*!< MP1 PMR: POLUL (Bit 4)                                      */
#define MP1_PMR_POLUL_Msk                     (0x10UL)                  /*!< MP1 PMR: POLUL (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_POLUH_Pos                     (5UL)                     /*!< MP1 PMR: POLUH (Bit 5)                                      */
#define MP1_PMR_POLUH_Msk                     (0x20UL)                  /*!< MP1 PMR: POLUH (Bitfield-Mask: 0x01)                        */
#define MP1_PMR_PMOD_Pos                      (8UL)                     /*!< MP1 PMR: PMOD (Bit 8)                                       */
#define MP1_PMR_PMOD_Msk                      (0x300UL)                 /*!< MP1 PMR: PMOD (Bitfield-Mask: 0x03)                         */

/* -----------------------------------  MP1_OCR  ---------------------------------- */
#define MP1_OCR_WLEN_Pos                      (0UL)                     /*!< MP1 OCR: WLEN (Bit 0)                                       */
#define MP1_OCR_WLEN_Msk                      (0x1UL)                   /*!< MP1 OCR: WLEN (Bitfield-Mask: 0x01)                         */
#define MP1_OCR_WHVAL_Pos                     (1UL)                     /*!< MP1 OCR: WHVAL (Bit 1)                                      */
#define MP1_OCR_WHVAL_Msk                     (0x2UL)                   /*!< MP1 OCR: WHVAL (Bitfield-Mask: 0x01)                        */
#define MP1_OCR_VLVAL_Pos                     (2UL)                     /*!< MP1 OCR: VLVAL (Bit 2)                                      */
#define MP1_OCR_VLVAL_Msk                     (0x4UL)                   /*!< MP1 OCR: VLVAL (Bitfield-Mask: 0x01)                        */
#define MP1_OCR_VHVAL_Pos                     (3UL)                     /*!< MP1 OCR: VHVAL (Bit 3)                                      */
#define MP1_OCR_VHVAL_Msk                     (0x8UL)                   /*!< MP1 OCR: VHVAL (Bitfield-Mask: 0x01)                        */
#define MP1_OCR_ULVAL_Pos                     (4UL)                     /*!< MP1 OCR: ULVAL (Bit 4)                                      */
#define MP1_OCR_ULVAL_Msk                     (0x10UL)                  /*!< MP1 OCR: ULVAL (Bitfield-Mask: 0x01)                        */
#define MP1_OCR_UHVAL_Pos                     (5UL)                     /*!< MP1 OCR: UHVAL (Bit 5)                                      */
#define MP1_OCR_UHVAL_Msk                     (0x20UL)                  /*!< MP1 OCR: UHVAL (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP1_PRD  ---------------------------------- */
#define MP1_PRD_PERIOD_Pos                    (0UL)                     /*!< MP1 PRD: PERIOD (Bit 0)                                     */
#define MP1_PRD_PERIOD_Msk                    (0xffffUL)                /*!< MP1 PRD: PERIOD (Bitfield-Mask: 0xffff)                     */

/* -----------------------------------  MP1_DUH  ---------------------------------- */
#define MP1_DUH_DUTY_Pos                      (0UL)                     /*!< MP1 DUH: DUTY (Bit 0)                                       */
#define MP1_DUH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DUH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DVH  ---------------------------------- */
#define MP1_DVH_DUTY_Pos                      (0UL)                     /*!< MP1 DVH: DUTY (Bit 0)                                       */
#define MP1_DVH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DVH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DWH  ---------------------------------- */
#define MP1_DWH_DUTY_Pos                      (0UL)                     /*!< MP1 DWH: DUTY (Bit 0)                                       */
#define MP1_DWH_DUTY_Msk                      (0xffffUL)                /*!< MP1 DWH: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DUL  ---------------------------------- */
#define MP1_DUL_DUTY_Pos                      (0UL)                     /*!< MP1 DUL: DUTY (Bit 0)                                       */
#define MP1_DUL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DUL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DVL  ---------------------------------- */
#define MP1_DVL_DUTY_Pos                      (0UL)                     /*!< MP1 DVL: DUTY (Bit 0)                                       */
#define MP1_DVL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DVL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_DWL  ---------------------------------- */
#define MP1_DWL_DUTY_Pos                      (0UL)                     /*!< MP1 DWL: DUTY (Bit 0)                                       */
#define MP1_DWL_DUTY_Msk                      (0xffffUL)                /*!< MP1 DWL: DUTY (Bitfield-Mask: 0xffff)                       */

/* -----------------------------------  MP1_CR1  ---------------------------------- */
#define MP1_CR1_HALT_Pos                      (0UL)                     /*!< MP1 CR1: HALT (Bit 0)                                       */
#define MP1_CR1_HALT_Msk                      (0x1UL)                   /*!< MP1 CR1: HALT (Bitfield-Mask: 0x01)                         */
#define MP1_CR1_PWMEN_Pos                     (7UL)                     /*!< MP1 CR1: PWMEN (Bit 7)                                      */
#define MP1_CR1_PWMEN_Msk                     (0x80UL)                  /*!< MP1 CR1: PWMEN (Bitfield-Mask: 0x01)                        */
#define MP1_CR1_IRQN_Pos                      (8UL)                     /*!< MP1 CR1: IRQN (Bit 8)                                       */
#define MP1_CR1_IRQN_Msk                      (0x700UL)                 /*!< MP1 CR1: IRQN (Bitfield-Mask: 0x07)                         */
#define MP1_CR1_IRQMD_Pos                     (12UL)                    /*!< MP1 CR1: IRQMD (Bit 12)                                     */
#define MP1_CR1_IRQMD_Msk                     (0x3000UL)                /*!< MP1 CR1: IRQMD (Bitfield-Mask: 0x03)                        */
#define MP1_CR1_INTVEN_Pos                    (15UL)                    /*!< MP1 CR1: INTVEN (Bit 15)                                    */
#define MP1_CR1_INTVEN_Msk                    (0x8000UL)                /*!< MP1 CR1: INTVEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP1_CR2  ---------------------------------- */
#define MP1_CR2_PSTART_Pos                    (0UL)                     /*!< MP1 CR2: PSTART (Bit 0)                                     */
#define MP1_CR2_PSTART_Msk                    (0x1UL)                   /*!< MP1 CR2: PSTART (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP1_SR  ----------------------------------- */
#define MP1_SR_DWLIRQ_Pos                     (0UL)                     /*!< MP1 SR: DWLIRQ (Bit 0)                                      */
#define MP1_SR_DWLIRQ_Msk                     (0x1UL)                   /*!< MP1 SR: DWLIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_DWHIRQ_Pos                     (1UL)                     /*!< MP1 SR: DWHIRQ (Bit 1)                                      */
#define MP1_SR_DWHIRQ_Msk                     (0x2UL)                   /*!< MP1 SR: DWHIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_DVLIRQ_Pos                     (2UL)                     /*!< MP1 SR: DVLIRQ (Bit 2)                                      */
#define MP1_SR_DVLIRQ_Msk                     (0x4UL)                   /*!< MP1 SR: DVLIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_DVHIRQ_Pos                     (3UL)                     /*!< MP1 SR: DVHIRQ (Bit 3)                                      */
#define MP1_SR_DVHIRQ_Msk                     (0x8UL)                   /*!< MP1 SR: DVHIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_DULIRQ_Pos                     (4UL)                     /*!< MP1 SR: DULIRQ (Bit 4)                                      */
#define MP1_SR_DULIRQ_Msk                     (0x10UL)                  /*!< MP1 SR: DULIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_DUHIRQ_Pos                     (5UL)                     /*!< MP1 SR: DUHIRQ (Bit 5)                                      */
#define MP1_SR_DUHIRQ_Msk                     (0x20UL)                  /*!< MP1 SR: DUHIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_BOTIRQ_Pos                     (6UL)                     /*!< MP1 SR: BOTIRQ (Bit 6)                                      */
#define MP1_SR_BOTIRQ_Msk                     (0x40UL)                  /*!< MP1 SR: BOTIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_PRDIRQ_Pos                     (7UL)                     /*!< MP1 SR: PRDIRQ (Bit 7)                                      */
#define MP1_SR_PRDIRQ_Msk                     (0x80UL)                  /*!< MP1 SR: PRDIRQ (Bitfield-Mask: 0x01)                        */
#define MP1_SR_IRQCNT_Pos                     (12UL)                    /*!< MP1 SR: IRQCNT (Bit 12)                                     */
#define MP1_SR_IRQCNT_Msk                     (0x7000UL)                /*!< MP1 SR: IRQCNT (Bitfield-Mask: 0x07)                        */
#define MP1_SR_DOWN_Pos                       (15UL)                    /*!< MP1 SR: DOWN (Bit 15)                                       */
#define MP1_SR_DOWN_Msk                       (0x8000UL)                /*!< MP1 SR: DOWN (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  MP1_IER  ---------------------------------- */
#define MP1_IER_DWLIEN_Pos                    (0UL)                     /*!< MP1 IER: DWLIEN (Bit 0)                                     */
#define MP1_IER_DWLIEN_Msk                    (0x1UL)                   /*!< MP1 IER: DWLIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_DWHIEN_Pos                    (1UL)                     /*!< MP1 IER: DWHIEN (Bit 1)                                     */
#define MP1_IER_DWHIEN_Msk                    (0x2UL)                   /*!< MP1 IER: DWHIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_DVLIEN_Pos                    (2UL)                     /*!< MP1 IER: DVLIEN (Bit 2)                                     */
#define MP1_IER_DVLIEN_Msk                    (0x4UL)                   /*!< MP1 IER: DVLIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_DVHIEN_Pos                    (3UL)                     /*!< MP1 IER: DVHIEN (Bit 3)                                     */
#define MP1_IER_DVHIEN_Msk                    (0x8UL)                   /*!< MP1 IER: DVHIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_DULIEN_Pos                    (4UL)                     /*!< MP1 IER: DULIEN (Bit 4)                                     */
#define MP1_IER_DULIEN_Msk                    (0x10UL)                  /*!< MP1 IER: DULIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_DUHIEN_Pos                    (5UL)                     /*!< MP1 IER: DUHIEN (Bit 5)                                     */
#define MP1_IER_DUHIEN_Msk                    (0x20UL)                  /*!< MP1 IER: DUHIEN (Bitfield-Mask: 0x01)                       */
#define MP1_IER_BOTIE_Pos                     (6UL)                     /*!< MP1 IER: BOTIE (Bit 6)                                      */
#define MP1_IER_BOTIE_Msk                     (0x40UL)                  /*!< MP1 IER: BOTIE (Bitfield-Mask: 0x01)                        */
#define MP1_IER_PRDIEN_Pos                    (7UL)                     /*!< MP1 IER: PRDIEN (Bit 7)                                     */
#define MP1_IER_PRDIEN_Msk                    (0x80UL)                  /*!< MP1 IER: PRDIEN (Bitfield-Mask: 0x01)                       */

/* -----------------------------------  MP1_CNT  ---------------------------------- */
#define MP1_CNT_CNT_Pos                       (0UL)                     /*!< MP1 CNT: CNT (Bit 0)                                        */
#define MP1_CNT_CNT_Msk                       (0xffffUL)                /*!< MP1 CNT: CNT (Bitfield-Mask: 0xffff)                        */

/* -----------------------------------  MP1_DTR  ---------------------------------- */
#define MP1_DTR_DT_Pos                        (0UL)                     /*!< MP1 DTR: DT (Bit 0)                                         */
#define MP1_DTR_DT_Msk                        (0xffUL)                  /*!< MP1 DTR: DT (Bitfield-Mask: 0xff)                           */
#define MP1_DTR_DTCLK_Pos                     (8UL)                     /*!< MP1 DTR: DTCLK (Bit 8)                                      */
#define MP1_DTR_DTCLK_Msk                     (0x100UL)                 /*!< MP1 DTR: DTCLK (Bitfield-Mask: 0x01)                        */
#define MP1_DTR_DTEN_Pos                      (15UL)                    /*!< MP1 DTR: DTEN (Bit 15)                                      */
#define MP1_DTR_DTEN_Msk                      (0x8000UL)                /*!< MP1 DTR: DTEN (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  MP1_PCR  ---------------------------------- */
#define MP1_PCR_PTSEL_Pos                     (0UL)                     /*!< MP1 PCR: PTSEL (Bit 0)                                      */
#define MP1_PCR_PTSEL_Msk                     (0x3UL)                   /*!< MP1 PCR: PTSEL (Bitfield-Mask: 0x03)                        */
#define MP1_PCR_PTDBC_Pos                     (4UL)                     /*!< MP1 PCR: PTDBC (Bit 4)                                      */
#define MP1_PCR_PTDBC_Msk                     (0x70UL)                  /*!< MP1 PCR: PTDBC (Bitfield-Mask: 0x07)                        */
#define MP1_PCR_PROTCLR_Pos                   (7UL)                     /*!< MP1 PCR: PROTCLR (Bit 7)                                    */
#define MP1_PCR_PROTCLR_Msk                   (0x80UL)                  /*!< MP1 PCR: PROTCLR (Bitfield-Mask: 0x01)                      */
#define MP1_PCR_WLPROT_Pos                    (8UL)                     /*!< MP1 PCR: WLPROT (Bit 8)                                     */
#define MP1_PCR_WLPROT_Msk                    (0x100UL)                 /*!< MP1 PCR: WLPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_WHPROT_Pos                    (9UL)                     /*!< MP1 PCR: WHPROT (Bit 9)                                     */
#define MP1_PCR_WHPROT_Msk                    (0x200UL)                 /*!< MP1 PCR: WHPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_VLPROT_Pos                    (10UL)                    /*!< MP1 PCR: VLPROT (Bit 10)                                    */
#define MP1_PCR_VLPROT_Msk                    (0x400UL)                 /*!< MP1 PCR: VLPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_VHPROT_Pos                    (11UL)                    /*!< MP1 PCR: VHPROT (Bit 11)                                    */
#define MP1_PCR_VHPROT_Msk                    (0x800UL)                 /*!< MP1 PCR: VHPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_ULPROT_Pos                    (12UL)                    /*!< MP1 PCR: ULPROT (Bit 12)                                    */
#define MP1_PCR_ULPROT_Msk                    (0x1000UL)                /*!< MP1 PCR: ULPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_UHPROT_Pos                    (13UL)                    /*!< MP1 PCR: UHPROT (Bit 13)                                    */
#define MP1_PCR_UHPROT_Msk                    (0x2000UL)                /*!< MP1 PCR: UHPROT (Bitfield-Mask: 0x01)                       */
#define MP1_PCR_PROTDIS_Pos                   (15UL)                    /*!< MP1 PCR: PROTDIS (Bit 15)                                   */
#define MP1_PCR_PROTDIS_Msk                   (0x8000UL)                /*!< MP1 PCR: PROTDIS (Bitfield-Mask: 0x01)                      */
#define MP1_PCR_AD0IN_Pos                     (16UL)                    /*!< MP1 PCR: AD0IN (Bit 16)                                     */
#define MP1_PCR_AD0IN_Msk                     (0x10000UL)               /*!< MP1 PCR: AD0IN (Bitfield-Mask: 0x01)                        */
#define MP1_PCR_AD1IN_Pos                     (17UL)                    /*!< MP1 PCR: AD1IN (Bit 17)                                     */
#define MP1_PCR_AD1IN_Msk                     (0x20000UL)               /*!< MP1 PCR: AD1IN (Bitfield-Mask: 0x01)                        */
#define MP1_PCR_AD2IN_Pos                     (18UL)                    /*!< MP1 PCR: AD2IN (Bit 18)                                     */
#define MP1_PCR_AD2IN_Msk                     (0x40000UL)               /*!< MP1 PCR: AD2IN (Bitfield-Mask: 0x01)                        */
#define MP1_PCR_C0IN_Pos                      (19UL)                    /*!< MP1 PCR: C0IN (Bit 19)                                      */
#define MP1_PCR_C0IN_Msk                      (0x80000UL)               /*!< MP1 PCR: C0IN (Bitfield-Mask: 0x01)                         */
#define MP1_PCR_C1IN_Pos                      (20UL)                    /*!< MP1 PCR: C1IN (Bit 20)                                      */
#define MP1_PCR_C1IN_Msk                      (0x100000UL)              /*!< MP1 PCR: C1IN (Bitfield-Mask: 0x01)                         */
#define MP1_PCR_C2IN_Pos                      (21UL)                    /*!< MP1 PCR: C2IN (Bit 21)                                      */
#define MP1_PCR_C2IN_Msk                      (0x200000UL)              /*!< MP1 PCR: C2IN (Bitfield-Mask: 0x01)                         */
#define MP1_PCR_C3IN_Pos                      (22UL)                    /*!< MP1 PCR: C3IN (Bit 22)                                      */
#define MP1_PCR_C3IN_Msk                      (0x400000UL)              /*!< MP1 PCR: C3IN (Bitfield-Mask: 0x01)                         */
#define MP1_PCR_PRTIN_Pos                     (23UL)                    /*!< MP1 PCR: PRTIN (Bit 23)                                     */
#define MP1_PCR_PRTIN_Msk                     (0x800000UL)              /*!< MP1 PCR: PRTIN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  MP1_PSR  ---------------------------------- */
#define MP1_PSR_PROTIN_Pos                    (0UL)                     /*!< MP1 PSR: PROTIN (Bit 0)                                     */
#define MP1_PSR_PROTIN_Msk                    (0x1UL)                   /*!< MP1 PSR: PROTIN (Bitfield-Mask: 0x01)                       */
#define MP1_PSR_PROTEN_Pos                    (7UL)                     /*!< MP1 PSR: PROTEN (Bit 7)                                     */
#define MP1_PSR_PROTEN_Msk                    (0x80UL)                  /*!< MP1 PSR: PROTEN (Bitfield-Mask: 0x01)                       */
#define MP1_PSR_PROTPAT_Pos                   (16UL)                    /*!< MP1 PSR: PROTPAT (Bit 16)                                   */
#define MP1_PSR_PROTPAT_Msk                   (0xffff0000UL)            /*!< MP1 PSR: PROTPAT (Bitfield-Mask: 0xffff)                    */

/* ----------------------------------  MP1_OVCR  ---------------------------------- */
#define MP1_OVCR_OVSEL_Pos                    (0UL)                     /*!< MP1 OVCR: OVSEL (Bit 0)                                     */
#define MP1_OVCR_OVSEL_Msk                    (0x3UL)                   /*!< MP1 OVCR: OVSEL (Bitfield-Mask: 0x03)                       */
#define MP1_OVCR_OVDBC_Pos                    (4UL)                     /*!< MP1 OVCR: OVDBC (Bit 4)                                     */
#define MP1_OVCR_OVDBC_Msk                    (0x70UL)                  /*!< MP1 OVCR: OVDBC (Bitfield-Mask: 0x07)                       */
#define MP1_OVCR_OVCLR_Pos                    (7UL)                     /*!< MP1 OVCR: OVCLR (Bit 7)                                     */
#define MP1_OVCR_OVCLR_Msk                    (0x80UL)                  /*!< MP1 OVCR: OVCLR (Bitfield-Mask: 0x01)                       */
#define MP1_OVCR_OVEN_Pos                     (15UL)                    /*!< MP1 OVCR: OVEN (Bit 15)                                     */
#define MP1_OVCR_OVEN_Msk                     (0x8000UL)                /*!< MP1 OVCR: OVEN (Bitfield-Mask: 0x01)                        */
#define MP1_OVCR_AD0IN_Pos                    (16UL)                    /*!< MP1 OVCR: AD0IN (Bit 16)                                    */
#define MP1_OVCR_AD0IN_Msk                    (0x10000UL)               /*!< MP1 OVCR: AD0IN (Bitfield-Mask: 0x01)                       */
#define MP1_OVCR_AD1IN_Pos                    (17UL)                    /*!< MP1 OVCR: AD1IN (Bit 17)                                    */
#define MP1_OVCR_AD1IN_Msk                    (0x20000UL)               /*!< MP1 OVCR: AD1IN (Bitfield-Mask: 0x01)                       */
#define MP1_OVCR_AD2IN_Pos                    (18UL)                    /*!< MP1 OVCR: AD2IN (Bit 18)                                    */
#define MP1_OVCR_AD2IN_Msk                    (0x40000UL)               /*!< MP1 OVCR: AD2IN (Bitfield-Mask: 0x01)                       */
#define MP1_OVCR_C0IN_Pos                     (19UL)                    /*!< MP1 OVCR: C0IN (Bit 19)                                     */
#define MP1_OVCR_C0IN_Msk                     (0x80000UL)               /*!< MP1 OVCR: C0IN (Bitfield-Mask: 0x01)                        */
#define MP1_OVCR_C1IN_Pos                     (20UL)                    /*!< MP1 OVCR: C1IN (Bit 20)                                     */
#define MP1_OVCR_C1IN_Msk                     (0x100000UL)              /*!< MP1 OVCR: C1IN (Bitfield-Mask: 0x01)                        */
#define MP1_OVCR_C2IN_Pos                     (21UL)                    /*!< MP1 OVCR: C2IN (Bit 21)                                     */
#define MP1_OVCR_C2IN_Msk                     (0x200000UL)              /*!< MP1 OVCR: C2IN (Bitfield-Mask: 0x01)                        */
#define MP1_OVCR_C3IN_Pos                     (22UL)                    /*!< MP1 OVCR: C3IN (Bit 22)                                     */
#define MP1_OVCR_C3IN_Msk                     (0x400000UL)              /*!< MP1 OVCR: C3IN (Bitfield-Mask: 0x01)                        */
#define MP1_OVCR_OVIN_Pos                     (23UL)                    /*!< MP1 OVCR: OVIN (Bit 23)                                     */
#define MP1_OVCR_OVIN_Msk                     (0x800000UL)              /*!< MP1 OVCR: OVIN (Bitfield-Mask: 0x01)                        */

/* ----------------------------------  MP1_OVSR  ---------------------------------- */
#define MP1_OVSR_OVPIN_Pos                    (0UL)                     /*!< MP1 OVSR: OVPIN (Bit 0)                                     */
#define MP1_OVSR_OVPIN_Msk                    (0x1UL)                   /*!< MP1 OVSR: OVPIN (Bitfield-Mask: 0x01)                       */
#define MP1_OVSR_OVSTAT_Pos                   (7UL)                     /*!< MP1 OVSR: OVSTAT (Bit 7)                                    */
#define MP1_OVSR_OVSTAT_Msk                   (0x80UL)                  /*!< MP1 OVSR: OVSTAT (Bitfield-Mask: 0x01)                      */

/* ----------------------------------  MP1_ATCR  ---------------------------------- */
#define MP1_ATCR_ATRGM_Pos                    (0UL)                     /*!< MP1 ATCR: ATRGM (Bit 0)                                     */
#define MP1_ATCR_ATRGM_Msk                    (0x3UL)                   /*!< MP1 ATCR: ATRGM (Bitfield-Mask: 0x03)                       */
#define MP1_ATCR_ATRGEN_Pos                   (7UL)                     /*!< MP1 ATCR: ATRGEN (Bit 7)                                    */
#define MP1_ATCR_ATRGEN_Msk                   (0x80UL)                  /*!< MP1 ATCR: ATRGEN (Bitfield-Mask: 0x01)                      */
#define MP1_ATCR_ATRGALL_Pos                  (8UL)                     /*!< MP1 ATCR: ATRGALL (Bit 8)                                   */
#define MP1_ATCR_ATRGALL_Msk                  (0x100UL)                 /*!< MP1 ATCR: ATRGALL (Bitfield-Mask: 0x01)                     */

/* ----------------------------------  MP1_ATR1  ---------------------------------- */
#define MP1_ATR1_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR1: ATCNT (Bit 0)                                     */
#define MP1_ATR1_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR1: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR1_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR1: ATMOD (Bit 16)                                    */
#define MP1_ATR1_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR1: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR1_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR1: ATUDT (Bit 19)                                    */
#define MP1_ATR1_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR1: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR2  ---------------------------------- */
#define MP1_ATR2_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR2: ATCNT (Bit 0)                                     */
#define MP1_ATR2_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR2: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR2_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR2: ATMOD (Bit 16)                                    */
#define MP1_ATR2_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR2: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR2_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR2: ATUDT (Bit 19)                                    */
#define MP1_ATR2_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR2: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR3  ---------------------------------- */
#define MP1_ATR3_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR3: ATCNT (Bit 0)                                     */
#define MP1_ATR3_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR3: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR3_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR3: ATMOD (Bit 16)                                    */
#define MP1_ATR3_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR3: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR3_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR3: ATUDT (Bit 19)                                    */
#define MP1_ATR3_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR3: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR4  ---------------------------------- */
#define MP1_ATR4_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR4: ATCNT (Bit 0)                                     */
#define MP1_ATR4_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR4: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR4_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR4: ATMOD (Bit 16)                                    */
#define MP1_ATR4_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR4: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR4_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR4: ATUDT (Bit 19)                                    */
#define MP1_ATR4_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR4: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR5  ---------------------------------- */
#define MP1_ATR5_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR5: ATCNT (Bit 0)                                     */
#define MP1_ATR5_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR5: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR5_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR5: ATMOD (Bit 16)                                    */
#define MP1_ATR5_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR5: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR5_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR5: ATUDT (Bit 19)                                    */
#define MP1_ATR5_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR5: ATUDT (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  MP1_ATR6  ---------------------------------- */
#define MP1_ATR6_ATCNT_Pos                    (0UL)                     /*!< MP1 ATR6: ATCNT (Bit 0)                                     */
#define MP1_ATR6_ATCNT_Msk                    (0xffffUL)                /*!< MP1 ATR6: ATCNT (Bitfield-Mask: 0xffff)                     */
#define MP1_ATR6_ATMOD_Pos                    (16UL)                    /*!< MP1 ATR6: ATMOD (Bit 16)                                    */
#define MP1_ATR6_ATMOD_Msk                    (0x30000UL)               /*!< MP1 ATR6: ATMOD (Bitfield-Mask: 0x03)                       */
#define MP1_ATR6_ATUDT_Pos                    (19UL)                    /*!< MP1 ATR6: ATUDT (Bit 19)                                    */
#define MP1_ATR6_ATUDT_Msk                    (0x80000UL)               /*!< MP1 ATR6: ATUDT (Bitfield-Mask: 0x01)                       */


/* ================================================================================ */
/* ================           struct 'U0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U0_RBR  ----------------------------------- */
#define U0_RBR_RBR_Pos                        (0UL)                     /*!< U0 RBR: RBR (Bit 0)                                         */
#define U0_RBR_RBR_Msk                        (0xffUL)                  /*!< U0 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_THR  ----------------------------------- */
#define U0_THR_THR_Pos                        (0UL)                     /*!< U0 THR: THR (Bit 0)                                         */
#define U0_THR_THR_Msk                        (0xffUL)                  /*!< U0 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IER  ----------------------------------- */
#define U0_IER_DRIE_Pos                       (0UL)                     /*!< U0 IER: DRIE (Bit 0)                                        */
#define U0_IER_DRIE_Msk                       (0x1UL)                   /*!< U0 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U0_IER_THREIE_Pos                     (1UL)                     /*!< U0 IER: THREIE (Bit 1)                                      */
#define U0_IER_THREIE_Msk                     (0x2UL)                   /*!< U0 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U0_IER_RLSIE_Pos                      (2UL)                     /*!< U0 IER: RLSIE (Bit 2)                                       */
#define U0_IER_RLSIE_Msk                      (0x4UL)                   /*!< U0 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U0_IER_DRXIEN_Pos                     (4UL)                     /*!< U0 IER: DRXIEN (Bit 4)                                      */
#define U0_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U0 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U0_IER_DTXIEN_Pos                     (5UL)                     /*!< U0 IER: DTXIEN (Bit 5)                                      */
#define U0_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U0 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U0_IIR  ----------------------------------- */
#define U0_IIR_IPEN_Pos                       (0UL)                     /*!< U0 IIR: IPEN (Bit 0)                                        */
#define U0_IIR_IPEN_Msk                       (0x1UL)                   /*!< U0 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U0_IIR_IID_Pos                        (1UL)                     /*!< U0 IIR: IID (Bit 1)                                         */
#define U0_IIR_IID_Msk                        (0xeUL)                   /*!< U0 IIR: IID (Bitfield-Mask: 0x07)                           */

/* -----------------------------------  U0_LCR  ----------------------------------- */
#define U0_LCR_DLEN_Pos                       (0UL)                     /*!< U0 LCR: DLEN (Bit 0)                                        */
#define U0_LCR_DLEN_Msk                       (0x3UL)                   /*!< U0 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U0_LCR_STOPBIT_Pos                    (2UL)                     /*!< U0 LCR: STOPBIT (Bit 2)                                     */
#define U0_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U0 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U0_LCR_PEN_Pos                        (3UL)                     /*!< U0 LCR: PEN (Bit 3)                                         */
#define U0_LCR_PEN_Msk                        (0x8UL)                   /*!< U0 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U0_LCR_PARITY_Pos                     (4UL)                     /*!< U0 LCR: PARITY (Bit 4)                                      */
#define U0_LCR_PARITY_Msk                     (0x10UL)                  /*!< U0 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U0_LCR_STICKP_Pos                     (5UL)                     /*!< U0 LCR: STICKP (Bit 5)                                      */
#define U0_LCR_STICKP_Msk                     (0x20UL)                  /*!< U0 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U0_LCR_BREAK_Pos                      (6UL)                     /*!< U0 LCR: BREAK (Bit 6)                                       */
#define U0_LCR_BREAK_Msk                      (0x40UL)                  /*!< U0 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U0_DCR  ----------------------------------- */
#define U0_DCR_TXINV_Pos                      (2UL)                     /*!< U0 DCR: TXINV (Bit 2)                                       */
#define U0_DCR_TXINV_Msk                      (0x4UL)                   /*!< U0 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U0_DCR_RXINV_Pos                      (3UL)                     /*!< U0 DCR: RXINV (Bit 3)                                       */
#define U0_DCR_RXINV_Msk                      (0x8UL)                   /*!< U0 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U0_DCR_LBON_Pos                       (4UL)                     /*!< U0 DCR: LBON (Bit 4)                                        */
#define U0_DCR_LBON_Msk                       (0x10UL)                  /*!< U0 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U0_LSR  ----------------------------------- */
#define U0_LSR_DR_Pos                         (0UL)                     /*!< U0 LSR: DR (Bit 0)                                          */
#define U0_LSR_DR_Msk                         (0x1UL)                   /*!< U0 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U0_LSR_OE_Pos                         (1UL)                     /*!< U0 LSR: OE (Bit 1)                                          */
#define U0_LSR_OE_Msk                         (0x2UL)                   /*!< U0 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_PE_Pos                         (2UL)                     /*!< U0 LSR: PE (Bit 2)                                          */
#define U0_LSR_PE_Msk                         (0x4UL)                   /*!< U0 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_FE_Pos                         (3UL)                     /*!< U0 LSR: FE (Bit 3)                                          */
#define U0_LSR_FE_Msk                         (0x8UL)                   /*!< U0 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U0_LSR_BI_Pos                         (4UL)                     /*!< U0 LSR: BI (Bit 4)                                          */
#define U0_LSR_BI_Msk                         (0x10UL)                  /*!< U0 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U0_LSR_THRE_Pos                       (5UL)                     /*!< U0 LSR: THRE (Bit 5)                                        */
#define U0_LSR_THRE_Msk                       (0x20UL)                  /*!< U0 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U0_LSR_TEMT_Pos                       (6UL)                     /*!< U0 LSR: TEMT (Bit 6)                                        */
#define U0_LSR_TEMT_Msk                       (0x40UL)                  /*!< U0 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U0_BDR  ----------------------------------- */
#define U0_BDR_BDR_Pos                        (0UL)                     /*!< U0 BDR: BDR (Bit 0)                                         */
#define U0_BDR_BDR_Msk                        (0xffffUL)                /*!< U0 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U0_BFR  ----------------------------------- */
#define U0_BFR_BFR_Pos                        (0UL)                     /*!< U0 BFR: BFR (Bit 0)                                         */
#define U0_BFR_BFR_Msk                        (0xffUL)                  /*!< U0 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U0_IDTR  ---------------------------------- */
#define U0_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U0 IDTR: WAITVAL (Bit 0)                                    */
#define U0_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U0 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U1_THR  ----------------------------------- */
#define U1_THR_THR_Pos                        (0UL)                     /*!< U1 THR: THR (Bit 0)                                         */
#define U1_THR_THR_Msk                        (0xffUL)                  /*!< U1 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_RBR  ----------------------------------- */
#define U1_RBR_RBR_Pos                        (0UL)                     /*!< U1 RBR: RBR (Bit 0)                                         */
#define U1_RBR_RBR_Msk                        (0xffUL)                  /*!< U1 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IER  ----------------------------------- */
#define U1_IER_DRIE_Pos                       (0UL)                     /*!< U1 IER: DRIE (Bit 0)                                        */
#define U1_IER_DRIE_Msk                       (0x1UL)                   /*!< U1 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U1_IER_THREIE_Pos                     (1UL)                     /*!< U1 IER: THREIE (Bit 1)                                      */
#define U1_IER_THREIE_Msk                     (0x2UL)                   /*!< U1 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U1_IER_RLSIE_Pos                      (2UL)                     /*!< U1 IER: RLSIE (Bit 2)                                       */
#define U1_IER_RLSIE_Msk                      (0x4UL)                   /*!< U1 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U1_IER_DRXIEN_Pos                     (4UL)                     /*!< U1 IER: DRXIEN (Bit 4)                                      */
#define U1_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U1 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U1_IER_DTXIEN_Pos                     (5UL)                     /*!< U1 IER: DTXIEN (Bit 5)                                      */
#define U1_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U1 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U1_IIR  ----------------------------------- */
#define U1_IIR_IPEN_Pos                       (0UL)                     /*!< U1 IIR: IPEN (Bit 0)                                        */
#define U1_IIR_IPEN_Msk                       (0x1UL)                   /*!< U1 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U1_IIR_IID_Pos                        (1UL)                     /*!< U1 IIR: IID (Bit 1)                                         */
#define U1_IIR_IID_Msk                        (0xeUL)                   /*!< U1 IIR: IID (Bitfield-Mask: 0x07)                           */

/* -----------------------------------  U1_LCR  ----------------------------------- */
#define U1_LCR_DLEN_Pos                       (0UL)                     /*!< U1 LCR: DLEN (Bit 0)                                        */
#define U1_LCR_DLEN_Msk                       (0x3UL)                   /*!< U1 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U1_LCR_STOPBIT_Pos                    (2UL)                     /*!< U1 LCR: STOPBIT (Bit 2)                                     */
#define U1_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U1 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U1_LCR_PEN_Pos                        (3UL)                     /*!< U1 LCR: PEN (Bit 3)                                         */
#define U1_LCR_PEN_Msk                        (0x8UL)                   /*!< U1 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U1_LCR_PARITY_Pos                     (4UL)                     /*!< U1 LCR: PARITY (Bit 4)                                      */
#define U1_LCR_PARITY_Msk                     (0x10UL)                  /*!< U1 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U1_LCR_STICKP_Pos                     (5UL)                     /*!< U1 LCR: STICKP (Bit 5)                                      */
#define U1_LCR_STICKP_Msk                     (0x20UL)                  /*!< U1 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U1_LCR_BREAK_Pos                      (6UL)                     /*!< U1 LCR: BREAK (Bit 6)                                       */
#define U1_LCR_BREAK_Msk                      (0x40UL)                  /*!< U1 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U1_DCR  ----------------------------------- */
#define U1_DCR_TXINV_Pos                      (2UL)                     /*!< U1 DCR: TXINV (Bit 2)                                       */
#define U1_DCR_TXINV_Msk                      (0x4UL)                   /*!< U1 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U1_DCR_RXINV_Pos                      (3UL)                     /*!< U1 DCR: RXINV (Bit 3)                                       */
#define U1_DCR_RXINV_Msk                      (0x8UL)                   /*!< U1 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U1_DCR_LBON_Pos                       (4UL)                     /*!< U1 DCR: LBON (Bit 4)                                        */
#define U1_DCR_LBON_Msk                       (0x10UL)                  /*!< U1 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U1_LSR  ----------------------------------- */
#define U1_LSR_DR_Pos                         (0UL)                     /*!< U1 LSR: DR (Bit 0)                                          */
#define U1_LSR_DR_Msk                         (0x1UL)                   /*!< U1 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U1_LSR_OE_Pos                         (1UL)                     /*!< U1 LSR: OE (Bit 1)                                          */
#define U1_LSR_OE_Msk                         (0x2UL)                   /*!< U1 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_PE_Pos                         (2UL)                     /*!< U1 LSR: PE (Bit 2)                                          */
#define U1_LSR_PE_Msk                         (0x4UL)                   /*!< U1 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_FE_Pos                         (3UL)                     /*!< U1 LSR: FE (Bit 3)                                          */
#define U1_LSR_FE_Msk                         (0x8UL)                   /*!< U1 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U1_LSR_BI_Pos                         (4UL)                     /*!< U1 LSR: BI (Bit 4)                                          */
#define U1_LSR_BI_Msk                         (0x10UL)                  /*!< U1 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U1_LSR_THRE_Pos                       (5UL)                     /*!< U1 LSR: THRE (Bit 5)                                        */
#define U1_LSR_THRE_Msk                       (0x20UL)                  /*!< U1 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U1_LSR_TEMT_Pos                       (6UL)                     /*!< U1 LSR: TEMT (Bit 6)                                        */
#define U1_LSR_TEMT_Msk                       (0x40UL)                  /*!< U1 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U1_BDR  ----------------------------------- */
#define U1_BDR_BDR_Pos                        (0UL)                     /*!< U1 BDR: BDR (Bit 0)                                         */
#define U1_BDR_BDR_Msk                        (0xffffUL)                /*!< U1 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U1_BFR  ----------------------------------- */
#define U1_BFR_BFR_Pos                        (0UL)                     /*!< U1 BFR: BFR (Bit 0)                                         */
#define U1_BFR_BFR_Msk                        (0xffUL)                  /*!< U1 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U1_IDTR  ---------------------------------- */
#define U1_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U1 IDTR: WAITVAL (Bit 0)                                    */
#define U1_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U1 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U2_THR  ----------------------------------- */
#define U2_THR_THR_Pos                        (0UL)                     /*!< U2 THR: THR (Bit 0)                                         */
#define U2_THR_THR_Msk                        (0xffUL)                  /*!< U2 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_RBR  ----------------------------------- */
#define U2_RBR_RBR_Pos                        (0UL)                     /*!< U2 RBR: RBR (Bit 0)                                         */
#define U2_RBR_RBR_Msk                        (0xffUL)                  /*!< U2 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_IER  ----------------------------------- */
#define U2_IER_DRIE_Pos                       (0UL)                     /*!< U2 IER: DRIE (Bit 0)                                        */
#define U2_IER_DRIE_Msk                       (0x1UL)                   /*!< U2 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U2_IER_THREIE_Pos                     (1UL)                     /*!< U2 IER: THREIE (Bit 1)                                      */
#define U2_IER_THREIE_Msk                     (0x2UL)                   /*!< U2 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U2_IER_RLSIE_Pos                      (2UL)                     /*!< U2 IER: RLSIE (Bit 2)                                       */
#define U2_IER_RLSIE_Msk                      (0x4UL)                   /*!< U2 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U2_IER_DRXIEN_Pos                     (4UL)                     /*!< U2 IER: DRXIEN (Bit 4)                                      */
#define U2_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U2 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U2_IER_DTXIEN_Pos                     (5UL)                     /*!< U2 IER: DTXIEN (Bit 5)                                      */
#define U2_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U2 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U2_IIR  ----------------------------------- */
#define U2_IIR_IPEN_Pos                       (0UL)                     /*!< U2 IIR: IPEN (Bit 0)                                        */
#define U2_IIR_IPEN_Msk                       (0x1UL)                   /*!< U2 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U2_IIR_IID_Pos                        (1UL)                     /*!< U2 IIR: IID (Bit 1)                                         */
#define U2_IIR_IID_Msk                        (0xeUL)                   /*!< U2 IIR: IID (Bitfield-Mask: 0x07)                           */

/* -----------------------------------  U2_LCR  ----------------------------------- */
#define U2_LCR_DLEN_Pos                       (0UL)                     /*!< U2 LCR: DLEN (Bit 0)                                        */
#define U2_LCR_DLEN_Msk                       (0x3UL)                   /*!< U2 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U2_LCR_STOPBIT_Pos                    (2UL)                     /*!< U2 LCR: STOPBIT (Bit 2)                                     */
#define U2_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U2 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U2_LCR_PEN_Pos                        (3UL)                     /*!< U2 LCR: PEN (Bit 3)                                         */
#define U2_LCR_PEN_Msk                        (0x8UL)                   /*!< U2 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U2_LCR_PARITY_Pos                     (4UL)                     /*!< U2 LCR: PARITY (Bit 4)                                      */
#define U2_LCR_PARITY_Msk                     (0x10UL)                  /*!< U2 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U2_LCR_STICKP_Pos                     (5UL)                     /*!< U2 LCR: STICKP (Bit 5)                                      */
#define U2_LCR_STICKP_Msk                     (0x20UL)                  /*!< U2 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U2_LCR_BREAK_Pos                      (6UL)                     /*!< U2 LCR: BREAK (Bit 6)                                       */
#define U2_LCR_BREAK_Msk                      (0x40UL)                  /*!< U2 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U2_DCR  ----------------------------------- */
#define U2_DCR_TXINV_Pos                      (2UL)                     /*!< U2 DCR: TXINV (Bit 2)                                       */
#define U2_DCR_TXINV_Msk                      (0x4UL)                   /*!< U2 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U2_DCR_RXINV_Pos                      (3UL)                     /*!< U2 DCR: RXINV (Bit 3)                                       */
#define U2_DCR_RXINV_Msk                      (0x8UL)                   /*!< U2 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U2_DCR_LBON_Pos                       (4UL)                     /*!< U2 DCR: LBON (Bit 4)                                        */
#define U2_DCR_LBON_Msk                       (0x10UL)                  /*!< U2 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U2_LSR  ----------------------------------- */
#define U2_LSR_DR_Pos                         (0UL)                     /*!< U2 LSR: DR (Bit 0)                                          */
#define U2_LSR_DR_Msk                         (0x1UL)                   /*!< U2 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U2_LSR_OE_Pos                         (1UL)                     /*!< U2 LSR: OE (Bit 1)                                          */
#define U2_LSR_OE_Msk                         (0x2UL)                   /*!< U2 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_PE_Pos                         (2UL)                     /*!< U2 LSR: PE (Bit 2)                                          */
#define U2_LSR_PE_Msk                         (0x4UL)                   /*!< U2 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_FE_Pos                         (3UL)                     /*!< U2 LSR: FE (Bit 3)                                          */
#define U2_LSR_FE_Msk                         (0x8UL)                   /*!< U2 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U2_LSR_BI_Pos                         (4UL)                     /*!< U2 LSR: BI (Bit 4)                                          */
#define U2_LSR_BI_Msk                         (0x10UL)                  /*!< U2 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U2_LSR_THRE_Pos                       (5UL)                     /*!< U2 LSR: THRE (Bit 5)                                        */
#define U2_LSR_THRE_Msk                       (0x20UL)                  /*!< U2 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U2_LSR_TEMT_Pos                       (6UL)                     /*!< U2 LSR: TEMT (Bit 6)                                        */
#define U2_LSR_TEMT_Msk                       (0x40UL)                  /*!< U2 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U2_BDR  ----------------------------------- */
#define U2_BDR_BDR_Pos                        (0UL)                     /*!< U2 BDR: BDR (Bit 0)                                         */
#define U2_BDR_BDR_Msk                        (0xffffUL)                /*!< U2 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U2_BFR  ----------------------------------- */
#define U2_BFR_BFR_Pos                        (0UL)                     /*!< U2 BFR: BFR (Bit 0)                                         */
#define U2_BFR_BFR_Msk                        (0xffUL)                  /*!< U2 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U2_IDTR  ---------------------------------- */
#define U2_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U2 IDTR: WAITVAL (Bit 0)                                    */
#define U2_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U2 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================           struct 'U3' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  U3_THR  ----------------------------------- */
#define U3_THR_THR_Pos                        (0UL)                     /*!< U3 THR: THR (Bit 0)                                         */
#define U3_THR_THR_Msk                        (0xffUL)                  /*!< U3 THR: THR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_RBR  ----------------------------------- */
#define U3_RBR_RBR_Pos                        (0UL)                     /*!< U3 RBR: RBR (Bit 0)                                         */
#define U3_RBR_RBR_Msk                        (0xffUL)                  /*!< U3 RBR: RBR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_IER  ----------------------------------- */
#define U3_IER_DRIE_Pos                       (0UL)                     /*!< U3 IER: DRIE (Bit 0)                                        */
#define U3_IER_DRIE_Msk                       (0x1UL)                   /*!< U3 IER: DRIE (Bitfield-Mask: 0x01)                          */
#define U3_IER_THREIE_Pos                     (1UL)                     /*!< U3 IER: THREIE (Bit 1)                                      */
#define U3_IER_THREIE_Msk                     (0x2UL)                   /*!< U3 IER: THREIE (Bitfield-Mask: 0x01)                        */
#define U3_IER_RLSIE_Pos                      (2UL)                     /*!< U3 IER: RLSIE (Bit 2)                                       */
#define U3_IER_RLSIE_Msk                      (0x4UL)                   /*!< U3 IER: RLSIE (Bitfield-Mask: 0x01)                         */
#define U3_IER_DRXIEN_Pos                     (4UL)                     /*!< U3 IER: DRXIEN (Bit 4)                                      */
#define U3_IER_DRXIEN_Msk                     (0x10UL)                  /*!< U3 IER: DRXIEN (Bitfield-Mask: 0x01)                        */
#define U3_IER_DTXIEN_Pos                     (5UL)                     /*!< U3 IER: DTXIEN (Bit 5)                                      */
#define U3_IER_DTXIEN_Msk                     (0x20UL)                  /*!< U3 IER: DTXIEN (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  U3_IIR  ----------------------------------- */
#define U3_IIR_IPEN_Pos                       (0UL)                     /*!< U3 IIR: IPEN (Bit 0)                                        */
#define U3_IIR_IPEN_Msk                       (0x1UL)                   /*!< U3 IIR: IPEN (Bitfield-Mask: 0x01)                          */
#define U3_IIR_IID_Pos                        (1UL)                     /*!< U3 IIR: IID (Bit 1)                                         */
#define U3_IIR_IID_Msk                        (0xeUL)                   /*!< U3 IIR: IID (Bitfield-Mask: 0x07)                           */

/* -----------------------------------  U3_LCR  ----------------------------------- */
#define U3_LCR_DLEN_Pos                       (0UL)                     /*!< U3 LCR: DLEN (Bit 0)                                        */
#define U3_LCR_DLEN_Msk                       (0x3UL)                   /*!< U3 LCR: DLEN (Bitfield-Mask: 0x03)                          */
#define U3_LCR_STOPBIT_Pos                    (2UL)                     /*!< U3 LCR: STOPBIT (Bit 2)                                     */
#define U3_LCR_STOPBIT_Msk                    (0x4UL)                   /*!< U3 LCR: STOPBIT (Bitfield-Mask: 0x01)                       */
#define U3_LCR_PEN_Pos                        (3UL)                     /*!< U3 LCR: PEN (Bit 3)                                         */
#define U3_LCR_PEN_Msk                        (0x8UL)                   /*!< U3 LCR: PEN (Bitfield-Mask: 0x01)                           */
#define U3_LCR_PARITY_Pos                     (4UL)                     /*!< U3 LCR: PARITY (Bit 4)                                      */
#define U3_LCR_PARITY_Msk                     (0x10UL)                  /*!< U3 LCR: PARITY (Bitfield-Mask: 0x01)                        */
#define U3_LCR_STICKP_Pos                     (5UL)                     /*!< U3 LCR: STICKP (Bit 5)                                      */
#define U3_LCR_STICKP_Msk                     (0x20UL)                  /*!< U3 LCR: STICKP (Bitfield-Mask: 0x01)                        */
#define U3_LCR_BREAK_Pos                      (6UL)                     /*!< U3 LCR: BREAK (Bit 6)                                       */
#define U3_LCR_BREAK_Msk                      (0x40UL)                  /*!< U3 LCR: BREAK (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  U3_DCR  ----------------------------------- */
#define U3_DCR_TXINV_Pos                      (2UL)                     /*!< U3 DCR: TXINV (Bit 2)                                       */
#define U3_DCR_TXINV_Msk                      (0x4UL)                   /*!< U3 DCR: TXINV (Bitfield-Mask: 0x01)                         */
#define U3_DCR_RXINV_Pos                      (3UL)                     /*!< U3 DCR: RXINV (Bit 3)                                       */
#define U3_DCR_RXINV_Msk                      (0x8UL)                   /*!< U3 DCR: RXINV (Bitfield-Mask: 0x01)                         */
#define U3_DCR_LBON_Pos                       (4UL)                     /*!< U3 DCR: LBON (Bit 4)                                        */
#define U3_DCR_LBON_Msk                       (0x10UL)                  /*!< U3 DCR: LBON (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U3_LSR  ----------------------------------- */
#define U3_LSR_DR_Pos                         (0UL)                     /*!< U3 LSR: DR (Bit 0)                                          */
#define U3_LSR_DR_Msk                         (0x1UL)                   /*!< U3 LSR: DR (Bitfield-Mask: 0x01)                            */
#define U3_LSR_OE_Pos                         (1UL)                     /*!< U3 LSR: OE (Bit 1)                                          */
#define U3_LSR_OE_Msk                         (0x2UL)                   /*!< U3 LSR: OE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_PE_Pos                         (2UL)                     /*!< U3 LSR: PE (Bit 2)                                          */
#define U3_LSR_PE_Msk                         (0x4UL)                   /*!< U3 LSR: PE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_FE_Pos                         (3UL)                     /*!< U3 LSR: FE (Bit 3)                                          */
#define U3_LSR_FE_Msk                         (0x8UL)                   /*!< U3 LSR: FE (Bitfield-Mask: 0x01)                            */
#define U3_LSR_BI_Pos                         (4UL)                     /*!< U3 LSR: BI (Bit 4)                                          */
#define U3_LSR_BI_Msk                         (0x10UL)                  /*!< U3 LSR: BI (Bitfield-Mask: 0x01)                            */
#define U3_LSR_THRE_Pos                       (5UL)                     /*!< U3 LSR: THRE (Bit 5)                                        */
#define U3_LSR_THRE_Msk                       (0x20UL)                  /*!< U3 LSR: THRE (Bitfield-Mask: 0x01)                          */
#define U3_LSR_TEMT_Pos                       (6UL)                     /*!< U3 LSR: TEMT (Bit 6)                                        */
#define U3_LSR_TEMT_Msk                       (0x40UL)                  /*!< U3 LSR: TEMT (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  U3_BDR  ----------------------------------- */
#define U3_BDR_BDR_Pos                        (0UL)                     /*!< U3 BDR: BDR (Bit 0)                                         */
#define U3_BDR_BDR_Msk                        (0xffffUL)                /*!< U3 BDR: BDR (Bitfield-Mask: 0xffff)                         */

/* -----------------------------------  U3_BFR  ----------------------------------- */
#define U3_BFR_BFR_Pos                        (0UL)                     /*!< U3 BFR: BFR (Bit 0)                                         */
#define U3_BFR_BFR_Msk                        (0xffUL)                  /*!< U3 BFR: BFR (Bitfield-Mask: 0xff)                           */

/* -----------------------------------  U3_IDTR  ---------------------------------- */
#define U3_IDTR_WAITVAL_Pos                   (0UL)                     /*!< U3 IDTR: WAITVAL (Bit 0)                                    */
#define U3_IDTR_WAITVAL_Msk                   (0x7UL)                   /*!< U3 IDTR: WAITVAL (Bitfield-Mask: 0x07)                      */


/* ================================================================================ */
/* ================          struct 'SP0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP0_RDR  ---------------------------------- */
#define SP0_RDR_RDR_Pos                       (0UL)                     /*!< SP0 RDR: RDR (Bit 0)                                        */
#define SP0_RDR_RDR_Msk                       (0x1ffffUL)               /*!< SP0 RDR: RDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP0_TDR  ---------------------------------- */
#define SP0_TDR_TDR_Pos                       (0UL)                     /*!< SP0 TDR: TDR (Bit 0)                                        */
#define SP0_TDR_TDR_Msk                       (0x1ffffUL)               /*!< SP0 TDR: TDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP0_CR  ----------------------------------- */
#define SP0_CR_BITSZ_Pos                      (0UL)                     /*!< SP0 CR: BITSZ (Bit 0)                                       */
#define SP0_CR_BITSZ_Msk                      (0x3UL)                   /*!< SP0 CR: BITSZ (Bitfield-Mask: 0x03)                         */
#define SP0_CR_CPOL_Pos                       (2UL)                     /*!< SP0 CR: CPOL (Bit 2)                                        */
#define SP0_CR_CPOL_Msk                       (0x4UL)                   /*!< SP0 CR: CPOL (Bitfield-Mask: 0x01)                          */
#define SP0_CR_CPHA_Pos                       (3UL)                     /*!< SP0 CR: CPHA (Bit 3)                                        */
#define SP0_CR_CPHA_Msk                       (0x8UL)                   /*!< SP0 CR: CPHA (Bitfield-Mask: 0x01)                          */
#define SP0_CR_MSBF_Pos                       (4UL)                     /*!< SP0 CR: MSBF (Bit 4)                                        */
#define SP0_CR_MSBF_Msk                       (0x10UL)                  /*!< SP0 CR: MSBF (Bitfield-Mask: 0x01)                          */
#define SP0_CR_MS_Pos                         (5UL)                     /*!< SP0 CR: MS (Bit 5)                                          */
#define SP0_CR_MS_Msk                         (0x20UL)                  /*!< SP0 CR: MS (Bitfield-Mask: 0x01)                            */
#define SP0_CR_SSPOL_Pos                      (8UL)                     /*!< SP0 CR: SSPOL (Bit 8)                                       */
#define SP0_CR_SSPOL_Msk                      (0x100UL)                 /*!< SP0 CR: SSPOL (Bitfield-Mask: 0x01)                         */
#define SP0_CR_SSMO_Pos                       (9UL)                     /*!< SP0 CR: SSMO (Bit 9)                                        */
#define SP0_CR_SSMO_Msk                       (0x200UL)                 /*!< SP0 CR: SSMO (Bitfield-Mask: 0x01)                          */
#define SP0_CR_SSMASK_Pos                     (10UL)                    /*!< SP0 CR: SSMASK (Bit 10)                                     */
#define SP0_CR_SSMASK_Msk                     (0x400UL)                 /*!< SP0 CR: SSMASK (Bitfield-Mask: 0x01)                        */
#define SP0_CR_LBE_Pos                        (11UL)                    /*!< SP0 CR: LBE (Bit 11)                                        */
#define SP0_CR_LBE_Msk                        (0x800UL)                 /*!< SP0 CR: LBE (Bitfield-Mask: 0x01)                           */
#define SP0_CR_SSOUT_Pos                      (12UL)                    /*!< SP0 CR: SSOUT (Bit 12)                                      */
#define SP0_CR_SSOUT_Msk                      (0x1000UL)                /*!< SP0 CR: SSOUT (Bitfield-Mask: 0x01)                         */
#define SP0_CR_SSMOD_Pos                      (13UL)                    /*!< SP0 CR: SSMOD (Bit 13)                                      */
#define SP0_CR_SSMOD_Msk                      (0x2000UL)                /*!< SP0 CR: SSMOD (Bitfield-Mask: 0x01)                         */
#define SP0_CR_RXIE_Pos                       (14UL)                    /*!< SP0 CR: RXIE (Bit 14)                                       */
#define SP0_CR_RXIE_Msk                       (0x4000UL)                /*!< SP0 CR: RXIE (Bitfield-Mask: 0x01)                          */
#define SP0_CR_TXIE_Pos                       (15UL)                    /*!< SP0 CR: TXIE (Bit 15)                                       */
#define SP0_CR_TXIE_Msk                       (0x8000UL)                /*!< SP0 CR: TXIE (Bitfield-Mask: 0x01)                          */
#define SP0_CR_SSCIE_Pos                      (16UL)                    /*!< SP0 CR: SSCIE (Bit 16)                                      */
#define SP0_CR_SSCIE_Msk                      (0x10000UL)               /*!< SP0 CR: SSCIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_RXDIE_Pos                      (17UL)                    /*!< SP0 CR: RXDIE (Bit 17)                                      */
#define SP0_CR_RXDIE_Msk                      (0x20000UL)               /*!< SP0 CR: RXDIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_TXDIE_Pos                      (18UL)                    /*!< SP0 CR: TXDIE (Bit 18)                                      */
#define SP0_CR_TXDIE_Msk                      (0x40000UL)               /*!< SP0 CR: TXDIE (Bitfield-Mask: 0x01)                         */
#define SP0_CR_RXBC_Pos                       (19UL)                    /*!< SP0 CR: RXBC (Bit 19)                                       */
#define SP0_CR_RXBC_Msk                       (0x80000UL)               /*!< SP0 CR: RXBC (Bitfield-Mask: 0x01)                          */
#define SP0_CR_TXBC_Pos                       (20UL)                    /*!< SP0 CR: TXBC (Bit 20)                                       */
#define SP0_CR_TXBC_Msk                       (0x100000UL)              /*!< SP0 CR: TXBC (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  SP0_SR  ----------------------------------- */
#define SP0_SR_RRDY_Pos                       (0UL)                     /*!< SP0 SR: RRDY (Bit 0)                                        */
#define SP0_SR_RRDY_Msk                       (0x1UL)                   /*!< SP0 SR: RRDY (Bitfield-Mask: 0x01)                          */
#define SP0_SR_TRDY_Pos                       (1UL)                     /*!< SP0 SR: TRDY (Bit 1)                                        */
#define SP0_SR_TRDY_Msk                       (0x2UL)                   /*!< SP0 SR: TRDY (Bitfield-Mask: 0x01)                          */
#define SP0_SR_TXIDLE_Pos                     (2UL)                     /*!< SP0 SR: TXIDLE (Bit 2)                                      */
#define SP0_SR_TXIDLE_Msk                     (0x4UL)                   /*!< SP0 SR: TXIDLE (Bitfield-Mask: 0x01)                        */
#define SP0_SR_UDRF_Pos                       (3UL)                     /*!< SP0 SR: UDRF (Bit 3)                                        */
#define SP0_SR_UDRF_Msk                       (0x8UL)                   /*!< SP0 SR: UDRF (Bitfield-Mask: 0x01)                          */
#define SP0_SR_OVRF_Pos                       (4UL)                     /*!< SP0 SR: OVRF (Bit 4)                                        */
#define SP0_SR_OVRF_Msk                       (0x10UL)                  /*!< SP0 SR: OVRF (Bitfield-Mask: 0x01)                          */
#define SP0_SR_SSON_Pos                       (5UL)                     /*!< SP0 SR: SSON (Bit 5)                                        */
#define SP0_SR_SSON_Msk                       (0x20UL)                  /*!< SP0 SR: SSON (Bitfield-Mask: 0x01)                          */
#define SP0_SR_SSDET_Pos                      (6UL)                     /*!< SP0 SR: SSDET (Bit 6)                                       */
#define SP0_SR_SSDET_Msk                      (0x40UL)                  /*!< SP0 SR: SSDET (Bitfield-Mask: 0x01)                         */
#define SP0_SR_RXDMAF_Pos                     (8UL)                     /*!< SP0 SR: RXDMAF (Bit 8)                                      */
#define SP0_SR_RXDMAF_Msk                     (0x100UL)                 /*!< SP0 SR: RXDMAF (Bitfield-Mask: 0x01)                        */
#define SP0_SR_TXDMAF_Pos                     (9UL)                     /*!< SP0 SR: TXDMAF (Bit 9)                                      */
#define SP0_SR_TXDMAF_Msk                     (0x200UL)                 /*!< SP0 SR: TXDMAF (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP0_BR  ----------------------------------- */
#define SP0_BR_BR_Pos                         (0UL)                     /*!< SP0 BR: BR (Bit 0)                                          */
#define SP0_BR_BR_Msk                         (0xffffUL)                /*!< SP0 BR: BR (Bitfield-Mask: 0xffff)                          */

/* -----------------------------------  SP0_EN  ----------------------------------- */
#define SP0_EN_ENABLE_Pos                     (0UL)                     /*!< SP0 EN: ENABLE (Bit 0)                                      */
#define SP0_EN_ENABLE_Msk                     (0x1UL)                   /*!< SP0 EN: ENABLE (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP0_LR  ----------------------------------- */
#define SP0_LR_STL_Pos                        (0UL)                     /*!< SP0 LR: STL (Bit 0)                                         */
#define SP0_LR_STL_Msk                        (0xffUL)                  /*!< SP0 LR: STL (Bitfield-Mask: 0xff)                           */
#define SP0_LR_BTL_Pos                        (8UL)                     /*!< SP0 LR: BTL (Bit 8)                                         */
#define SP0_LR_BTL_Msk                        (0xff00UL)                /*!< SP0 LR: BTL (Bitfield-Mask: 0xff)                           */
#define SP0_LR_SPL_Pos                        (16UL)                    /*!< SP0 LR: SPL (Bit 16)                                        */
#define SP0_LR_SPL_Msk                        (0xff0000UL)              /*!< SP0 LR: SPL (Bitfield-Mask: 0xff)                           */


/* ================================================================================ */
/* ================          struct 'SP1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  SP1_TDR  ---------------------------------- */
#define SP1_TDR_TDR_Pos                       (0UL)                     /*!< SP1 TDR: TDR (Bit 0)                                        */
#define SP1_TDR_TDR_Msk                       (0x1ffffUL)               /*!< SP1 TDR: TDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP1_RDR  ---------------------------------- */
#define SP1_RDR_RDR_Pos                       (0UL)                     /*!< SP1 RDR: RDR (Bit 0)                                        */
#define SP1_RDR_RDR_Msk                       (0x1ffffUL)               /*!< SP1 RDR: RDR (Bitfield-Mask: 0x1ffff)                       */

/* -----------------------------------  SP1_CR  ----------------------------------- */
#define SP1_CR_BITSZ_Pos                      (0UL)                     /*!< SP1 CR: BITSZ (Bit 0)                                       */
#define SP1_CR_BITSZ_Msk                      (0x3UL)                   /*!< SP1 CR: BITSZ (Bitfield-Mask: 0x03)                         */
#define SP1_CR_CPOL_Pos                       (2UL)                     /*!< SP1 CR: CPOL (Bit 2)                                        */
#define SP1_CR_CPOL_Msk                       (0x4UL)                   /*!< SP1 CR: CPOL (Bitfield-Mask: 0x01)                          */
#define SP1_CR_CPHA_Pos                       (3UL)                     /*!< SP1 CR: CPHA (Bit 3)                                        */
#define SP1_CR_CPHA_Msk                       (0x8UL)                   /*!< SP1 CR: CPHA (Bitfield-Mask: 0x01)                          */
#define SP1_CR_MSBF_Pos                       (4UL)                     /*!< SP1 CR: MSBF (Bit 4)                                        */
#define SP1_CR_MSBF_Msk                       (0x10UL)                  /*!< SP1 CR: MSBF (Bitfield-Mask: 0x01)                          */
#define SP1_CR_MS_Pos                         (5UL)                     /*!< SP1 CR: MS (Bit 5)                                          */
#define SP1_CR_MS_Msk                         (0x20UL)                  /*!< SP1 CR: MS (Bitfield-Mask: 0x01)                            */
#define SP1_CR_SSPOL_Pos                      (8UL)                     /*!< SP1 CR: SSPOL (Bit 8)                                       */
#define SP1_CR_SSPOL_Msk                      (0x100UL)                 /*!< SP1 CR: SSPOL (Bitfield-Mask: 0x01)                         */
#define SP1_CR_SSMO_Pos                       (9UL)                     /*!< SP1 CR: SSMO (Bit 9)                                        */
#define SP1_CR_SSMO_Msk                       (0x200UL)                 /*!< SP1 CR: SSMO (Bitfield-Mask: 0x01)                          */
#define SP1_CR_SSMASK_Pos                     (10UL)                    /*!< SP1 CR: SSMASK (Bit 10)                                     */
#define SP1_CR_SSMASK_Msk                     (0x400UL)                 /*!< SP1 CR: SSMASK (Bitfield-Mask: 0x01)                        */
#define SP1_CR_LBE_Pos                        (11UL)                    /*!< SP1 CR: LBE (Bit 11)                                        */
#define SP1_CR_LBE_Msk                        (0x800UL)                 /*!< SP1 CR: LBE (Bitfield-Mask: 0x01)                           */
#define SP1_CR_SSOUT_Pos                      (12UL)                    /*!< SP1 CR: SSOUT (Bit 12)                                      */
#define SP1_CR_SSOUT_Msk                      (0x1000UL)                /*!< SP1 CR: SSOUT (Bitfield-Mask: 0x01)                         */
#define SP1_CR_SSMOD_Pos                      (13UL)                    /*!< SP1 CR: SSMOD (Bit 13)                                      */
#define SP1_CR_SSMOD_Msk                      (0x2000UL)                /*!< SP1 CR: SSMOD (Bitfield-Mask: 0x01)                         */
#define SP1_CR_RXIE_Pos                       (14UL)                    /*!< SP1 CR: RXIE (Bit 14)                                       */
#define SP1_CR_RXIE_Msk                       (0x4000UL)                /*!< SP1 CR: RXIE (Bitfield-Mask: 0x01)                          */
#define SP1_CR_TXIE_Pos                       (15UL)                    /*!< SP1 CR: TXIE (Bit 15)                                       */
#define SP1_CR_TXIE_Msk                       (0x8000UL)                /*!< SP1 CR: TXIE (Bitfield-Mask: 0x01)                          */
#define SP1_CR_SSCIE_Pos                      (16UL)                    /*!< SP1 CR: SSCIE (Bit 16)                                      */
#define SP1_CR_SSCIE_Msk                      (0x10000UL)               /*!< SP1 CR: SSCIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_RXDIE_Pos                      (17UL)                    /*!< SP1 CR: RXDIE (Bit 17)                                      */
#define SP1_CR_RXDIE_Msk                      (0x20000UL)               /*!< SP1 CR: RXDIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_TXDIE_Pos                      (18UL)                    /*!< SP1 CR: TXDIE (Bit 18)                                      */
#define SP1_CR_TXDIE_Msk                      (0x40000UL)               /*!< SP1 CR: TXDIE (Bitfield-Mask: 0x01)                         */
#define SP1_CR_RXBC_Pos                       (19UL)                    /*!< SP1 CR: RXBC (Bit 19)                                       */
#define SP1_CR_RXBC_Msk                       (0x80000UL)               /*!< SP1 CR: RXBC (Bitfield-Mask: 0x01)                          */
#define SP1_CR_TXBC_Pos                       (20UL)                    /*!< SP1 CR: TXBC (Bit 20)                                       */
#define SP1_CR_TXBC_Msk                       (0x100000UL)              /*!< SP1 CR: TXBC (Bitfield-Mask: 0x01)                          */

/* -----------------------------------  SP1_SR  ----------------------------------- */
#define SP1_SR_RRDY_Pos                       (0UL)                     /*!< SP1 SR: RRDY (Bit 0)                                        */
#define SP1_SR_RRDY_Msk                       (0x1UL)                   /*!< SP1 SR: RRDY (Bitfield-Mask: 0x01)                          */
#define SP1_SR_TRDY_Pos                       (1UL)                     /*!< SP1 SR: TRDY (Bit 1)                                        */
#define SP1_SR_TRDY_Msk                       (0x2UL)                   /*!< SP1 SR: TRDY (Bitfield-Mask: 0x01)                          */
#define SP1_SR_TXIDLE_Pos                     (2UL)                     /*!< SP1 SR: TXIDLE (Bit 2)                                      */
#define SP1_SR_TXIDLE_Msk                     (0x4UL)                   /*!< SP1 SR: TXIDLE (Bitfield-Mask: 0x01)                        */
#define SP1_SR_UDRF_Pos                       (3UL)                     /*!< SP1 SR: UDRF (Bit 3)                                        */
#define SP1_SR_UDRF_Msk                       (0x8UL)                   /*!< SP1 SR: UDRF (Bitfield-Mask: 0x01)                          */
#define SP1_SR_OVRF_Pos                       (4UL)                     /*!< SP1 SR: OVRF (Bit 4)                                        */
#define SP1_SR_OVRF_Msk                       (0x10UL)                  /*!< SP1 SR: OVRF (Bitfield-Mask: 0x01)                          */
#define SP1_SR_SSON_Pos                       (5UL)                     /*!< SP1 SR: SSON (Bit 5)                                        */
#define SP1_SR_SSON_Msk                       (0x20UL)                  /*!< SP1 SR: SSON (Bitfield-Mask: 0x01)                          */
#define SP1_SR_SSDET_Pos                      (6UL)                     /*!< SP1 SR: SSDET (Bit 6)                                       */
#define SP1_SR_SSDET_Msk                      (0x40UL)                  /*!< SP1 SR: SSDET (Bitfield-Mask: 0x01)                         */
#define SP1_SR_RXDMAF_Pos                     (8UL)                     /*!< SP1 SR: RXDMAF (Bit 8)                                      */
#define SP1_SR_RXDMAF_Msk                     (0x100UL)                 /*!< SP1 SR: RXDMAF (Bitfield-Mask: 0x01)                        */
#define SP1_SR_TXDMAF_Pos                     (9UL)                     /*!< SP1 SR: TXDMAF (Bit 9)                                      */
#define SP1_SR_TXDMAF_Msk                     (0x200UL)                 /*!< SP1 SR: TXDMAF (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP1_BR  ----------------------------------- */
#define SP1_BR_BR_Pos                         (0UL)                     /*!< SP1 BR: BR (Bit 0)                                          */
#define SP1_BR_BR_Msk                         (0xffffUL)                /*!< SP1 BR: BR (Bitfield-Mask: 0xffff)                          */

/* -----------------------------------  SP1_EN  ----------------------------------- */
#define SP1_EN_ENABLE_Pos                     (0UL)                     /*!< SP1 EN: ENABLE (Bit 0)                                      */
#define SP1_EN_ENABLE_Msk                     (0x1UL)                   /*!< SP1 EN: ENABLE (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  SP1_LR  ----------------------------------- */
#define SP1_LR_STL_Pos                        (0UL)                     /*!< SP1 LR: STL (Bit 0)                                         */
#define SP1_LR_STL_Msk                        (0xffUL)                  /*!< SP1 LR: STL (Bitfield-Mask: 0xff)                           */
#define SP1_LR_BTL_Pos                        (8UL)                     /*!< SP1 LR: BTL (Bit 8)                                         */
#define SP1_LR_BTL_Msk                        (0xff00UL)                /*!< SP1 LR: BTL (Bitfield-Mask: 0xff)                           */
#define SP1_LR_SPL_Pos                        (16UL)                    /*!< SP1 LR: SPL (Bit 16)                                        */
#define SP1_LR_SPL_Msk                        (0xff0000UL)              /*!< SP1 LR: SPL (Bitfield-Mask: 0xff)                           */


/* ================================================================================ */
/* ================          struct 'IC0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  IC0_DR  ----------------------------------- */
#define IC0_DR_DR_Pos                         (0UL)                     /*!< IC0 DR: DR (Bit 0)                                          */
#define IC0_DR_DR_Msk                         (0xffUL)                  /*!< IC0 DR: DR (Bitfield-Mask: 0xff)                            */

/* -----------------------------------  IC0_SR  ----------------------------------- */
#define IC0_SR_RXACK_Pos                      (0UL)                     /*!< IC0 SR: RXACK (Bit 0)                                       */
#define IC0_SR_RXACK_Msk                      (0x1UL)                   /*!< IC0 SR: RXACK (Bitfield-Mask: 0x01)                         */
#define IC0_SR_TMOD_Pos                       (1UL)                     /*!< IC0 SR: TMOD (Bit 1)                                        */
#define IC0_SR_TMOD_Msk                       (0x2UL)                   /*!< IC0 SR: TMOD (Bitfield-Mask: 0x01)                          */
#define IC0_SR_BUSY_Pos                       (2UL)                     /*!< IC0 SR: BUSY (Bit 2)                                        */
#define IC0_SR_BUSY_Msk                       (0x4UL)                   /*!< IC0 SR: BUSY (Bitfield-Mask: 0x01)                          */
#define IC0_SR_MLOST_Pos                      (3UL)                     /*!< IC0 SR: MLOST (Bit 3)                                       */
#define IC0_SR_MLOST_Msk                      (0x8UL)                   /*!< IC0 SR: MLOST (Bitfield-Mask: 0x01)                         */
#define IC0_SR_SSEL_Pos                       (4UL)                     /*!< IC0 SR: SSEL (Bit 4)                                        */
#define IC0_SR_SSEL_Msk                       (0x10UL)                  /*!< IC0 SR: SSEL (Bitfield-Mask: 0x01)                          */
#define IC0_SR_STOP_Pos                       (5UL)                     /*!< IC0 SR: STOP (Bit 5)                                        */
#define IC0_SR_STOP_Msk                       (0x20UL)                  /*!< IC0 SR: STOP (Bitfield-Mask: 0x01)                          */
#define IC0_SR_TEND_Pos                       (6UL)                     /*!< IC0 SR: TEND (Bit 6)                                        */
#define IC0_SR_TEND_Msk                       (0x40UL)                  /*!< IC0 SR: TEND (Bitfield-Mask: 0x01)                          */
#define IC0_SR_GCALL_Pos                      (7UL)                     /*!< IC0 SR: GCALL (Bit 7)                                       */
#define IC0_SR_GCALL_Msk                      (0x80UL)                  /*!< IC0 SR: GCALL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  IC0_SAR  ---------------------------------- */
#define IC0_SAR_GCEN_Pos                      (0UL)                     /*!< IC0 SAR: GCEN (Bit 0)                                       */
#define IC0_SAR_GCEN_Msk                      (0x1UL)                   /*!< IC0 SAR: GCEN (Bitfield-Mask: 0x01)                         */
#define IC0_SAR_SVAD_Pos                      (1UL)                     /*!< IC0 SAR: SVAD (Bit 1)                                       */
#define IC0_SAR_SVAD_Msk                      (0xfeUL)                  /*!< IC0 SAR: SVAD (Bitfield-Mask: 0x7f)                         */

/* -----------------------------------  IC0_CR  ----------------------------------- */
#define IC0_CR_START_Pos                      (0UL)                     /*!< IC0 CR: START (Bit 0)                                       */
#define IC0_CR_START_Msk                      (0x1UL)                   /*!< IC0 CR: START (Bitfield-Mask: 0x01)                         */
#define IC0_CR_STOP_Pos                       (1UL)                     /*!< IC0 CR: STOP (Bit 1)                                        */
#define IC0_CR_STOP_Msk                       (0x2UL)                   /*!< IC0 CR: STOP (Bitfield-Mask: 0x01)                          */
#define IC0_CR_ACKEN_Pos                      (3UL)                     /*!< IC0 CR: ACKEN (Bit 3)                                       */
#define IC0_CR_ACKEN_Msk                      (0x8UL)                   /*!< IC0 CR: ACKEN (Bitfield-Mask: 0x01)                         */
#define IC0_CR_INTEN_Pos                      (4UL)                     /*!< IC0 CR: INTEN (Bit 4)                                       */
#define IC0_CR_INTEN_Msk                      (0x10UL)                  /*!< IC0 CR: INTEN (Bitfield-Mask: 0x01)                         */
#define IC0_CR_SOFTRST_Pos                    (5UL)                     /*!< IC0 CR: SOFTRST (Bit 5)                                     */
#define IC0_CR_SOFTRST_Msk                    (0x20UL)                  /*!< IC0 CR: SOFTRST (Bitfield-Mask: 0x01)                       */
#define IC0_CR_IIF_Pos                        (7UL)                     /*!< IC0 CR: IIF (Bit 7)                                         */
#define IC0_CR_IIF_Msk                        (0x80UL)                  /*!< IC0 CR: IIF (Bitfield-Mask: 0x01)                           */

/* ----------------------------------  IC0_SCLL  ---------------------------------- */
#define IC0_SCLL_SCLL_Pos                     (0UL)                     /*!< IC0 SCLL: SCLL (Bit 0)                                      */
#define IC0_SCLL_SCLL_Msk                     (0xffffUL)                /*!< IC0 SCLL: SCLL (Bitfield-Mask: 0xffff)                      */

/* ----------------------------------  IC0_SCLH  ---------------------------------- */
#define IC0_SCLH_SCLH_Pos                     (0UL)                     /*!< IC0 SCLH: SCLH (Bit 0)                                      */
#define IC0_SCLH_SCLH_Msk                     (0xffffUL)                /*!< IC0 SCLH: SCLH (Bitfield-Mask: 0xffff)                      */

/* -----------------------------------  IC0_SDH  ---------------------------------- */
#define IC0_SDH_SDH_Pos                       (0UL)                     /*!< IC0 SDH: SDH (Bit 0)                                        */
#define IC0_SDH_SDH_Msk                       (0x7fffUL)                /*!< IC0 SDH: SDH (Bitfield-Mask: 0x7fff)                        */


/* ================================================================================ */
/* ================          struct 'IC1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  IC1_DR  ----------------------------------- */
#define IC1_DR_DR_Pos                         (0UL)                     /*!< IC1 DR: DR (Bit 0)                                          */
#define IC1_DR_DR_Msk                         (0xffUL)                  /*!< IC1 DR: DR (Bitfield-Mask: 0xff)                            */

/* -----------------------------------  IC1_SR  ----------------------------------- */
#define IC1_SR_RXACK_Pos                      (0UL)                     /*!< IC1 SR: RXACK (Bit 0)                                       */
#define IC1_SR_RXACK_Msk                      (0x1UL)                   /*!< IC1 SR: RXACK (Bitfield-Mask: 0x01)                         */
#define IC1_SR_TMOD_Pos                       (1UL)                     /*!< IC1 SR: TMOD (Bit 1)                                        */
#define IC1_SR_TMOD_Msk                       (0x2UL)                   /*!< IC1 SR: TMOD (Bitfield-Mask: 0x01)                          */
#define IC1_SR_BUSY_Pos                       (2UL)                     /*!< IC1 SR: BUSY (Bit 2)                                        */
#define IC1_SR_BUSY_Msk                       (0x4UL)                   /*!< IC1 SR: BUSY (Bitfield-Mask: 0x01)                          */
#define IC1_SR_MLOST_Pos                      (3UL)                     /*!< IC1 SR: MLOST (Bit 3)                                       */
#define IC1_SR_MLOST_Msk                      (0x8UL)                   /*!< IC1 SR: MLOST (Bitfield-Mask: 0x01)                         */
#define IC1_SR_SSEL_Pos                       (4UL)                     /*!< IC1 SR: SSEL (Bit 4)                                        */
#define IC1_SR_SSEL_Msk                       (0x10UL)                  /*!< IC1 SR: SSEL (Bitfield-Mask: 0x01)                          */
#define IC1_SR_STOP_Pos                       (5UL)                     /*!< IC1 SR: STOP (Bit 5)                                        */
#define IC1_SR_STOP_Msk                       (0x20UL)                  /*!< IC1 SR: STOP (Bitfield-Mask: 0x01)                          */
#define IC1_SR_TEND_Pos                       (6UL)                     /*!< IC1 SR: TEND (Bit 6)                                        */
#define IC1_SR_TEND_Msk                       (0x40UL)                  /*!< IC1 SR: TEND (Bitfield-Mask: 0x01)                          */
#define IC1_SR_GCALL_Pos                      (7UL)                     /*!< IC1 SR: GCALL (Bit 7)                                       */
#define IC1_SR_GCALL_Msk                      (0x80UL)                  /*!< IC1 SR: GCALL (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  IC1_SAR  ---------------------------------- */
#define IC1_SAR_GCEN_Pos                      (0UL)                     /*!< IC1 SAR: GCEN (Bit 0)                                       */
#define IC1_SAR_GCEN_Msk                      (0x1UL)                   /*!< IC1 SAR: GCEN (Bitfield-Mask: 0x01)                         */
#define IC1_SAR_SVAD_Pos                      (1UL)                     /*!< IC1 SAR: SVAD (Bit 1)                                       */
#define IC1_SAR_SVAD_Msk                      (0xfeUL)                  /*!< IC1 SAR: SVAD (Bitfield-Mask: 0x7f)                         */

/* -----------------------------------  IC1_CR  ----------------------------------- */
#define IC1_CR_START_Pos                      (0UL)                     /*!< IC1 CR: START (Bit 0)                                       */
#define IC1_CR_START_Msk                      (0x1UL)                   /*!< IC1 CR: START (Bitfield-Mask: 0x01)                         */
#define IC1_CR_STOP_Pos                       (1UL)                     /*!< IC1 CR: STOP (Bit 1)                                        */
#define IC1_CR_STOP_Msk                       (0x2UL)                   /*!< IC1 CR: STOP (Bitfield-Mask: 0x01)                          */
#define IC1_CR_ACKEN_Pos                      (3UL)                     /*!< IC1 CR: ACKEN (Bit 3)                                       */
#define IC1_CR_ACKEN_Msk                      (0x8UL)                   /*!< IC1 CR: ACKEN (Bitfield-Mask: 0x01)                         */
#define IC1_CR_INTEN_Pos                      (4UL)                     /*!< IC1 CR: INTEN (Bit 4)                                       */
#define IC1_CR_INTEN_Msk                      (0x10UL)                  /*!< IC1 CR: INTEN (Bitfield-Mask: 0x01)                         */
#define IC1_CR_SOFTRST_Pos                    (5UL)                     /*!< IC1 CR: SOFTRST (Bit 5)                                     */
#define IC1_CR_SOFTRST_Msk                    (0x20UL)                  /*!< IC1 CR: SOFTRST (Bitfield-Mask: 0x01)                       */
#define IC1_CR_IIF_Pos                        (7UL)                     /*!< IC1 CR: IIF (Bit 7)                                         */
#define IC1_CR_IIF_Msk                        (0x80UL)                  /*!< IC1 CR: IIF (Bitfield-Mask: 0x01)                           */

/* ----------------------------------  IC1_SCLL  ---------------------------------- */
#define IC1_SCLL_SCLL_Pos                     (0UL)                     /*!< IC1 SCLL: SCLL (Bit 0)                                      */
#define IC1_SCLL_SCLL_Msk                     (0xffffUL)                /*!< IC1 SCLL: SCLL (Bitfield-Mask: 0xffff)                      */

/* ----------------------------------  IC1_SCLH  ---------------------------------- */
#define IC1_SCLH_SCLH_Pos                     (0UL)                     /*!< IC1 SCLH: SCLH (Bit 0)                                      */
#define IC1_SCLH_SCLH_Msk                     (0xffffUL)                /*!< IC1 SCLH: SCLH (Bitfield-Mask: 0xffff)                      */

/* -----------------------------------  IC1_SDH  ---------------------------------- */
#define IC1_SDH_SDH_Pos                       (0UL)                     /*!< IC1 SDH: SDH (Bit 0)                                        */
#define IC1_SDH_SDH_Msk                       (0x7fffUL)                /*!< IC1 SDH: SDH (Bitfield-Mask: 0x7fff)                        */


/* ================================================================================ */
/* ================          struct 'AD0' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  AD0_MR  ----------------------------------- */
#define AD0_MR_TRGSRC_Pos                     (0UL)                     /*!< AD0 MR: TRGSRC (Bit 0)                                      */
#define AD0_MR_TRGSRC_Msk                     (0x7UL)                   /*!< AD0 MR: TRGSRC (Bitfield-Mask: 0x07)                        */
#define AD0_MR_TRGEN_Pos                      (3UL)                     /*!< AD0 MR: TRGEN (Bit 3)                                       */
#define AD0_MR_TRGEN_Msk                      (0x8UL)                   /*!< AD0 MR: TRGEN (Bitfield-Mask: 0x01)                         */
#define AD0_MR_ADCMOD_Pos                     (4UL)                     /*!< AD0 MR: ADCMOD (Bit 4)                                      */
#define AD0_MR_ADCMOD_Msk                     (0x30UL)                  /*!< AD0 MR: ADCMOD (Bitfield-Mask: 0x03)                        */
#define AD0_MR_ADCEN_Pos                      (7UL)                     /*!< AD0 MR: ADCEN (Bit 7)                                       */
#define AD0_MR_ADCEN_Msk                      (0x80UL)                  /*!< AD0 MR: ADCEN (Bitfield-Mask: 0x01)                         */
#define AD0_MR_BSTCNT_Pos                     (8UL)                     /*!< AD0 MR: BSTCNT (Bit 8)                                      */
#define AD0_MR_BSTCNT_Msk                     (0x700UL)                 /*!< AD0 MR: BSTCNT (Bitfield-Mask: 0x07)                        */
#define AD0_MR_BWAITEN_Pos                    (12UL)                    /*!< AD0 MR: BWAITEN (Bit 12)                                    */
#define AD0_MR_BWAITEN_Msk                    (0x1000UL)                /*!< AD0 MR: BWAITEN (Bitfield-Mask: 0x01)                       */
#define AD0_MR_DMACH_Pos                      (16UL)                    /*!< AD0 MR: DMACH (Bit 16)                                      */
#define AD0_MR_DMACH_Msk                      (0x10000UL)               /*!< AD0 MR: DMACH (Bitfield-Mask: 0x01)                         */
#define AD0_MR_DMAEN_Pos                      (17UL)                    /*!< AD0 MR: DMAEN (Bit 17)                                      */
#define AD0_MR_DMAEN_Msk                      (0x20000UL)               /*!< AD0 MR: DMAEN (Bitfield-Mask: 0x01)                         */
#define AD0_MR_BWAIT_Pos                      (24UL)                    /*!< AD0 MR: BWAIT (Bit 24)                                      */
#define AD0_MR_BWAIT_Msk                      (0xff000000UL)            /*!< AD0 MR: BWAIT (Bitfield-Mask: 0xff)                         */

/* -----------------------------------  AD0_CSR  ---------------------------------- */
#define AD0_CSR_CHSEL_Pos                     (0UL)                     /*!< AD0 CSR: CHSEL (Bit 0)                                      */
#define AD0_CSR_CHSEL_Msk                     (0xfUL)                   /*!< AD0 CSR: CHSEL (Bitfield-Mask: 0x0f)                        */

/* -----------------------------------  AD0_CR1  ---------------------------------- */
#define AD0_CR1_STSEL_Pos                     (0UL)                     /*!< AD0 CR1: STSEL (Bit 0)                                      */
#define AD0_CR1_STSEL_Msk                     (0x1fUL)                  /*!< AD0 CR1: STSEL (Bitfield-Mask: 0x1f)                        */
#define AD0_CR1_CLKINVT_Pos                   (5UL)                     /*!< AD0 CR1: CLKINVT (Bit 5)                                    */
#define AD0_CR1_CLKINVT_Msk                   (0x20UL)                  /*!< AD0 CR1: CLKINVT (Bitfield-Mask: 0x01)                      */
#define AD0_CR1_EXTCLK_Pos                    (6UL)                     /*!< AD0 CR1: EXTCLK (Bit 6)                                     */
#define AD0_CR1_EXTCLK_Msk                    (0x40UL)                  /*!< AD0 CR1: EXTCLK (Bitfield-Mask: 0x01)                       */
#define AD0_CR1_ADCPD_Pos                     (7UL)                     /*!< AD0 CR1: ADCPD (Bit 7)                                      */
#define AD0_CR1_ADCPD_Msk                     (0x80UL)                  /*!< AD0 CR1: ADCPD (Bitfield-Mask: 0x01)                        */
#define AD0_CR1_CLKDIV_Pos                    (8UL)                     /*!< AD0 CR1: CLKDIV (Bit 8)                                     */
#define AD0_CR1_CLKDIV_Msk                    (0x7f00UL)                /*!< AD0 CR1: CLKDIV (Bitfield-Mask: 0x7f)                       */
#define AD0_CR1_ADCPDA_Pos                    (15UL)                    /*!< AD0 CR1: ADCPDA (Bit 15)                                    */
#define AD0_CR1_ADCPDA_Msk                    (0x8000UL)                /*!< AD0 CR1: ADCPDA (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  AD0_TRG0  ---------------------------------- */
#define AD0_TRG0_MP0TRG1_Pos                  (0UL)                     /*!< AD0 TRG0: MP0TRG1 (Bit 0)                                   */
#define AD0_TRG0_MP0TRG1_Msk                  (0xfUL)                   /*!< AD0 TRG0: MP0TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_MP0TRG2_Pos                  (4UL)                     /*!< AD0 TRG0: MP0TRG2 (Bit 4)                                   */
#define AD0_TRG0_MP0TRG2_Msk                  (0xf0UL)                  /*!< AD0 TRG0: MP0TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_MP0TRG3_Pos                  (8UL)                     /*!< AD0 TRG0: MP0TRG3 (Bit 8)                                   */
#define AD0_TRG0_MP0TRG3_Msk                  (0xf00UL)                 /*!< AD0 TRG0: MP0TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_MP0TRG4_Pos                  (12UL)                    /*!< AD0 TRG0: MP0TRG4 (Bit 12)                                  */
#define AD0_TRG0_MP0TRG4_Msk                  (0xf000UL)                /*!< AD0 TRG0: MP0TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_MP0TRG5_Pos                  (16UL)                    /*!< AD0 TRG0: MP0TRG5 (Bit 16)                                  */
#define AD0_TRG0_MP0TRG5_Msk                  (0xf0000UL)               /*!< AD0 TRG0: MP0TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_MP0TRG6_Pos                  (20UL)                    /*!< AD0 TRG0: MP0TRG6 (Bit 20)                                  */
#define AD0_TRG0_MP0TRG6_Msk                  (0xf00000UL)              /*!< AD0 TRG0: MP0TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG0_TRG0EN_Pos                   (24UL)                    /*!< AD0 TRG0: TRG0EN (Bit 24)                                   */
#define AD0_TRG0_TRG0EN_Msk                   (0x3f000000UL)            /*!< AD0 TRG0: TRG0EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD0_TRG1  ---------------------------------- */
#define AD0_TRG1_MP1TRG1_Pos                  (0UL)                     /*!< AD0 TRG1: MP1TRG1 (Bit 0)                                   */
#define AD0_TRG1_MP1TRG1_Msk                  (0xfUL)                   /*!< AD0 TRG1: MP1TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_MP1TRG2_Pos                  (4UL)                     /*!< AD0 TRG1: MP1TRG2 (Bit 4)                                   */
#define AD0_TRG1_MP1TRG2_Msk                  (0xf0UL)                  /*!< AD0 TRG1: MP1TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_MP1TRG3_Pos                  (8UL)                     /*!< AD0 TRG1: MP1TRG3 (Bit 8)                                   */
#define AD0_TRG1_MP1TRG3_Msk                  (0xf00UL)                 /*!< AD0 TRG1: MP1TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_MP1TRG4_Pos                  (12UL)                    /*!< AD0 TRG1: MP1TRG4 (Bit 12)                                  */
#define AD0_TRG1_MP1TRG4_Msk                  (0xf000UL)                /*!< AD0 TRG1: MP1TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_MP1TRG5_Pos                  (16UL)                    /*!< AD0 TRG1: MP1TRG5 (Bit 16)                                  */
#define AD0_TRG1_MP1TRG5_Msk                  (0xf0000UL)               /*!< AD0 TRG1: MP1TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_MP1TRG6_Pos                  (20UL)                    /*!< AD0 TRG1: MP1TRG6 (Bit 20)                                  */
#define AD0_TRG1_MP1TRG6_Msk                  (0xf00000UL)              /*!< AD0 TRG1: MP1TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD0_TRG1_TRG1EN_Pos                   (24UL)                    /*!< AD0 TRG1: TRG1EN (Bit 24)                                   */
#define AD0_TRG1_TRG1EN_Msk                   (0x3f000000UL)            /*!< AD0 TRG1: TRG1EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD0_TRG2  ---------------------------------- */
#define AD0_TRG2_T0CH_Pos                     (0UL)                     /*!< AD0 TRG2: T0CH (Bit 0)                                      */
#define AD0_TRG2_T0CH_Msk                     (0xfUL)                   /*!< AD0 TRG2: T0CH (Bitfield-Mask: 0x0f)                        */
#define AD0_TRG2_T1CH_Pos                     (4UL)                     /*!< AD0 TRG2: T1CH (Bit 4)                                      */
#define AD0_TRG2_T1CH_Msk                     (0xf0UL)                  /*!< AD0 TRG2: T1CH (Bitfield-Mask: 0x0f)                        */
#define AD0_TRG2_EXTCH_Pos                    (8UL)                     /*!< AD0 TRG2: EXTCH (Bit 8)                                     */
#define AD0_TRG2_EXTCH_Msk                    (0xf00UL)                 /*!< AD0 TRG2: EXTCH (Bitfield-Mask: 0x0f)                       */

/* ----------------------------------  AD0_BCSR  ---------------------------------- */
#define AD0_BCSR_BST1CH_Pos                   (0UL)                     /*!< AD0 BCSR: BST1CH (Bit 0)                                    */
#define AD0_BCSR_BST1CH_Msk                   (0xfUL)                   /*!< AD0 BCSR: BST1CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST2CH_Pos                   (4UL)                     /*!< AD0 BCSR: BST2CH (Bit 4)                                    */
#define AD0_BCSR_BST2CH_Msk                   (0xf0UL)                  /*!< AD0 BCSR: BST2CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST3CH_Pos                   (8UL)                     /*!< AD0 BCSR: BST3CH (Bit 8)                                    */
#define AD0_BCSR_BST3CH_Msk                   (0xf00UL)                 /*!< AD0 BCSR: BST3CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST4CH_Pos                   (12UL)                    /*!< AD0 BCSR: BST4CH (Bit 12)                                   */
#define AD0_BCSR_BST4CH_Msk                   (0xf000UL)                /*!< AD0 BCSR: BST4CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST5CH_Pos                   (16UL)                    /*!< AD0 BCSR: BST5CH (Bit 16)                                   */
#define AD0_BCSR_BST5CH_Msk                   (0xf0000UL)               /*!< AD0 BCSR: BST5CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST6CH_Pos                   (20UL)                    /*!< AD0 BCSR: BST6CH (Bit 20)                                   */
#define AD0_BCSR_BST6CH_Msk                   (0xf00000UL)              /*!< AD0 BCSR: BST6CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST7CH_Pos                   (24UL)                    /*!< AD0 BCSR: BST7CH (Bit 24)                                   */
#define AD0_BCSR_BST7CH_Msk                   (0xf000000UL)             /*!< AD0 BCSR: BST7CH (Bitfield-Mask: 0x0f)                      */
#define AD0_BCSR_BST8CH_Pos                   (28UL)                    /*!< AD0 BCSR: BST8CH (Bit 28)                                   */
#define AD0_BCSR_BST8CH_Msk                   (0xf0000000UL)            /*!< AD0 BCSR: BST8CH (Bitfield-Mask: 0x0f)                      */

/* -----------------------------------  AD0_CR2  ---------------------------------- */
#define AD0_CR2_ASTART_Pos                    (0UL)                     /*!< AD0 CR2: ASTART (Bit 0)                                     */
#define AD0_CR2_ASTART_Msk                    (0x1UL)                   /*!< AD0 CR2: ASTART (Bitfield-Mask: 0x01)                       */
#define AD0_CR2_ASTOP_Pos                     (4UL)                     /*!< AD0 CR2: ASTOP (Bit 4)                                      */
#define AD0_CR2_ASTOP_Msk                     (0x10UL)                  /*!< AD0 CR2: ASTOP (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  AD0_SR  ----------------------------------- */
#define AD0_SR_SIRQ_Pos                       (0UL)                     /*!< AD0 SR: SIRQ (Bit 0)                                        */
#define AD0_SR_SIRQ_Msk                       (0x1UL)                   /*!< AD0 SR: SIRQ (Bitfield-Mask: 0x01)                          */
#define AD0_SR_CIRQ_Pos                       (1UL)                     /*!< AD0 SR: CIRQ (Bit 1)                                        */
#define AD0_SR_CIRQ_Msk                       (0x2UL)                   /*!< AD0 SR: CIRQ (Bitfield-Mask: 0x01)                          */
#define AD0_SR_BIRQ_Pos                       (2UL)                     /*!< AD0 SR: BIRQ (Bit 2)                                        */
#define AD0_SR_BIRQ_Msk                       (0x4UL)                   /*!< AD0 SR: BIRQ (Bitfield-Mask: 0x01)                          */
#define AD0_SR_TIRQ_Pos                       (3UL)                     /*!< AD0 SR: TIRQ (Bit 3)                                        */
#define AD0_SR_TIRQ_Msk                       (0x8UL)                   /*!< AD0 SR: TIRQ (Bitfield-Mask: 0x01)                          */
#define AD0_SR_DMAIRQ_Pos                     (4UL)                     /*!< AD0 SR: DMAIRQ (Bit 4)                                      */
#define AD0_SR_DMAIRQ_Msk                     (0x10UL)                  /*!< AD0 SR: DMAIRQ (Bitfield-Mask: 0x01)                        */
#define AD0_SR_DOVRUN_Pos                     (5UL)                     /*!< AD0 SR: DOVRUN (Bit 5)                                      */
#define AD0_SR_DOVRUN_Msk                     (0x20UL)                  /*!< AD0 SR: DOVRUN (Bitfield-Mask: 0x01)                        */
#define AD0_SR_ABUSY_Pos                      (6UL)                     /*!< AD0 SR: ABUSY (Bit 6)                                       */
#define AD0_SR_ABUSY_Msk                      (0x40UL)                  /*!< AD0 SR: ABUSY (Bitfield-Mask: 0x01)                         */
#define AD0_SR_ADEND_Pos                      (7UL)                     /*!< AD0 SR: ADEND (Bit 7)                                       */
#define AD0_SR_ADEND_Msk                      (0x80UL)                  /*!< AD0 SR: ADEND (Bitfield-Mask: 0x01)                         */
#define AD0_SR_BSTAT_Pos                      (8UL)                     /*!< AD0 SR: BSTAT (Bit 8)                                       */
#define AD0_SR_BSTAT_Msk                      (0x700UL)                 /*!< AD0 SR: BSTAT (Bitfield-Mask: 0x07)                         */
#define AD0_SR_TRG_Pos                        (11UL)                    /*!< AD0 SR: TRG (Bit 11)                                        */
#define AD0_SR_TRG_Msk                        (0x800UL)                 /*!< AD0 SR: TRG (Bitfield-Mask: 0x01)                           */
#define AD0_SR_ADCH_Pos                       (12UL)                    /*!< AD0 SR: ADCH (Bit 12)                                       */
#define AD0_SR_ADCH_Msk                       (0xf000UL)                /*!< AD0 SR: ADCH (Bitfield-Mask: 0x0f)                          */
#define AD0_SR_MPWM0TRG_Pos                   (16UL)                    /*!< AD0 SR: MPWM0TRG (Bit 16)                                   */
#define AD0_SR_MPWM0TRG_Msk                   (0x3f0000UL)              /*!< AD0 SR: MPWM0TRG (Bitfield-Mask: 0x3f)                      */
#define AD0_SR_MPWM1TRG_Pos                   (24UL)                    /*!< AD0 SR: MPWM1TRG (Bit 24)                                   */
#define AD0_SR_MPWM1TRG_Msk                   (0x3f000000UL)            /*!< AD0 SR: MPWM1TRG (Bitfield-Mask: 0x3f)                      */

/* -----------------------------------  AD0_IER  ---------------------------------- */
#define AD0_IER_SIEN_Pos                      (0UL)                     /*!< AD0 IER: SIEN (Bit 0)                                       */
#define AD0_IER_SIEN_Msk                      (0x1UL)                   /*!< AD0 IER: SIEN (Bitfield-Mask: 0x01)                         */
#define AD0_IER_CIEN_Pos                      (1UL)                     /*!< AD0 IER: CIEN (Bit 1)                                       */
#define AD0_IER_CIEN_Msk                      (0x2UL)                   /*!< AD0 IER: CIEN (Bitfield-Mask: 0x01)                         */
#define AD0_IER_BIEN_Pos                      (2UL)                     /*!< AD0 IER: BIEN (Bit 2)                                       */
#define AD0_IER_BIEN_Msk                      (0x4UL)                   /*!< AD0 IER: BIEN (Bitfield-Mask: 0x01)                         */
#define AD0_IER_TIEN_Pos                      (3UL)                     /*!< AD0 IER: TIEN (Bit 3)                                       */
#define AD0_IER_TIEN_Msk                      (0x8UL)                   /*!< AD0 IER: TIEN (Bitfield-Mask: 0x01)                         */
#define AD0_IER_DIEN_Pos                      (4UL)                     /*!< AD0 IER: DIEN (Bit 4)                                       */
#define AD0_IER_DIEN_Msk                      (0x10UL)                  /*!< AD0 IER: DIEN (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  AD0_DDR  ---------------------------------- */
#define AD0_DDR_ADMACH_Pos                    (0UL)                     /*!< AD0 DDR: ADMACH (Bit 0)                                     */
#define AD0_DDR_ADMACH_Msk                    (0xfUL)                   /*!< AD0 DDR: ADMACH (Bitfield-Mask: 0x0f)                       */
#define AD0_DDR_ADDMAR_Pos                    (4UL)                     /*!< AD0 DDR: ADDMAR (Bit 4)                                     */
#define AD0_DDR_ADDMAR_Msk                    (0xfff0UL)                /*!< AD0 DDR: ADDMAR (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD0_CCR  ---------------------------------- */
#define AD0_CCR_CVAL_Pos                      (4UL)                     /*!< AD0 CCR: CVAL (Bit 4)                                       */
#define AD0_CCR_CVAL_Msk                      (0xfff0UL)                /*!< AD0 CCR: CVAL (Bitfield-Mask: 0xfff)                        */
#define AD0_CCR_CCH_Pos                       (16UL)                    /*!< AD0 CCR: CCH (Bit 16)                                       */
#define AD0_CCR_CCH_Msk                       (0xf0000UL)               /*!< AD0 CCR: CCH (Bitfield-Mask: 0x0f)                          */
#define AD0_CCR_LTE_Pos                       (20UL)                    /*!< AD0 CCR: LTE (Bit 20)                                       */
#define AD0_CCR_LTE_Msk                       (0x100000UL)              /*!< AD0 CCR: LTE (Bitfield-Mask: 0x01)                          */
#define AD0_CCR_COMPOUT_Pos                   (23UL)                    /*!< AD0 CCR: COMPOUT (Bit 23)                                   */
#define AD0_CCR_COMPOUT_Msk                   (0x800000UL)              /*!< AD0 CCR: COMPOUT (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================          struct 'AD1' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  AD1_MR  ----------------------------------- */
#define AD1_MR_TRGSRC_Pos                     (0UL)                     /*!< AD1 MR: TRGSRC (Bit 0)                                      */
#define AD1_MR_TRGSRC_Msk                     (0x7UL)                   /*!< AD1 MR: TRGSRC (Bitfield-Mask: 0x07)                        */
#define AD1_MR_TRGEN_Pos                      (3UL)                     /*!< AD1 MR: TRGEN (Bit 3)                                       */
#define AD1_MR_TRGEN_Msk                      (0x8UL)                   /*!< AD1 MR: TRGEN (Bitfield-Mask: 0x01)                         */
#define AD1_MR_ADCMOD_Pos                     (4UL)                     /*!< AD1 MR: ADCMOD (Bit 4)                                      */
#define AD1_MR_ADCMOD_Msk                     (0x30UL)                  /*!< AD1 MR: ADCMOD (Bitfield-Mask: 0x03)                        */
#define AD1_MR_ADCEN_Pos                      (7UL)                     /*!< AD1 MR: ADCEN (Bit 7)                                       */
#define AD1_MR_ADCEN_Msk                      (0x80UL)                  /*!< AD1 MR: ADCEN (Bitfield-Mask: 0x01)                         */
#define AD1_MR_BSTCNT_Pos                     (8UL)                     /*!< AD1 MR: BSTCNT (Bit 8)                                      */
#define AD1_MR_BSTCNT_Msk                     (0x700UL)                 /*!< AD1 MR: BSTCNT (Bitfield-Mask: 0x07)                        */
#define AD1_MR_BWAITEN_Pos                    (12UL)                    /*!< AD1 MR: BWAITEN (Bit 12)                                    */
#define AD1_MR_BWAITEN_Msk                    (0x1000UL)                /*!< AD1 MR: BWAITEN (Bitfield-Mask: 0x01)                       */
#define AD1_MR_DMACH_Pos                      (16UL)                    /*!< AD1 MR: DMACH (Bit 16)                                      */
#define AD1_MR_DMACH_Msk                      (0x10000UL)               /*!< AD1 MR: DMACH (Bitfield-Mask: 0x01)                         */
#define AD1_MR_DMAEN_Pos                      (17UL)                    /*!< AD1 MR: DMAEN (Bit 17)                                      */
#define AD1_MR_DMAEN_Msk                      (0x20000UL)               /*!< AD1 MR: DMAEN (Bitfield-Mask: 0x01)                         */
#define AD1_MR_BWAIT_Pos                      (24UL)                    /*!< AD1 MR: BWAIT (Bit 24)                                      */
#define AD1_MR_BWAIT_Msk                      (0xff000000UL)            /*!< AD1 MR: BWAIT (Bitfield-Mask: 0xff)                         */

/* -----------------------------------  AD1_CSR  ---------------------------------- */
#define AD1_CSR_CHSEL_Pos                     (0UL)                     /*!< AD1 CSR: CHSEL (Bit 0)                                      */
#define AD1_CSR_CHSEL_Msk                     (0xfUL)                   /*!< AD1 CSR: CHSEL (Bitfield-Mask: 0x0f)                        */

/* -----------------------------------  AD1_CR1  ---------------------------------- */
#define AD1_CR1_STSEL_Pos                     (0UL)                     /*!< AD1 CR1: STSEL (Bit 0)                                      */
#define AD1_CR1_STSEL_Msk                     (0x1fUL)                  /*!< AD1 CR1: STSEL (Bitfield-Mask: 0x1f)                        */
#define AD1_CR1_CLKINVT_Pos                   (5UL)                     /*!< AD1 CR1: CLKINVT (Bit 5)                                    */
#define AD1_CR1_CLKINVT_Msk                   (0x20UL)                  /*!< AD1 CR1: CLKINVT (Bitfield-Mask: 0x01)                      */
#define AD1_CR1_EXTCLK_Pos                    (6UL)                     /*!< AD1 CR1: EXTCLK (Bit 6)                                     */
#define AD1_CR1_EXTCLK_Msk                    (0x40UL)                  /*!< AD1 CR1: EXTCLK (Bitfield-Mask: 0x01)                       */
#define AD1_CR1_ADCPD_Pos                     (7UL)                     /*!< AD1 CR1: ADCPD (Bit 7)                                      */
#define AD1_CR1_ADCPD_Msk                     (0x80UL)                  /*!< AD1 CR1: ADCPD (Bitfield-Mask: 0x01)                        */
#define AD1_CR1_CLKDIV_Pos                    (8UL)                     /*!< AD1 CR1: CLKDIV (Bit 8)                                     */
#define AD1_CR1_CLKDIV_Msk                    (0x7f00UL)                /*!< AD1 CR1: CLKDIV (Bitfield-Mask: 0x7f)                       */
#define AD1_CR1_ADCPDA_Pos                    (15UL)                    /*!< AD1 CR1: ADCPDA (Bit 15)                                    */
#define AD1_CR1_ADCPDA_Msk                    (0x8000UL)                /*!< AD1 CR1: ADCPDA (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  AD1_TRG0  ---------------------------------- */
#define AD1_TRG0_MP0TRG1_Pos                  (0UL)                     /*!< AD1 TRG0: MP0TRG1 (Bit 0)                                   */
#define AD1_TRG0_MP0TRG1_Msk                  (0xfUL)                   /*!< AD1 TRG0: MP0TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_MP0TRG2_Pos                  (4UL)                     /*!< AD1 TRG0: MP0TRG2 (Bit 4)                                   */
#define AD1_TRG0_MP0TRG2_Msk                  (0xf0UL)                  /*!< AD1 TRG0: MP0TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_MP0TRG3_Pos                  (8UL)                     /*!< AD1 TRG0: MP0TRG3 (Bit 8)                                   */
#define AD1_TRG0_MP0TRG3_Msk                  (0xf00UL)                 /*!< AD1 TRG0: MP0TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_MP0TRG4_Pos                  (12UL)                    /*!< AD1 TRG0: MP0TRG4 (Bit 12)                                  */
#define AD1_TRG0_MP0TRG4_Msk                  (0xf000UL)                /*!< AD1 TRG0: MP0TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_MP0TRG5_Pos                  (16UL)                    /*!< AD1 TRG0: MP0TRG5 (Bit 16)                                  */
#define AD1_TRG0_MP0TRG5_Msk                  (0xf0000UL)               /*!< AD1 TRG0: MP0TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_MP0TRG6_Pos                  (20UL)                    /*!< AD1 TRG0: MP0TRG6 (Bit 20)                                  */
#define AD1_TRG0_MP0TRG6_Msk                  (0xf00000UL)              /*!< AD1 TRG0: MP0TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG0_TRG0EN_Pos                   (24UL)                    /*!< AD1 TRG0: TRG0EN (Bit 24)                                   */
#define AD1_TRG0_TRG0EN_Msk                   (0x3f000000UL)            /*!< AD1 TRG0: TRG0EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD1_TRG1  ---------------------------------- */
#define AD1_TRG1_MP1TRG1_Pos                  (0UL)                     /*!< AD1 TRG1: MP1TRG1 (Bit 0)                                   */
#define AD1_TRG1_MP1TRG1_Msk                  (0xfUL)                   /*!< AD1 TRG1: MP1TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_MP1TRG2_Pos                  (4UL)                     /*!< AD1 TRG1: MP1TRG2 (Bit 4)                                   */
#define AD1_TRG1_MP1TRG2_Msk                  (0xf0UL)                  /*!< AD1 TRG1: MP1TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_MP1TRG3_Pos                  (8UL)                     /*!< AD1 TRG1: MP1TRG3 (Bit 8)                                   */
#define AD1_TRG1_MP1TRG3_Msk                  (0xf00UL)                 /*!< AD1 TRG1: MP1TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_MP1TRG4_Pos                  (12UL)                    /*!< AD1 TRG1: MP1TRG4 (Bit 12)                                  */
#define AD1_TRG1_MP1TRG4_Msk                  (0xf000UL)                /*!< AD1 TRG1: MP1TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_MP1TRG5_Pos                  (16UL)                    /*!< AD1 TRG1: MP1TRG5 (Bit 16)                                  */
#define AD1_TRG1_MP1TRG5_Msk                  (0xf0000UL)               /*!< AD1 TRG1: MP1TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_MP1TRG6_Pos                  (20UL)                    /*!< AD1 TRG1: MP1TRG6 (Bit 20)                                  */
#define AD1_TRG1_MP1TRG6_Msk                  (0xf00000UL)              /*!< AD1 TRG1: MP1TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD1_TRG1_TRG1EN_Pos                   (24UL)                    /*!< AD1 TRG1: TRG1EN (Bit 24)                                   */
#define AD1_TRG1_TRG1EN_Msk                   (0x3f000000UL)            /*!< AD1 TRG1: TRG1EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD1_TRG2  ---------------------------------- */
#define AD1_TRG2_T0CH_Pos                     (0UL)                     /*!< AD1 TRG2: T0CH (Bit 0)                                      */
#define AD1_TRG2_T0CH_Msk                     (0xfUL)                   /*!< AD1 TRG2: T0CH (Bitfield-Mask: 0x0f)                        */
#define AD1_TRG2_T1CH_Pos                     (4UL)                     /*!< AD1 TRG2: T1CH (Bit 4)                                      */
#define AD1_TRG2_T1CH_Msk                     (0xf0UL)                  /*!< AD1 TRG2: T1CH (Bitfield-Mask: 0x0f)                        */
#define AD1_TRG2_EXTCH_Pos                    (8UL)                     /*!< AD1 TRG2: EXTCH (Bit 8)                                     */
#define AD1_TRG2_EXTCH_Msk                    (0xf00UL)                 /*!< AD1 TRG2: EXTCH (Bitfield-Mask: 0x0f)                       */

/* ----------------------------------  AD1_BCSR  ---------------------------------- */
#define AD1_BCSR_BST1CH_Pos                   (0UL)                     /*!< AD1 BCSR: BST1CH (Bit 0)                                    */
#define AD1_BCSR_BST1CH_Msk                   (0xfUL)                   /*!< AD1 BCSR: BST1CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST2CH_Pos                   (4UL)                     /*!< AD1 BCSR: BST2CH (Bit 4)                                    */
#define AD1_BCSR_BST2CH_Msk                   (0xf0UL)                  /*!< AD1 BCSR: BST2CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST3CH_Pos                   (8UL)                     /*!< AD1 BCSR: BST3CH (Bit 8)                                    */
#define AD1_BCSR_BST3CH_Msk                   (0xf00UL)                 /*!< AD1 BCSR: BST3CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST4CH_Pos                   (12UL)                    /*!< AD1 BCSR: BST4CH (Bit 12)                                   */
#define AD1_BCSR_BST4CH_Msk                   (0xf000UL)                /*!< AD1 BCSR: BST4CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST5CH_Pos                   (16UL)                    /*!< AD1 BCSR: BST5CH (Bit 16)                                   */
#define AD1_BCSR_BST5CH_Msk                   (0xf0000UL)               /*!< AD1 BCSR: BST5CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST6CH_Pos                   (20UL)                    /*!< AD1 BCSR: BST6CH (Bit 20)                                   */
#define AD1_BCSR_BST6CH_Msk                   (0xf00000UL)              /*!< AD1 BCSR: BST6CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST7CH_Pos                   (24UL)                    /*!< AD1 BCSR: BST7CH (Bit 24)                                   */
#define AD1_BCSR_BST7CH_Msk                   (0xf000000UL)             /*!< AD1 BCSR: BST7CH (Bitfield-Mask: 0x0f)                      */
#define AD1_BCSR_BST8CH_Pos                   (28UL)                    /*!< AD1 BCSR: BST8CH (Bit 28)                                   */
#define AD1_BCSR_BST8CH_Msk                   (0xf0000000UL)            /*!< AD1 BCSR: BST8CH (Bitfield-Mask: 0x0f)                      */

/* -----------------------------------  AD1_CR2  ---------------------------------- */
#define AD1_CR2_ASTART_Pos                    (0UL)                     /*!< AD1 CR2: ASTART (Bit 0)                                     */
#define AD1_CR2_ASTART_Msk                    (0x1UL)                   /*!< AD1 CR2: ASTART (Bitfield-Mask: 0x01)                       */
#define AD1_CR2_ASTOP_Pos                     (4UL)                     /*!< AD1 CR2: ASTOP (Bit 4)                                      */
#define AD1_CR2_ASTOP_Msk                     (0x10UL)                  /*!< AD1 CR2: ASTOP (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  AD1_SR  ----------------------------------- */
#define AD1_SR_SIRQ_Pos                       (0UL)                     /*!< AD1 SR: SIRQ (Bit 0)                                        */
#define AD1_SR_SIRQ_Msk                       (0x1UL)                   /*!< AD1 SR: SIRQ (Bitfield-Mask: 0x01)                          */
#define AD1_SR_CIRQ_Pos                       (1UL)                     /*!< AD1 SR: CIRQ (Bit 1)                                        */
#define AD1_SR_CIRQ_Msk                       (0x2UL)                   /*!< AD1 SR: CIRQ (Bitfield-Mask: 0x01)                          */
#define AD1_SR_BIRQ_Pos                       (2UL)                     /*!< AD1 SR: BIRQ (Bit 2)                                        */
#define AD1_SR_BIRQ_Msk                       (0x4UL)                   /*!< AD1 SR: BIRQ (Bitfield-Mask: 0x01)                          */
#define AD1_SR_TIRQ_Pos                       (3UL)                     /*!< AD1 SR: TIRQ (Bit 3)                                        */
#define AD1_SR_TIRQ_Msk                       (0x8UL)                   /*!< AD1 SR: TIRQ (Bitfield-Mask: 0x01)                          */
#define AD1_SR_DMAIRQ_Pos                     (4UL)                     /*!< AD1 SR: DMAIRQ (Bit 4)                                      */
#define AD1_SR_DMAIRQ_Msk                     (0x10UL)                  /*!< AD1 SR: DMAIRQ (Bitfield-Mask: 0x01)                        */
#define AD1_SR_DOVRUN_Pos                     (5UL)                     /*!< AD1 SR: DOVRUN (Bit 5)                                      */
#define AD1_SR_DOVRUN_Msk                     (0x20UL)                  /*!< AD1 SR: DOVRUN (Bitfield-Mask: 0x01)                        */
#define AD1_SR_ABUSY_Pos                      (6UL)                     /*!< AD1 SR: ABUSY (Bit 6)                                       */
#define AD1_SR_ABUSY_Msk                      (0x40UL)                  /*!< AD1 SR: ABUSY (Bitfield-Mask: 0x01)                         */
#define AD1_SR_ADEND_Pos                      (7UL)                     /*!< AD1 SR: ADEND (Bit 7)                                       */
#define AD1_SR_ADEND_Msk                      (0x80UL)                  /*!< AD1 SR: ADEND (Bitfield-Mask: 0x01)                         */
#define AD1_SR_BSTAT_Pos                      (8UL)                     /*!< AD1 SR: BSTAT (Bit 8)                                       */
#define AD1_SR_BSTAT_Msk                      (0x700UL)                 /*!< AD1 SR: BSTAT (Bitfield-Mask: 0x07)                         */
#define AD1_SR_TRG_Pos                        (11UL)                    /*!< AD1 SR: TRG (Bit 11)                                        */
#define AD1_SR_TRG_Msk                        (0x800UL)                 /*!< AD1 SR: TRG (Bitfield-Mask: 0x01)                           */
#define AD1_SR_ADCH_Pos                       (12UL)                    /*!< AD1 SR: ADCH (Bit 12)                                       */
#define AD1_SR_ADCH_Msk                       (0xf000UL)                /*!< AD1 SR: ADCH (Bitfield-Mask: 0x0f)                          */
#define AD1_SR_MPWM0TRG_Pos                   (16UL)                    /*!< AD1 SR: MPWM0TRG (Bit 16)                                   */
#define AD1_SR_MPWM0TRG_Msk                   (0x3f0000UL)              /*!< AD1 SR: MPWM0TRG (Bitfield-Mask: 0x3f)                      */
#define AD1_SR_MPWM1TRG_Pos                   (24UL)                    /*!< AD1 SR: MPWM1TRG (Bit 24)                                   */
#define AD1_SR_MPWM1TRG_Msk                   (0x3f000000UL)            /*!< AD1 SR: MPWM1TRG (Bitfield-Mask: 0x3f)                      */

/* -----------------------------------  AD1_IER  ---------------------------------- */
#define AD1_IER_SIEN_Pos                      (0UL)                     /*!< AD1 IER: SIEN (Bit 0)                                       */
#define AD1_IER_SIEN_Msk                      (0x1UL)                   /*!< AD1 IER: SIEN (Bitfield-Mask: 0x01)                         */
#define AD1_IER_CIEN_Pos                      (1UL)                     /*!< AD1 IER: CIEN (Bit 1)                                       */
#define AD1_IER_CIEN_Msk                      (0x2UL)                   /*!< AD1 IER: CIEN (Bitfield-Mask: 0x01)                         */
#define AD1_IER_BIEN_Pos                      (2UL)                     /*!< AD1 IER: BIEN (Bit 2)                                       */
#define AD1_IER_BIEN_Msk                      (0x4UL)                   /*!< AD1 IER: BIEN (Bitfield-Mask: 0x01)                         */
#define AD1_IER_TIEN_Pos                      (3UL)                     /*!< AD1 IER: TIEN (Bit 3)                                       */
#define AD1_IER_TIEN_Msk                      (0x8UL)                   /*!< AD1 IER: TIEN (Bitfield-Mask: 0x01)                         */
#define AD1_IER_DIEN_Pos                      (4UL)                     /*!< AD1 IER: DIEN (Bit 4)                                       */
#define AD1_IER_DIEN_Msk                      (0x10UL)                  /*!< AD1 IER: DIEN (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  AD1_DDR  ---------------------------------- */
#define AD1_DDR_ADMACH_Pos                    (0UL)                     /*!< AD1 DDR: ADMACH (Bit 0)                                     */
#define AD1_DDR_ADMACH_Msk                    (0xfUL)                   /*!< AD1 DDR: ADMACH (Bitfield-Mask: 0x0f)                       */
#define AD1_DDR_ADDMAR_Pos                    (4UL)                     /*!< AD1 DDR: ADDMAR (Bit 4)                                     */
#define AD1_DDR_ADDMAR_Msk                    (0xfff0UL)                /*!< AD1 DDR: ADDMAR (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD1_CCR  ---------------------------------- */
#define AD1_CCR_CVAL_Pos                      (4UL)                     /*!< AD1 CCR: CVAL (Bit 4)                                       */
#define AD1_CCR_CVAL_Msk                      (0xfff0UL)                /*!< AD1 CCR: CVAL (Bitfield-Mask: 0xfff)                        */
#define AD1_CCR_CCH_Pos                       (16UL)                    /*!< AD1 CCR: CCH (Bit 16)                                       */
#define AD1_CCR_CCH_Msk                       (0xf0000UL)               /*!< AD1 CCR: CCH (Bitfield-Mask: 0x0f)                          */
#define AD1_CCR_LTE_Pos                       (20UL)                    /*!< AD1 CCR: LTE (Bit 20)                                       */
#define AD1_CCR_LTE_Msk                       (0x100000UL)              /*!< AD1 CCR: LTE (Bitfield-Mask: 0x01)                          */
#define AD1_CCR_COMPOUT_Pos                   (23UL)                    /*!< AD1 CCR: COMPOUT (Bit 23)                                   */
#define AD1_CCR_COMPOUT_Msk                   (0x800000UL)              /*!< AD1 CCR: COMPOUT (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================          struct 'AD2' Position & Mask          ================ */
/* ================================================================================ */


/* -----------------------------------  AD2_MR  ----------------------------------- */
#define AD2_MR_TRGSRC_Pos                     (0UL)                     /*!< AD2 MR: TRGSRC (Bit 0)                                      */
#define AD2_MR_TRGSRC_Msk                     (0x7UL)                   /*!< AD2 MR: TRGSRC (Bitfield-Mask: 0x07)                        */
#define AD2_MR_TRGEN_Pos                      (3UL)                     /*!< AD2 MR: TRGEN (Bit 3)                                       */
#define AD2_MR_TRGEN_Msk                      (0x8UL)                   /*!< AD2 MR: TRGEN (Bitfield-Mask: 0x01)                         */
#define AD2_MR_ADCMOD_Pos                     (4UL)                     /*!< AD2 MR: ADCMOD (Bit 4)                                      */
#define AD2_MR_ADCMOD_Msk                     (0x30UL)                  /*!< AD2 MR: ADCMOD (Bitfield-Mask: 0x03)                        */
#define AD2_MR_ADCEN_Pos                      (7UL)                     /*!< AD2 MR: ADCEN (Bit 7)                                       */
#define AD2_MR_ADCEN_Msk                      (0x80UL)                  /*!< AD2 MR: ADCEN (Bitfield-Mask: 0x01)                         */
#define AD2_MR_BSTCNT_Pos                     (8UL)                     /*!< AD2 MR: BSTCNT (Bit 8)                                      */
#define AD2_MR_BSTCNT_Msk                     (0x700UL)                 /*!< AD2 MR: BSTCNT (Bitfield-Mask: 0x07)                        */
#define AD2_MR_BWAITEN_Pos                    (12UL)                    /*!< AD2 MR: BWAITEN (Bit 12)                                    */
#define AD2_MR_BWAITEN_Msk                    (0x1000UL)                /*!< AD2 MR: BWAITEN (Bitfield-Mask: 0x01)                       */
#define AD2_MR_DMACH_Pos                      (16UL)                    /*!< AD2 MR: DMACH (Bit 16)                                      */
#define AD2_MR_DMACH_Msk                      (0x10000UL)               /*!< AD2 MR: DMACH (Bitfield-Mask: 0x01)                         */
#define AD2_MR_DMAEN_Pos                      (17UL)                    /*!< AD2 MR: DMAEN (Bit 17)                                      */
#define AD2_MR_DMAEN_Msk                      (0x20000UL)               /*!< AD2 MR: DMAEN (Bitfield-Mask: 0x01)                         */
#define AD2_MR_BWAIT_Pos                      (24UL)                    /*!< AD2 MR: BWAIT (Bit 24)                                      */
#define AD2_MR_BWAIT_Msk                      (0xff000000UL)            /*!< AD2 MR: BWAIT (Bitfield-Mask: 0xff)                         */

/* -----------------------------------  AD2_CSR  ---------------------------------- */
#define AD2_CSR_CHSEL_Pos                     (0UL)                     /*!< AD2 CSR: CHSEL (Bit 0)                                      */
#define AD2_CSR_CHSEL_Msk                     (0xfUL)                   /*!< AD2 CSR: CHSEL (Bitfield-Mask: 0x0f)                        */

/* -----------------------------------  AD2_CR1  ---------------------------------- */
#define AD2_CR1_STSEL_Pos                     (0UL)                     /*!< AD2 CR1: STSEL (Bit 0)                                      */
#define AD2_CR1_STSEL_Msk                     (0x1fUL)                  /*!< AD2 CR1: STSEL (Bitfield-Mask: 0x1f)                        */
#define AD2_CR1_CLKINVT_Pos                   (5UL)                     /*!< AD2 CR1: CLKINVT (Bit 5)                                    */
#define AD2_CR1_CLKINVT_Msk                   (0x20UL)                  /*!< AD2 CR1: CLKINVT (Bitfield-Mask: 0x01)                      */
#define AD2_CR1_EXTCLK_Pos                    (6UL)                     /*!< AD2 CR1: EXTCLK (Bit 6)                                     */
#define AD2_CR1_EXTCLK_Msk                    (0x40UL)                  /*!< AD2 CR1: EXTCLK (Bitfield-Mask: 0x01)                       */
#define AD2_CR1_ADCPD_Pos                     (7UL)                     /*!< AD2 CR1: ADCPD (Bit 7)                                      */
#define AD2_CR1_ADCPD_Msk                     (0x80UL)                  /*!< AD2 CR1: ADCPD (Bitfield-Mask: 0x01)                        */
#define AD2_CR1_CLKDIV_Pos                    (8UL)                     /*!< AD2 CR1: CLKDIV (Bit 8)                                     */
#define AD2_CR1_CLKDIV_Msk                    (0x7f00UL)                /*!< AD2 CR1: CLKDIV (Bitfield-Mask: 0x7f)                       */
#define AD2_CR1_ADCPDA_Pos                    (15UL)                    /*!< AD2 CR1: ADCPDA (Bit 15)                                    */
#define AD2_CR1_ADCPDA_Msk                    (0x8000UL)                /*!< AD2 CR1: ADCPDA (Bitfield-Mask: 0x01)                       */

/* ----------------------------------  AD2_TRG0  ---------------------------------- */
#define AD2_TRG0_MP0TRG1_Pos                  (0UL)                     /*!< AD2 TRG0: MP0TRG1 (Bit 0)                                   */
#define AD2_TRG0_MP0TRG1_Msk                  (0xfUL)                   /*!< AD2 TRG0: MP0TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_MP0TRG2_Pos                  (4UL)                     /*!< AD2 TRG0: MP0TRG2 (Bit 4)                                   */
#define AD2_TRG0_MP0TRG2_Msk                  (0xf0UL)                  /*!< AD2 TRG0: MP0TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_MP0TRG3_Pos                  (8UL)                     /*!< AD2 TRG0: MP0TRG3 (Bit 8)                                   */
#define AD2_TRG0_MP0TRG3_Msk                  (0xf00UL)                 /*!< AD2 TRG0: MP0TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_MP0TRG4_Pos                  (12UL)                    /*!< AD2 TRG0: MP0TRG4 (Bit 12)                                  */
#define AD2_TRG0_MP0TRG4_Msk                  (0xf000UL)                /*!< AD2 TRG0: MP0TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_MP0TRG5_Pos                  (16UL)                    /*!< AD2 TRG0: MP0TRG5 (Bit 16)                                  */
#define AD2_TRG0_MP0TRG5_Msk                  (0xf0000UL)               /*!< AD2 TRG0: MP0TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_MP0TRG6_Pos                  (20UL)                    /*!< AD2 TRG0: MP0TRG6 (Bit 20)                                  */
#define AD2_TRG0_MP0TRG6_Msk                  (0xf00000UL)              /*!< AD2 TRG0: MP0TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG0_TRG0EN_Pos                   (24UL)                    /*!< AD2 TRG0: TRG0EN (Bit 24)                                   */
#define AD2_TRG0_TRG0EN_Msk                   (0x3f000000UL)            /*!< AD2 TRG0: TRG0EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD2_TRG1  ---------------------------------- */
#define AD2_TRG1_MP1TRG1_Pos                  (0UL)                     /*!< AD2 TRG1: MP1TRG1 (Bit 0)                                   */
#define AD2_TRG1_MP1TRG1_Msk                  (0xfUL)                   /*!< AD2 TRG1: MP1TRG1 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_MP1TRG2_Pos                  (4UL)                     /*!< AD2 TRG1: MP1TRG2 (Bit 4)                                   */
#define AD2_TRG1_MP1TRG2_Msk                  (0xf0UL)                  /*!< AD2 TRG1: MP1TRG2 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_MP1TRG3_Pos                  (8UL)                     /*!< AD2 TRG1: MP1TRG3 (Bit 8)                                   */
#define AD2_TRG1_MP1TRG3_Msk                  (0xf00UL)                 /*!< AD2 TRG1: MP1TRG3 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_MP1TRG4_Pos                  (12UL)                    /*!< AD2 TRG1: MP1TRG4 (Bit 12)                                  */
#define AD2_TRG1_MP1TRG4_Msk                  (0xf000UL)                /*!< AD2 TRG1: MP1TRG4 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_MP1TRG5_Pos                  (16UL)                    /*!< AD2 TRG1: MP1TRG5 (Bit 16)                                  */
#define AD2_TRG1_MP1TRG5_Msk                  (0xf0000UL)               /*!< AD2 TRG1: MP1TRG5 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_MP1TRG6_Pos                  (20UL)                    /*!< AD2 TRG1: MP1TRG6 (Bit 20)                                  */
#define AD2_TRG1_MP1TRG6_Msk                  (0xf00000UL)              /*!< AD2 TRG1: MP1TRG6 (Bitfield-Mask: 0x0f)                     */
#define AD2_TRG1_TRG1EN_Pos                   (24UL)                    /*!< AD2 TRG1: TRG1EN (Bit 24)                                   */
#define AD2_TRG1_TRG1EN_Msk                   (0x3f000000UL)            /*!< AD2 TRG1: TRG1EN (Bitfield-Mask: 0x3f)                      */

/* ----------------------------------  AD2_TRG2  ---------------------------------- */
#define AD2_TRG2_T0CH_Pos                     (0UL)                     /*!< AD2 TRG2: T0CH (Bit 0)                                      */
#define AD2_TRG2_T0CH_Msk                     (0xfUL)                   /*!< AD2 TRG2: T0CH (Bitfield-Mask: 0x0f)                        */
#define AD2_TRG2_T1CH_Pos                     (4UL)                     /*!< AD2 TRG2: T1CH (Bit 4)                                      */
#define AD2_TRG2_T1CH_Msk                     (0xf0UL)                  /*!< AD2 TRG2: T1CH (Bitfield-Mask: 0x0f)                        */
#define AD2_TRG2_EXTCH_Pos                    (8UL)                     /*!< AD2 TRG2: EXTCH (Bit 8)                                     */
#define AD2_TRG2_EXTCH_Msk                    (0xf00UL)                 /*!< AD2 TRG2: EXTCH (Bitfield-Mask: 0x0f)                       */

/* ----------------------------------  AD2_BCSR  ---------------------------------- */
#define AD2_BCSR_BST1CH_Pos                   (0UL)                     /*!< AD2 BCSR: BST1CH (Bit 0)                                    */
#define AD2_BCSR_BST1CH_Msk                   (0xfUL)                   /*!< AD2 BCSR: BST1CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST2CH_Pos                   (4UL)                     /*!< AD2 BCSR: BST2CH (Bit 4)                                    */
#define AD2_BCSR_BST2CH_Msk                   (0xf0UL)                  /*!< AD2 BCSR: BST2CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST3CH_Pos                   (8UL)                     /*!< AD2 BCSR: BST3CH (Bit 8)                                    */
#define AD2_BCSR_BST3CH_Msk                   (0xf00UL)                 /*!< AD2 BCSR: BST3CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST4CH_Pos                   (12UL)                    /*!< AD2 BCSR: BST4CH (Bit 12)                                   */
#define AD2_BCSR_BST4CH_Msk                   (0xf000UL)                /*!< AD2 BCSR: BST4CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST5CH_Pos                   (16UL)                    /*!< AD2 BCSR: BST5CH (Bit 16)                                   */
#define AD2_BCSR_BST5CH_Msk                   (0xf0000UL)               /*!< AD2 BCSR: BST5CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST6CH_Pos                   (20UL)                    /*!< AD2 BCSR: BST6CH (Bit 20)                                   */
#define AD2_BCSR_BST6CH_Msk                   (0xf00000UL)              /*!< AD2 BCSR: BST6CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST7CH_Pos                   (24UL)                    /*!< AD2 BCSR: BST7CH (Bit 24)                                   */
#define AD2_BCSR_BST7CH_Msk                   (0xf000000UL)             /*!< AD2 BCSR: BST7CH (Bitfield-Mask: 0x0f)                      */
#define AD2_BCSR_BST8CH_Pos                   (28UL)                    /*!< AD2 BCSR: BST8CH (Bit 28)                                   */
#define AD2_BCSR_BST8CH_Msk                   (0xf0000000UL)            /*!< AD2 BCSR: BST8CH (Bitfield-Mask: 0x0f)                      */

/* -----------------------------------  AD2_CR2  ---------------------------------- */
#define AD2_CR2_ASTART_Pos                    (0UL)                     /*!< AD2 CR2: ASTART (Bit 0)                                     */
#define AD2_CR2_ASTART_Msk                    (0x1UL)                   /*!< AD2 CR2: ASTART (Bitfield-Mask: 0x01)                       */
#define AD2_CR2_ASTOP_Pos                     (4UL)                     /*!< AD2 CR2: ASTOP (Bit 4)                                      */
#define AD2_CR2_ASTOP_Msk                     (0x10UL)                  /*!< AD2 CR2: ASTOP (Bitfield-Mask: 0x01)                        */

/* -----------------------------------  AD2_SR  ----------------------------------- */
#define AD2_SR_SIRQ_Pos                       (0UL)                     /*!< AD2 SR: SIRQ (Bit 0)                                        */
#define AD2_SR_SIRQ_Msk                       (0x1UL)                   /*!< AD2 SR: SIRQ (Bitfield-Mask: 0x01)                          */
#define AD2_SR_CIRQ_Pos                       (1UL)                     /*!< AD2 SR: CIRQ (Bit 1)                                        */
#define AD2_SR_CIRQ_Msk                       (0x2UL)                   /*!< AD2 SR: CIRQ (Bitfield-Mask: 0x01)                          */
#define AD2_SR_BIRQ_Pos                       (2UL)                     /*!< AD2 SR: BIRQ (Bit 2)                                        */
#define AD2_SR_BIRQ_Msk                       (0x4UL)                   /*!< AD2 SR: BIRQ (Bitfield-Mask: 0x01)                          */
#define AD2_SR_TIRQ_Pos                       (3UL)                     /*!< AD2 SR: TIRQ (Bit 3)                                        */
#define AD2_SR_TIRQ_Msk                       (0x8UL)                   /*!< AD2 SR: TIRQ (Bitfield-Mask: 0x01)                          */
#define AD2_SR_DMAIRQ_Pos                     (4UL)                     /*!< AD2 SR: DMAIRQ (Bit 4)                                      */
#define AD2_SR_DMAIRQ_Msk                     (0x10UL)                  /*!< AD2 SR: DMAIRQ (Bitfield-Mask: 0x01)                        */
#define AD2_SR_DOVRUN_Pos                     (5UL)                     /*!< AD2 SR: DOVRUN (Bit 5)                                      */
#define AD2_SR_DOVRUN_Msk                     (0x20UL)                  /*!< AD2 SR: DOVRUN (Bitfield-Mask: 0x01)                        */
#define AD2_SR_ABUSY_Pos                      (6UL)                     /*!< AD2 SR: ABUSY (Bit 6)                                       */
#define AD2_SR_ABUSY_Msk                      (0x40UL)                  /*!< AD2 SR: ABUSY (Bitfield-Mask: 0x01)                         */
#define AD2_SR_ADEND_Pos                      (7UL)                     /*!< AD2 SR: ADEND (Bit 7)                                       */
#define AD2_SR_ADEND_Msk                      (0x80UL)                  /*!< AD2 SR: ADEND (Bitfield-Mask: 0x01)                         */
#define AD2_SR_BSTAT_Pos                      (8UL)                     /*!< AD2 SR: BSTAT (Bit 8)                                       */
#define AD2_SR_BSTAT_Msk                      (0x700UL)                 /*!< AD2 SR: BSTAT (Bitfield-Mask: 0x07)                         */
#define AD2_SR_TRG_Pos                        (11UL)                    /*!< AD2 SR: TRG (Bit 11)                                        */
#define AD2_SR_TRG_Msk                        (0x800UL)                 /*!< AD2 SR: TRG (Bitfield-Mask: 0x01)                           */
#define AD2_SR_ADCH_Pos                       (12UL)                    /*!< AD2 SR: ADCH (Bit 12)                                       */
#define AD2_SR_ADCH_Msk                       (0xf000UL)                /*!< AD2 SR: ADCH (Bitfield-Mask: 0x0f)                          */
#define AD2_SR_MPWM0TRG_Pos                   (16UL)                    /*!< AD2 SR: MPWM0TRG (Bit 16)                                   */
#define AD2_SR_MPWM0TRG_Msk                   (0x3f0000UL)              /*!< AD2 SR: MPWM0TRG (Bitfield-Mask: 0x3f)                      */
#define AD2_SR_MPWM1TRG_Pos                   (24UL)                    /*!< AD2 SR: MPWM1TRG (Bit 24)                                   */
#define AD2_SR_MPWM1TRG_Msk                   (0x3f000000UL)            /*!< AD2 SR: MPWM1TRG (Bitfield-Mask: 0x3f)                      */

/* -----------------------------------  AD2_IER  ---------------------------------- */
#define AD2_IER_SIEN_Pos                      (0UL)                     /*!< AD2 IER: SIEN (Bit 0)                                       */
#define AD2_IER_SIEN_Msk                      (0x1UL)                   /*!< AD2 IER: SIEN (Bitfield-Mask: 0x01)                         */
#define AD2_IER_CIEN_Pos                      (1UL)                     /*!< AD2 IER: CIEN (Bit 1)                                       */
#define AD2_IER_CIEN_Msk                      (0x2UL)                   /*!< AD2 IER: CIEN (Bitfield-Mask: 0x01)                         */
#define AD2_IER_BIEN_Pos                      (2UL)                     /*!< AD2 IER: BIEN (Bit 2)                                       */
#define AD2_IER_BIEN_Msk                      (0x4UL)                   /*!< AD2 IER: BIEN (Bitfield-Mask: 0x01)                         */
#define AD2_IER_TIEN_Pos                      (3UL)                     /*!< AD2 IER: TIEN (Bit 3)                                       */
#define AD2_IER_TIEN_Msk                      (0x8UL)                   /*!< AD2 IER: TIEN (Bitfield-Mask: 0x01)                         */
#define AD2_IER_DIEN_Pos                      (4UL)                     /*!< AD2 IER: DIEN (Bit 4)                                       */
#define AD2_IER_DIEN_Msk                      (0x10UL)                  /*!< AD2 IER: DIEN (Bitfield-Mask: 0x01)                         */

/* -----------------------------------  AD2_DDR  ---------------------------------- */
#define AD2_DDR_ADMACH_Pos                    (0UL)                     /*!< AD2 DDR: ADMACH (Bit 0)                                     */
#define AD2_DDR_ADMACH_Msk                    (0xfUL)                   /*!< AD2 DDR: ADMACH (Bitfield-Mask: 0x0f)                       */
#define AD2_DDR_ADDMAR_Pos                    (4UL)                     /*!< AD2 DDR: ADDMAR (Bit 4)                                     */
#define AD2_DDR_ADDMAR_Msk                    (0xfff0UL)                /*!< AD2 DDR: ADDMAR (Bitfield-Mask: 0xfff)                      */

/* -----------------------------------  AD2_CCR  ---------------------------------- */
#define AD2_CCR_CVAL_Pos                      (4UL)                     /*!< AD2 CCR: CVAL (Bit 4)                                       */
#define AD2_CCR_CVAL_Msk                      (0xfff0UL)                /*!< AD2 CCR: CVAL (Bitfield-Mask: 0xfff)                        */
#define AD2_CCR_CCH_Pos                       (16UL)                    /*!< AD2 CCR: CCH (Bit 16)                                       */
#define AD2_CCR_CCH_Msk                       (0xf0000UL)               /*!< AD2 CCR: CCH (Bitfield-Mask: 0x0f)                          */
#define AD2_CCR_LTE_Pos                       (20UL)                    /*!< AD2 CCR: LTE (Bit 20)                                       */
#define AD2_CCR_LTE_Msk                       (0x100000UL)              /*!< AD2 CCR: LTE (Bitfield-Mask: 0x01)                          */
#define AD2_CCR_COMPOUT_Pos                   (23UL)                    /*!< AD2 CCR: COMPOUT (Bit 23)                                   */
#define AD2_CCR_COMPOUT_Msk                   (0x800000UL)              /*!< AD2 CCR: COMPOUT (Bitfield-Mask: 0x01)                      */


/* ================================================================================ */
/* ================          struct 'AFE' Position & Mask          ================ */
/* ================================================================================ */


/* ---------------------------------  AFE_OPA0CR  --------------------------------- */
#define AFE_OPA0CR_GAIN_Pos                   (0UL)                     /*!< AFE OPA0CR: GAIN (Bit 0)                                    */
#define AFE_OPA0CR_GAIN_Msk                   (0xfUL)                   /*!< AFE OPA0CR: GAIN (Bitfield-Mask: 0x0f)                      */
#define AFE_OPA0CR_OPAEN_Pos                  (4UL)                     /*!< AFE OPA0CR: OPAEN (Bit 4)                                   */
#define AFE_OPA0CR_OPAEN_Msk                  (0x10UL)                  /*!< AFE OPA0CR: OPAEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_OPA1CR  --------------------------------- */
#define AFE_OPA1CR_GAIN_Pos                   (0UL)                     /*!< AFE OPA1CR: GAIN (Bit 0)                                    */
#define AFE_OPA1CR_GAIN_Msk                   (0xfUL)                   /*!< AFE OPA1CR: GAIN (Bitfield-Mask: 0x0f)                      */
#define AFE_OPA1CR_OPAEN_Pos                  (4UL)                     /*!< AFE OPA1CR: OPAEN (Bit 4)                                   */
#define AFE_OPA1CR_OPAEN_Msk                  (0x10UL)                  /*!< AFE OPA1CR: OPAEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_OPA2CR  --------------------------------- */
#define AFE_OPA2CR_GAIN_Pos                   (0UL)                     /*!< AFE OPA2CR: GAIN (Bit 0)                                    */
#define AFE_OPA2CR_GAIN_Msk                   (0xfUL)                   /*!< AFE OPA2CR: GAIN (Bitfield-Mask: 0x0f)                      */
#define AFE_OPA2CR_OPAEN_Pos                  (4UL)                     /*!< AFE OPA2CR: OPAEN (Bit 4)                                   */
#define AFE_OPA2CR_OPAEN_Msk                  (0x10UL)                  /*!< AFE OPA2CR: OPAEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_OPA3CR  --------------------------------- */
#define AFE_OPA3CR_GAIN_Pos                   (0UL)                     /*!< AFE OPA3CR: GAIN (Bit 0)                                    */
#define AFE_OPA3CR_GAIN_Msk                   (0xfUL)                   /*!< AFE OPA3CR: GAIN (Bitfield-Mask: 0x0f)                      */
#define AFE_OPA3CR_OPAEN_Pos                  (4UL)                     /*!< AFE OPA3CR: OPAEN (Bit 4)                                   */
#define AFE_OPA3CR_OPAEN_Msk                  (0x10UL)                  /*!< AFE OPA3CR: OPAEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMP0CR  --------------------------------- */
#define AFE_CMP0CR_REFSEL_Pos                 (0UL)                     /*!< AFE CMP0CR: REFSEL (Bit 0)                                  */
#define AFE_CMP0CR_REFSEL_Msk                 (0x1UL)                   /*!< AFE CMP0CR: REFSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP0CR_CINSEL_Pos                 (1UL)                     /*!< AFE CMP0CR: CINSEL (Bit 1)                                  */
#define AFE_CMP0CR_CINSEL_Msk                 (0x2UL)                   /*!< AFE CMP0CR: CINSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP0CR_CMPEN_Pos                  (4UL)                     /*!< AFE CMP0CR: CMPEN (Bit 4)                                   */
#define AFE_CMP0CR_CMPEN_Msk                  (0x10UL)                  /*!< AFE CMP0CR: CMPEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMP1CR  --------------------------------- */
#define AFE_CMP1CR_REFSEL_Pos                 (0UL)                     /*!< AFE CMP1CR: REFSEL (Bit 0)                                  */
#define AFE_CMP1CR_REFSEL_Msk                 (0x1UL)                   /*!< AFE CMP1CR: REFSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP1CR_CINSEL_Pos                 (1UL)                     /*!< AFE CMP1CR: CINSEL (Bit 1)                                  */
#define AFE_CMP1CR_CINSEL_Msk                 (0x2UL)                   /*!< AFE CMP1CR: CINSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP1CR_CMPEN_Pos                  (4UL)                     /*!< AFE CMP1CR: CMPEN (Bit 4)                                   */
#define AFE_CMP1CR_CMPEN_Msk                  (0x10UL)                  /*!< AFE CMP1CR: CMPEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMP2CR  --------------------------------- */
#define AFE_CMP2CR_REFSEL_Pos                 (0UL)                     /*!< AFE CMP2CR: REFSEL (Bit 0)                                  */
#define AFE_CMP2CR_REFSEL_Msk                 (0x1UL)                   /*!< AFE CMP2CR: REFSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP2CR_CINSEL_Pos                 (1UL)                     /*!< AFE CMP2CR: CINSEL (Bit 1)                                  */
#define AFE_CMP2CR_CINSEL_Msk                 (0x2UL)                   /*!< AFE CMP2CR: CINSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP2CR_CMPEN_Pos                  (4UL)                     /*!< AFE CMP2CR: CMPEN (Bit 4)                                   */
#define AFE_CMP2CR_CMPEN_Msk                  (0x10UL)                  /*!< AFE CMP2CR: CMPEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMP3CR  --------------------------------- */
#define AFE_CMP3CR_REFSEL_Pos                 (0UL)                     /*!< AFE CMP3CR: REFSEL (Bit 0)                                  */
#define AFE_CMP3CR_REFSEL_Msk                 (0x1UL)                   /*!< AFE CMP3CR: REFSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP3CR_CINSEL_Pos                 (1UL)                     /*!< AFE CMP3CR: CINSEL (Bit 1)                                  */
#define AFE_CMP3CR_CINSEL_Msk                 (0x2UL)                   /*!< AFE CMP3CR: CINSEL (Bitfield-Mask: 0x01)                    */
#define AFE_CMP3CR_CMPEN_Pos                  (4UL)                     /*!< AFE CMP3CR: CMPEN (Bit 4)                                   */
#define AFE_CMP3CR_CMPEN_Msk                  (0x10UL)                  /*!< AFE CMP3CR: CMPEN (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMPDBR  --------------------------------- */
#define AFE_CMPDBR_C0DBNC_Pos                 (0UL)                     /*!< AFE CMPDBR: C0DBNC (Bit 0)                                  */
#define AFE_CMPDBR_C0DBNC_Msk                 (0xfUL)                   /*!< AFE CMPDBR: C0DBNC (Bitfield-Mask: 0x0f)                    */
#define AFE_CMPDBR_C1DBNC_Pos                 (4UL)                     /*!< AFE CMPDBR: C1DBNC (Bit 4)                                  */
#define AFE_CMPDBR_C1DBNC_Msk                 (0xf0UL)                  /*!< AFE CMPDBR: C1DBNC (Bitfield-Mask: 0x0f)                    */
#define AFE_CMPDBR_C2DBNC_Pos                 (8UL)                     /*!< AFE CMPDBR: C2DBNC (Bit 8)                                  */
#define AFE_CMPDBR_C2DBNC_Msk                 (0xf00UL)                 /*!< AFE CMPDBR: C2DBNC (Bitfield-Mask: 0x0f)                    */
#define AFE_CMPDBR_C3DBNC_Pos                 (12UL)                    /*!< AFE CMPDBR: C3DBNC (Bit 12)                                 */
#define AFE_CMPDBR_C3DBNC_Msk                 (0xf000UL)                /*!< AFE CMPDBR: C3DBNC (Bitfield-Mask: 0x0f)                    */
#define AFE_CMPDBR_DBNCTB_Pos                 (16UL)                    /*!< AFE CMPDBR: DBNCTB (Bit 16)                                 */
#define AFE_CMPDBR_DBNCTB_Msk                 (0xff0000UL)              /*!< AFE CMPDBR: DBNCTB (Bitfield-Mask: 0xff)                    */

/* ---------------------------------  AFE_CMPICR  --------------------------------- */
#define AFE_CMPICR_C0IMOD_Pos                 (0UL)                     /*!< AFE CMPICR: C0IMOD (Bit 0)                                  */
#define AFE_CMPICR_C0IMOD_Msk                 (0x3UL)                   /*!< AFE CMPICR: C0IMOD (Bitfield-Mask: 0x03)                    */
#define AFE_CMPICR_C1IMOD_Pos                 (2UL)                     /*!< AFE CMPICR: C1IMOD (Bit 2)                                  */
#define AFE_CMPICR_C1IMOD_Msk                 (0xcUL)                   /*!< AFE CMPICR: C1IMOD (Bitfield-Mask: 0x03)                    */
#define AFE_CMPICR_C2IMOD_Pos                 (4UL)                     /*!< AFE CMPICR: C2IMOD (Bit 4)                                  */
#define AFE_CMPICR_C2IMOD_Msk                 (0x30UL)                  /*!< AFE CMPICR: C2IMOD (Bitfield-Mask: 0x03)                    */
#define AFE_CMPICR_C3IMOD_Pos                 (6UL)                     /*!< AFE CMPICR: C3IMOD (Bit 6)                                  */
#define AFE_CMPICR_C3IMOD_Msk                 (0xc0UL)                  /*!< AFE CMPICR: C3IMOD (Bitfield-Mask: 0x03)                    */
#define AFE_CMPICR_IPOL0_Pos                  (8UL)                     /*!< AFE CMPICR: IPOL0 (Bit 8)                                   */
#define AFE_CMPICR_IPOL0_Msk                  (0x100UL)                 /*!< AFE CMPICR: IPOL0 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_IPOL1_Pos                  (9UL)                     /*!< AFE CMPICR: IPOL1 (Bit 9)                                   */
#define AFE_CMPICR_IPOL1_Msk                  (0x200UL)                 /*!< AFE CMPICR: IPOL1 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_IPOL2_Pos                  (10UL)                    /*!< AFE CMPICR: IPOL2 (Bit 10)                                  */
#define AFE_CMPICR_IPOL2_Msk                  (0x400UL)                 /*!< AFE CMPICR: IPOL2 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_IPOL3_Pos                  (11UL)                    /*!< AFE CMPICR: IPOL3 (Bit 11)                                  */
#define AFE_CMPICR_IPOL3_Msk                  (0x800UL)                 /*!< AFE CMPICR: IPOL3 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_PPOL0_Pos                  (12UL)                    /*!< AFE CMPICR: PPOL0 (Bit 12)                                  */
#define AFE_CMPICR_PPOL0_Msk                  (0x1000UL)                /*!< AFE CMPICR: PPOL0 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_PPOL1_Pos                  (13UL)                    /*!< AFE CMPICR: PPOL1 (Bit 13)                                  */
#define AFE_CMPICR_PPOL1_Msk                  (0x2000UL)                /*!< AFE CMPICR: PPOL1 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_PPOL2_Pos                  (14UL)                    /*!< AFE CMPICR: PPOL2 (Bit 14)                                  */
#define AFE_CMPICR_PPOL2_Msk                  (0x4000UL)                /*!< AFE CMPICR: PPOL2 (Bitfield-Mask: 0x01)                     */
#define AFE_CMPICR_PPOL3_Pos                  (15UL)                    /*!< AFE CMPICR: PPOL3 (Bit 15)                                  */
#define AFE_CMPICR_PPOL3_Msk                  (0x8000UL)                /*!< AFE CMPICR: PPOL3 (Bitfield-Mask: 0x01)                     */

/* ---------------------------------  AFE_CMPIER  --------------------------------- */
#define AFE_CMPIER_CMP0IE_Pos                 (0UL)                     /*!< AFE CMPIER: CMP0IE (Bit 0)                                  */
#define AFE_CMPIER_CMP0IE_Msk                 (0x1UL)                   /*!< AFE CMPIER: CMP0IE (Bitfield-Mask: 0x01)                    */
#define AFE_CMPIER_CMP1IE_Pos                 (1UL)                     /*!< AFE CMPIER: CMP1IE (Bit 1)                                  */
#define AFE_CMPIER_CMP1IE_Msk                 (0x2UL)                   /*!< AFE CMPIER: CMP1IE (Bitfield-Mask: 0x01)                    */
#define AFE_CMPIER_CMP2IE_Pos                 (2UL)                     /*!< AFE CMPIER: CMP2IE (Bit 2)                                  */
#define AFE_CMPIER_CMP2IE_Msk                 (0x4UL)                   /*!< AFE CMPIER: CMP2IE (Bitfield-Mask: 0x01)                    */
#define AFE_CMPIER_CMP3IE_Pos                 (3UL)                     /*!< AFE CMPIER: CMP3IE (Bit 3)                                  */
#define AFE_CMPIER_CMP3IE_Msk                 (0x8UL)                   /*!< AFE CMPIER: CMP3IE (Bitfield-Mask: 0x01)                    */

/* ----------------------------------  AFE_CMPSR  --------------------------------- */
#define AFE_CMPSR_C0IRQ_Pos                   (0UL)                     /*!< AFE CMPSR: C0IRQ (Bit 0)                                    */
#define AFE_CMPSR_C0IRQ_Msk                   (0x1UL)                   /*!< AFE CMPSR: C0IRQ (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C1IRQ_Pos                   (1UL)                     /*!< AFE CMPSR: C1IRQ (Bit 1)                                    */
#define AFE_CMPSR_C1IRQ_Msk                   (0x2UL)                   /*!< AFE CMPSR: C1IRQ (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C2IRQ_Pos                   (2UL)                     /*!< AFE CMPSR: C2IRQ (Bit 2)                                    */
#define AFE_CMPSR_C2IRQ_Msk                   (0x4UL)                   /*!< AFE CMPSR: C2IRQ (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C3IRQ_Pos                   (3UL)                     /*!< AFE CMPSR: C3IRQ (Bit 3)                                    */
#define AFE_CMPSR_C3IRQ_Msk                   (0x8UL)                   /*!< AFE CMPSR: C3IRQ (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C0OUT_Pos                   (8UL)                     /*!< AFE CMPSR: C0OUT (Bit 8)                                    */
#define AFE_CMPSR_C0OUT_Msk                   (0x100UL)                 /*!< AFE CMPSR: C0OUT (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C1OUT_Pos                   (9UL)                     /*!< AFE CMPSR: C1OUT (Bit 9)                                    */
#define AFE_CMPSR_C1OUT_Msk                   (0x200UL)                 /*!< AFE CMPSR: C1OUT (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C2OUT_Pos                   (10UL)                    /*!< AFE CMPSR: C2OUT (Bit 10)                                   */
#define AFE_CMPSR_C2OUT_Msk                   (0x400UL)                 /*!< AFE CMPSR: C2OUT (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C3OUT_Pos                   (11UL)                    /*!< AFE CMPSR: C3OUT (Bit 11)                                   */
#define AFE_CMPSR_C3OUT_Msk                   (0x800UL)                 /*!< AFE CMPSR: C3OUT (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C0RAW_Pos                   (12UL)                    /*!< AFE CMPSR: C0RAW (Bit 12)                                   */
#define AFE_CMPSR_C0RAW_Msk                   (0x1000UL)                /*!< AFE CMPSR: C0RAW (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C1RAW_Pos                   (13UL)                    /*!< AFE CMPSR: C1RAW (Bit 13)                                   */
#define AFE_CMPSR_C1RAW_Msk                   (0x2000UL)                /*!< AFE CMPSR: C1RAW (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C2RAW_Pos                   (14UL)                    /*!< AFE CMPSR: C2RAW (Bit 14)                                   */
#define AFE_CMPSR_C2RAW_Msk                   (0x4000UL)                /*!< AFE CMPSR: C2RAW (Bitfield-Mask: 0x01)                      */
#define AFE_CMPSR_C3RAW_Pos                   (15UL)                    /*!< AFE CMPSR: C3RAW (Bit 15)                                   */
#define AFE_CMPSR_C3RAW_Msk                   (0x8000UL)                /*!< AFE CMPSR: C3RAW (Bitfield-Mask: 0x01)                      */



/* ================================================================================ */
/* ================              Peripheral memory map             ================ */
/* ================================================================================ */

#define SCU_BASE                        0x40000000UL
#define FM_BASE                         0x40000100UL
#define WDT_BASE                        0x40000200UL
#define DC0_BASE                        0x40000400UL
#define DC1_BASE                        0x40000410UL
#define DC2_BASE                        0x40000420UL
#define DC3_BASE                        0x40000430UL
#define DC4_BASE                        0x40000440UL
#define DC5_BASE                        0x40000450UL
#define DC6_BASE                        0x40000460UL
#define DC7_BASE                        0x40000470UL
#define DC8_BASE                        0x40000480UL
#define DC9_BASE                        0x40000490UL
#define DC10_BASE                       0x400004A0UL
#define DC11_BASE                       0x400004B0UL
#define DC12_BASE                       0x400004C0UL
#define DC13_BASE                       0x400004D0UL
#define DC14_BASE                       0x400004E0UL
#define PCA_BASE                        0x40001000UL
#define PCB_BASE                        0x40001100UL
#define PCC_BASE                        0x40001200UL
#define PCD_BASE                        0x40001300UL
#define PORTEN_BASE                     0x40001FF0UL
#define PA_BASE                         0x40002000UL
#define PB_BASE                         0x40002100UL
#define PC_BASE                         0x40002200UL
#define PD_BASE                         0x40002300UL
#define T0_BASE                         0x40003000UL
#define T1_BASE                         0x40003020UL
#define T2_BASE                         0x40003040UL
#define T3_BASE                         0x40003060UL
#define T8_BASE                         0x40003100UL
#define T9_BASE                         0x40003120UL
#define TGECR_BASE                      0x40003140UL
#define MP0_BASE                        0x40004000UL
#define MP1_BASE                        0x40005000UL
#define U0_BASE                         0x40008000UL
#define U1_BASE                         0x40008100UL
#define U2_BASE                         0x40008200UL
#define U3_BASE                         0x40008300UL
#define SP0_BASE                        0x40009000UL
#define SP1_BASE                        0x40009100UL
#define IC0_BASE                        0x4000A000UL
#define IC1_BASE                        0x4000A100UL
#define AD0_BASE                        0x4000B000UL
#define AD1_BASE                        0x4000B100UL
#define AD2_BASE                        0x4000B200UL
#define AFE_BASE                        0x4000B300UL


/* ================================================================================ */
/* ================             Peripheral declaration             ================ */
/* ================================================================================ */

#define SCU                             ((SCU_Type                *) SCU_BASE)
#define FM                              ((FM_Type                 *) FM_BASE)
#define WDT                             ((WDT_Type                *) WDT_BASE)
#define DC0                             ((DC0_Type                *) DC0_BASE)
#define DC1                             ((DC0_Type                *) DC1_BASE)
#define DC2                             ((DC0_Type                *) DC2_BASE)
#define DC3                             ((DC0_Type                *) DC3_BASE)
#define DC4                             ((DC0_Type                *) DC4_BASE)
#define DC5                             ((DC0_Type                *) DC5_BASE)
#define DC6                             ((DC0_Type                *) DC6_BASE)
#define DC7                             ((DC0_Type                *) DC7_BASE)
#define DC8                             ((DC0_Type                *) DC8_BASE)
#define DC9                             ((DC0_Type                *) DC9_BASE)
#define DC10                            ((DC0_Type                *) DC10_BASE)
#define DC11                            ((DC0_Type                *) DC11_BASE)
#define DC12                            ((DC0_Type                *) DC12_BASE)
#define DC13                            ((DC0_Type                *) DC13_BASE)
#define DC14                            ((DC0_Type                *) DC14_BASE)
#define PCA                             ((PCA_Type                *) PCA_BASE)
#define PCB                             ((PCA_Type                *) PCB_BASE)
#define PCC                             ((PCA_Type                *) PCC_BASE)
#define PCD                             ((PCA_Type                *) PCD_BASE)
#define PORTEN                          ((PORTEN_Type             *) PORTEN_BASE)
#define PA                              ((PA_Type                 *) PA_BASE)
#define PB                              ((PA_Type                 *) PB_BASE)
#define PC                              ((PA_Type                 *) PC_BASE)
#define PD                              ((PA_Type                 *) PD_BASE)
#define T0                              ((T0_Type                 *) T0_BASE)
#define T1                              ((T0_Type                 *) T1_BASE)
#define T2                              ((T0_Type                 *) T2_BASE)
#define T3                              ((T0_Type                 *) T3_BASE)
#define T8                              ((T0_Type                 *) T8_BASE)
#define T9                              ((T0_Type                 *) T9_BASE)
#define TGECR                           ((TGECR_Type              *) TGECR_BASE)
#define MP0                             ((MP0_Type                *) MP0_BASE)
#define MP1                             ((MP0_Type                *) MP1_BASE)
#define U0                              ((U0_Type                 *) U0_BASE)
#define U1                              ((U0_Type                 *) U1_BASE)
#define U2                              ((U0_Type                 *) U2_BASE)
#define U3                              ((U0_Type                 *) U3_BASE)
#define SP0                             ((SP0_Type                *) SP0_BASE)
#define SP1                             ((SP0_Type                *) SP1_BASE)
#define IC0                             ((IC0_Type                *) IC0_BASE)
#define IC1                             ((IC0_Type                *) IC1_BASE)
#define AD0                             ((AD0_Type                *) AD0_BASE)
#define AD1                             ((AD0_Type                *) AD1_BASE)
#define AD2                             ((AD0_Type                *) AD2_BASE)
#define AFE                             ((AFE_Type                *) AFE_BASE)


/** @} */ /* End of group Device_Peripheral_Registers */
/** @} */ /* End of group Z32F1281 */
/** @} */ /* End of group Zilog, Inc */

#ifdef __cplusplus
}
#endif


#endif  /* Z32F1281_H */

